<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of Payment
 *
 * @author Softpro India Pvt. Ltd
 */
class Paytrn extends CI_Controller {

    //put your code here
    public function __construct() {
        parent::__construct();
        $this->load->model("admin/PaymentManagement");
        $this->load->model("admin/CourseManagement");
        $this->load->model("admin/SessionManagement");
        $this->load->model("admin/ReportManagement");
        $this->load->model("user/StudentManagement");
        $this->load->model('admin/BranchManagement');
        
        $this->load->library('services/PayServices');
        $this->load->library('services/AWLMEAPI');
        $this->load->library('services/ResMsgDTO');
        $this->load->library('services/HTTPPost');
        $this->load->library('services/ReqMsgDTO');
        $this->load->library('services/VtransactSecurity');
    }

    public function offlinePayment() {
        if ($this->sessionvalidator->validateSession()) {
            $viewData["courses"] = $this->CourseManagement->getCoursesBySessionAndFormFee('T', 'F')->result();
            
            $viewData["sessions"] = $this->SessionManagement->getSessions('T', "F")->result();         
            if (isset($_POST["filterSubmitBtn"])) {
                $mobile = $this->input->post("mobile");
                $session_id = $this->input->post("session_id");
                $email = $this->input->post("email");
                $dob = trim($this->input->post("dob")) == "" ? "" : date('Y-m-d', strtotime(str_replace('/', '-', $this->input->post("dob"))));
                $course = $this->input->post("course");
                $viewData["co"] = $course;
                $viewData["app_email"] = $email;
                $viewData["app_mobile"] = $mobile;
                $viewData["admissionForms"] = $this->PaymentManagement->getCompleteAdmissionFormsWithpaymentDetails('F','', $session_id, $email, $mobile, $dob, $course)->result();
                
                $this->load->view("admin/offlinePayement", $viewData);
            } else {
                $viewData["co"] = "";
                $viewData["fno"] = "";
                $session_id = "";
                $viewData["f_status"] = "";
                $viewData["admissionForms"] = $this->PaymentManagement->getCompleteAdmissionFormsWithpaymentDetails('F')->result();
                $this->load->view("admin/offlinePayement", $viewData);
            }
        } else {
            redirect("admin/");
        }
    }

    public function updatePayment($tspi_id) {
        if ($this->sessionvalidator->validateSession()) {
            $viewData["admissionForm"] = $this->PaymentManagement->getCompleteAdmissionFormsWithpaymentDetails($tspi_id)->result()[0];
            $this->load->view("admin/updatePayment", $viewData);
        } else {
            redirect("admin/");
        }
    }

    public function savePayment() {
        $tspi_id = $this->input->post("tspi_id");
        if ($this->sessionvalidator->validateSession()) {
            $this->form_validation->set_rules("receiptno", "Receipt Number", "required", array("required" => "Enter Receipt Number."));
            $this->form_validation->set_rules("pmode", "Payement Mode", "required", array("required" => "Select Payement Mode."));
            $this->form_validation->set_rules("remark", "Remark", "required", array("required" => "Enter Remarks."));
            if ($this->form_validation->run() == false) {
                $this->updatePayment($tspi_id);
            } else {
                $course = $this->input->post("course");
                $receiptno = $this->input->post("receiptno");
                $pmode = $this->input->post("pmode");
                $remark = $this->input->post("remark");
                $transactionArray = array(
                    "gateway_txnid" => $pmode,
                    "bank_ref_no" => $receiptno,
                    "tdate" => date("Y-m-d H:i:s"),
                    "status" => "T",
                    "error_desc" => "OFFLINE_TRANSACTION",
                    "tran_details" => "ADMISSION",
                    "tran_dt" => date("Y-m-d"),
                    "remark" => $remark
                );

                $this->db->trans_start();
                $this->PaymentManagement->updatePaymentDetails($tspi_id,$transactionArray);
                $admissionFrmNoArray = array("regno" => $tspi_id);
                $formno = $this->StudentManagement->insertAdmissionForm($admissionFrmNoArray);
                $tspi_form_no = $course . "-" . $formno;
                $persoanlDetailsArray = array(
                    "tspi_form_no" => $tspi_form_no, 
                    "tspi_id" => $tspi_id,
                    "tspi_updated_on"=>date("Y-m-d H"),
                    "tspi_updated_by"=>"");
                $this->StudentManagement->updateStudentPersonalInfo($persoanlDetailsArray);
                $this->db->trans_complete();
                $this->session->set_flashdata("successMessage","Payment Details Updated Successfully");
                redirect("admin/Payment/offlinePayment");
            }
        } else {
            redirect("admin/");
        }
    }



    public function onlinepayment() {
        $viewData["co"] = "";
        $viewData["fno"] = "";
        $session_id = "";
        $viewData["f_status"] = "";
        $viewData["admissionForms"] = $this->PaymentManagement->getCompleteAdmissionFormsWithpaymentDetails('F')->result();
        $viewData["branch"] = $this->BranchManagement->getAllBranches()->result();
        
        $this->load->view("user/onlinepayment", $viewData);
    }

    public function payResponse() {

        $obj = new AWLMEAPI();
    

        $resMsgDTO = new ResMsgDTO();

   
       //$reqMsgDTO = new ReqMsgDTO();
    
    
        $enc_key = "4d5390bef3ef1ee3d4a7e77fd42238cb";
    
    
        $responseMerchant = $_REQUEST['merchantResponse'];
    
        $response = $obj->parseTrnResMsg( $responseMerchant , $enc_key );

        $paymentResponse = array(
            'txn_refno' => $response->getPgMeTrnRefNo(),
            'order_id' => $response->getOrderId(),
            'trn_amt' => $response->getTrnAmt(),
            'status_code' => $response->getStatusCode(),
            'status_desc' => $response->getStatusDesc(),
            'trn_reqdate' => $response->getTrnReqDate(),
            'response_code' => $response->getResponseCode(),
            'rrn' => $response->getRrn(),
            'authzcode' => $response->getAuthZCode(),
            'addfield1' => $response->getAddField1(),
            'addfield2' => $response->getAddField2(),
            'addfield3' => $response->getAddField3(),
            'addfield4' => $response->getAddField4(),
            'addfield5' => $response->getAddField5(),
            'addfield6' => $response->getAddField6(),
            'addfield7' => $response->getAddField7(),
            'addfield8' => $response->getAddField8()
        );

        $this->PaymentManagement->insertPaymentResponse($paymentResponse);  

        $viewData["response"] = $response;
        $this->load->view("user/payResponse", $viewData);
    }

    public function processPayment() {
            $this->form_validation->set_rules('counsellingReferenceNumber', 'Counselling Reference Number', 'trim|required', array('required' => 'Please Enter Counselling Reference Number.'));

            if ($this->form_validation->run() == FALSE) {
                //$this->validateCounsellingReferenceNumber();
                $this->session->set_flashdata('errorMessage', "No Student Records Found.");
            } else {

            $obj = new AWLMEAPI();

            $reqMsgDTO = new ReqMsgDTO();

            $counsellingReferenceNumber = $_REQUEST['counsellingReferenceNumber'];

            $studentInfo = $this->StudentManagement->getStudentPersonalInfoByFormNumber($counsellingReferenceNumber,true)->result();

            $fee = "100.00";
            $tspi_id = "13";
            $tspi_name = "test";
            
            if (sizeof($studentInfo)) {
               $tspi_id= $studentInfo[0]->tspi_id;
               $tspi_name= $studentInfo[0]->tspi_name;
               $tspi_gender= $studentInfo[0]->tspi_gender;
               $tspi_category= $studentInfo[0]->tspi_category;
               $ucs_map_id= $studentInfo[0]->ucs_map_id;

              

                if ($tspi_gender == "F")
                      $fee = "170.00";

                if ($tspi_category == "ST/ST")
                      $fee = "170.00";   

                if ($ucs_map_id == "1" && $tspi_category != "SC/ST" && $tspi_gender == "M"  )
                      $fee = "1175.00";   

                if ($ucs_map_id == "2" && $tspi_category != "SC/ST" && $tspi_gender == "M"  )
                      $fee = "1162.00";   

            }


            $reqMsgDTO->setOrderId($_REQUEST['orderId']);
            $reqMsgDTO->setMid("WL0000000027698");
            $reqMsgDTO->setTrnRemarks("This txn has to be done");
            $reqMsgDTO->setTrnCurrency("INR");
            $reqMsgDTO->setTrnAmt($fee);
            $reqMsgDTO->setEnckey("6375b97b954b37f956966977e5753ee6");
            $reqMsgDTO->setMeTransReqType("S");
            $reqMsgDTO->setRecurrPeriod("");
            $reqMsgDTO->setRecurrDay("");
            $reqMsgDTO->setNoOfRecurring("");
    
            //$reqMsgDTO->setCardNumber("4716951532141687");
            //$reqMsgDTO->setExpiryDate("0120");
            //$reqMsgDTO->setCvv("614");
            //$reqMsgDTO->setNameOnCard(" FAITH MOLLIGAN");
            //$reqMsgDTO->setPayTypeCode("CC");
    
            $reqMsgDTO->setResponseUrl("https://admission.casmkc.in/admission/paytrn/payResponse");
            $reqMsgDTO->setAddField1($tspi_id);
            $reqMsgDTO->setAddField2($tspi_name);
            $reqMsgDTO->setAddField3("");
            $reqMsgDTO->setAddField4("");
            $reqMsgDTO->setAddField5("");
            $reqMsgDTO->setAddField6("");
            $reqMsgDTO->setAddField7("");
            $reqMsgDTO->setAddField8("");
    
            //$reqMsgDTO = $obj->generateTrnReqMsgWithCard($reqMsgDTO);
            
            $reqMsgDTO = $obj->generateTrnReqMsg($reqMsgDTO);
    
            $merchantRequest = "";
    
            if ($reqMsgDTO->getStatusDesc() == "Success"){
                    $merchantRequest = $reqMsgDTO->getReqMsg();
            }

            $viewData["reqMsgDTO"] = $reqMsgDTO;
            $viewData["merchantRequest"] = $merchantRequest;

             $paymentDetails = array(
                    'order_id' => $reqMsgDTO->getOrderId(),
                    'mid' => $reqMsgDTO->getMid(),
                    'trn_remarks' => $reqMsgDTO->getTrnRemarks(),
                    'trn_currency' => $reqMsgDTO->getTrnCurrency(),
                    'trn_amt' => $reqMsgDTO->getTrnAmt(),
                    'metrans_reqtype' => $reqMsgDTO->getMeTransReqType(),
                    'addfield1' => $reqMsgDTO->getAddField1(),
                    'addfield2' => $reqMsgDTO->getAddField2(),
                    'addfield3' => $reqMsgDTO->getAddField3(),
                    'addfield4' => $reqMsgDTO->getAddField4(),
                    'addfield5' => $reqMsgDTO->getAddField5(),
                    'addfield6' => $reqMsgDTO->getAddField6(),
                    'addfield7' => $reqMsgDTO->getAddField7(),
                    'addfield8' => $reqMsgDTO->getAddField8(),
                    'merchant_request' => $merchantRequest
                );

            $this->PaymentManagement->insertPaymentDetails($paymentDetails);  

            $this->load->view("user/paymentgateway", $viewData);

            }

          

    }


}
