<?php

/**
 * Description of DocumentManagement
 *
 * @author Softpro India Pvt. Ltd
 */
class DocumentManagement extends CI_Model {

    function getDocumentByFlag($flag) {
        $this->db->select('*');
        $this->db->from('tbl_document_master');
        $this->db->where('doc_flag', $flag);
        return $this->db->get();
    }

    function createNewDocumentInfoMulti(array $newStudentDocumentsBatch) {
        $this->db->insert_batch('tbl_document_document_info', $newStudentDocumentsBatch);
        return $this->db->insert_id();
    }

    function getAllDocumentsOfStudentBy($tspi_id) {
        $this->db->select('*');
        $this->db->from('tbl_document_document_info TDDI');
        $this->db->join('tbl_document_master TDOCM', 'TDDI.tddi_doc_id = TDOCM.doc_id');
        $this->db->where('TDDI.tddi_mapping_id', $tspi_id);
        $this->db->where('TDDI.tddi_user_type_flag', "S");
        return $this->db->get();
    }

    function getUploadedDocumentOfStudentBy($tspi_id, $doc_id) {
        $this->db->select('*');
        $this->db->from('tbl_document_document_info TDDI');
        $this->db->where('TDDI.tddi_doc_id', $doc_id);
        $this->db->where('TDDI.tddi_mapping_id', $tspi_id);
        $this->db->where('TDDI.tddi_user_type_flag', "S");
        return $this->db->get();
    }

    function deleteStudentDocumentInfoEntry($tspi_id) {
        $this->db->where("tddi_mapping_id", $tspi_id);
        $this->db->where("tddi_user_type_flag", "S");
        $this->db->delete('tbl_document_document_info');
    }

}
