<?php $adminDetails = $this->session->userdata("admin_data");
?>
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Dashboard :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Admission Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/Chart.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <div class="row">
                    <div class="pull-left">
                        <nav aria-label="breadcrumb" class="pull-right">
                            <ol class="breadcrumb my-breadcrumb">
                                <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                                <li class="breadcrumb-item active" aria-current="page">Dashboard</li>
                            </ol>
                        </nav>
                    </div>

                    <div class="col pull-right">
                        <nav aria-label="breadcrumb" class="pull-right">
                            <?php echo form_open(site_url('admin/Dashboard/differentSession'), ['id' => 'changeSessionFrm', 'name' => 'changeSessionFrm']); ?>
                            <select id="sessions" name="session" class="form-control" onChange="changeSessionFrm.submit();">
                                <option>-Session-</option>
                                <?php
                                //print_r($session);
                                for ($i = 0; $i < sizeof($sessions); $i++) {
                                    $sess = $sessions[$i];
                                    $color = ($sess->session_status == 'C') ? "#00FF00" : "#FF0000";
                                    if ($selectedSessionId) {
                                        $selected = ($sess->session_id == $selectedSessionId) ? "selected" : "";
                                    } else {
                                        $selected = ($sess->session_status == 'C') ? "selected" : "";
                                    }
                                    ?>
                                    <option  style="color:<?php echo $color; ?>;" <?php echo $selected; ?> value="<?php echo $sess->session_id; ?>"><?php echo $sess->session_name; ?></option>
                                    <?php
                                }
                                ?>
                            </select>
                            <?php echo form_close(); ?>
                        </nav>
                    </div>

                </div>

                <div class="welcome-msg pt-3 pb-4">
                    <h1 >Hi <span class="text-primary"><?php echo $adminDetails["admin_name"]; ?></span>, Welcome back</h1>
                </div>
                <!-- statistics data -->
                <div class="statistics">
                    <div class="row">
                        <div class="col-xl-12 ">
                            <div class="row">
                                <div class="col-sm-3 pr-sm-2 statistics-grid">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-list-alt"> </i>
                                        <h3 class="text-primary number"><?php echo $courses; ?></h3>
                                        <p class="stat-text">Total Courses</p>
                                    </div>
                                </div>
                                <div class="col-sm-3 pl-sm-2 statistics-grid">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-building-o"> </i>
                                        <h3 class="text-secondary number"><?php echo $enquiries; ?></h3>
                                        <p class="stat-text">Total Enquiries</p>
                                    </div>
                                </div>
                                <div class="col-sm-3 pr-sm-2 statistics-grid">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-suitcase"> </i>
                                        <h3 class="text-primary number"><?php echo $completeApplications; ?></h3>
                                        <p class="stat-text">Total Complete Admission Applications</p>
                                    </div>
                                </div>
                                <div class="col-sm-3 pl-sm-2 statistics-grid">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-tasks"> </i>
                                        <h3 class="text-secondary number"><?php echo $incompleteApplications; ?></h3>
                                        <p class="stat-text">Total Incomplete Admission Applications</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- //statistics data -->
                <!-- charts -->

                <div class="chart">
                    <div class="row">
                        <div class="col-lg-4 pr-lg-2 chart-grid">
                            <div class="card text-center card_border">
                                <div class="card-header chart-grid__header">
                                    Admission Applications
                                </div>
                                <div class="card-body">
                                    <!-- pie chart -->
                                    <div id="canvas-holder">
                                        <canvas id="courseWiseApplications"></canvas>
                                    </div>
                                    <!-- //pie chart -->
                                </div>
                                <div class="card-footer text-muted chart-grid__footer">
                                    Course Wise
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 pr-lg-2 chart-grid">
                            <div class="card text-center card_border">
                                <div class="card-header chart-grid__header">
                                    Admission Applications
                                </div>
                                <div class="card-body">
                                    <!-- pie chart -->
                                    <div id="canvas-holder">
                                        <canvas id="applicationsByStatus"></canvas>
                                    </div>
                                    <!-- //pie chart -->
                                </div>
                                <div class="card-footer text-muted chart-grid__footer">
                                    Complete - Incomplete
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 pr-lg-2 chart-grid">
                            <div class="card text-center card_border">
                                <div class="card-header chart-grid__header">
                                    Enquiry Applications 
                                </div>
                                <div class="card-body">
                                    <!-- pie chart -->
                                    <div id="canvas-holder">
                                        <canvas id="courseWiseEnquiry"></canvas>
                                    </div>
                                    <!-- //pie chart -->
                                </div>
                                <div class="card-footer text-muted chart-grid__footer">
                                    Course Wise
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- //charts -->
                </div>
                <!-- //content -->
            </div>           
        </div>
        <!-- main content end-->
        <?php
        $this->load->view("admin/footer");
        ?>
        <script>
            var courseWiseApplication = <?php echo $courseWiseApplication; ?>;
            var courseWiseApplicationData = {
                type: 'bar',
                data: {
                    datasets: [{
                            data: courseWiseApplication.data,
                            backgroundColor: ["#FF6384", "#4BC0C0", "#FFCE56", "#BB9DFF", "#3bb300", "#000FFF", "#BB9D00", "#001a66", "#800000", "#f9a422", "#fffb00", "#225299"],
                            label: courseWiseApplication.labels
                        }],
                    labels: courseWiseApplication.labels
                },
                options: {
                    responsive: true
                }
            };

            var appByStatus = <?php echo $applicationByStatus; ?>;
            var applicationByStatusData = {
                type: 'doughnut',
                data: {
                    datasets: [{
                            data: appByStatus.data,
                            backgroundColor: ["#001a66", "#4BC0C0", "#FFCE56", "#BB9DFF", "#3bb300", "#000FFF", "#BB9D00", "#001a66", "#800000", "#f9a422", "#fffb00", "#225299"],
                            label: appByStatus.labels
                        }],
                    labels: appByStatus.labels
                },
                options: {
                    responsive: true
                }
            };

            var courseWiseEnquiry= <?php echo $courseWiseEnquiries; ?>;
            var courseWiseEnquiryData = {
                type: 'pie',
                data: {
                    datasets: [{
                            data: courseWiseEnquiry.data,
                            backgroundColor: ["#FF6384", "#4BC0C0", "#FFCE56", "#BB9DFF", "#3bb300", "#000FFF", "#BB9D00", "#001a66", "#800000", "#f9a422", "#fffb00", "#225299"],
                            label: courseWiseEnquiry.labels
                        }],
                    labels: courseWiseEnquiry.labels
                },
                options: {
                    responsive: true
                }
            };


            window.onload = function () {
                var courseWiseApplicationChart = document.getElementById('courseWiseApplications').getContext('2d');
                window.courseWiseApps = new Chart(courseWiseApplicationChart, courseWiseApplicationData);

                var applicationsByStatus = document.getElementById('applicationsByStatus').getContext('2d');
                window.appsByStatus = new Chart(applicationsByStatus, applicationByStatusData);

                var courseWiseEnquiry = document.getElementById('courseWiseEnquiry').getContext('2d');
                window.courseWiseEnq = new Chart(courseWiseEnquiry, courseWiseEnquiryData);
            };

        </script>