<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Declaration :: <?php if (sizeof($branch)) echo $branch[0]->branch_short_name; ?> | Admission Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">      
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel='stylesheet' type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script>  
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <div class="se-pre-con"></div>
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <section class="data-tables">
                    <?php echo form_open(site_url("user/Student/declareAdmissionForm")); ?>
                    <div class="card card_border p-5">
                        <h3 class="card__title"><i class="fa fa-table"></i>&nbsp;&nbsp;Admission Form Details & Declaration</h3><br>
                        <div class="card col-lg-10 offset-lg-1" id="appPrint">
                            <div class="card-header text-center">
                                <h2 class="font-weight-bold" style="color:#6555ab;">Admission Form Details</h2>
                            </div>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <div class="card-body">
                                <div class="form-row">
                                    <h2 class="card__title font-weight-bold"></i>COURSE APPLIED FOR</h2><br>
                                </div>
                                <HR >
                                <div class="form-row" style="border:0px solid black;">
                                    <div class="col-sm-12 p-2" style="font-size:16px; border:0px solid black;">
                                        <ul>
                                            <li><?php echo $stuPersonalInfoWithPicAndSign->course_name; ?> ( <?php echo $stuPersonalInfoWithPicAndSign->course_full_name; ?> )</li>
                                        </ul>
                                    </div>
                                </div>

                                <hr class="mt-2" style="border-top: 1px solid black;">
                                <div class="form-row ">
                                    <h2 class="card__title font-weight-bold"></i>PERSONAL DETAILS    </h2><br>
                                </div>
                                <hr >
                                <div class="form-row p-2" style="border:0px solid black;">
                                    <div class="col-sm-9 p-2" style="font-size:16px; border:0px solid black;">
                                        <div class="form-row">
                                            <div class="col-sm-3 font-weight-bold">Name :</div>
                                            <div class="col-sm-9"><?php echo $stuPersonalInfoWithPicAndSign->tspi_name; ?></div>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-sm-3 font-weight-bold">Gender :</div>
                                            <div class="col-sm-3"><?php
                                                if ($stuPersonalInfoWithPicAndSign->tspi_gender == "M")
                                                    echo "MALE";
                                                else
                                                    echo "FEMALE";
                                                ?></div>
                                            <div class="col-sm-3 font-weight-bold" >D.O.B. : </div>
                                            <div class="col-sm-3"><?php echo date("d-m-Y", strtotime($stuPersonalInfoWithPicAndSign->tspi_dob)); ?></div>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-sm-3 font-weight-bold">Category :</div>
                                            <div class="col-sm-3"><?php echo $stuPersonalInfoWithPicAndSign->tspi_category; ?></div>
                                            <div class="col-sm-3 font-weight-bold" >Religion : </div>
                                            <div class="col-sm-3"><?php echo $stuPersonalInfoWithPicAndSign->tspi_religion; ?></div>
                                        </div>
                                        <div class="form-row mt-2">
                                            <div class="col-sm-3 font-weight-bold">Mobile :</div>
                                            <div class="col-sm-3"><?php echo $stuPersonalInfoWithPicAndSign->tspi_mobile; ?></div>
                                            <div class="col-sm-2 font-weight-bold">Email : </div>
                                            <div class="col-sm-4"><?php echo $stuPersonalInfoWithPicAndSign->tspi_email; ?></div>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-sm-3 font-weight-bold">Parent Mobile / Landline :</div>
                                            <div class="col-sm-3"><?php
                                                echo $stuContactInfo->tsci_parent_mobile;
                                                echo ($stuContactInfo->tsci_parent_landline == "" ) ? "" : " / " . $stuContactInfo->tsci_parent_landline;
                                                ?></div>
                                            <div class="col-sm-3 font-weight-bold">Parent Annual Income : </div>
                                            <div class="col-sm-3"><?php echo $stuPersonalInfoWithPicAndSign->tspi_parent_annual_income; ?></div>
                                        </div>
                                        <hr style="border-top: 1px solid black;">
                                        <div class="form-row font-weight-bold mt-2">
                                            <div class="col-lg-10">Mailing Address :</div>                     
                                        </div>
                                        <hr>
                                        <div class="form-row mt-2">
                                            <div class="col-sm-3 font-weight-bold"> Street :</div>
                                            <div class="col-sm-9"><?php
                                                echo $stuContactInfo->tsci_resid_address_line_one;
                                                echo ($stuContactInfo->tsci_resid_address_line_two == "" || $stuContactInfo->tsci_resid_address_line_two == null) ? "" : ", " . $stuContactInfo->tsci_resid_address_line_two;
                                                echo ($stuContactInfo->tsci_resid_address_line_three == "" || $stuContactInfo->tsci_resid_address_line_three == null) ? "" : ", " . $stuContactInfo->tsci_resid_address_line_three;
                                                ?>
                                            </div>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-sm-1 font-weight-bold"> City :</div>
                                            <div class="col-sm-2"><?php echo $stuContactInfo->m_city_name; ?></div>
                                            <div class="col-sm-2 font-weight-bold"> State :</div>
                                            <div class="col-sm-3"><?php echo $stuContactInfo->m_state_name; ?></div>
                                            <div class="col-sm-2 font-weight-bold"> Pincode :</div>
                                            <div class="col-sm-2"><?php echo $stuContactInfo->tsci_resid_zipcode; ?></div>
                                        </div>
                                        <hr style="border-top: 1px solid black;">
                                        <div class="form-row font-weight-bold mt-2">
                                            <div class="col-lg-10">Permanent Address :</div> 

                                        </div>
                                        <hr>
                                        <div class="form-row mt-2">
                                            <div class="col-sm-3 font-weight-bold">Street :</div>
                                            <div class="col-sm-9"><?php
                                                echo $stuContactInfo->tsci_perma_address_line_one;
                                                echo ($stuContactInfo->tsci_perma_address_line_two == "" || $stuContactInfo->tsci_perma_address_line_two == null) ? "" : ", " . $stuContactInfo->tsci_perma_address_line_two;
                                                echo ($stuContactInfo->tsci_perma_address_line_three == "" || $stuContactInfo->tsci_perma_address_line_three == null) ? "" : ", " . $stuContactInfo->tsci_perma_address_line_three;
                                                ?></div>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-sm-1 font-weight-bold"> City :</div>
                                            <div class="col-sm-2"><?php echo $stuContactInfo->p_city_name; ?></div>
                                            <div class="col-sm-2 font-weight-bold"> State :</div>
                                            <div class="col-sm-3"><?php echo $stuContactInfo->p_state_name; ?></div>
                                            <div class="col-sm-2 font-weight-bold"> Pincode :</div>
                                            <div class="col-sm-2"><?php echo $stuContactInfo->tsci_perma_zipcode; ?></div>
                                        </div>
                                        <hr style="border-top: 1px solid black;">
                                        <div class="form-row mt-2">
                                            <div class="col-sm-3 font-weight-bold">Aadhar No. :</div>
                                            <div class="col-sm-3"><?php echo $aadharInfo->tipi_number; ?></div>
                                            <div class="col-sm-3 font-weight-bold">PAN No. : </div>
                                            <div class="col-sm-3"><?php echo $PANInfo->tipi_number; ?></div>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-sm-3 font-weight-bold">Caste Certificate No. :</div>
                                            <div class="col-sm-3"><?php echo $casteCertificateInfo->tipi_number; ?></div>
                                            <div class="col-sm-3 font-weight-bold">Income Certificate No.   : </div>
                                            <div class="col-sm-3"><?php echo $incomeCertificateInfo->tipi_number; ?></div>
                                        </div>
                                    </div>
                                    <div class="col-sm-3" style="border:0px solid black;">
                                        <div class="img-responsive text-center">
                                            <img src="<?php echo base_url("assets/admin/uploads/studentData/" . $studentPhotographDoc->tddi_doc_file_path); ?>" width="140px">
                                        </div>
                                    </div>
                                </div>

                                <hr class="mt-2" style="border-top: 1px solid black;">
                                <div class="form-row">
                                    <h2 class="card__title font-weight-bold"></i>EDUCATIONAL QUALIFICATION   </h2><br>
                                </div>
                                <hr >
                                <div class="form-row mt-4">
                                    <div class="col-lg-12" style="font-size:16px; border:0px solid black;">
                                        <table class="" border="1" style="border-collapse:collapse; table-layout:fixed; width:100%;">
                                            <thead>
                                                <tr valign="center">
                                                    <th>Name Of Examination</th>
                                                    <th>Board / University of Examination</th>
                                                    <th>Stream</th>
                                                    <th>Year of Passing</th>
                                                    <th>Max. Marks / CGPA</th>
                                                    <th>Marks / CGPA Obtained</th>
                                                    <th>% of Marks/CGPA Obtained</th>
                                                    <th>Division</th>                                             
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                for ($i = 0; $i < sizeof($stuEduQualifInfo); $i++) {
                                                    $rec = $stuEduQualifInfo[$i];
                                                    ?>
                                                    <tr>
                                                        <th><?php echo $rec->exam_name; ?></th>
                                                        <td><?php echo $rec->tesi_board; ?></td>
                                                        <td><?php echo $rec->tesi_stream; ?></td>
                                                        <td style="word-wrap:break-word;"><?php echo $rec->tesi_passing_year; ?></td>
                                                        <td><?php echo $rec->tesi_max_marks_cgpa; ?></td>
                                                        <td><?php echo $rec->tesi_cgpa; ?></td>
                                                        <td><?php echo $rec->tesi_percnt; ?></td>
                                                        <td><?php echo $rec->tesi_division; ?></td>
                                                    </tr>
                                                    <?php
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <hr class="mt-3" >
                                <div class="form-row">
                                    <h2 class="card__title font-weight-bold"></i>FAMILY BACKGROUND DETAILS</h2><br>
                                </div>
                                <hr class="mt-3">

                                <div class="form-row">
                                    <div class="col-lg-12" style="font-size:16px; border:0px solid black;">
                                        <table class="" border="1" style="border-collapse:collapse; table-layout:fixed; width:100%;">
                                            <thead>
                                                <tr valign="center">
                                                    <th >Name</th>
                                                    <th >Relationship</th>
                                                    <th >Designation</th>
                                                    <th>Organization</th>                                            
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                for ($i = 0; $i < sizeof($stuFamilyBGInfo); $i++) {
                                                    $rec = $stuFamilyBGInfo[$i];
                                                    ?>
                                                    <tr>
                                                        <td><?php echo $rec->tfbi_name; ?></td>
                                                        <td><?php echo $rec->rel_title; ?></td>
                                                        <td style="word-wrap:break-word;"><?php echo $rec->tfbi_designation; ?></td>
                                                        <td><?php echo $rec->tfbi_organization; ?></td>
                                                    </tr>
                                                    <?php
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <br>
                                <br>
                                <hr class="mt-3">

                                <div class="form-row font-weight-bold mt-4">
                                    <h2 class="card__title font-weight-bold">EXTRA-CURRICULAR ACTIVITIES/GAMES/SPORTS</h2>                     
                                </div>
                                <hr>
                                <div class="form-row mt-2">
                                    <div class="col-sm-12 font-weight-bold"><?php echo $stuEntranceExamAndProfExpInfo->tsevi_extra_activities; ?></div>
                                </div>
                                <hr class="mt-3" style="border-top: 1px solid black;">
                                <div class="form-row font-weight-bold mt-4">
                                    <h2 class="card__title font-weight-bold">ENTRANCE EXAM APPEARED</h2>                     
                                </div>
                                <hr >
                                <div class="form-row mt-2">
                                    <div class="col-sm-3 font-weight-bold">Exam :</div>
                                    <div class="col-sm-3"><?php echo $stuEntranceExamAndProfExpInfo->tsevi_entrance_through; ?></div>
                                    <div class="col-sm-3 font-weight-bold">Registration/Form No.:</div>
                                    <div class="col-sm-3"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_entrance_through == "NA") ? "" : $stuEntranceExamAndProfExpInfo->tsevi_form_no; ?></div>
                                </div>

                                <?php
                                if ($stuEntranceExamAndProfExpInfo->tsevi_entrance_through == "UPSEE") {
                                    ?>
                                    <div class="form-row mt-2">
                                        <div class="col-sm-3 font-weight-bold">Percentage:</div>
                                        <div class="col-sm-3"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_entrance_through == "NA") ? "" : $stuEntranceExamAndProfExpInfo->tsevi_percntage; ?></div>
                                        <div class="col-sm-3 font-weight-bold">Rank : </div>
                                        <div class="col-sm-3"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_entrance_through == "NA") ? "" : $stuEntranceExamAndProfExpInfo->tsevi_rank; ?></div>
                                    </div>
                                <?php } else {
                                    ?>
                                    <div class="form-row mt-2">
                                        <div class="col-sm-3 font-weight-bold">Composite Score:</div>
                                        <div class="col-sm-3"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_entrance_through == "NA") ? "" : $stuEntranceExamAndProfExpInfo->tsevi_composite_score; ?></div>
                                        <div class="col-sm-3 font-weight-bold">Percentile Obtained : </div>
                                        <div class="col-sm-3"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_entrance_through == "NA") ? "" : $stuEntranceExamAndProfExpInfo->tsevi_percnt_obtained; ?></div>
                                    </div>
                                <?php }
                                ?>
                                <hr class="mt-3" style="border-top: 1px solid black;">
                                <div class="form-row font-weight-bold mt-4">
                                    <h2 class="card__title font-weight-bold">HOSTLE DESIRED</h2>                     
                                </div>
                                <hr>
                                <div class="form-row mt-2">
                                    <div class="col-sm-3 font-weight-bold">Opted : </div>
                                    <div class="col-sm-9"><?php
                                        if ($hostelInfo->tshri_is_hostel_opted == "T")
                                            echo "YES";
                                        else
                                            echo "NO";
                                        ?></div>
                                </div>
                                <?php
                                if ($stuEntranceExamAndProfExpInfo->tsevi_is_prof_exp == "T") {
                                    ?>
                                    <hr class="mt-3" style="border-top: 1px solid black;">

                                    <div class="form-row font-weight-bold">
                                        <h2 class="card__title font-weight-bold">PROFESSIONAL EXPERIENCE</h2>                     
                                    </div>
                                    <hr>
                                    <div class="form-row">
                                        <div class="col-sm-3 font-weight-bold">Experience(In Years) :</div>
                                        <div class="col-sm-3"><?php echo $stuEntranceExamAndProfExpInfo->tsevi_no_of_years; ?></div>
                                        <div class="col-sm-3 font-weight-bold">Organization : </div>
                                        <div class="col-sm-3"><?php echo $stuEntranceExamAndProfExpInfo->tsevi_organization; ?></div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-3 font-weight-bold">Job Description :</div>
                                        <div class="col-sm-12"><?php echo $stuEntranceExamAndProfExpInfo->tsevi_job_desc; ?></div>
                                    </div>
                                <?php } ?>
                                <hr class="mt-3" style="border-top: 1px solid black;">
                                <div class="form-row font-weight-bold mt-4 ">
                                    <h4 class="card__title font-weight-bold">HOW DID YOU COME TO KNOW ABOUT IET, AGRA?</h4>                     
                                </div>
                                <hr >
                                <div class="form-row mt-3">
                                    <div class="col-sm-12"><?php
                                        if ($stuEntranceExamAndProfExpInfo->tsevi_how_know_sms == "F")
                                            echo "FRIENDS/RELATIVES";
                                        else if ($stuEntranceExamAndProfExpInfo->tsevi_how_know_sms == "A")
                                            echo "ADVERTISEMENT";
                                        else if ($stuEntranceExamAndProfExpInfo->tsevi_how_know_sms == "T")
                                            echo "TEACHERS";
                                        else if ($stuEntranceExamAndProfExpInfo->tsevi_how_know_sms == "I")
                                            echo "INTERNET";
                                        else if ($stuEntranceExamAndProfExpInfo->tsevi_how_know_sms == "O")
                                            echo $stuEntranceExamAndProfExpInfo->tsevi_how_know_sms;
                                        ?></div>
                                </div>
                                <hr style="border-top: 1px solid black;">

                                <div class="form-row font-weight-bold mt-4">
                                    <h4 class="card__title font-weight-bold">REMARKS : </h4>                     
                                </div>
                                <hr>
                                <div class="form-row mt-3">
                                    <div class="col-sm-12"><?php echo $stuPersonalInfoWithPicAndSign->tspi_remarks; ?></div>
                                </div>
                                <hr class="mt-3" style="border-top: 1px solid black;">
                                <div class="form-row">
                                    <div class="col-sm-3 font-weight-bold">Date (Today): </div>
                                    <div class="col-sm-3"><?php echo date("d-m-Y H:i:s A"); ?></div>
                                    <div class="col-sm-3 font-weight-bold">Signature : </div>
                                    <div class="col-sm-3"><img src="<?php echo base_url("assets/admin/uploads/studentData/" . $studentSignDoc->tddi_doc_file_path); ?>" width="100"></div>
                                </div>
                                <hr style="border-top: 1px solid black;">
                                <div class="form-row">
                                    <div class="col-sm-11">
                                        <input type="checkbox"  class="form-check-input" name="declaration" id="declaration">  
                                        <label class="form-check-label" style="text-decoration: none;" for="declaration">I hereby declared that information supplied above 
                                            is true and complete to the best of my knowledge and belief 
                                            and my admission may be cancelled at any state if it is found 
                                            to be incorrect.I also undertake to abide by all the rules 
                                            and regulations of the institute from time to time.</label>

                                    </div>


                                </div>
                            </div>
                        </div>
                        <div class="form-row mt-3 ">
                            <div class="text-center col-sm-12">
                                <input type="hidden" name="tspi_id" value="<?php echo $stuPersonalInfoWithPicAndSign->tspi_id; ?>">
                                <button class="btn btn-primary">Final Submit</button>
                            </div>
                        </div>
                    </div>
                    <?php echo form_close(); ?>
                </section>
            </div>
            <!-- //content -->
        </div> 
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>


<script>
    $(document).ready(function () {
        $("#print").on("click", function () {
            var printContents = document.getElementById("appPrint").innerHTML;
            var originalContents = document.body.innerHTML;
            document.body.innerHTML = printContents;
            window.print();
            document.body.innerHTML = originalContents;

        });
    });
</script>