
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Courses :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Data Management</li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Course Report</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-table"></i> Course Report</h3><br>
                        <div class="table-responsive">
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <?php
                            if ($this->session->userdata("alumni_admin_data")["admin_role"] == "Master Admin") {
                                ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Course/createCourse"); ?>'" tooltip="Add New Course"><i class="fa fa-plus"></i> Add New Course</button><br><br>    
                                <?php
                            }
                            ?>
                            <table id="allCourses" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Course Name</th>
                                        <th>Duration(In Years)</th>
                                        <th>No. Of Semester</th>
                                         <?php if($this->session->userdata("alumni_admin_data")["admin_role"]=="Master Admin"){ ?>
                                        <th>Action</th>
                                         <?php } ?>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Course Name</th>
                                        <th>Duration(In Years)</th>
                                        <th>No. Of Semester</th>
                                         <?php if($this->session->userdata("alumni_admin_data")["admin_role"]=="Master Admin"){ ?>
                                        <th>Action</th>
                                         <?php } ?>
                                    </tr>
                                </tfoot>
                                <tbody>
                                    <?php
                                    for ($i = 0; $i < sizeof($courses); $i++) {
                                        $record = $courses[$i];
                                        ?>
                                        <tr>
                                            <td><?php echo ($i + 1); ?></td>
                                            <td><?php echo stripslashes($record->c_name); ?></td>                                        
                                            <td><?php echo stripslashes($record->c_duration); ?></td>
                                            <td><?php echo stripslashes($record->c_semesters); ?></td>    
                                            <?php if ($this->session->userdata("alumni_admin_data")["admin_role"] == "Master Admin") { ?>
                                            <td>
                                                
                                                    <a href="<?php echo site_url("admin/Course/editCourse/$record->c_id") ?>"><i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit Course's Detail" onClick=""  ></i></a>
                                                    <?php
                                                    if ($record->c_status == "t") {
                                                        ?>
                                                        <a href="<?php echo site_url("admin/Course/toggleCourseStatus/$record->c_id/f") ?>"><i class='fa fa-check-circle' style='color:#297534;cursor: pointer;' data-toggle="tooltip" title="Click To Disable Course" ></i></a>
                                                        <?php
                                                    } else {
                                                        ?>
                                                        <a href="<?php echo site_url("admin/Course/toggleCourseStatus/$record->c_id/t") ?>"><i class='fa fa-ban' style='color:#FF0000;cursor: pointer;' data-toggle="tooltip" title="Click To Enable Course"  ></i></a>
                                                            <?php
                                                        }
                                                    
                                                    ?>
                                            </td>
                                            <?php
                                            }
                                            ?>
                                        </tr>
<?php } ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
    <script>
        $(document).ready(function () {
            $("#allCourses").DataTable({responsive: true, dom: 'Blfrtip'})
        });
        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
            document.getElementById("dataManagement").classList.remove("active");
            document.getElementById("admin").classList.remove("active");
            document.getElementById("notification").classList.remove("active");
            document.getElementById("reports").classList.remove("active");
<?php
if ($this->session->userdata("alumni_admin_data")["admin_role"] == "Master Admin") {
    ?>
                document.getElementById("adminManagement").classList.remove("active");
    <?php
}
?>
            document.getElementById("dataManagement").classList.add("active");
        });
    </script>
