
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Dashboard :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/Chart.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Dashboard</li>
                    </ol>
                </nav>
                <div class="welcome-msg pt-3 pb-4">
                    <h1>Hi <span class="text-primary"><?php echo $adminSessionData["admin_name"]; ?></span>, Welcome back</h1>
                </div>
                <!-- statistics data -->
                <div class="statistics">
                    <div class="row">
                        <div class="col-xl-12 ">
                            <div class="row">
                                <div class="col-sm-6 pr-sm-2 statistics-grid">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-users"> </i>
                                        <h3 class="text-primary number"><?php echo $totalStudent; ?></h3>
                                        <p class="stat-text">Total Students</p>
                                    </div>
                                </div>
                                <div class="col-sm-6 pl-sm-2 statistics-grid">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-university"> </i>
                                        <h3 class="text-secondary number"><?php echo $totalAlumni; ?></h3>
                                        <p class="stat-text">Total Alumni</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- //statistics data -->
                <!-- charts -->
                <div class="chart">
                    <div class="row">
                        <div class="col-lg-4 pr-lg-2 chart-grid">
                            <div class="card text-center card_border">
                                <div class="card-header chart-grid__header">
                                    Students Registrations 
                                </div>
                                <div class="card-body">
                                    <!-- pie chart -->
                                    <div id="canvas-holder">
                                        <canvas id="stuPiechart"></canvas>
                                    </div>
                                    <!-- //pie chart -->
                                </div>
                                <div class="card-footer text-muted chart-grid__footer">
                                    Course-wise
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 pr-lg-2 chart-grid">
                            <div class="card text-center card_border">
                                <div class="card-header chart-grid__header">
                                    Alumni Registration
                                </div>
                                <div class="card-body">
                                    <!-- pie chart -->
                                    <div id="canvas-holder">
                                        <canvas id="aluPiechart"></canvas>
                                    </div>
                                    <!-- //pie chart -->
                                </div>
                                <div class="card-footer text-muted chart-grid__footer">
                                    Course-wise
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 pl-lg-2 chart-grid">
                            <div class="card text-center card_border">
                                <div class="card-header chart-grid__header">
                                    Student-Alumni Registration
                                </div> 
                                <div class="card-body">
                                    <!-- line chart -->
                                    <div id="container">
                                        <canvas id="linechart"></canvas>
                                    </div>
                                    <!-- //line chart -->
                                </div>
                                <div class="card-footer text-muted chart-grid__footer">
                                    Course-wise
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- //charts -->
                </div>
                <!-- //content -->
            </div>           
        </div>
        <!-- main content end-->
        <?php
        $this->load->view("admin/footer");
        ?>
        <script>
            var studentCountPerCourse = <?php echo $studentCountPerCourse; ?>;
            var studentData = {
                type: 'pie',
                data: {
                    datasets: [{
                            data: studentCountPerCourse.data,
                            backgroundColor: ["#FF6384", "#4BC0C0", "#FFCE56", "#BB9DFF", "#3bb300", "#000FFF", "#BB9D00", "#001a66", "#800000", "#f9a422", "#fffb00", "#225299"],
                            label: 'Dataset 1'
                        }],
                    labels: studentCountPerCourse.labels
                },
                options: {
                    responsive: true
                }
            };
            var alumniCountPerCourse = <?php echo $alumniCountPerCourse; ?>;
            var alumniData = {
                type: 'pie',
                data: {
                    datasets: [{
                            data: alumniCountPerCourse.data,
                            backgroundColor: ["#FF6384", "#4BC0C0", "#FFCE56", "#BB9DFF", "#3bb300", "#000FFF", "#BB9D00", "#001a66", "#800000", "#f9a422", "#fffb00", "#225299"],
                            label: 'Dataset 1'
                        }],
                    labels: alumniCountPerCourse.labels
                },
                options: {
                    responsive: true
                }
            };
            window.onload = function () {
                var stuChart = document.getElementById('stuPiechart').getContext('2d');
                window.myPie1 = new Chart(stuChart, studentData);
                var aluChart = document.getElementById('aluPiechart').getContext('2d');
                window.myPie2 = new Chart(aluChart, alumniData);
            };
            new Chart(document.getElementById("linechart"), {
                type: 'line',
                data: {
                    labels: alumniCountPerCourse.labels,
                    datasets: [{
                            label: 'Student',
                            backgroundColor: window.chartColors.navy,
                            borderColor: window.chartColors.navy,
                            data: studentCountPerCourse.data,
                            fill: false,
                        }, {
                            label: 'Alumni',
                            fill: false,
                            backgroundColor: window.chartColors.purple,
                            borderColor: window.chartColors.purple,
                            data: alumniCountPerCourse.data,
                        }]
                },
                options: {
                    responsive: true,
                    // title: {
                    // 	display: true,
                    // 	text: 'Chart.js Line Chart'
                    // },
                    tooltips: {
                        mode: 'index',
                        intersect: false,
                    },
                    hover: {
                        mode: 'nearest',
                        intersect: true
                    },
                    scales: {
                        xAxes: [{
                                display: true,
                                scaleLabel: {
                                    display: true,
                                    labelString: 'Month'
                                }
                            }],
                        yAxes: [{
                                display: true,
                                scaleLabel: {
                                    display: true,
                                    labelString: 'Value'
                                }
                            }]
                    }
                }
            });
            $(document).ready(function () {
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("dataManagement").classList.remove("active");
                document.getElementById("admin").classList.remove("active");
                document.getElementById("notification").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                <?php
                if ($this->session->userdata("alumni_admin_data")["admin_role"] == "Master Admin") {
                    ?>
                                    document.getElementById("adminManagement").classList.remove("active");
                    <?php
                }
                ?>
                        document.getElementById("dashboard").classList.add("active");
            });
        </script>