
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Edit Notification :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel="stylesheet">
        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script> 
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Notification"); ?>">Notifications</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Create Notification</a></li>
                    </ol>
                </nav>
                <div class="col-xl-12  pr-xl-2">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <!-- form -->
                            <?php echo form_open_multipart(site_url("admin/Notification/updateNotification")); ?>
                            <div class="register__header text-center mb-lg-5 mb-4">
                                <h3 class="register__title mb-2"> Create Notification</h3>
                            </div>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        <label for="title" class="input__label required">Title</label>
                                        <input type="text" value="<?php echo ($notification->n_title == null || $notification->n_title == "") ? "" : $notification->n_title; ?>" name="title" id="title" class="form-control login_text_field_bg input-style"
                                               aria-describedby="title" placeholder="Enter Title" s>
                                    </div>
                                    <div class="form-group">
                                        <label for="occasion" class="input__label required">Occassion/Festival Name</label>
                                        <input type="text" value="<?php echo ($notification->n_occasion == null || $notification->n_occasion == "") ? "" : $notification->n_occasion; ?>" name="occasion" id="occasion" class="form-control login_text_field_bg input-style"
                                               aria-describedby="occasion" placeholder="Enter Occasion" >
                                    </div>
                                    <div class="form-group">
                                        <label for="url" class="input__label">URL</label>
                                        <input type="text" value="<?php echo ($notification->n_url == null || $notification->n_url == "") ? "" : $notification->n_url; ?>" name="url" id="url" class="form-control login_text_field_bg input-style"
                                               aria-describedby="url" placeholder="Enter URL" >
                                    </div>
                                    <div class="form-group">
                                        <label for="schedule_date" class="input__label required">Schedule Date</label>
                                        <input type="text" readonly="readonly" value="<?php echo ($notification->n_scheduled_date == null || $notification->n_scheduled_date == "") ? "" : date("d/m/Y", strtotime($notification->n_scheduled_date)); ?>" name="schedule_date" id="schedule_date" class="form-control login_text_field_bg input-style"
                                               aria-describedby="schedule_date" placeholder="Select Schedule Date">
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        <label for="photo" class="input__label ">Attachment Photo</label>
                                        <input type="file" value="<?php echo set_value("occassion"); ?>" name="photo" id="photo" class="form-control login_text_field_bg input-style"
                                               aria-describedby="photo" placeholder="Choose An Image" >
                                    </div>
                                    <div class="form-group">
                                        <label for="icon" class="input__label ">Choose Icon</label>
                                        <input type="file" value="<?php echo set_value("occassion"); ?>" name="icon" id="icon" class="form-control login_text_field_bg input-style"
                                               aria-describedby="icon" placeholder="Choose An Image" >
                                    </div>
                                    <div class="form-group">
                                        <label for="for" class="input__label required">Notification For</label>
                                        <select value="<?php echo set_value("content"); ?>" name="for" id="for" class="form-control login_text_field_bg input-style"
                                                aria-describedby="for">
                                            <option selected disabled="true">-For-</option>
                                            <option <?php if ($notification->n_for == 'Student') echo "selected"; ?> value="Student">Student</option>
                                            <option <?php if ($notification->n_for == 'Alumni') echo "selected"; ?> value="Alumni">Alumni</option>
                                            <option <?php if ($notification->n_for == 'Both') echo "selected"; ?> value="Both">Both</option>
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <label for="type" class="input__label required">Notification Type</label>
                                        <select  name="type" id="type" class="form-control login_text_field_bg input-style"
                                                 aria-describedby="type">
                                            <option selected disabled="true">-Type-</option>
                                            <option <?php if ($notification->n_type == 'S') echo "selected"; ?> value="S">Special</option>
                                            <option <?php if ($notification->n_type == 'G') echo "selected"; ?> value="G">General</option>
                                            <option <?php if ($notification->n_type == 'F') echo "selected"; ?> value="F">Festival Wish</option>
                                            <option <?php if ($notification->n_type == 'M') echo "selected"; ?> value="M">Marriage Anniversary</option>
                                            <option <?php if ($notification->n_type == 'B') echo "selected"; ?> value="B">Birthday Wish</option>
                                        </select>
                                    </div>
                                </div>
                            </div>  
                            <div class="row">
                                <div class="col-xl-6">
                                    <div class="form-group">
                                        <label for="content" class="input__label required">Content</label>
                                        <textarea  name="content" rows="5" id="content" class="form-control login_text_field_bg input-style"
                                                   aria-describedby="content" placeholder="Enter Content" ><?php echo ($notification->n_content == null || $notification->n_content == "") ? "" : $notification->n_content; ?></textarea>
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="row p-4">
                                        <div class="col-lg-6 text-center">
                                            <label class="input__label"><b>Icon Image</b></label><br>
                                            <img src="<?php echo base_url() . $notification->n_icon; ?>" height="100px">
                                        </div>
                                        <div class="col-lg-6  text-center">
                                            <label class="input__label"><b>Notification Image</b></label><br>
                                            <img src="<?php echo base_url() . $notification->n_photo; ?>" height="100px">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="d-flex align-items-center flex-wrap justify-content-center">
                                <input type="hidden" name="n_id" value="<?php echo $notification->n_id; ?>">                                
                                <input type="hidden" name="prev_n_icon" value="<?php echo $notification->n_icon; ?>">
                                <input type="hidden" name="prev_n_photo" value="<?php echo $notification->n_photo; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">SAVE</button>
                            </div>
                            <br>
                            <span style="color:red;">(*) marked fields are mandatory.</span>
                            <?php echo form_close(); ?>
                            <!-- //form -->
                        </div>
                    </div>
                </div>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
    <script >
        $("#schedule_date").datepicker({
            dateFormat: "dd/mm/yy",
            changeMonth: true,
            changeYear: true,
            numberOfMonths: 1,
            minDate: 0,
            maxDate: "+1M"
        });
        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
            document.getElementById("dataManagement").classList.remove("active");
            document.getElementById("admin").classList.remove("active");
            document.getElementById("notification").classList.remove("active");
            document.getElementById("reports").classList.remove("active");
            document.getElementById("adminManagement").classList.remove("active");
            document.getElementById("notification").classList.add("active");
        });
    </script>
