<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Posts :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title> 
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Reports</li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Post Reports</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-table"></i> Post's Reports</h3><br>
                        <div class="table-responsive">
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <table id="postsData" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>By</th>
                                        <th>Content</th>
                                        <th>For</th>
                                        <th>Posted On</th>
                                        <th>Photo</th>
                                        <th>Post Report Count</th>
                                        <?php if ($this->session->userdata("alumni_admin_data")["admin_role"] == "Master Admin") { ?>
                                            <th>Action</th>
                                        <?php } ?>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>By</th>
                                        <th>Content</th>
                                        <th>For</th>
                                        <th>Posted On</th>
                                        <th>Photo</th>
                                        <th>Post Report Count</th>
                                        <?php if ($this->session->userdata("alumni_admin_data")["admin_role"] == "Master Admin") { ?>
                                            <th>Action</th>
                                        <?php } ?>
                                    </tr>
                                </tfoot>
                                <tbody>
                                    <?php
                                    for ($i = 0; $i < sizeof($posts); $i++) {
                                        $record = $posts[$i];
                                        ?>
                                        <tr>
                                            <td><?php echo ($i + 1); ?></td>
                                            <td><?php echo stripslashes($record->name); ?></td>                                        
                                            <td><?php echo stripslashes($record->pst_content); ?></td>
                                            <td><?php echo stripslashes($record->pst_for); ?></td> 
                                            <td><?php echo ($record->datentime == null || $record->datentime == "") ? "N/A" : date("d-m-Y H:i:sa", strtotime($record->datentime)); ?></td> 
                                            <td>             
                                                <img src="<?php echo base_url() . $record->pst_pic; ?>" width="150px">
                                            </td> 
                                            <td><?php echo stripslashes($record->pst_report_count); ?></td> 
                                            <?php if ($this->session->userdata("alumni_admin_data")["admin_role"] == "Master Admin") { ?>
                                                <td>
                                                    <?php
                                                    if ($record->pst_publish_status == "t") {
                                                        ?>
                                                        <i style="color:#FF0000;cursor: pointer;" onClick="window.location.href = '<?php echo site_url('admin/Post/togglePostStatus/' . $record->pst_id) . "/f" ?>'" data-toggle="tooltip" title="Change Status" class="fa fa-ban"></i>
                                                        <?php
                                                    } else {
                                                        ?>
                                                        <i style="color:#297534;cursor: pointer;" onClick="window.location.href = '<?php echo site_url('admin/Post/togglePostStatus/' . $record->pst_id) . "/t" ?>'" data-toggle="tooltip" title="Change Status" class="fa fa-check-circle"></i>
                                                        <?php
                                                    }
                                                    ?>
                                                </td>
                                            <?php }
                                            ?>
                                        </tr>
                                    <?php }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
    <script>
        $(document).ready(function () {
            $("#postsData").DataTable();
        });
        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
            document.getElementById("dataManagement").classList.remove("active");
            document.getElementById("admin").classList.remove("active");
            document.getElementById("notification").classList.remove("active");
            document.getElementById("reports").classList.remove("active");
<?php
if ($this->session->userdata("alumni_admin_data")["admin_role"] == "Master Admin") {
    ?>
                document.getElementById("adminManagement").classList.remove("active");
    <?php
}
?>
            document.getElementById("reports").classList.add("active");
        });
    </script>
