
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>User Profile :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Admin</li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/User/manageUsers"); ?>">Manage Student-Alumni</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">User Profile</a></li>
                    </ol>
                </nav>
                <div class="col-xl-12  pr-xl-2">
                    <!-- form -->
                    <div class="register__header text-center mb-3">
                        <h3 class="card__title pull-left"><i class="fa fa-user-circle"></i> &nbsp;User Profile</h3><br>
                    </div>
                    <?php if (validation_errors() != false) { ?>
                        <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                    <?php } ?>
                    <?php if ($this->session->flashdata('successMessage')) { ?>
                        <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                    <?php } ?>
                    <?php if ($this->session->flashdata('errorMessage')) { ?>
                        <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                    <?php } ?>
                    <div class="row">
                        <div class="col-lg-3" style="border:0px solid black;">
                            <div class="card card_border p-md-4">
                                <div class="card-body">
                                    <div class="text-center">
                                        <?php
                                        if (file_exists("./" . $personalAndProfileData->p_photo) && $personalAndProfileData->p_photo != "") {
                                            //echo "Image exist";
                                            ?>
                                            <img class="img-fluid" src="
                                            <?php
                                            echo base_url() . $personalAndProfileData->p_photo;
                                            ?>">
                                                 <?php
                                             } else {
                                                 //echo "Image not exist";
                                                 ?>
                                            <img src="<?php echo base_url("assets/admin/images/profileimg.png"); ?>">
                                            <?php
                                        }
                                        ?>
                                        <h3 class="input__label"><?php echo $personalAndProfileData->name; ?></h3>
                                        <label class="input__label"><b><u><?php echo $personalAndProfileData->c_name; ?></u> - </b></label>
                                        <label class="input__label"><b><u><?php echo $personalAndProfileData->user_type; ?></u></b></label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-9" style="border:0px solid black;">
                            <div class="card card_border p-md-4">
                                <div class="card-body">
                                    <nav>
                                        <div class="nav nav-tabs" id="nav-tab" role="tablist">
                                            <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-persoanl" role="tab" aria-controls="nav-home" aria-selected="true"><i class="fa fa-info"></i> &nbsp;Personal Info.</a>
                                            <a class="nav-item nav-link" id="nav-home-tab" data-toggle="tab" href="#nav-education" role="tab" aria-controls="nav-home" aria-selected="true"><i class="fa fa-university"></i> &nbsp;Educational Info.</a>
                                            <?php if ($personalAndProfileData->user_type == "Alumni") { ?>
                                                <a class="nav-item nav-link" id="nav-profile-tab" data-toggle="tab" href="#nav-job" role="tab" aria-controls="nav-profile" aria-selected="false"><i class="fa fa-user"></i>&nbsp;Job</a>
                                            <?php } ?>
                                            <a class="nav-item nav-link" id="nav-contact-tab" data-toggle="tab" href="#nav-contact" role="tab" aria-controls="nav-contact" aria-selected="false"><i class="fa fa-phone-square"></i>&nbsp;Contact</a>
                                            <a class="nav-item nav-link" id="nav-gallary-tab" data-toggle="tab" href="#nav-gallery" role="tab" aria-controls="nav-gallery" aria-selected="false"><i class="fa fa-image"></i>&nbsp;Gallery</a>
                                        </div>
                                    </nav>
                                    <div class="tab-content" id="nav-tabContent">
                                        <div class="tab-pane fade show active" id="nav-persoanl" role="tabpanel" aria-labelledby="nav-home-tab">
                                            <div class="col-lg-12 mt-3 p-0">
                                                <div class="card">
                                                    <div class="card-body">
                                                        <div class="form-row">
                                                            <div class="col-lg-2"><b>Email</b></div>
                                                            <div class="col-lg-4"><?php echo strtoupper($personalAndProfileData->email); ?></div>
                                                            <div class="col-lg-2"><b>Mobile</b></div>
                                                            <div class="col-lg-4"><?php echo $personalAndProfileData->mobile; ?></div>
                                                        </div>
                                                        <div class="form-row">
                                                            <div class="col-lg-2"><b>Gender </b></div>
                                                            <div class="col-lg-4"><?php
                                                                if ($personalAndProfileData->gender == "M")
                                                                    echo "Male";
                                                                else
                                                                    echo "Female";
                                                                ?></div>
                                                            <div class="col-lg-2"><b>D.O.B. </b></div>
                                                            <div class="col-lg-4"><?php echo date("d-m-Y", strtotime($personalAndProfileData->dob)); ?></div>
                                                        </div>
                                                        <div class="form-row">
                                                            <div class="col-lg-2"><b>Registration Date </b></div>
                                                            <div class="col-lg-4"><?php echo date("d-m-Y", strtotime($personalAndProfileData->date_added)); ?></div>
                                                            <div class="col-lg-2"><b>Session  </b></div>
                                                            <div class="col-lg-4"><?php echo $personalAndProfileData->session; ?></div>
                                                        </div>
                                                        <div class="form-row">
                                                            <div class="col-lg-2"><b>Alternate Email</b></div>
                                                            <div class="col-lg-4"><?php echo ($personalAndProfileData->a_mail == null || $personalAndProfileData->a_mail == "") ? "N/A" : $personalAndProfileData->a_mail; ?></div>
                                                            <div class="col-lg-2"><b>Alternate Mobile</b></div>
                                                            <div class="col-lg-4"><?php echo ($personalAndProfileData->a_mobile == null || $personalAndProfileData->a_mobile == "") ? "N/A" : $personalAndProfileData->a_mobile; ?></div>
                                                        </div>
                                                        <div class="form-row">
                                                            <div class="col-lg-2"><b>Aniversary Date </b></div>
                                                            <div class="col-lg-4"><?php echo ($personalAndProfileData->a_date == null || $personalAndProfileData->a_date == "") ? "N/A" : date("d-m-Y", strtotime($personalAndProfileData->a_date)); ?></div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade" id="nav-job" role="tabpanel" aria-labelledby="nav-profile-tab">
                                            <?php
                                            if (sizeof($jobData) == 0 && $personalAndProfileData->user_type == "Alumni") {
                                                //echo "Hello";
                                                ?>
                                                <div class="col-lg-12 mt-3 p-0">
                                                    <div class="card mt-3 p-4">
                                                        <p class="alert-danger">No Job Updated yet.</p>
                                                    </div>
                                                </div>
                                                <?php
                                            } else {
                                                foreach ($jobData as $job) {
                                                    ?>
                                                    <div class="col-lg-12 mt-3 p-0">
                                                        <div class="card <?php if ($job->job_delete_status == 't') echo "text-white bg-danger mb-3"; ?>">
                                                            <div class="card-header">Job At <?php echo ($job->company_name == null || $job->company_name == "") ? "" : $job->company_name; ?> </div>
                                                            <div class="card-body">
                                                                <div class="form-row">
                                                                    <div class="col-lg-2"><b>Designation </b></div>
                                                                    <div class="col-lg-4"><?php echo ($job->designation == null || $job->designation == "") ? "" : $job->designation; ?></div>
                                                                    <div class="col-lg-2"><b>Role</b></div>
                                                                    <div class="col-lg-4"><?php echo ($job->role == null || $job->role == "") ? "" : $job->role; ?></div>
                                                                </div>
                                                                <div class="form-row">
                                                                    <div class="col-lg-2"><b>Session </b></div>
                                                                    <div class="col-lg-4"><?php echo $job->j_from; ?> - <?php echo $job->j_to; ?></div>
                                                                    <div class="col-lg-2"><b>Job Status  </b></div>
                                                                    <div class="col-lg-4"><?php echo $job->j_status; ?></div>
                                                                </div>
                                                                <div class="form-row">
                                                                    <div class="col-lg-2"><b>Address </b></div>
                                                                    <div class="col-lg-10"><?php
                                            echo $job->address1 . "," . $job->address2 . ", ";
                                            echo ($job->landmark == null || $job->landmark == "") ? "" : $job->landmark . ", ";
                                            echo ($job->city == null || $job->city == "") ? "" : $job->city . ", ";
                                            echo ($job->state == null || $job->state == "") ? "" : $job->state . ", ";
                                            echo ($job->country == null || $job->country == "") ? "" : $job->country;
                                            echo ($job->pincode == null || $job->pincode == "") ? "" : " - " . $job->pincode . ".";
                                                    ?></div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <?php
                                                }
                                            }
                                            ?>
                                        </div>
                                        <div class="tab-pane fade " id="nav-education" role="tabpanel" aria-labelledby="nav-contact-tab">
                                            <div class="col-lg-12 mt-3 p-0">
                                                <div class="card">
                                                    <div class="card-body">
                                                        <div class="form-row">
                                                            <div class="col-lg-2"><b>Course </b></div>
                                                            <div class="col-lg-4"><?php
                                            echo $personalAndProfileData->c_name
                                            ?></div>
                                                            <div class="col-lg-2"><b>Passing Year </b></div>
                                                            <div class="col-lg-4"><?php echo $personalAndProfileData->passing_year ?></div>
                                                        </div>
                                                        <div class="form-row">
                                                            <div class="col-lg-2"><b>College Branch </b></div>
                                                            <div class="col-lg-4"><?php echo $personalAndProfileData->college_loc ?></div>
                                                            <div class="col-lg-2"><b>Session  </b></div>
                                                            <div class="col-lg-4"><?php echo $personalAndProfileData->session; ?></div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>           
                                        </div>
                                        <div class="tab-pane fade " id="nav-contact" role="tabpanel" aria-labelledby="nav-contact-tab">
                                            <div class="col-lg-12 mt-3 p-0">
                                                <div class="card">
                                                    <div class="card-header">Permanenet Address</div>
                                                    <div class="card-body">
                                                        <div class="form-row">                                                        
                                                            <div class="col-lg-12">
                                                                <div class="form-row">
                                                                    <div class="col-lg-2"><b>Address Line 1</b></div>
                                                                    <div class="col-lg-4"><?php echo ($personalAndProfileData->p_address1 == null || $personalAndProfileData->p_address1 == "") ? "N/A" : $personalAndProfileData->p_address1; ?></div>
                                                                    <div class="col-lg-2"><b>Address Line 2</b></div>
                                                                    <div class="col-lg-4"><?php echo ($personalAndProfileData->p_address2 == null || $personalAndProfileData->p_address2 == "") ? "N/A" : $personalAndProfileData->p_address2; ?></div>
                                                                </div>
                                                                <div class="form-row">
                                                                    <div class="col-lg-2"><b>City</b></div>
                                                                    <div class="col-lg-4"><?php echo ($personalAndProfileData->p_city == null || $personalAndProfileData->p_city == "") ? "N/A" : $personalAndProfileData->p_city; ?></div>
                                                                    <div class="col-lg-2"><b>State</b></div>
                                                                    <div class="col-lg-4"><?php echo ($personalAndProfileData->p_state == null || $personalAndProfileData->p_state == "") ? "N/A" : $personalAndProfileData->p_state; ?></div>
                                                                </div>
                                                                <div class="form-row">
                                                                    <div class="col-lg-2"><b>Country</b></div>
                                                                    <div class="col-lg-4"><?php echo ($personalAndProfileData->p_country == null || $personalAndProfileData->p_country == "") ? "N/A" : $personalAndProfileData->p_country; ?></div>
                                                                    <div class="col-lg-2"><b>Pincode</b></div>
                                                                    <div class="col-lg-4"><?php echo ($personalAndProfileData->p_pin == null || $personalAndProfileData->p_pin == "") ? "N/A" : $personalAndProfileData->p_pin; ?></div>
                                                                </div>
                                                            </div>                     
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="card mt-2">
                                                    <div class="card-header">Mailing Address</div>
                                                    <div class="card-body">
                                                        <div class="form-row">                                                        
                                                            <div class="col-lg-12">
                                                                <div class="form-row">
                                                                    <div class="col-lg-2"><b>Address Line 1</b></div>
                                                                    <div class="col-lg-4"><?php echo ($personalAndProfileData->m_address1 == null || $personalAndProfileData->m_address1 == "") ? "N/A" : $personalAndProfileData->m_address1; ?></div>
                                                                    <div class="col-lg-2"><b>Address Line 2</b></div>
                                                                    <div class="col-lg-4"><?php echo ($personalAndProfileData->m_address2 == null || $personalAndProfileData->m_address2 == "") ? "N/A" : $personalAndProfileData->m_address2; ?></div>
                                                                </div>
                                                                <div class="form-row">
                                                                    <div class="col-lg-2"><b>City</b></div>
                                                                    <div class="col-lg-4"><?php echo ($personalAndProfileData->m_city == null || $personalAndProfileData->m_city == "") ? "N/A" : $personalAndProfileData->m_city; ?></div>
                                                                    <div class="col-lg-2"><b>State</b></div>
                                                                    <div class="col-lg-4"><?php echo ($personalAndProfileData->m_state == null || $personalAndProfileData->m_state == "") ? "N/A" : $personalAndProfileData->m_state; ?></div>
                                                                </div>
                                                                <div class="form-row">
                                                                    <div class="col-lg-2"><b>Country</b></div>
                                                                    <div class="col-lg-4"><?php echo ($personalAndProfileData->m_country == null || $personalAndProfileData->m_country == "") ? "N/A" : $personalAndProfileData->m_country; ?></div>
                                                                    <div class="col-lg-2"><b>Pincode</b></div>
                                                                    <div class="col-lg-4"><?php echo ($personalAndProfileData->m_pin == null || $personalAndProfileData->m_pin == "") ? "N/A" : $personalAndProfileData->m_pin; ?></div>
                                                                </div>
                                                            </div>                     
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>   
                                        </div>
                                        <div class="tab-pane fade" id="nav-gallery" role="tabpanel" aria-labelledby="nav-contact-tab">
                                            <div class="row justify-content-center">
                                                <div class="col-lg-8 mt-3" style="display:inline;">
                                                    <div class="p-3 card card_border">
                                                        <?php
                                                        if (sizeof($gallaryData) > 0) {
                                                            ?>
                                                            <div id="gallaryCarousel" class="carousel slide" data-ride="carousel">
                                                                <ol class="carousel-indicators">
                                                                    <?php
                                                                    for ($i = 0; $i < sizeof($gallaryData); $i++) {
                                                                        ?>
                                                                        <li data-target="#gallaryCarousel" data-slide-to="<?php echo $i; ?>" class="<?php
                                                                if ($i == 0)
                                                                    echo "active";
                                                                else
                                                                    "";
                                                                        ?>"></li>
                                                                            <?php
                                                                        }
                                                                        ?>
                                                                </ol>
                                                                <div class="carousel-inner">
                                                                    <?php
                                                                    for ($i = 0; $i < sizeof($gallaryData); $i++) {
                                                                        $image = $gallaryData[$i];
                                                                        ?>
                                                                        <div class="carousel-item <?php
                                                                if ($i == 0)
                                                                    echo "active";
                                                                        ?> layer">
                                                                            <div class="show-image">
                                                                                <img src="<?php echo base_url() . $image->pic_name; ?>" class="d-block w-100" alt="<?php echo $image->pic_name; ?>">
                                                                                <?php
                                                                                if ($image->pic_status == "t") {
                                                                                    ?>
                                                                                    <a href="<?php echo site_url("admin/User/deleteImage/" . $image->pic_id . "/" . $personalAndProfileData->userid); ?>" onclick="return confirm('Are you sure want to delete image?')"><i data-toggle="tooltip" title="Click To Delete Image." class="fa fa-times delete"></i></a>
                                                                                    <?php
                                                                                }
                                                                                ?>
                                                                            </div>
                                                                        </div>
                                                                        <?php
                                                                    }
                                                                    ?>
                                                                </div>
                                                                <a class="carousel-control-prev" href="#gallaryCarousel" role="button" data-slide="prev">
                                                                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                                                    <span class="sr-only">Previous</span>
                                                                </a>
                                                                <a class="carousel-control-next" href="#gallaryCarousel" role="button" data-slide="next">
                                                                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                                                    <span class="sr-only">Next</span>
                                                                </a>
                                                            </div>
                                                            <?php
                                                        } else {
                                                            ?>
                                                            <div class="alert alert-danger">No Images Uploaded Yet.</div>  
                                                            <?php
                                                        }
                                                        ?>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- //form -->
                    </div>
                </div>
                <!-- //content -->
            </div>           
            <!-- main content end-->
            <?php
            $this->load->view("admin/footer");
            ?>
            <script>
                $(document).ready(function () {
                    $("#c_duration").blur(function () {
                        var c_duration = $("#c_duration").val();
                        if (c_duration != "")
                            $("#c_semesters").val(c_duration * 2);
                    });
                });
                $(document).ready(function () {
                    document.getElementById("dashboard").classList.remove("active");
                    document.getElementById("dataManagement").classList.remove("active");
                    document.getElementById("admin").classList.remove("active");
                    document.getElementById("notification").classList.remove("active");
                    document.getElementById("reports").classList.remove("active");
<?php
if ($this->session->userdata("alumni_admin_data")["admin_role"] == "Master Admin") {
    ?>
                        document.getElementById("adminManagement").classList.remove("active");
    <?php
}
?>
                            document.getElementById("dataManagement").classList.add("active");
                });
            </script>
