
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create Feedback :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>       
        <script src="<?php echo base_url("assets/user/js/utils.js"); ?>"></script>
        <script>
            var csrfHash = "";
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Create Feedback</a></li>
                    </ol>
                </nav>
                <div class="col-xl-12  pr-xl-2">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <!-- form -->
                            <?php echo form_open(site_url("user/Feedback/saveFeedback")); ?>
                            <div class="register__header text-center mb-lg-5 mb-4">
                                <h3 class="register__title mb-2"> Create Feedback</h3>
<!--                                    <p>Create your account here, and continue </p>-->
                            </div>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <div class="form-group">
                                <label for="queryType" class="input__label required">Select Query Type</label>
                                <select value="<?php echo set_value("queryType"); ?>" name="queryType" id="queryType" class="form-control login_text_field_bg input-style"
                                        aria-describedby="queryType">
                                    <option selected disabled="true">-Query Type-</option>
                                    <option <?php echo set_select("queryType", "Facing Problem?"); ?> value="Facing Problem?">Facing Problem?</option>
                                    <option <?php echo set_select("queryType", "Give Suggestions"); ?> value="Give Suggestions">Give Suggestions</option>
                                    <option <?php echo set_select("queryType", "Share an Idea!"); ?> value="Share an Idea!">Share an Idea!</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="title" class="input__label required">Title</label>
                                <input type="text" value="<?php echo set_value("title"); ?>" class="form-control login_text_field_bg input-style"
                                       id="title" name="title" placeholder="Enter Feedback Title" >
                            </div>
                            <div class="form-group">
                                <label for="desc" class="input__label required">Description ( limit : 1000 chanracters )</label>
                                <textarea type="text" class="form-control login_text_field_bg input-style"
                                          id="desc"  name="desc" aria-describedby="desc" placeholder="Enter Feedback Decription"><?php echo set_value("desc"); ?> </textarea>
                            </div>
                            <div class="d-flex align-items-center flex-wrap justify-content-center">
                                <button type="submit" class=" btn btn-primary btn-block btn-style mt-2">SEND FEEDBACK <i class="fa fa-paper-plane"></i></button>
                            </div>
                            <br>
                            <span style="color:red;">(*) marked fields are mandatory.</span>
                            <?php echo form_close(); ?>
                            <!-- //form -->
                        </div>
                    </div>
                </div>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("user/footer");
    ?>
