
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Image Gallery :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = "";
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Image Gallery</a></li>
                    </ol>
                </nav>
                <div class="card card_border p-4 " >
                    <h3 class="card__title"><i class="fa fa-picture-o"></i> Image Gallery</h3><br>
                    <?php if (validation_errors() != false) { ?>
                        <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                    <?php } ?>
                    <?php if ($this->session->flashdata('successMessage')) { ?>
                        <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                        <?php
                    }
                    ?>
                    <?php if ($this->session->flashdata('errorMessage')) { ?>
                        <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                    <?php } ?>
                    <div class="row">
                        <div class="col-lg-6 mt-3" style="display:inline;">
                            <div class="p-3 card card_border">
                                <?php
                                if (sizeof($gallaryData) > 0) {
                                    ?>
                                    <div id="gallaryCarousel" class="carousel slide" data-ride="carousel">
                                        <ol class="carousel-indicators">
                                            <?php
                                            for ($i = 0; $i < sizeof($gallaryData); $i++) {
                                                ?>
                                                <li data-target="#gallaryCarousel" data-slide-to="<?php echo $i; ?>" class="<?php
                                                if ($i == 0)
                                                    echo "active";
                                                else
                                                    "";
                                                ?>"></li>
                                                    <?php
                                                }
                                                ?>
                                        </ol>
                                        <div class="carousel-inner">
                                            <?php
                                            for ($i = 0; $i < sizeof($gallaryData); $i++) {
                                                $image = $gallaryData[$i];
                                                ?>
                                                <div class="carousel-item <?php
                                                if ($i == 0)
                                                    echo "active";
                                                ?> layer">
                                                    <div class="show-image">
                                                        <img src="<?php echo base_url() . $image->pic_name; ?>" class="d-block w-100" alt="<?php echo $image->pic_name; ?>">
                                                        <a href="<?php echo site_url("user/Gallary/deleteImage/" . $image->pic_id); ?>" onclick="return confirm('Are you sure want to delete image?')"><i data-toggle="tooltip" title="Click To Delete Image." class="fa fa-times delete"></i></a>
                                                    </div>
                                                </div>
                                                <?php
                                            }
                                            ?>
                                        </div>
                                        <a class="carousel-control-prev" href="#gallaryCarousel" role="button" data-slide="prev">
                                            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                            <span class="sr-only">Previous</span>
                                        </a>
                                        <a class="carousel-control-next" href="#gallaryCarousel" role="button" data-slide="next">
                                            <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                            <span class="sr-only">Next</span>
                                        </a>
                                    </div>
                                    <?php
                                } else {
                                    ?>
                                    <div class="alert alert-danger">No Images Uploaded Yet.</div>  
                                    <?php
                                }
                                ?>
                            </div>
                        </div>
                        <div class="col-lg-6 mt-3 " style="display:inline;">
                            <?php echo form_open_multipart(site_url("user/Gallary/uploadGallaryImage")) ?>
                            <div class="card card_border p-4">
                                <div class="pl-0 pt-0 card-header chart-grid__header">
                                    Upload Images
                                </div>
                                <div class="card-body">
                                    <div class="form-row">
                                        <div class="form-group col-lg-4">
                                            <span><b style="color:red;">Max Upload Limit :</b> </span>
                                            <span><?php echo $max = $gallaryLimits[0]->lim_pics; ?></span>
                                        </div>
                                        <div class="form-group col-lg-4">
                                            <span><b style="color:<?php
                                                if (sizeof($gallaryData) >= 6)
                                                    echo "red";
                                                else
                                                    echo "green";
                                                ?>">Your Upload Count :</b> </span>
                                            <span><?php echo sizeof($gallaryData); ?></span>
                                        </div>
                                        <div class="form-group col-lg-4">
                                            <span><b style="color:<?php
                                                if (sizeof($gallaryData) > 6)
                                                    echo "red";
                                                else
                                                    echo "#2577ca";
                                                ?>">Remaining Count :</b> </span>
                                            <span><?php echo ($max - sizeof($gallaryData)); ?></span>
                                        </div>                                       
                                    </div>
                                    <div class="form-row">
                                        <div class="col-lg-12">
                                            <input type="file" name="gallaryImage" class="form-control required">
                                        </div>
                                    </div>
                                    <div class="form-row mt-3">
                                        <div class="col-lg-12">
                                            <button type="submit" class="btn btn-xs btn-block btn-primary btn-style">Upload</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php echo form_close() ?>
                        </div>
                    </div>
                </div>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("user/footer");
    ?>
    <script>
        $('#gallaryCarousel').carousel({});
    </script>
    <script>
        $(document).ready(function () {      
            document.getElementById("dashboard").classList.remove("active");
            <?php
            $user = $this->session->userdata("userData");
            if ($user["user_role"] == "Alumni")
                echo 'document.getElementById("job").classList.remove("active");';
            ?>
            document.getElementById("postMgt").classList.remove("active");
            document.getElementById("gallery").classList.remove("active");         
            document.getElementById("gallery").classList.add("active");
        });
    </script>
