
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Notifications :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = "";
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">All Notification</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-bell-o"></i> &nbsp;All Notification</h3><br>
                        <div class="row">
                            <div class="col-lg-12 mt-3 pull-right">
                                <?php echo $this->pagination->create_links(); ?> 
                            </div>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <?php
                            //echo $this->db->last_query();
                            if (sizeof($notifications) > 0) {
                                for ($i = 0; $i < sizeof($notifications); $i++) {
                                    $notification = $notifications[$i];
                                    if (date("Y-m-d", strtotime($notification->n_scheduled_date)) <= date("Y-m-d")) {
                                        ?>
                                        <div class="col-lg-12 mt-3">
                                            <div class="card" style="cursor:pointer;" onClick="window.location.href = '<?php echo site_url("user/Notification/notificationDetails/" . $notification->n_id); ?>'">
                                                <div class="card-header">
                                                    <h5 class="pull-left">
                                                        <span>
                                                            <?php
                                                            if (!file_exists("./assets/admin/images/profileimg.png")) {
                                                                ?>
                                                                <i class="fa fa-user-circle"> </i>
                                                                <?php
                                                            } else {
                                                                ?>
                                                                <img class="img img-circle" src="<?php echo base_url("assets/admin/images/profileimg.png"); ?>" height="30px">
                                                                <?php
                                                            }
                                                            ?>
                                                        </span>
                                                        <?php echo $notification->admin_name; ?></h5>
                                                    <h6 class="pull-right"><i class="fa fa-clock-o"></i> <?php echo date("d-m-Y", strtotime($notification->n_date_added)); ?></h6>
                                                </div>
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col-lg-12">
                                                            <h5 class="card-title"> <?php echo $notification->n_title; ?></h5>
                                                        </div>     
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <?php
                                    }
                                }
                            } else {
                                ?>
                                <div class="col-lg-12">
                                    <p class="alert-warning">No Data Is Available.</p>
                                </div>
                                <?php
                            }
                            ?>
                                <?php 
                                if (sizeof($notifications) > 0) {
                                ?>
                            <div class="col-lg-12 mt-3 pull-right">
                                <div class="pull-left">
                                    <p> Showing <?php
                                    
                                    
                                        if ($offset == 0)
                                            echo "1";
                                        else
                                            echo $offset + 1;
                                        ?> to <?php
                                        $off = $offset + $per_page . " ";
                                        if ($off < $noOfTotalNotifications)
                                            echo $off;
                                        else
                                            echo $noOfTotalNotifications;
                                        ?>of <?php echo $noOfTotalNotifications; ?> Entries</p>
                                </div>
                                <div class="pull-right">
                                </div>
                                <?php echo $this->pagination->create_links(); ?> 
                            </div>
                                <?php } ?>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("user/footer");
    ?>
