<?php

/**
 * Model Class For Handling All Dashboard Chart Reports
 *
 * @author Softpro India Pvt. Ltd.
 */
defined('BASEPATH') OR exit('No direct script access allowed');

class DashboardReports extends CI_Model {

    function getGenderCountReportForGivenSessionInJSON($sessionId = '') {
        $dataValues = [];
        $dataLabel = [];
        $innerWhereClause = ($sessionId != '') ? "WHERE TUCSM.session_id = (" . $sessionId . "))" : ")";
        $sql = "SELECT COUNT(*) tot_student,TSPI.tspi_gender FROM tbl_student_personal_info TSPI WHERE TSPI.ucs_map_id IN "
                . "(SELECT TUCSM.ucs_map_id FROM tbl_univ_course_session_mapping TUCSM " . $innerWhereClause . " "
                . " AND TSPI.tspi_delete_status = 'F' and TSPI.tspi_status = 'CE' GROUP BY TSPI.tspi_gender";
        $genderReport = $this->db->query($sql)->result();
        for ($i = 0; $i < (sizeof($genderReport)); $i++) {
            array_push($dataValues, $genderReport[$i]->tot_student);
            if ($genderReport[$i]->tspi_gender == 'M') {
                array_push($dataLabel, 'Male');
            } else if ($genderReport[$i]->tspi_gender == 'F') {
                array_push($dataLabel, 'Female');
            } else {
                array_push($dataLabel, 'Other');
            }
        }
        return json_encode(array(
            'data' => $dataValues,
            'labels' => $dataLabel
        ));
    }

    function getCategoryCountReportForGivenSessionInJSON($sessionId = '') {
        $dataValues = [];
        $dataLabel = [];
        $innerWhereClause = ($sessionId != '') ? "WHERE TUCSM.session_id = (" . $sessionId . "))" : ")";
        $sql = "SELECT COUNT(*) tot_student,TSPI.tspi_category FROM tbl_student_personal_info TSPI WHERE TSPI.ucs_map_id IN "
                . "(SELECT TUCSM.ucs_map_id FROM tbl_univ_course_session_mapping TUCSM " . $innerWhereClause . " "
                . " AND TSPI.tspi_delete_status = 'F' and TSPI.tspi_status = 'CE' GROUP BY TSPI.tspi_category";
        $categoryReport = $this->db->query($sql)->result();
        for ($i = 0; $i < (sizeof($categoryReport)); $i++) {
            array_push($dataValues, $categoryReport[$i]->tot_student);
            array_push($dataLabel, $categoryReport[$i]->tspi_category);
        }
        return json_encode(array(
            'data' => $dataValues,
            'labels' => $dataLabel
        ));
    }

    function getReligionCountReportForGivenSessionInJSON($sessionId = '') {
        $dataValues = [];
        $dataLabel = [];
        $innerWhereClause = ($sessionId != '') ? "WHERE TUCSM.session_id = (" . $sessionId . "))" : ")";
        $sql = "SELECT COUNT(*) tot_student,TSPI.tspi_religion FROM tbl_student_personal_info TSPI WHERE TSPI.ucs_map_id IN "
                . "(SELECT TUCSM.ucs_map_id FROM tbl_univ_course_session_mapping TUCSM " . $innerWhereClause . " "
                . " AND TSPI.tspi_delete_status = 'F' and TSPI.tspi_status = 'CE' GROUP BY TSPI.tspi_religion";
        $religionReport = $this->db->query($sql)->result();
        for ($i = 0; $i < (sizeof($religionReport)); $i++) {
            array_push($dataValues, $religionReport[$i]->tot_student);
            array_push($dataLabel, $religionReport[$i]->tspi_religion);
        }
        return json_encode(array(
            'data' => $dataValues,
            'labels' => $dataLabel
        ));
    }

    function getCourseStudentCountReportForGivenSessionInJSON($sessionId, $entry_by = '') {
        $dataValues = [];
        $dataLabel = [];
        if ($entry_by != '') {
            $sql = "SELECT COUNT(*) counts, TCM.course_name,LEFT(TCSM.tcsm_course_type,1)course_type FROM tbl_student_personal_info TSPI, tbl_univ_course_session_mapping TUCSM, "
                    . "tbl_course_sub_master TCSM, tbl_course_master TCM WHERE TSPI.ucs_map_id = TUCSM.ucs_map_id AND "
                    . "TUCSM.sub_course_id = TCSM.tcsm_id AND TCSM.course_id = TCM.course_id AND TSPI.tspi_delete_status = 'F' "
                    . "AND TUCSM.session_id = " . $sessionId . " AND TSPI.tspi_added_by = " . $entry_by . " "
                    . "GROUP BY TSPI.ucs_map_id";
        } else {
            $sql = "SELECT COUNT(*) counts, TCM.course_name,LEFT(TCSM.tcsm_course_type,1)course_type FROM tbl_student_personal_info TSPI, tbl_univ_course_session_mapping TUCSM, "
                    . "tbl_course_sub_master TCSM, tbl_course_master TCM WHERE TSPI.ucs_map_id = TUCSM.ucs_map_id AND "
                    . "TUCSM.sub_course_id = TCSM.tcsm_id AND TCSM.course_id = TCM.course_id AND TSPI.tspi_delete_status = 'F' "
                    . "and TSPI.tspi_status = 'CE' AND TUCSM.session_id = " . $sessionId . " AND TCM.course_active_status = 'T' AND TCM.course_delete_status = 'F' "
                    . "GROUP BY TSPI.ucs_map_id";
        }
        $courseStudentCountReport = $this->db->query($sql)->result();
        for ($i = 0; $i < (sizeof($courseStudentCountReport)); $i++) {
            array_push($dataValues, $courseStudentCountReport[$i]->counts);
            array_push($dataLabel, $courseStudentCountReport[$i]->course_name . "(" . $courseStudentCountReport[$i]->course_type . ")");
        }
        return json_encode(array(
            'data' => $dataValues,
            'labels' => $dataLabel
        ));
    }

    function getOperatorPerformanceReportForGivenSessionInJSON($sessionId = '') {
        $dataValues = [];
        $dataLabel = [];
        $innerWhereClause = ($sessionId != '') ? "WHERE TUCSM.session_id = " . $sessionId . ")" : ")";
        $sql = "SELECT COUNT(*) counts, TPA.tprfl_firstname, TPA.tprfl_lastname FROM "
                . "tbl_student_personal_info TSPI, tbl_staff_members TSMA, tbl_profile TPA WHERE TSPI.ucs_map_id IN "
                . "(SELECT TUCSM.ucs_map_id FROM tbl_univ_course_session_mapping TUCSM " . $innerWhereClause . " "
                . "AND TSPI.tspi_added_by = TSMA.smember_id AND TSMA.tprfl_id = TPA.tprfl_id GROUP BY TSPI.tspi_added_by";
        $religionReport = $this->db->query($sql)->result();
        for ($i = 0; $i < (sizeof($religionReport)); $i++) {
            array_push($dataValues, $religionReport[$i]->counts);
            array_push($dataLabel, $religionReport[$i]->tprfl_firstname . " " . $religionReport[$i]->tprfl_lastname);
        }
        return json_encode(array(
            'data' => $dataValues,
            'labels' => $dataLabel
        ));
    }

    function getTotalEnrolledStudentsBySession($sessionId = '') {
        $this->db->select("count(*) totalStudents");
        $this->db->from('tbl_student_personal_info TSPI');
        $this->db->where("TSPI.tspi_status IN ('CE','D','E','P')");
        if ($sessionId != '') {
            $this->db->where("TSPI.ucs_map_id IN (SELECT ucs_map_id FROM tbl_univ_course_session_mapping WHERE session_id = " . $sessionId . ")");
        }
        return $this->db->get();
    }

    function getTotalCourses($session_id) {
        $this->db->select("count(DISTINCT course_name) totalCourses");
        $this->db->from("tbl_course_master TCM");
        $this->db->join("tbl_course_sub_master TSCM", "TSCM.course_id = TCM.course_id");
        $this->db->join("tbl_univ_course_session_mapping TUCSM", "TUCSM.sub_course_id = TSCM.tcsm_id");
        $this->db->join("tbl_session_master TSM", "TSM.session_id = TUCSM.session_id");
        if ($session_id != '') {
            $this->db->where("TSM.session_id", $session_id);
        }
        $this->db->where("TCM.course_delete_status", "F");
        $this->db->where("TCM.course_active_status", "T");
        return $this->db->get();
    }

    function getTotalSessions() {
        $this->db->select("count(*) totalSessions");
        $this->db->from('tbl_session_master TSM');
        $this->db->where("TSM.session_delete_status", "F");
        $this->db->where("TSM.session_active_status", "T");
        return $this->db->get();
    }

    function getTotalERPUsers() {
        $this->db->select("count(*) totalERPUsers");
        $this->db->from('tbl_logindetails TLD');
        $this->db->where("TLD.tld_working_status IN ('W','A')");
        $this->db->where("TLD.tld_id != 1");
        return $this->db->get();
    }

}
