<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Attendance Config | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>

        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Attendance/attendanceConfigs"); ?>">Attendance Config Setting Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Attendance/createAttendanceConfig"); ?>"> Create Attendance Config</a></li>                            
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4"> 
                            <div class="cards__heading">
                                <h3><i class="fa fa-cogs"></i> Create Attendance Config Setting</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Attendance/saveAttendanceConfig'), ['name' => 'attendanceConfigFrm', 'id' => 'attendanceConfigFrm']); ?>
                                <fieldset>
                                    <legend>Department & Employee Info</legend>

                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="dept" class="input__label">Department *</label>
                                            <select id="dept" name="dept" class="custom-select">
                                                <option value="">Select Department</option>
                                                <?php foreach ($departments as $department) { ?>
                                                    <option value="<?php echo $department->dept_id; ?>" <?php echo set_select("dept", $department->dept_id); ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subDept" class="input__label">Sub-Department *</label>
                                            <select id="subDept" name="subDept" class="custom-select">
                                                <option value="">Select Sub-Department</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="desig_type" class="input__label">Designation Type *</label>
                                            <select id="desig_type" name="desig_type" class="custom-select">
                                                <option value="">Select Designation Type</option>
                                                <?php foreach ($designation_types as $designation_type) { ?>
                                                    <option value="<?php echo $designation_type->dcm_id; ?>" <?php echo set_select("desig_type", $designation_type->dcm_id); ?>><?php echo stripslashes($designation_type->dcm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <!-- For selectpicker to work comment .text class in style.css -->
                                        <div class="form-group col-md-3">
                                            <label for="emp" class="input__label">Employee(s) *</label>
                                            <select id="emp" name="emp[]" class="form-control selectpicker" multiple data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Employee(s)">
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="from" class="input__label">From</label>
                                            <input autocomplete="off"  type="text" class="form-control" id="from" name="from" value="<?php echo set_value('from'); ?>" placeholder="Choose From Date" maxlength="10">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="to" class="input__label">To</label>
                                            <input  autocomplete="off" type="text" class="form-control" id="to" name="to" value="<?php echo set_value('to'); ?>" placeholder="Choose To Date" maxlength="10">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="attDate" class="input__label">Attendance Calender Show Date</label>
                                            <input  type="text" class="form-control" id="attDate" name="attDate" value="<?php echo set_value('attDate'); ?>" placeholder="Choose Enrollment Date" maxlength="10">
                                        </div>
                                    </div>
                                    <button id="allotBtn" type="button" class="btn btn-primary btn-block btn-style mt-4">Assign</button>
                                </fieldset>
                                <br>
                                <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(function () {
                var dateFormat = "dd/mm/yy",
                        from = $("#from").datepicker(
                        {
                            dateFormat: dateFormat,
                            defaultDate: "+1w",
                            changeMonth: true,
                            changeYear: true,
                            yearRange: '1985:+0',
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#to").datepicker(
                        {
                            dateFormat: dateFormat,
                            defaultDate: "+1w",
                            changeMonth: true,
                            changeYear: true,
                            yearRange: '1985:+0',
                            numberOfMonths: 1
                        }).on("change", function () {
                    from.datepicker("option", "maxDate", getDate(this));
                });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }

                    return date;
                }
            });
        </script>
        <script>
//            $("#attDate").datepicker({
//                dateFormat: "dd/mm/yy",
//                changeMonth: true,
//                changeYear: true,
//                yearRange: '1995:+0',
//                numberOfMonths: 1,
//                minDate: new Date('2021-02-01'),
//                maxDate: new Date('2021-02-15')
//            }).datepicker('setDate', 'today');

            $("#attDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '+0:+1',
                numberOfMonths: 1,
                minDate: 0, maxDate: " +24M +1Y"
            }).datepicker('setDate', 'today');

            $("#dept").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $("#subDept").html("<option value=''>All</option>");
                    $("#desig_type").val("");
                    $("#emp").html("<option value=''>Select Employee</option>");
                    $("#emp").selectpicker('refresh');
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            attendanceConfigFrm.csrf_token.value = csrfHash;
                        }
                    });
                    $("#spnErr").html("");
                } else {
                    $("#subDept").html("<option value=''>Select Sub-Department</option>");
                    $("#desig_type").val("");
                    $("#desig_type").trigger("change");
                    $("#emp").html("");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#desig_type").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#subDept").val().trim() !== "") {
                    if ($(this).val().trim() !== "") {
                        $.ajax({
                            url: '<?php echo site_url('admin/Staff/getAllEmployeesBySubDepartmentAndDesignatinCategoryForDropDownConfig/') ?>',
                            data: {sub_dept_id: $("#subDept").val(), dcm_id: $(this).val(), csrf_token: csrfHash},
                            type: 'POST',
                            success: function (result) {
                                var employeeInfo = JSON.parse(result);
                                $(".se-pre-con").fadeOut("slow");
                                $("#emp").html(employeeInfo.emp_list);
                                $("#emp").selectpicker('refresh');
                                csrfHash = employeeInfo.csrfHash;
                                attendanceConfigFrm.csrf_token.value = csrfHash;
                            }
                        });
                        $("#spnErr").html("");
                    } else {
                        $("#emp").html("<option value=''>Select Employee</option>");
                        $(".se-pre-con").fadeOut("slow");
                    }
                } else {
                    $("#spnErr").html("Please Select Department & Sub-Department In Order To Fetch Employees.");
                    $("#dept").focus();
                    $(".se-pre-con").fadeOut("slow");
                }

            });

            $("#selectAll").click(function () {
                $("input[type=checkbox]").prop('checked', $(this).prop('checked'));
            });

            $("#allotBtn").on("click", function () {
                if ($("#dept").val().trim() === "") {
                    $("#spnErr").html("Please Select Any Department.");
                    $("#dept").focus();
                } else if ($("#subDept").val().trim() === "") {
                    $("#spnErr").html("Please Select Any Sub-Department.");
                    $("#subDept").focus();
                } else if ($("#desig_type").val().trim() === "") {
                    $("#spnErr").html("Please Select Any Designation Type.");
                    $("#desig_type").focus();
                } else if ($("#emp").val() === null) {
                    $("#spnErr").html("Please Select Any Employee Type.");
                    $("#emp").focus();
                } else if ($("#from").val().trim() === "") {
                    $("#spnErr").html("Please Select Date Range 'From'.");
                    $("#from").focus();
                } else if ($("#to").val().trim() === "") {
                    $("#spnErr").html("Please Select Date Range 'To'.");
                    $("#to").focus();
                } else if ($("#attDate").val().trim() === "") {
                    $("#spnErr").html("Please Select At Least One Employee.");
                    $("#attDate").focus();
                } else {
                    $("#spnErr").html("");
                    $("#attendanceConfigFrm").submit();
                }
            });


            $(document).ready(function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#dept").val().trim() !== "") {
                    $("#subDept").html("<option value=''>All</option>");
                    $("#desig_type").val("");
                    $("#desig_type").trigger("change");
                    $("#emp").html("<option value=''>Select Employee</option>");
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $("#dept").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            attendanceConfigFrm.csrf_token.value = csrfHash;
                        }
                    });
                    $("#spnErr").html("");
                } else {
                    $("#subDept").html("<option value=''>Select Sub-Department</option>");
                    $("#desig_type").val("");
                    $("#desig_type").trigger("change");
                    $("#emp").html("");
                    $(".se-pre-con").fadeOut("slow");
                }


                $(".se-pre-con").fadeIn("slow");

                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#subDept").val().trim() !== "") {
                    if ($("#desig_type").val().trim() !== "") {
                        $.ajax({
                            url: '<?php echo site_url('admin/Staff/getAllEmployeesBySubDepartmentAndDesignatinCategoryForDropDownConfig/') ?>',
                            data: {sub_dept_id: $("#subDept").val(), dcm_id: $("#desig_type").val(), csrf_token: csrfHash},
                            type: 'POST',
                            success: function (result) {
                                var employeeInfo = JSON.parse(result);
                                $(".se-pre-con").fadeOut("slow");
                                $("#emp").html(employeeInfo.emp_list);
                                $("#emp").selectpicker('refresh');
                                csrfHash = employeeInfo.csrfHash;
                                attendanceConfigFrm.csrf_token.value = csrfHash;
                            }
                        });
                        $("#spnErr").html("");
                    } else {
                        $("#emp").html("<option value=''>Select Employee</option>");
                        $(".se-pre-con").fadeOut("slow");
                    }
                } else {
                    $("#spnErr").html("");
                    $("#dept").focus();
                    $(".se-pre-con").fadeOut("slow");
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>