<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing Subject <?php echo stripslashes($subjectInfo->sm_name); ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
        <style>
            hr {
                border-top: 1px solid black;
            }
        </style>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Academics</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Subject/"); ?>">All Subjects</a></li>                            
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Subject/editSubject/" . $subjectInfo->sm_id); ?>">Edit Subject</a></li>                            
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Subjects => <b><?php echo stripslashes($subjectInfo->sm_name); ?> (<?php echo stripslashes($subjectInfo->sm_code); ?>)</b></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/Subject/updateSubject'), ['name' => 'subjectUpdateFrm', 'id' => 'subjectUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Course Info</legend><hr>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="subjectName" class="input__label">Subject Name *</label>
                                            <input type="text" class="form-control input-style" id="subjectName" name="subjectName" value="<?php echo stripslashes($subjectInfo->sm_name); ?>" placeholder="Enter Subject Name" maxlength="150">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subjectCode" class="input__label">Subject Code *</label>
                                            <input type="text" class="form-control input-style" id="subjectCode" name="subjectCode" value="<?php echo stripslashes($subjectInfo->sm_code); ?>" placeholder="Enter Subject Code" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subjectType" class="input__label">Subject Type *</label>
                                            <select id="subjectType" name="subjectType" class="form-control input-style">
                                                <option value="" <?php echo ($subjectInfo->st_id == "" ) ? "selected" : "" ?>>Select Subject Type</option>
                                                <?php foreach ($allSubjectsTypes as $st) { ?>
                                                    <option <?php echo ($subjectInfo->st_id == $st->st_id ) ? "selected" : "" ?> value="<?php echo $st->st_id; ?>" <?php echo set_select("subjectCourse", $st->st_id); ?>><?php echo stripslashes($st->st_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="subjectCourse" class="input__label">Course *</label>
                                            <select id="subjectCourse" name="subjectCourse" class="form-control input-style">
                                                <option value="">Select Course</option>
                                                <?php
                                                foreach ($courses as $course) {
                                                    $selected = ($course->course_id == $subjectInfo->course_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subjectCourseSemOrYear" class="input__label">Semester/Year *</label>
                                            <select id="subjectCourseSemOrYear" name="subjectCourseSemOrYear" class="form-control input-style">
                                                <option value="">Select Semester/Year</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="sm_paper_type" class="input__label">Paper Type *</label>
                                            <select id="sm_paper_type" name="sm_paper_type" class="form-control input-style">
                                                <option value="">Select Paper Type</option>
                                                <option value="P" <?php
                                                if ($subjectInfo->sm_paper_type == "P") {
                                                    echo "Selected";
                                                }
                                                ?>>Practical</option>
                                                <option value="T" <?php
                                                if ($subjectInfo->sm_paper_type == "T") {
                                                    echo "Selected";
                                                }
                                                ?>>Theory</option>
                                            </select>
                                        </div>
                                    </div>
                                    <hr>
                                    <legend class="input__label">Additional Info. *</legend>
                                    <hr>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="sm_lecture_hr" class="input__label">Lecture Hours *</label>
                                            <input type="text" class="form-control input-style" id="sm_lecture_hr" name="sm_lecture_hr"  placeholder="Enter Lecture Hours" maxlength="5" onkeypress="return event.charCode >= 47 && event.charCode <= 57" value="<?php echo stripslashes($subjectInfo->sm_lecture_hr); ?>">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="sm_tutorial_hr" class="input__label">Tutorial Hours *</label>
                                            <input type="text" class="form-control input-style" id="sm_tutorial_hr" name="sm_tutorial_hr"  placeholder="Enter Tutorial Hours" maxlength="5" onkeypress="return event.charCode >= 47 && event.charCode <= 57" value="<?php echo stripslashes($subjectInfo->sm_tutorial_hr); ?>">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="sm_practical_hr" class="input__label">Practical Hours *</label>
                                            <input type="text" class="form-control input-style" id="sm_practical_hr" name="sm_practical_hr"  placeholder="Enter Practical Hours" maxlength="5" onkeypress="return event.charCode >= 47 && event.charCode <= 57" value="<?php echo stripslashes($subjectInfo->sm_practical_hr); ?>">
                                        </div>
                                    </div>
                                    <hr>
                                    <legend class="input__label">Assessment Details *</legend>
                                    <hr>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="sm_assessm_practical_creditsment_ct" class="input__label">Class Assessment marks *</label>
                                            <input type="text" class="form-control input-style" id="sm_assessment_ct" name="sm_assessment_ct"  placeholder="Enter Class Assessment marks" maxlength="5" onkeypress="return event.charCode >= 47 && event.charCode <= 57" value="<?php echo stripslashes($subjectInfo->sm_assessment_ct); ?>">
                                        </div>
                                        <div class="form-group col-md-2"></div>
                                        <div class="form-group col-md-4">
                                            <label for="sm_assessment_ta" class="input__label">Teacher Assessment marks *</label>
                                            <input type="text" class="form-control input-style" id="sm_assessment_ta" name="sm_assessment_ta"  placeholder="Enter Teacher Assessment marks" maxlength="5" onkeypress="return event.charCode >= 47 && event.charCode <= 57" value="<?php echo stripslashes($subjectInfo->sm_assessment_ta); ?>">
                                        </div>
                                    </div>
                                    <hr>
                                    <legend class="input__label">Semester Marks Details *</legend>
                                    <hr>   
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="sm_end_sem_theory" class="input__label">Semester Theory Marks *</label>
                                            <input type="text" class="form-control input-style" id="sm_end_sem_theory" name="sm_end_sem_theory"  placeholder="Enter Semester Theory Marks" maxlength="5" onkeypress="return event.charCode >= 47 && event.charCode <= 57" value="<?php echo stripslashes($subjectInfo->sm_end_sem_theory); ?>">
                                        </div>
                                        <div class="form-group col-md-2"></div>
                                        <div class="form-group col-md-4">
                                            <label for="sm_end_sem_practical" class="input__label">Semester Practical Marks *</label>
                                            <input type="text" class="form-control input-style" id="sm_end_sem_practical" name="sm_end_sem_practical"  placeholder="Enter Semester Practical Marks" maxlength="5" onkeypress="return event.charCode >= 47 && event.charCode <= 57" value="<?php echo stripslashes($subjectInfo->sm_end_sem_practical); ?>">
                                        </div>
                                    </div>
                                    <hr>
                                    <legend class="input__label">Syllabus</legend>
                                    <hr>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="sm_syllabus_file" class="input__label">Uplaod Syllabus</label>
                                            <input type="file" class="form-control input-style" id="sm_syllabus_file" name="sm_syllabus_file">
                                            <small id="photoAndSignInstruction" style="color:#0000FF;font-weight: bold;">Only pdf File With Max. Size 1 MB Is Allowed.</small>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <?php if ($subjectInfo->sm_syllabus_file != "" || $subjectInfo->sm_syllabus_file != NULL) { ?>
                                                <label class="input__label"></label><br>
                                                <label class="input__label pull-right"><a href="<?php echo base_url($subjectInfo->sm_syllabus_file); ?>" target="_blank"><i class="fa fa-hand-pointer-o"></i>View Uploaded Syllabus</a></label>
                                            <?php }
                                            ?>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="currentSyllabusFile" value="<?php echo $subjectInfo->sm_syllabus_file; ?>">
                                <input type="hidden" name="subjectId" value="<?php echo $subjectInfo->sm_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#subjectCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDown/') ?>',
                        data: {course_id: $("#subjectCourse").val(), semester: '<?php echo $subjectInfo->sm_semester; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectCourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            subjectUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                }
            });

            $(document).ready(function () {
                if ($("#subjectCourse").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDownSelected/') ?>',
                        data: {course_id: $("#subjectCourse").val(), semester: '<?php echo $subjectInfo->sm_semester; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectCourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            subjectUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>