<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Assessments Marks | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.colVis.min.js"); ?>"></script>

        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Academics</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Assessment/feedTestMarks"); ?>">Feed Student Assessment Marks</a></li>                            
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-2">
                            <div class="cards__heading">
                                <h3><i class="fa fa-eye"></i> View Student Assessment Marks</h3>
                            </div>
                            <div class="card-body">
                                <div class="form-row md-2">
                                    <div class="col-md-2">
                                        <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Assessment/feedTestMarks"); ?>'" tooltip="Feed Student Marks"><i class="fa fa-plus"></i>&nbsp;Feed Student Assessment Marks</button><br>
                                    </div>
                                    <div class="col-md-2">
                                        <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Assessment/editStudentMarks"); ?>'" tooltip="Edit Student Marks"><i class="fa fa-edit"></i>&nbsp;&nbsp;Edit Student Assessment Marks</button><br>
                                    </div>
                                </div>
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Assessment/viewStudentTestMarks'), ['name' => 'viewStudentTestMarksFrm', 'id' => 'viewStudentTestMarksFrm', 'onsubmit' => 'myFunction()']); ?>
                                <fieldset>
                                    <legend>Session , Subject & Assessment Info. </legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option <?php if ($session->session_status == "C") echo "selected"; ?> value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subject" class="input__label">Subject *</label>
                                            <select id="subject" name="subject" class="custom-select">
                                                <option value="">Select Subject</option>
                                                <?php foreach ($subjects as $subject) { ?>
                                                    <option value="<?php echo $subject->sta_id; ?>" <?php echo set_select("subject", $subject->sta_id); ?>><?php echo stripslashes($subject->sm_code) . "-" . stripslashes($subject->sm_name) . "-" . stripslashes($subject->sta_id); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label class="input__label required" for="test_name">Assessment *</label>
                                            <select name="test_name" id="test_name" class="custom-select">
                                                <option <?php echo set_select("test_name", ""); ?> value="">Select Assessment</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3 mt-4">
                                            <label for="filterTestBtn" class="input__label"></label>
                                            <button id="filterTestBtn" name="filterTestBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Student-Assessment Data&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>

                                    </div>
                                    <span id="spanError" style="color:red;"> </span>
                                </fieldset>
                                <?php if (sizeof($question) > 0) { ?>
                                    <fieldset id="studentList" style="display: block;">
                                        <legend>Student(s) List</legend>
                                        <div class="table-responsive">
                                            <table id="subjectWiseStudentAttendanceReport" style="width:100%;" class="bootstrap-datatable table-striped table-hover">
                                                <thead>
                                                    <tr>

                                                        <th>Sr. No</th>
                                                        <th>Roll No.</th>
                                                        <th>Name</th>

                                                        <?php foreach ($question as $ques) { ?>
                                                            <th style="text-align:center">Q<?php echo $ques->qno_name ?></th>
                                                        <?php } ?>

                                                        <th>Attendance</th>
                                                    </tr>
                                                </thead>

                                                <tbody id="studentDetails">
                                                    <?php
                                                    for ($i = 0; $i < sizeof($studentAllottedData); $i++) {
                                                        $record = $studentAllottedData[$i];
                                                        ?>
                                                        <tr class="rowData" id="<?php echo $i + 1; ?>">

                                                            <td><?php echo $i + 1; ?></td>
                                                            <td><?php echo $record->tspi_rollNumber; ?></td>
                                                            <td><?php echo $record->tspi_name; ?></td>

                                                            <?php
                                                            for ($j = 0; $j < sizeof($questions); $j++) {
                                                                $qus = $questions[$j];

                                                                if ($studentAllottedData[$i]->tspi_id == $questions[$j]->tspi_id) {
                                                                    $presentAbsent = $qus->stm_flag;
                                                                    ?>
                                                                    <td> <?php
                                                                        echo $qus->stm_obt_marks;
                                                                    }
                                                                    ?></td>
                                                            <?php } ?>
                                                            <td><?php echo ($presentAbsent == "P") ? "<span style='color:green'>Present</span>" : "<span style='color:red'>Absent</span>"; ?></td>
                                                        </tr>
                                                        <?php
                                                        $presentAbsent = "";
                                                    }
                                                    ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </fieldset>                            
                                <?php } ?>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>

            $(document).ready(function () {
                $("#subjectWiseStudentAttendanceReport").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            $("#subject").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {

                    $.ajax({
                        url: '<?php echo site_url("admin/Assessment/getTestsBySubjectTeacherAllotmentForDropdown") ?>',
                        data: {sta_id: $(this).val(), test_id: '<?php //echo $selectedTest;                               ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var testInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#test_name").html(testInfo.test_list);
                            csrfHash = testInfo.csrfHash;
                            viewStudentTestMarksFrm.csrf_token.value = csrfHash;

                        }
                    });
                } else {
                    $("#test_name").html("<option value=''>Select Assessment</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                if ($("#subject").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }

                    $.ajax({
                        url: '<?php echo site_url("admin/Assessment/getTestsBySubjectTeacherAllotmentForDropdown") ?>',
                        data: {sta_id: $("#subject").val(), test_id: '<?php echo $selectedTest; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var testInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#test_name").html(testInfo.test_list);
                            csrfHash = testInfo.csrfHash;
                            viewStudentTestMarksFrm.csrf_token.value = csrfHash;

                        }
                    });
                }
            });

            $("#filterTestBtn").on("click", function () {
                if ($("#subject").val() === "" || $("#subject").val() === null) {
                    $("#spnErr").html("Please Select Any Subject To Proceed.");
                    $("#studentList").css("display", "none");
                    event.preventDefault();
                    $("#subject").focus();
                } else if ($("#test_name").val() === "" || $("#test_name").val() === null) {
                    $("#spnErr").html("Please Select Any Assessment To Proceed.");
                    $("#studentList").css("display", "none");
                    event.preventDefault();
                    $("#test_name").focus();
                } else {
                    $("#spnErr").html("");
                    $("#viewStudentTestMarksFrm").submit();
                }
            });



        </script>

        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>