<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Tranfer Certificate | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Certificates</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/DocumentIssue/generateTC"); ?>">Issue Tranfer Certificate</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-address-card-o"></i> Generate Student's Transfer Certificate</h3><br>
                            <div class="card-body">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Search Student <i class="fa fa-search"></i></legend>
                                    <?php echo form_open(site_url('admin/DocumentIssue/generateTC'), ['name' => 'studentSearchForTCFrm', 'id' => 'studentSearchForTCFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label class="input__label"><b>Search Pattern:</b></label>
                                            <input type="radio" class="" id="FNW" name="filterPattern" value="FNW" <?php echo set_radio("filterPattern", "FNW"); ?>>&nbsp;<label for="FNW">Form No. Wise</label>
                                            <input type="radio" class="" id="RNW" name="filterPattern" value="RNW" <?php echo set_radio("filterPattern", "RNW"); ?>>&nbsp;<label for="RNW">Enrl. No./Roll No. Wise</label>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="stuFormNo" class="input__label">Form No</label>
                                            <input type="text" class="form-control" id="stuFormNo" name="stuFormNo" value="<?php echo set_value('stuFormNo'); ?>" placeholder="Enter Form No." autocomplete="off" maxlength="15" readonly="true">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuRollNo" class="input__label">Enrl. No./Roll No.</label>
                                            <input type="text" class="form-control" id="stuRollNo" name="stuRollNo" value="<?php echo set_value('stuRollNo'); ?>" placeholder="Enter Roll No." autocomplete="off" maxlength="20" readonly="true">
                                        </div>
                                        <div class="col-md-4">
                                            <label for="previewSubmitBtn" class="input__label"></label>
                                            <button id="previewSubmitBtn" name="previewSubmitBtn" type="submit" class="btn btn-lg btn-warning btn-block">Generate TC Preview&nbsp;<i class="fa fa-file"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <?php
                                if ($tcInfo['is_tc_avail']) {
                                    ?>
                                    <div id="tcPreview" style="background: #FFF;">
                                        <table width="800" border="0" cellpadding="0" cellspacing="0" style="border:1px solid #000;" align="center">
                                            <tr> 
                                                <td width="3"></td>
                                                <td width="797" align="center" valign="top">
                                                    <table align="center" width="100%" border="0" cellpadding="0" cellspacing="0">
                                                        <tr> 
                                                            <td width="797" height="48" valign="top">
                                                                <table width="100%" border="0" cellpadding="0" cellspacing="0">
                                                                    <tr>
                                                                        <td width="797" height="120" align="center" valign="top"><img src="<?php echo base_url('assets/admin/images/header.png'); ?>" width="50%" height="120" style="margin-top:4%"></td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="font-family: Arial;font-size:12px;"> 
                                                            <td height="48" valign="top">
                                                                <table width="100%" border="0" cellpadding="0" cellspacing="0">
                                                                    <tr>
                                                                        <td width="797" height="25" valign="top">
                                                                            <table width="100%" border="0" cellpadding="0" cellspacing="0">
                                                                                <tr>
                                                                                    <td width="388" height="25" valign="middle">
                                                                                        <span style="margin-left:5%"><b>&nbsp;No.:&nbsp;<?php echo $tcInfo['tc_sr_no']; ?>&nbsp;</b></span>
                                                                                    </td>
                                                                                    <td width="406" align="left"> 
                                                                                        <span style="margin-left:65%"><b>Date:&nbsp;<?php echo $tcInfo['tc_date']; ?>&nbsp;</b></span>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr> 
                                                            <td height="48" valign="top">
                                                        <center>
                                                            <?php
                                                            if ($tcInfo['is_duplicate']) {
                                                                ?>
                                                                <span><b>DUPLICATE</b></span>
                                                            <?php } ?>
                                                            <h3 style="font-family:Times;"><b>TRANSFER CERTIFICATE</b></h3>
                                                        </center>
                                                </td>
                                            </tr>
                                            <tr id="tc_content"> 
                                                <td height="48" valign="top">
                                                    <table style="font-family: Arial;font-size:20px;" width="100%" border="0" cellpadding="0" cellspacing="0">
                                                        <tr>
                                                            <td><span style="margin-left:15%;font-family: Arial;"><b>Name of the Candidate:</b></span></td>
                                                            <td colspan='2'><span style="margin-left:-27%;font-family:Times;"><b><i><?php echo $tcInfo['stu_name']; ?></i></b></span></td>
                                                        </tr>

                                                        <tr>
                                                            <td><span style="margin-left:15%;font-family: Arial;"><b>Father's Name:</b></span></td>
                                                            <td colspan='2'><span style="margin-left:-27%;font-family:Times;"><b><i><?php echo $tcInfo['stu_father_name']; ?></i></b></span></td>
                                                        </tr>

                                                        <tr>
                                                            <td><span style="margin-left:15%;font-family: Arial;"><b>Course:</b></span></td>
                                                            <td colspan='2'><span style="margin-left:-27%;font-family:Times;"><b><i><?php echo $tcInfo['stu_course']; ?></i></b></span></td>
                                                        </tr>

                                                        <tr>
                                                            <td><span style="margin-left:15%;font-family: Arial;"><b>Enrl. No.:</b></span></td>
                                                            <td colspan='2'><span style="margin-left:-27%;font-family:Times;"><b><i><?php echo $tcInfo['stu_enrollment_no']; ?></i></b></span></td>
                                                        </tr>

                                                        <tr>
                                                            <td><span style="margin-left:15%;font-family: Arial;"><b>Roll No.:</b></span></td>
                                                            <td colspan='2'><span style="margin-left:-27%;font-family:Times;"><b><i><?php echo $tcInfo['stu_rollno']; ?></i></b></span></td>
                                                        </tr>
                                                        <tr>
                                                            <td><span style="margin-left:15%;font-family: Arial;"><b>Batch:</b></span></td>
                                                            <td><span style="margin-left:-60%;font-family:Times;"><b><i><?php echo $tcInfo['stu_batch']; ?></i></b></span></td>
                                                            <td><span style="font-family: Arial;"><b>Semester:</b></span></td>
                                                            <td><span style="margin-left:-35%;font-family:Times;"><b><i><?php echo $tcInfo['stu_sem_or_year']; ?></i></b></span></td>
                                                        </tr>
                                                        <tr>
                                                            <td><span style="margin-left:15%;font-family: Arial;"><b>Period From:</b></span></td>
                                                            <td><span style="margin-left:-60%;font-family:Times;"><b><i><?php echo $tcInfo['stu_period_from']; ?></i></b></span></td>
                                                            <td><span style="font-family: Arial;"><b>to:</b></span></td>
                                                            <td><span style="margin-left:-35%;font-family:Times;"><b><i><?php echo $tcInfo['stu_period_to']; ?></i></b></span></td>
                                                        </tr>
                                                        <tr>
                                                            <td><span style="margin-left:15%;font-family: Arial;"><b>Examination Passed/Failed:</b></span></td>
                                                            <td colspan='2'><span style="font-family:Times;"><b><i><?php echo $tcInfo['stu_exam_status']; ?></i></b></span></td>
                                                        </tr>
                                                        <tr>
                                                            <td><span style="margin-left:15%;font-family: Arial;"><b>Result:</b></span></td>
                                                            <td colspan='2'><span style="font-family:Times;"><b><i><?php echo $tcInfo['stu_exam_result']; ?></i></b></span></td>
                                                        </tr>
                                                        <tr>
                                                            <td><span style="margin-left:15%;font-family: Arial;"><b>Conduct:</b></span></td>
                                                            <td colspan='2'><span style="font-family:Times;"><b><i>Good</i></b></span></td>
                                                        </tr>
                                                        <tr>
                                                            <td align='right' height='100' colspan='3'></td>
                                                        </tr>
                                                        <tr style='margin-top:5%'>
                                                            <td align='right' colspan='3'><span style="margin-left:15%;font-family: Times;"><b><i></i></b></span></td>
                                                        </tr>
                                                        <tr style='margin-top:5%'>
                                                            <td align='right' colspan='3'><span style="margin-left:15%;font-family: Times;"><b>Principal</b></span></td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                        </td>
                                        <td width="3"></td>
                                        </tr>
                                        <tr>
                                            <td height="5"></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                        </table>
                                    </div>
                                    <br>
                                    <?php
                                    if (!$tcInfo['is_printable']) {
                                        echo form_open(site_url('admin/DocumentIssue/generateTC'), ['name' => 'studentIssueTCFrm', 'id' => 'studentIssueTCFrm']);
                                        ?>
                                        <input type="hidden" name="tspi_id" value="<?php echo $tcInfo['stu_id']; ?>">
                                        <input type="hidden" id="tc_content_html" name="tc_content_html">
                                        <button id="issueSubmitBtn" name="issueSubmitBtn" class="btn btn-sm btn-block btn-success" onClick="confirmTCIssue();">Issue TC <i class="fa fa-check-circle"></i></button>
                                        <?php echo form_close(); ?>
                                    <?php } else { ?>
                                        <button id="printBtn" name="printBtn" class="btn btn-sm btn-block btn-warning" onClick="printTC();">Print TC <i class="fa fa-print"></i></button>
                                            <?php
                                        }
                                    }
                                    ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#FNW").on("click", function () {
                $("#stuRollNo").val("");
                $("#stuFormNo").prop("readonly", false);
                $("#stuRollNo").prop("readonly", true);
            });

            $("#RNW").on("click", function () {
                $("#stuFormNo").val("");
                $("#stuFormNo").prop("readonly", true);
                $("#stuRollNo").prop("readonly", false);
            });

            $(document).ready(function () {
                var selectedPattern = '<?php echo $selectedPattern; ?>';
                if (selectedPattern !== "") {
                    $("#" + selectedPattern).trigger("click");
                }
                if ('<?php echo $tcInfo['is_tc_avail']; ?>' === 1 || '<?php echo $tcInfo['is_tc_avail']; ?>' === '1') {
                    $("#tc_content_html").val($("#tc_content").html().trim());
                }
            });

            function confirmTCIssue() {
                if (confirm("After the system will issue TC, you can take print or can save its PDF.")) {
                    studentIssueTCFrm.submit();
                } else {
                    event.preventDefault();
                }
            }

            function printTC() {
                var divToPrint = document.getElementById("tcPreview");
                var newWin = window.open('', 'Print-Window');
                newWin.document.open();
                newWin.document.write('<html><body onload="window.print()">' + divToPrint.innerHTML + '</body></html>');
                newWin.document.close();
                setTimeout(function () {
                    newWin.close();
                }, 10);
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>