<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New ID Proof | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <!-- google fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/IDProof/"); ?>">ID Proof Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/IDProof/createIDProof"); ?>">Create New ID Proof</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New ID Proof <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/IDProof/saveNewIDProofType'), ['name' => 'idProofCreationFrm', 'id' => 'idProofCreationFrm']); ?>
                                <fieldset>
                                    <legend>ID Proof Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="idName" class="input__label">ID Proof Name *</label>
                                            <input type="text" class="form-control input-style" id="idName" name="idName" value="<?php echo set_value('idName'); ?>" placeholder="Enter ID Proof Name Name" maxlength="100">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="idShortName" class="input__label">Short Name *</label>
                                            <input type="text" class="form-control input-style" id="idShortName" name="idShortName" value="<?php echo set_value('idShortName'); ?>" placeholder="Enter ID Proof Short Name" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="idCode" class="input__label">Code *</label>
                                            <input type="text" class="form-control input-style" id="idCode" name="idCode" value="<?php echo set_value('idCode'); ?>" placeholder="Enter ID Proof Code" maxlength="5">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="idType" class="input__label">Type *</label>
                                            <select id="idType" name="idType" class="form-control input-style">
                                                <option value="" <?php echo set_select("idType", ""); ?>>Select ID Proof Type</option>
                                                <option value="P" <?php echo set_select("idType", "P"); ?>>Photo/ID Proof Only</option>
                                                <option value="A" <?php echo set_select("idType", "A"); ?>>Address Proof Only</option>
                                                <option value="B" <?php echo set_select("idType", "B"); ?>>Both Address & Identity Proof</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="idFor" class="input__label">Applicable For *</label>
                                            <select id="idFor" name="idFor" class="form-control input-style">
                                                <option value="" <?php echo set_select("idFor", ""); ?>>ID Proof Applicable For</option>
                                                <option value="S" <?php echo set_select("idFor", "S"); ?>>Students Only</option>
                                                <option value="E" <?php echo set_select("idFor", "E"); ?>>Employees Only</option>
                                                <option value="B" <?php echo set_select("idFor", "B"); ?>>Both Students & Employees</option>
                                            </select>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create ID Proof</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>