<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Session | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Sessions/"); ?>">Session Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Sessions/createSession"); ?>">Create New Session</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Session <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Sessions/saveNewSession'), ['name' => 'sessionCreationFrm', 'id' => 'sessionCreationFrm']); ?>
                                <fieldset>
                                    <legend>Session Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-9">
                                            <label for="sessionName" class="input__label">Session Name *</label>
                                            <input type="text" class="form-control input-style" id="sessionName" name="sessionName" value="<?php echo set_value('sessionName'); ?>" placeholder="Enter Session Name (Ex: 2012-2013)" maxlength="150">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label class="input__label">Status *</label><br>
                                            <input type="radio" id="oldSession" name="sessionStatus" value="O" <?php echo set_radio("sessionStatus", "O"); ?>/>&nbsp;<label for="oldSession">Old</label>
                                            <input type="radio" id="currentSession" name="sessionStatus" value="C" <?php echo set_radio("sessionStatus", "C"); ?>/>&nbsp;<label for="currentSession">Current</label>
                                            <input type="radio" id="nextSession" name="sessionStatus" value="N" <?php echo set_radio("sessionStatus", "N"); ?>/>&nbsp;<label for="nextSession">Next</label>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="sessionDesc" class="input__label">Description</label>
                                            <textarea class="form-control input-style" id="sessionDesc" name="sessionDesc" placeholder="Enter Session Description (Max. 100 Chars)" maxlength="100"><?php echo set_value('sessionDesc'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Course Allotment For This Session</legend>
                                    <?php
                                    for ($i = 0; $i < sizeof($allCourses); $i++) {
                                        $record = $allCourses[$i];
                                        ?>
                                        <div class="form-row">
                                            <input type="hidden" name="subCourseLatId[<?php echo $record['course_id']; ?>]" value="<?php echo $record['sub_course_lat']; ?>">
                                            <input type="hidden" name="subCourseRegId[<?php echo $record['course_id']; ?>]" value="<?php echo $record['sub_course_reg']; ?>">
                                            <input type="hidden" name="courseDuration[<?php echo $record['course_id']; ?>]" value="<?php echo $record['course_duration']; ?>">
                                            <div class="form-group col-md-3">
                                                <input type="checkbox" value="<?php echo $record['course_id']; ?>" name="courses[]">&nbsp;<label><b><?php echo stripslashes($record['course_alias']); ?></b></label>
                                            </div>
                                            <div class="form-group col-md-2">
                                                <input type="checkbox" value="T" name="isLatAllowed[<?php echo $record['course_id']; ?>]" <?php echo ($record['course_lat_allowed']) ? "title = 'Lateral Entry'" : "title = 'Lateral Entry Not Applicable' disabled"; ?> >&nbsp;<label id="forLat">Lateral</label>
                                                <input type="checkbox" value="T" name="isRegAllowed[<?php echo $record['course_id']; ?>]" title="Regular">&nbsp;<label id="forReg">Regular</label>
                                            </div>
                                            <div class="form-group col-md-2" style="display:none;">
                                                <label for="formFee" class="input__label">App. Form Fee *</label>
                                                <input type="text" class="form-control input-style" value="0.0" name="formFee[<?php echo $record['course_id']; ?>]" placeholder="Enter Form Fee" title="Enter Form Fee">
                                            </div>
                                            <div class="form-group col-md-4">
                                                <label for="univRecognitionBody" class="input__label">University/Recognizing Body *</label>
                                                <select class="form-control input-style" name="univApprovalBody[<?php echo $record['course_id']; ?>]">
                                                    <?php
                                                    for ($j = 0; $j < sizeof($allUniversities); $j++) {
                                                        ?>
                                                        <option value="<?php echo $allUniversities[$j]->univ_id; ?>"><?php echo stripslashes($allUniversities[$j]->univ_name); ?></option>
                                                    <?php } ?>
                                                </select>
                                            </div>
                                            <div class="form-group col-md-3">
                                                <label for="branch" class="input__label">Branch *</label>
                                                <select class="form-control input-style" name="branch[<?php echo $record['course_id']; ?>]">
                                                    <?php
                                                    for ($j = 0; $j < sizeof($allBranches); $j++) {
                                                        ?>
                                                        <option value="<?php echo $allBranches[$j]->branch_id; ?>"><?php echo stripslashes($allBranches[$j]->branch_name); ?></option>
                                                    <?php } ?>
                                                </select>
                                            </div>
                                        </div>
                                        <?php
                                    }
                                    ?>
                                </fieldset>
                                <input type="hidden" name="totalCourses" value="<?php echo sizeof($allCourses); ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Session</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>