<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Sub-Department | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/SubDepartment/"); ?>">Sub-Department Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/SubDepartment/createSubDepartment"); ?>">Create New Sub-Department</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Sub-Department <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/SubDepartment/saveNewSubDepartment'), ['name' => 'subDepartmentCreationFrm', 'id' => 'subDepartmentCreationFrm']); ?>
                                <fieldset>
                                    <legend>Sub-Department Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="subDeptName" class="input__label">Sub-Department Name *</label>
                                            <input type="text" class="form-control input-style" id="subDeptName" name="subDeptName" value="<?php echo set_value('subDeptName'); ?>" placeholder="Enter Sub-Department Name" maxlength="150">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="dept" class="input__label">Parent Department *</label>
                                            <select id="dept" name="dept" class="form-control input-style">
                                                <option value="">Select Department</option>
                                                <?php foreach($departments as $department){ ?>
                                                        <option value="<?php echo $department->dept_id;?>" <?php echo set_select("dept", $department->dept_id)?>><?php echo $department->dept_name;?></option>
                                                <?php
                                                    }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="subDeptDescription" class="input__label">Sub-Department Description</label>
                                            <textarea class="form-control input-style" name="subDeptDescription" id="subDeptDescription" placeholder="Enter Sub-Department Description (Max. 100 Chars)" maxlength="100"><?php echo set_value('subDeptDescription'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Sub-Department</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>