<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New University | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <!-- google fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/University/"); ?>">University Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/University/createUniversity"); ?>">Create New University</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New University <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/University/saveNewUniversity'), ['name' => 'universityCreationFrm', 'id' => 'universityCreationFrm']); ?>
                                <fieldset>
                                    <legend>University Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="univName" class="input__label">Name *</label>
                                            <input type="text" class="form-control input-style" id="univName" name="univName" value="<?php echo set_value('univName'); ?>" placeholder="Enter University Name" maxlength="150">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="univShortName" class="input__label">Short Name</label>
                                            <input type="text" class="form-control input-style" id="univShortName" name="univShortName" value="<?php echo set_value('univShortName'); ?>" placeholder="Enter University Short Name" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="univMob" class="input__label">Mobile No. *</label>
                                            <input type="text" class="form-control input-style" id="univMob" name="univMob" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('univMob'); ?>" placeholder="Enter University Mobile No." maxlength="10">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="univEmail" class="input__label">Email *</label>
                                            <input type="text" class="form-control input-style" id="univEmail" name="univEmail" value="<?php echo set_value('univEmail'); ?>" placeholder="Enter University Email" maxlength="80">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="univTelNo" class="input__label">Tel. No.</label>
                                            <input type="text" class="form-control input-style" id="univTelNo" name="univTelNo" value="<?php echo set_value('univTelNo'); ?>" placeholder="Enter University Tel No." maxlength="20">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="univFax" class="input__label">Fax</label>
                                            <input type="text" class="form-control input-style" id="univFax" name="univFax" value="<?php echo set_value('univFax'); ?>" placeholder="Enter University Fax" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="univState" class="input__label">State</label>
                                            <select id="univState" name="univState" class="form-control input-style">
                                                <option value="">Select State</option>
                                                <?php foreach ($states as $state) { ?>
                                                    <option value="<?php echo $state->state_id; ?>"><?php echo $state->state_name; ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="univCity" class="input__label">City</label>
                                            <select id="univCity" name="univCity" class="form-control input-style">
                                                <option value="">Select City</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="univFullAddress" class="input__label">Full Address</label>
                                            <textarea class="form-control input-style" name="univFullAddress" id="univFullAddress" placeholder="Enter Full University Address" maxlength="200"><?php echo set_value('univFullAddress'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Alternate Contact Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="univAltMob" class="input__label">Alt. Mobile No.</label>
                                            <input type="text" class="form-control input-style" id="univAltMob" name="univAltMob" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('univAltMob'); ?>" placeholder="Enter Alternate University Mobile No." maxlength="10">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="univAltTelNo" class="input__label">Alt. Tel. No.</label>
                                            <input type="text" class="form-control input-style" id="univAltTelNo" name="univAltTelNo" value="<?php echo set_value('univAltTelNo'); ?>" placeholder="Enter Alternate University Tel No." maxlength="20">
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Website & Logo</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="univWebsite" class="input__label">Website URL</label>
                                            <input type="text" class="form-control input-style" id="univWebsite" name="univWebsite" value="<?php echo set_value('univWebsite'); ?>" placeholder="Enter University Website" maxlength="100">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="univLogo" class="input__label">Logo *</label>
                                            <input type="file" class="form-control input-style" id="univLogo" name="univLogo">
                                            <small id="univLogoInstruction" class="form-text text-muted">Allowed Extensions:*.png,*.jpg,*.jpeg,*.webp. Max. File Size: 500KB</small>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create University</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#univState").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByState/') ?>',
                        data: {state_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#univCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            universityCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>