<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo stripslashes($docInfo->doc_name); ?> Document | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <!-- google fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Document/"); ?>">Document Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Document/editDocument/".$docInfo->doc_id); ?>">Edit Document</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Document => <b><?php echo stripslashes($docInfo->doc_name); ?></b> <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Document/updateDocument'), ['name' => 'documentUpdateFrm', 'id' => 'documentUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Document Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="docName" class="input__label">Document Name *</label>
                                            <input type="text" class="form-control input-style" id="docName" name="docName" value="<?php echo stripslashes($docInfo->doc_name); ?>" placeholder="Enter Document Name" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="docFlag" class="input__label">Flag *</label>
                                            <input type="text" class="form-control input-style" id="docFlag" name="docFlag" value="<?php echo stripslashes($docInfo->doc_flag); ?>" placeholder="Enter Document Flag" maxlength="10">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="docRelatedTo" class="input__label">Related To *</label>
                                            <select id="docRelatedTo" name="docRelatedTo" class="form-control input-style">
                                                <option value="" <?php echo ($docInfo->doc_related_to_flag == "") ? "selected" : ""; ?>>Select Document Related To</option>
                                                <option value="ERP" <?php echo ($docInfo->doc_related_to_flag == "ERP") ? "selected" : ""; ?>>ERP Portal</option>
                                                <option value="E" <?php echo ($docInfo->doc_related_to_flag == "E") ? "selected" : ""; ?>>Employee/User</option>
                                                <option value="S" <?php echo ($docInfo->doc_related_to_flag == "S") ? "selected" : ""; ?>>Student</option>
                                                <option value="SUG" <?php echo ($docInfo->doc_related_to_flag == "SUG") ? "selected" : ""; ?>>Student(UG Level)</option>
                                                <option value="SPG" <?php echo ($docInfo->doc_related_to_flag == "SPG") ? "selected" : ""; ?>>Student(PG Level)</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="docDescription" class="input__label">Description</label>
                                            <textarea class="form-control input-style" name="docDescription" id="docDescription" placeholder="Enter Document Description (Max. 100 Chars)" maxlength="100"><?php echo stripslashes($docInfo->doc_description); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="docId" value="<?php echo $docInfo->doc_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>