<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo stripslashes($roleInfo->role_name); ?> Role | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Role/"); ?>">Role Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Role/editRole/" . $roleInfo->role_id); ?>">Edit Role</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Role => <b><?php echo stripslashes($roleInfo->role_name); ?></b> <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Role/updateRole'), ['name' => 'roleUpdateFrm', 'id' => 'roleUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Role Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="roleName" class="input__label">Role Name *</label>
                                            <input type="text" class="form-control input-style" id="roleName" name="roleName" value="<?php echo stripslashes($roleInfo->role_name); ?>" placeholder="Enter Role Name" maxlength="150">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="roleCode" class="input__label">Role Code *</label>
                                            <input type="text" class="form-control input-style" id="roleCode" name="roleCode" value="<?php echo stripslashes($roleInfo->role_code); ?>" placeholder="Enter Role Code" maxlength="150">
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="roleId" value="<?php echo $roleInfo->role_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>