<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Event List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Events/"); ?>">Event Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Events/"); ?>">All Events</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-calendar-check-o"></i> Event Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Events/index'), ['name' => 'eventReportRequestsReportFrm', 'id' => 'leaveRequestsReportFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="session" class="input__label">Session</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="" <?php echo set_select("session", ""); ?>>All</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="eventType" class="input__label">Event Type</label>
                                            <select id="eventType" name="eventType" class="custom-select">
                                                <option value="" <?php echo set_select("eventType", ""); ?>>All</option>
                                                <?php
                                                foreach ($achievementHeads as $achievementHead) {
                                                    $for = ($achievementHead->tsam_for == "S") ? "For Students Only" : (($achievementHead->tsam_for == "E") ? "For Employees Only" : "Both Employees & Students");
                                                    ?>
                                                    <option value="<?php echo $achievementHead->tsam_id; ?>" <?php echo set_select("eventType", $achievementHead->tsam_id); ?>><?php echo stripslashes($achievementHead->tsam_short_title) . "(" . $for . ")"; ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="startDate" class="input__label">Start Date</label>
                                            <input type="text" class="form-control" id="startDate" name="startDate" value="<?php echo set_value('startDate'); ?>" placeholder="Choose Start Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="endDate" class="input__label">End Date</label>
                                            <input type="text" class="form-control" id="endDate" name="endDate" value="<?php echo set_value('endDate'); ?>" placeholder="Choose End Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="dateRangeAppliedWith" class="input__label">Apply Date Range With</label>
                                            <select id="dateRangeAppliedWith" name="dateRangeAppliedWith" class="custom-select">
                                                <option value="EVNTDT" <?php echo set_select("dateRangeAppliedWith", "EVNTDT") ?>>Event Dates</option>
                                                <option value="ENTRDT" <?php echo set_select("dateRangeAppliedWith", "ENTRDT") ?>>Entry Date</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="course" class="input__label">Course</label>
                                            <select id="course" name="course" class="custom-select">
                                                <option value="">All</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("course", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="department" class="input__label">Department</label>
                                            <select id="department" name="department" class="custom-select">
                                                <option value="">All</option>
                                                <?php foreach ($departments as $department) { ?>
                                                    <option value="<?php echo $department->dept_id; ?>" <?php echo set_select("department", $department->dept_id); ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subDepartment" class="input__label">Sub-Department</label>
                                            <select id="subDepartment" name="subDepartment" class="custom-select">
                                                <option value="">All</option>
                                                <?php foreach ($subDepartments as $subDepartment) { ?>
                                                    <option value="<?php echo $subDepartment->sub_dept_id; ?>" <?php echo set_select("subDepartment", $subDepartment->sub_dept_id); ?>><?php echo stripslashes($subDepartment->sub_dept_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Leave Requests&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Events/createEvent"); ?>'" tooltip="Create New Event"><i class="fa fa-plus"></i> Create New Event</button><br><br>
                                <table id="allEvents" class="bootstrap-datatable table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Event Type</th>
                                            <th>Session</th>
                                            <th>Title</th>
                                            <th>Description</th>
                                            <th>Date(From-To)</th>
                                            <th>Department(s)</th>
                                            <th>Sub-Department(s)</th>
                                            <th>Course(s)</th>
                                            <th>File</th>
                                            <th style="display:none;">Added By</th>
                                            <th style="display:none;">Last Updated By</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Event Type</th>
                                            <th>Session</th>
                                            <th>Title</th>
                                            <th>Description</th>
                                            <th>Date(From-To)</th>
                                            <th>Department(s)</th>
                                            <th>Sub-Department(s)</th>
                                            <th>Course(s)</th>
                                            <th>File</th>
                                            <th style="display:none;">Added By</th>
                                            <th style="display:none;">Last Updated By</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allEvents); $i++) {
                                            $record = $allEvents[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo $record['tsam_short_title']; ?></td>
                                                <td><?php echo $record['session_name']; ?></td>
                                                <td><?php echo $record['iem_title']; ?></td>
                                                <td><?php echo $record['iem_description']; ?></td>
                                                <td><?php echo $record['iem_start_date'] . " To " . $record['iem_end_date']; ?></td>
                                                <td><?php echo $record['iem_depts']; ?></td>
                                                <td><?php echo $record['iem_sub_depts']; ?></td>
                                                <td><?php echo $record['iem_courses']; ?></td>
                                                <td><span style="display:none"><?php echo $record['iem_file_path']; ?></span><?php echo $record['iem_file']; ?></td>
                                                <td style="display:none;"><?php echo $record['iem_added_by'] . " On " . $record['iem_added_on']; ?></td>
                                                <td style="display:none;"><?php echo $record['iem_updated_by'] . " On " . $record['iem_updated_on']; ?></td>
                                                <td>
                                                    <?php
                                                    if ($record['iem_delete_status'] == 'F') {
                                                        if ($record['iem_active_status'] == 'T') {
                                                            ?>
                                                            <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Disable This Event" onClick="window.location.href = '<?php echo site_url('admin/Events/toggleEventStatus/' . $record['iem_id'] . '/F') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Event" onClick="window.location.href = '<?php echo site_url('admin/Events/editEvent/' . $record['iem_id']) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Event" onClick="window.location.href = '<?php echo site_url('admin/Events/deleteEvent/' . $record['iem_id']) ?>'"></i> 
                                                        <?php } else { ?>
                                                            <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Enable This Event" onClick="window.location.href = '<?php echo site_url('admin/Events/toggleEventStatus/' . $record['iem_id'] . '/T') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Event" onClick="window.location.href = '<?php echo site_url('admin/Events/editEvent/' . $record['iem_id']) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Event" onClick="window.location.href = '<?php echo site_url('admin/Events/deleteEvent/' . $record['iem_id']) ?>'"></i> 
                                                            <?php
                                                        }
                                                    } else {
                                                        ?>
                                                        <b>Event Deleted By <?php echo $record['iem_updated_by']; ?> On <?php echo $record['iem_updated_on']; ?>. <a href="<?php echo site_url('admin/Events/undoDeleteEvent/' . $record['iem_id']) ?>">Click To Undo <i class="fa fa-undo" style="color:#FF0000"></i></a></b> 
                                                            <?php } ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allEvents").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'copy', text: "<i class='fa fa-clipboard'></i> Copy"},
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"},
                        {extend: 'pdfHtml5', text: "<i class='fa fa-file-pdf-o'></i> PDF", orientation: 'landscape', pageSize: 'LEGAL'}
                    ]});

                var dateFormat = "dd/mm/yy",
                        from = $("#startDate")
                        .datepicker({
                            dateFormat: dateFormat,
                            defaultDate: '0',
                            changeMonth: true,
                            changeYear: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#endDate").datepicker({
                    dateFormat: dateFormat,
                    defaultDate: '0',
                    changeMonth: true,
                    changeYear: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }
                    return date;
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>