<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo stripslashes($feeHeadInfo->fhm_name); ?> Fee Head | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Fee Management</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/FeeConfig/heads"); ?>">Fee Head Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/FeeConfig/editFeeHead/" . $feeHeadInfo->fhm_id); ?>">Edit Fee Head</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Fee Head => <b><?php echo stripslashes($feeHeadInfo->fhm_name); ?></b></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/FeeConfig/updateFeeHead'), ['name' => 'feeHeadUpdateFrm', 'id' => 'feeHeadUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Fee Head Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="feeHeadName" class="input__label">Head Name *</label>
                                            <input type="text" class="form-control input-style" id="feeHeadName" name="feeHeadName" value="<?php echo stripslashes($feeHeadInfo->fhm_name); ?>" placeholder="Enter Fee Head Name" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="feeHeadShortName" class="input__label">Short Name *</label>
                                            <input type="text" class="form-control input-style" id="feeHeadShortName" name="feeHeadShortName" value="<?php echo stripslashes($feeHeadInfo->fhm_short_name); ?>" placeholder="Enter Fee Head Short Name" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="feeHeadType" class="input__label">Type *</label>
                                            <select id="feeHeadType" name="feeHeadType" class="form-control input-style">
                                                <option value="" <?php echo ($feeHeadInfo->fhm_type == '') ? "selected" : ""; ?>>Select Type</option>
                                                <option value="R" <?php echo ($feeHeadInfo->fhm_type == 'R') ? "selected" : ""; ?>>Recurring</option>
                                                <option value="O" <?php echo ($feeHeadInfo->fhm_type == 'O') ? "selected" : ""; ?>>One Time</option>
                                                <option value="F" <?php echo ($feeHeadInfo->fhm_type == 'F') ? "selected" : ""; ?>>Fine</option>
                                                <option value="RF" <?php echo ($feeHeadInfo->fhm_type == 'RF') ? "selected" : ""; ?>>Refundable</option>
                                                <option value="E" <?php echo ($feeHeadInfo->fhm_type == 'E') ? "selected" : ""; ?>>Excess</option>
                                                <option value="S" <?php echo ($feeHeadInfo->fhm_type == 'S') ? "selected" : ""; ?>>Scholarship</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="feeHeadCalculation" class="input__label">Calculation *</label>
                                            <select id="feeHeadCalculation" name="feeHeadCalculation" class="form-control input-style">
                                                <option value="" <?php echo ($feeHeadInfo->fhm_calculation == '') ? "selected" : ""; ?>>Select Calculation</option>
                                                <option value="+" <?php echo ($feeHeadInfo->fhm_calculation == '+') ? "selected" : ""; ?>>+</option>
                                                <option value="-" <?php echo ($feeHeadInfo->fhm_calculation == '-') ? "selected" : ""; ?>>-</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="feeHeadDesc" class="input__label">Description</label>
                                            <textarea id="feeHeadDesc" name="feeHeadDesc" class="form-control input-style" placeholder="Enter Description (Max. 500 Chars)" maxlength="500"><?php echo stripslashes($feeHeadInfo->fhm_description); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="feeHeadId" value="<?php echo $feeHeadInfo->fhm_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#feeHeadName").on("keyup", function () {
                $("#feeHeadShortName").val($(this).val());
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>