<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Feedbacks | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Feedback/"); ?>">Feedback Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Feedback"); ?>">All Feedbacks</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-comments"></i> Feedback Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <table id="allFeedbacks" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Subject</th>
                                            <th>Extension</th>
                                            <th>Screenshot</th>
                                            <th>Status</th>
                                            <th>Submitted By</th>
                                            <th>Action Log</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Subject</th>
                                            <th>Extension</th>
                                            <th>Screenshot</th>
                                            <th>Status</th>
                                            <th>Submitted By</th>
                                            <th>Action Log</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allFeedbacks); $i++) {
                                            $record = $allFeedbacks[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->fb_subject); ?></td>
                                                <th><?php echo ($record->fb_extension_no == "" || $record->fb_extension_no == NULL) ? "-" : $record->fb_extension_no; ?></th>
                                                <td><?php echo ($record->fb_image_file != "" || $record->fb_image_file != NULL) ? "<a href='" . base_url($record->fb_image_file) . "' target='_blank'><img src='" . base_url($record->fb_image_file) . "' width='100px' height='50px'></a>" : "-"; ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->fb_resolve_status_flag == "P") {
                                                        echo "<i class='fa fa-clock-o' style='color:#FF0000;'></i> Pending";
                                                    } else if ($record->fb_resolve_status_flag == "R") {
                                                        echo "<i class='fa fa-tasks' style='color:#0000FF;'></i> In-Progress";
                                                    } else {
                                                        echo "<i class='fa fa-check-circle' style='color:#00FF00;'></i> Resolved/Done";
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo $record->fb_submitted_by . " On " . date("d-m-Y h:i:s A", strtotime($record->fb_submitted_on)); ?></td>
                                                <td>
                                                    <ul>
                                                        <?php
                                                        if ($record->fb_seen_by == 0 && $record->fb_seen_on == NULL) {
                                                            echo "<li>Not Yet Seen</li>";
                                                        } else {
                                                            if ($record->fb_locked_by == $this->session->userdata("adminData")["smember_id"]) {
                                                                echo "<li>Last Seen By You On " . date("d-m-Y h:i:s A", strtotime($record->fb_seen_on)) . "</li>";
                                                            } else {
                                                                echo "<li>Last Seen By " . $record->fb_seen_by_user . " On " . date("d-m-Y h:i:s A", strtotime($record->fb_seen_on)) . "</li>";
                                                            }
                                                        }
                                                        if ($record->fb_locked_by == 0 && $record->fb_locked_on == NULL) {
                                                            echo "<li>Open For Locking</li>";
                                                        } else {
                                                            if ($record->fb_locked_by == $this->session->userdata("adminData")["smember_id"]) {
                                                                echo "<li>Locked By You On " . date("d-m-Y h:i:s A", strtotime($record->fb_locked_on)) . "</li>";
                                                            } else {
                                                                echo "<li>Locked By " . $record->fb_locked_by_user . " On " . date("d-m-Y h:i:s A", strtotime($record->fb_locked_on)) . "</li>";
                                                            }
                                                        }
                                                        if ($record->fb_resolved_by == 0 && $record->fb_resolved_on == NULL) {
                                                            echo "<li>Not Yet Resolved</li>";
                                                        } else {
                                                            if ($record->fb_resolved_by == $this->session->userdata("adminData")["smember_id"]) {
                                                                echo "<li>Resolved By You On " . date("d-m-Y h:i:s A", strtotime($record->fb_resolved_on));
                                                                echo "<br><b>Resolve Remarks: </b>";
                                                                echo ($record->fb_resolve_remarks != "" || $record->fb_resolve_remarks != NULL) ? stripslashes($record->fb_resolve_remarks) : "NA" . "</li>";
                                                            } else {
                                                                echo "<li>Resolved By " . $record->fb_resolved_by_user . " On " . date("d-m-Y h:i:s A", strtotime($record->fb_resolved_on));
                                                                echo "<br><b>Resolve Remarks: </b>";
                                                                echo ($record->fb_resolve_remarks != "" || $record->fb_resolve_remarks != NULL) ? stripslashes($record->fb_resolve_remarks) : "NA" . "</li>";
                                                            }
                                                        }
                                                        ?>
                                                    </ul>
                                                </td>
                                                <td>
                                                    <?php if ($record->fb_seen_by == 0 && $record->fb_seen_on == NULL) { ?>
                                                        <i class='fa fa-eye-slash' style='color:#0000FF;cursor:pointer;' title="View Complete Feedback" onClick="showFeedbackDetail(<?php echo $record->fb_id; ?>, 1);"></i>
                                                    <?php } else {
                                                        ?>
                                                        <i class='fa fa-eye' style='color:#FF0000;cursor:pointer;' title="View Complete Feedback" onClick="showFeedbackDetail(<?php echo $record->fb_id; ?>, 0);"></i>
                                                        <?php
                                                    }
                                                    if ($record->fb_resolved_by == 0 && $record->fb_resolved_on == NULL) {
                                                        if ($record->fb_locked_by == 0 && $record->fb_locked_on == NULL) {
                                                            ?>
                                                            <i class='fa fa-lock' style='color:#0000FF;cursor:pointer;' title="Lock This Feedback" onClick="window.location.href = '<?php echo site_url('admin/Feedback/toggleFeedbackLockStatus/' . $record->fb_id . '/T') ?>'"></i>    
                                                            <?php
                                                        } else if ($record->fb_locked_by == $this->session->userdata("adminData")["smember_id"]) {
                                                            ?>
                                                            <i class='fa fa-unlock-alt' style='color:#FF0000;cursor:pointer;' title="Unlock This Feedback" onClick="window.location.href = '<?php echo site_url('admin/Feedback/toggleFeedbackLockStatus/' . $record->fb_id . '/F') ?>'"></i>    
                                                            <i class='fa fa-check-circle-o' style='color:#00FF00;cursor:pointer;' title="Mark As Done/Resolved" onClick="resolveFeedback(<?php echo $record->fb_id; ?>);"></i>    
                                                            <?php
                                                        }
                                                    } else {
                                                        
                                                    }
                                                    ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allFeedbacks").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function resolveFeedback(fb_id) {
                $("#modFBId").val(fb_id);
                $("#feedbackResolveModal").modal('show');
            }

            function showFeedbackDetail(fb_id, mark_seen) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Feedback/getFeedbackFullInfo/'); ?>',
                    data: {feedback_id: fb_id, seen_by:<?php echo $this->session->userdata("adminData")["smember_id"]; ?>, mark_seen: mark_seen, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisFeedbackInfo = JSON.parse(result);
                        csrfHash = thisFeedbackInfo.csrfHash;
                        queryResolveFrm.csrf_token.value = csrfHash;
                        $("#feedback_screenshot").prop("src", thisFeedbackInfo.feedback_screenshot);
                        $("#feedback_status").html(thisFeedbackInfo.feedback_status);
                        $("#feedback_subject").html(thisFeedbackInfo.feedback_subject);
                        $("#feedback_extension").html(thisFeedbackInfo.feedback_extension);
                        $("#feedback_submitted_by").html(thisFeedbackInfo.feedback_submitted_by + " On " + thisFeedbackInfo.feedback_submitted_on);
                        $("#feedback_detail").html(thisFeedbackInfo.feedback_description);
                        $("#feedback_seen_by").html(thisFeedbackInfo.feedback_seen_by);
                        $("#feedback_locked_by").html(thisFeedbackInfo.feedback_locked_by);
                        $("#feedback_resolved_by").html(thisFeedbackInfo.feedback_resolved_by);
                        $("#feedback_resolve_remarks").html(thisFeedbackInfo.feedback_resolve_rems);
                        $("#feedbackDetailsModal").modal('show');
                    }
                });
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Feedback Details Modal Starts -->
        <div class="modal fade" id="feedbackDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Feedback Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12">
                                    <center>
                                        <img src="" id="feedback_screenshot" width="100px"><br>
                                        <b><span id="feedback_status"></span></b>
                                    </center>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Subject</b></div>
                                <div class="col-sm-3"><span id="feedback_subject"></span></div>
                                <div class="col-sm-3"><b>Extension</b></div>
                                <div class="col-sm-3"><span id="feedback_extension"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Submitted By</b></div>
                                <div class="col-sm-9"><span id="feedback_submitted_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Description</b></div>
                                <div class="col-sm-9"><span id="feedback_detail"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Seen By</b></div>
                                <div class="col-sm-9"><span id="feedback_seen_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Locked By</b></div>
                                <div class="col-sm-9"><span id="feedback_locked_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Resolved By</b></div>
                                <div class="col-sm-9"><span id="feedback_resolved_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Resolve Remarks</b></div>
                                <div class="col-sm-9"><span id="feedback_resolve_remarks"></span></div>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Feedback Details Modal Ends -->
        <!-- Feedback Resolve Modal Starts -->
        <div class="modal fade" id="feedbackResolveModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Resolve/Close Query</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <?php echo form_open(site_url('admin/Feedback/resolveQuery'), ['name' => 'queryResolveFrm', 'id' => 'queryResolveFrm']); ?>
                            <div class="form-row">
                                <div class="form-group col-md-12">
                                    <label for="feedbackRems" class="input__label">Remarks (Optional)</label>
                                    <textarea class="form-control input-style" name="feedbackRems" id="feedbackRems" placeholder="Enter Remarks (Max. 500 Chars)" maxlength="500"><?php echo set_value('feedbackRems'); ?></textarea>
                                </div>
                            </div>
                            <input id="modFBId" type="hidden" name="feedbackId">
                            <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Resolve Query</button>
                            <?php echo form_close(); ?>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Feedback Resolve Modal Ends -->
    </body>
</html>