<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Holidays | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Admin</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Holiday"); ?>">Holiday Management</a></li>

                        </ol>
                    </nav>
                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-calendar-check-o"></i> All Holidays</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Holiday/createHoliday"); ?>'"><i class="fa fa-plus"></i> Add New Holiday</button><br><br>    
                                <table id="allHolidays" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Session</th>
                                            <th>Holiday Name</th>
                                            <th>Holiday Date</th>
                                            <th>Added On</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Session</th>
                                            <th>Holiday Name</th>
                                            <th>Holiday Date</th>
                                            <th>Added On</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($holiday); $i++) {
                                            $record = $holiday[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->session_name); ?></td>
                                                <td><?php echo stripslashes($record->hc_name); ?></td> 
                                                <td><?php echo date("d-m-Y", strtotime(stripslashes($record->hc_date))); ?></td>
                                                <td><?php echo stripslashes($record->addedByAdmin) . " On " . date("d-m-Y h:i:sa", strtotime($record->hc_added_on)); ?></td>   
                                                <td>
                                                    <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Holiday" onClick="deleteHoliday(<?php echo $record->hc_id; ?>, '<?php echo stripslashes($record->hc_name); ?>', '<?php echo date("d-m-Y", strtotime(stripslashes($record->hc_date))); ?>');"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>        
        <script>
            $(document).ready(function () {
                $("#allHolidays").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function deleteHoliday(hc_id, hc_name, hc_date) {
                if (confirm('Do You Really Want To Delete ' + hc_name + ' From ' + hc_date + '? Click OK To Continue & Cancel Otherwise.')) {
                    window.location.href = "<?php echo site_url('admin/Holiday/deleteHoliday/'); ?>" + hc_id;
                }
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>
