<!DOCTYPE HTML>
<html>
    <head>
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Vacant Room Report | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">  
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.colVis.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"> Hostel</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/HostelConfig/vacantRooms"); ?>"> Vacant Room Report</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-bed"></i> Vacant Room Report</h3>
                            </div>
                            <div class="card-body">                                
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/HostelConfig/vacantRooms'), ['name' => 'studentAllocationFrm', 'id' => 'studentAllocationFrm']); ?>
                                <fieldset>
                                    <legend>Session, Course, Semester & Room Type Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option <?php echo ($selectedSession == $session->session_id ) ? "selected" : ""; ?> style="color: <?php if ($session->session_status == "C") echo "green"; ?>" value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group  col-sm-6">
                                            <label for="roomHead" class="input__label required">Select Room Type</label>
                                            <select name="roomHead" id="roomHead" class="custom-select">
                                                <option <?php echo set_select("roomHead", ""); ?> value="">Select Room Type</option>
                                                <?php
                                                for ($i = 0; $i < sizeof($roomHead); $i++) {
                                                    $ct = $roomHead[$i];
                                                    ?>
                                                    <option <?php echo ($selectedHead == $ct->fhom_id) ? "selected" : ""; ?> <?php echo set_select("roomHead", $ct->fhom_id); ?> value="<?php echo $ct->fhom_id; ?>"><?php echo $ct->fhom_name; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>  
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="Submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Room Info&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                </fieldset>
                                <?php echo form_close(); ?>
                                <?php if (sizeof($roomInfoArray) > 0) { ?>
                                    <fieldset id="studentList">
                                        <legend>Student(s) List</legend>
                                        <div class="table-responsive">
                                            <table  id="roomAllotmentTable" style="width:100%;" class="bootstrap-datatable table-striped table-hover">
                                                <thead>
                                                    <tr>
                                                        <th>Sr. No</th>
                                                        <th>Room Details <br> Type | Room No. </th>
                                                        <th>Vacancy</th>
                                                    </tr>
                                                </thead>
                                                <tfoot>
                                                    <tr>
                                                        <th colspan="2">Total Vacancy</th>
                                                        <th><?php echo $totalVacancy; ?></th>
                                                    </tr>
                                                </tfoot>
                                                <tbody id="studentDetails">
                                                    <?php
                                                    for ($i = 0; $i < (sizeof($roomInfoArray)); $i++) {
                                                        $record = $roomInfoArray[$i];
                                                        ?>
                                                        <tr>
                                                            <th><?php echo ($i + 1); ?></th>
                                                            <td><?php echo stripslashes($record["head"]); ?> | <?php echo stripslashes($record["room_no"]); ?></td>
                                                            <td><?php echo stripslashes($record["vacancy"]); ?></td>                                                                                
                                                        </tr>
                                                    <?php } ?>
                                                </tbody>
                                            </table>
                                        </div>
                                        <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                        <div class="form-row">

                                        </div>
                                    </fieldset>
                                <?php } ?>
                            </div>

                        </div>
                    </section>
                </div>
            </div>
        </section>

        <script>
            $("#session").change(function () {
                $("#studentList").css("display", "none");
                $("#allotBtn").prop("disabled", "disabled");
            });
            $(document).ready(function () {
                $("#roomAllotmentTable").DataTable({responsive: true, dom: 'Blfrtip'});
            });
            $("#allotBtn").on("click", function () {
                $("#spnErrRoom").html("");
                $("#roomAllocateFrm").submit();
            });
            $("#roomHead").on("change", function () {
                $("#studentList").html("");
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>