<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Apply New Leave | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Leave Management</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Leave/myLeaves"); ?>">My Leaves</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Leave/applyLeave"); ?>">Submit Leave Request</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Submit Leave Request</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/Leave/saveNewLeaveRequest'), ['name' => 'leaveRequestSubmitFrm', 'id' => 'leaveRequestSubmitFrm']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="session" class="input__label">Session *</label>
                                        <select id="session" name="session" class="custom-select readonly">
                                            <?php
                                            foreach ($sessions as $session) {
                                                $selected = ($session->session_status == "C") ? "selected" : "";
                                                ?>
                                                <option value="<?php echo $session->session_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($session->session_name); ?></option>
                                            <?php }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="leaveType" class="input__label">Leave Type *</label>
                                        <select id="leaveType" name="leaveType" class="custom-select">
                                            <option value="" <?php echo set_select("leaveType", ""); ?>>Select Leave Type</option>
                                            <?php foreach ($leaveTypes as $leaveType) { ?>
                                                <option value="<?php echo $leaveType->tltm_id; ?>" <?php echo set_select("leaveType", $leaveType->tltm_id); ?>><?php echo stripslashes($leaveType->tltm_name) . "(" . stripslashes($leaveType->tltm_short_name) . ")"; ?></option>
                                            <?php }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-3">
                                        <label for="leaveFrom" class="input__label">From *</label>
                                        <input type="text" class="form-control" id="leaveFrom" name="leaveFrom" placeholder="Enter Start Date" autocomplete="off" value="<?php echo set_value('leaveFrom'); ?>">
                                    </div>
                                    <div class="form-group col-md-3">
                                        <label for="leaveTo" class="input__label">To *</label>
                                        <input type="text" class="form-control" id="leaveTo" name="leaveTo" placeholder="Enter End Date" autocomplete="off" value="<?php echo set_value('leaveTo'); ?>">
                                    </div>
                                    <div class="form-group col-md-3">
                                        <label for="nosDays" class="input__label">No. Of Days *</label>
                                        <input type="text" class="form-control" id="nosDays" name="nosDays" placeholder="Number Of Days (0.5 For Half Day)" value="<?php echo set_value('nosDays'); ?>">
                                    </div>
                                    <div class="form-group col-md-3">
                                        <label for="leaveDuration" class="input__label">Duration</label>
                                        <select id="leaveDuration" name="leaveDuration" class="custom-select">
                                            <option value="Range">Range</option>
                                            <option value="Full Day (Single)">Full Day (Single)</option>
                                            <option value="Half Day (First Half)">Half Day (First Half)</option>
                                            <option value="Half Day (Second Half)">Half Day (Second Half)</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="leaveDescription" class="input__label">Description</label>
                                        <textarea class="form-control" id="leaveDescription" name="leaveDescription" placeholder="Enter Brief Descrption (Max. 500 Characters)" maxlength="500"><?php echo set_value('leaveDescription'); ?></textarea>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <button id="submitBtn" name="submitBtn" type="submit" class="btn btn-success btn-block btn-style mt-4"><i class="fa fa-save"></i> | <i class="fa fa-plus"></i>&nbsp;Submit Request</button>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <a  href="<?php echo site_url("admin/Leave/myLeaves"); ?>" id="submitBtn" class="btn btn-danger btn-block btn-style mt-4"><i class="fa fa-ban"></i>&nbsp;Cancel</a>
                                    </div>
                                </div>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(function () {
                var dateFormat = "dd/mm/yy",
                        from = $("#leaveFrom")
                        .datepicker({
                            dateFormat: dateFormat,
                            defaultDate: '0',
                            changeMonth: true,
                            changeYear: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#leaveTo").datepicker({
                    dateFormat: dateFormat,
                    defaultDate: '0',
                    changeMonth: true,
                    changeYear: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }
                    return date;
                }
            });

            $("#nosDays").on("keyup", function () {
                if (isNaN($("#nosDays").val().trim())) {
                    alert('Number Of Days Can Only Be Integer Or Decimal Value.');
                    $("#nosDays").val("");
                    $("#nosDays").focus();
                } else if ($("#nosDays").val().trim() === '1' || $("#nosDays").val().trim() === 1) {
                    $("#leaveDuration").val("Full Day (Single)");
                } else if ($("#nosDays").val().trim() === '0.5' || $("#nosDays").val().trim() === 0.5) {
                    $("#leaveDuration").val("Half Day (First Half)");
                } else {
                    $("#leaveDuration").val("Range");
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>