<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Login | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" >
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
    </head>
    <body style="background-image: url('<?php echo base_url("assets/admin/images/bg.png"); ?>');background-repeat: no-repeat;background-size:100% 100%;">
        <section>
            <!-- content -->
            <div class="main-content-agile overlay">
                <section class="login-form py-md-5 py-3">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <?php echo form_open(site_url('admin/Authentication/authLogin'), ['id' => 'userLoginFrm', 'name' => 'userLoginFrm']); ?>
                            <div class="login__header text-center mb-lg-5 mb-4">
                                <h3 class="login__title mb-2"> 
                                    <span class="text-primary">
                                        <img src="<?php echo base_url("assets/admin/images/logo.png"); ?>" height='100px;'>
                                    </span>
                                </h3>
                                <h6>Maharani Kalyani College, Darbhanga</h6>
                                <h6>CAS (College ERP)</h6>
                            </div>
                            <?php if (validation_errors()) { ?>
                                <div class="alert alert-danger"><strong><?php echo validation_errors(); ?></strong></div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>  
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong></div>
                            <?php } ?>
                            <div class="form-group">
                                <label for="username" class="input__label">Username</label>
                                <input type="text" class="form-control login_text_field_bg input-style" id="username" name="username" value="<?php echo set_value('username'); ?>" placeholder="Enter Username" autofocus="off">
                            </div>
                            <div class="form-group">
                                <label for="password" class="input__label">Password</label>
                                <input type="password" class="form-control login_text_field_bg input-style" id="password" name="password" placeholder="Enter Your Password">
                            </div>
                            <div class="d-flex align-items-center flex-wrap justify-content-between">
                                <button type="submit" class="btn btn-primary btn-style mt-4">Login <i class="fa fa-arrow-right"></i></button>
                                <p class="signup mt-4">Forgot Password? <a href="<?php echo site_url('admin/Authentication/forgetPassword'); ?>" class="signuplink">Click Here</a></p>
                            </div>
                            <?php echo form_close(); ?>	
                            <p class="backtohome mt-4"><a href="<?php echo site_url("Home"); ?>" class="back"><i class="fa fa-chevron-left" aria-hidden="true"></i>Back to Home </a></p>
                        </div>
                    </div>
                </section>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>