<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>My Account Activities | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Authentication/myAccountActivity"); ?>">Account Activity</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-user-secret"></i> My Account Activity Tracker</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <table id="allAccountActivities" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Date</th>
                                            <th>Login Time</th>
                                            <th>Logout Time</th>
                                            <th>Active Period</th>
                                            <th>Terminal IP</th>
                                            <th>Browser</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Date</th>
                                            <th>Login Time</th>
                                            <th>Logout Time</th>
                                            <th>Active Period</th>
                                            <th>Terminal IP</th>
                                            <th>Browser</th>
                                            <th>Status</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($accessLogs); $i++) {
                                            $record = $accessLogs[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->access_login_at)); ?></td>
                                                <td><?php echo date("h:i:s A", strtotime($record->access_login_at)); ?></td>
                                                <td><?php echo ($record->access_logout_at == "" || $record->access_logout_at == NULL) ? "-" : date("h:i:s A", strtotime($record->access_logout_at)); ?></td>
                                                <td>
                                                    <?php
                                                    if (!($i == 0 || $record->access_logout_at == "" || $record->access_logout_at == NULL)) {
                                                        $first_date = new DateTime($record->access_login_at);
                                                        $second_date = new DateTime($record->access_logout_at);
                                                        $interval = $first_date->diff($second_date);
                                                        echo $interval->format('(%R)%H hrs : %I mins : %S secs');
                                                    } else {
                                                        echo "-";
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo "<i class='fa fa-desktop'></i> " . $record->access_ip; ?></td>
                                                <td>
                                                    <?php
                                                    if (strpos($record->access_browser_details, "Chrome") !== false) {
                                                        echo "<i title='Google Chrome' class='fa fa-chrome'></i>";
                                                    } else if (strpos($record->access_browser_details, "Firefox") !== false) {
                                                        echo "<i title='Mozilla Firefox' class='fa fa-firefox'></i>";
                                                    } else if (strpos($record->access_browser_details, "Internet Explorer") !== false) {
                                                        echo "<i title='Internet Explorer' class='fa fa-internet-explorer'></i>";
                                                    } else if (strpos($record->access_browser_details, "Opera") !== false) {
                                                        echo "<i title='Opera' class='fa fa-opera'></i>";
                                                    } else if (strpos($record->access_browser_details, "Safari") !== false) {
                                                        echo "<i title='Safari' class='fa fa-safari'></i>";
                                                    } else {
                                                        echo "Others";
                                                    }
                                                    ?>
                                                </td>
                                                <td>
                                                    <?php
                                                    if ($record->access_active_status == "F") {
                                                        echo "<a href='#' class='badge badge-danger'>Closed</a>";
                                                    } else {
                                                        if ($i == 0) {
                                                            echo "<a href='#' class='badge badge-success'>Active</a>";
                                                        } else {
                                                            echo "<a href='#' class='badge badge-warning'>Unknown</a>";
                                                        }
                                                    }
                                                    ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allAccountActivities").DataTable(
                        {responsive: true,
                            dom: 'Blfrtip'
//                            columnDefs: [{
//                                    targets: 7,
//                                    render: function (data, type, row) {
//                                        if (type === 'display' && data !== null) {
//                                            data = data.replace(/<(?:.|\\n)*?>/gm, '');
//                                            if (data.length > 14) {
//                                                return '<span title="' + data + '" class=\"show-ellipsis\">' + data.substr(0, 14) + '</span><span title="' + data + '" class=\"no-show\">' + data.substr(14) + '</span>';
//                                            } else {
//                                                return data;
//                                            }
//                                        } else {
//                                            return data;
//                                        }
//                                    }
//                                }]
                        });
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
    <style>
        span.no-show{
            display: none;
        }
        span.show-ellipsis:after{
            content: "...";
        }
    </style>
</html>