<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>CO Direct Internal-External Attainment Report | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.colVis.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <!--        <div class="se-pre-con"></div>-->
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Student/"); ?>">OBES</a></li>
                            <li class="breadcrumb-item active" aria-current="page">CO Direct Internal-External Attainment Report</li>
                        </ol>
                    </nav>
                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-table"></i> CO Direct Internal-External Attainment Report</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/OBES/coDirectInternalExternalAttainment'), ['name' => 'testWiseCoAttainementFrm', 'id' => 'testWiseCoAttainementFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="stuSession" class="input__label">Session</label>
                                            <select id="stuSession" name="stuSession" class="custom-select">
                                                <option value="">Select Session</option>
                                                <?php
                                                foreach ($sessions as $session) {
                                                    ?>
                                                    <option <?php echo ($session->session_status == "C") ? "selected" : ""; ?> value="<?php echo $session->session_id; ?>"><?php echo $session->session_name; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subject" class="input__label">Subject</label>
                                            <select id="subject" name="subject" class="custom-select">
                                                <option value="">Select Entry Type</option>
                                            </select>
                                        </div>
                                        <div class="col-md-2">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-warning btn-block ">Apply Filter&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                    <hr>
                                </fieldset>
                                <table id="coAttainmentable" class="bootstrap-datatable table-striped table-hover" style="width:100%;">
                                    <thead>
                                        <tr >
                                            <th style="background-color: #f7b0bb;text-align: left;color: black;">Course Outcomes </th>
                                            <?php
                                            if (sizeof($assessmentArray)) {
                                                for ($assess = 0; $assess < sizeof($assessmentArray); $assess++) {
                                                    ?>
                                                    <th style="background-color: #f7b0bb;text-align: left;color: black;"><?php
                                                        echo $assessmentArray[$assess]->test_name . "<br> 3 | %";
                                                        ?></th>
                                                    <?php
                                                }
                                            }
                                            ?>


                                            <th style="background-color: #f7b0bb;text-align: left;">CO Direct Internal Attainment <br> 3 | %</th>
                                            <?php
                                            if (sizeof($semesterData)) {
                                                ?>
                                                <th style="background-color: #f7b0bb;text-align: left;">CO Direct External Attainment <br> 3 | %</th>
                                                <?php
                                            }
                                            ?>
                                        </tr>

                                    </thead>
                                    <tfoot>
                                        <?php if (sizeof($coAttainmentArray) > 0 && sizeof($semesterData)) { ?>

                                            <tr>
                                                <th></th>
                                                <th></th>
                                                <th></th>
                                                <th>Total</th>
                                                <th><?php echo $coAttainmentArray["internalCOAttainmentAverage"]; ?></th>
                                                <th><?php echo $semesterData["externalCOAttainment"]; ?></th>
                                            </tr>
                                            <tr>
                                                <th></th>
                                                <th></th>
                                                <th></th>
                                                <th style="text-align :right">CO Overall Direct Attainment</th>
                                                <th style="text-align :center">
                                                    <?php echo "(" . ($internal[0]->ocoalpie_percentage / 100) . " * " . $coAttainmentArray["internalCOAttainmentAverage"] . ") + (" . ($external[0]->ocoalpie_percentage / 100) . " * " . $semesterData["externalCOAttainment"] . " ) = " . round($overAllDirectCOAttainment, 2); ?>
                                                </th>
                                                <th></th>
                                            </tr>

                                            <?php
                                        }
                                        ?>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        if (sizeof($filteredRecords)) {

                                            for ($data = 0; $data < sizeof($filteredRecords); $data++) {
                                                ?>
                                                <tr style="background-color: #ffeeba;">
                                                    <td><?php echo $filteredRecords[$data]["co_name"] . " : " . $filteredRecords[$data]["co_description"]; ?></td>
                                                    <?php
                                                    for ($c = 0; $c < sizeof($filteredRecords[$data]["coAttainementTestWiseArray"]); $c++) {
                                                        $record = $filteredRecords[$data]["coAttainementTestWiseArray"][$c];
                                                        ?>
                                                        <td style="background-color: lightblue;text-align: left;color: black; "><?php echo $record["coAttainment"] . " | " . $record["percentage"]; ?></td>
                                                        <?php
                                                    }
                                                    ?>
                                                    <td style="color: black;"><?php echo $filteredRecords[$data]["coAverageUsingWeightage"] . " | " . $filteredRecords[$data]["percentageUsingWeightage"]; ?></td>                                                            
                                                    <td style="color: black;"><?php echo $semesterData["externalCOAttainment"] . " | " . $semesterData["externalPercentage"]; ?></td>  
                                                </tr>
                                                <?php
                                            }
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>   
                </div>
            </div>
        </section>
        <script>

            $("#filterSubmitBtn").on("click", function () {
                if ($("#stuCourse").val() === "" || $("#stuCourse").val() === null) {
                    $("#spnErr").html("Please Select Course To Proceed.");
                    event.preventDefault();
                    $("#stuCourse").focus();
                } else if ($("#stuSession").val() === "" || $("#stuSession").val() === null) {
                    $("#spnErr").html("Please Select Session To Proceed.");
                    event.preventDefault();
                    $("#stuSession").focus();
                } else if ($("#subject").val() === "" || $("#subject").val() === null) {
                    $("#spnErr").html("Please Select Any Subject To Fetch Tests.");
                    event.preventDefault();
                    $("#subject").focus();
                } else if ($("#test").val() === "" || $("#test").val() === null) {
                    $("#spnErr").html("Please Select Any Assessment To Fetch CO Attainment Report.");
                    event.preventDefault();
                    $("#test").focus();
                } else {
                    $("#spnErr").html("");
                    $("#testWiseCoAttainementFrm").submit();
                }
            });
            $(document).ready(function () {
                $("#coAttainmentable").DataTable({responsive: true, dom: 'Blfrtip'});
            });
        </script>
        <script>
            $("#stuSession").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {

                    $.ajax({
                        url: '<?php echo site_url("admin/Subject/getSubjectBySessionForDropdown") ?>',
                        data: {session_id: $("#stuSession").val(), sm_id: '<?php // echo $selectedTest;                         ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subjectInfo.subject_list);
                            csrfHash = subjectInfo.csrfHash;
                            testWiseCoAttainementFrm.csrf_token.value = csrfHash;

                        }
                    });
                } else {
                    $("#sm_name").html("<option value=''>-Select Subject-</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                if ($("#stuSession").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }

                    $.ajax({
                        url: '<?php echo site_url("admin/Subject/getSubjectBySessionForDropdown") ?>',
                        data: {session_id: $("#stuSession").val(), sm_id: '<?php echo $selectedSubject; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subjectInfo.subject_list);
                            csrfHash = subjectInfo.csrfHash;
                            testWiseCoAttainementFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>