<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New CO-Question Mapping | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">OBES Config</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/coQuestionMap"); ?>"> CO-Question Mappings</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/createCOQuestionMapping"); ?>"> Create New CO-Question Mapping</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New CO-Question Mapping</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessages')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessages'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url("admin/OBESConfig/saveNewCOQuestionMapping"), ['name' => 'newCOQuestionMapFrm', 'id' => 'newCOQuestionMapFrm']); ?>
                                <fieldset>
                                    <legend>CO-Question Mapping Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label class="input__label required" for="level">Levels *</label>
                                            <select name="level" id="level" class="custom-select">
                                                <option <?php echo set_select("level", ""); ?> value="">Select Levels</option>
                                                <?php foreach ($levels as $level) { ?>
                                                    <option value="<?php echo $level->olk_id; ?>" <?php echo set_select("level", $level->olk_id) ?>><?php echo stripslashes($level->olk_level_name)." (".stripslashes($level->olk_level_abbreviation).")"; ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label class="input__label required" for="sm_name">Subject *</label>
                                            <select name="sm_name" id="sm_name" class="custom-select">
                                                <option <?php echo set_select("sm_name", ""); ?> value="">Select Subject</option>
                                                <?php foreach ($subjects as $subject) { ?>
                                                    <option value="<?php echo $subject->sm_id; ?>" <?php echo set_select("sm_name", $subject->sm_id) ?>><?php echo stripslashes($subject->sm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label class="input__label required" for="test_name">Assessment *</label>
                                            <select name="test_name" id="test_name" class="custom-select">
                                                <option <?php echo set_select("test_name", ""); ?> value="">Select Assessment</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="co_name" class="input__label">Course Outcome *</label>
                                            <select id="co_name" name="co_name[]" class="form-control selectpicker" multiple data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select CO">
                                            </select>
                                        </div>
                                        <div class="form-group col-sm-4">
                                            <label for="sco_qno" class="input__label required">Question No. *</label>
                                            <input type="text" value="<?php echo set_value("sco_qno") ?>" name="sco_qno" id="sco_qno" class="form-control" placeholder="Enter Question No."  onkeypress="return event.charCode >= 46 && event.charCode <= 57">
                                        </div>
                                        <div class="form-group col-sm-4">
                                            <label for="sco_marks" class="input__label required">Question Marks *</label>
                                            <input type="sco_marks" value="<?php echo set_value("sco_marks") ?>" name="sco_marks" id="sco_marks" class="form-control" placeholder="Enter Question marks" onkeypress="return event.charCode >= 46 && event.charCode <= 57">
                                        </div>
                                        <div class="form-group col-sm-4">
                                            <label for="qno_file" class="input__label required">Question File </label>
                                            <input type="file" value="<?php echo set_value("qno_file") ?>" name="qno_file" id="qno_file" class="form-control" placeholder="Enter Question File">
                                        </div>

                                        <div class="form-group col-sm-12">
                                            <label for="qno_desc" class="input__label required">Question Description</label>
                                            <textarea rows="5" type="text"  name="qno_desc" id="qno_desc" class="form-control" placeholder="Enter Question Description."><?php echo set_value("qno_desc"); ?></textarea>
                                        </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">Create CO-Question Mapping</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div> 
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
        <script>
            $("#sm_name").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url("admin/OBESConfig/getCOBySubjectForDropdown") ?>',
                        data: {sm_id: $(this).val(), co_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var coInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#co_name").html(coInfo.co_list);
                            $("#co_name").selectpicker('refresh');
                            csrfHash = coInfo.csrfHash;
                            newCOQuestionMapFrm.csrf_token.value = csrfHash;
                        }
                    });
                    $.ajax({
                        url: '<?php echo site_url("admin/OBESConfig/getTestsBySubjectForDropdown") ?>',
                        data: {sm_id: $(this).val(), test_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var testInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#test_name").html(testInfo.test_list);
                            csrfHash = testInfo.csrfHash;
                            newCOQuestionMapFrm.csrf_token.value = csrfHash;

                        }
                    });
                } else {
                    $("#co_name").html("<option></option>");
                    $("#test_name").html("<option>Select Assessment</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                if ($("#sm_name").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url("admin/OBESConfig/getCOBySubjectForDropdown") ?>',
                        data: {sm_id: $("#sm_name").val(), co_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var coInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#co_name").html(coInfo.co_list);
                            $("#co_name").selectpicker('refresh');
                            csrfHash = coInfo.csrfHash;
                            newCOQuestionMapFrm.csrf_token.value = csrfHash;
                        }
                    });
                    $.ajax({
                        url: '<?php echo site_url("admin/OBESConfig/getTestsBySubjectForDropdown") ?>',
                        data: {sm_id: $("#sm_name").val(), test_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var testInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#test_name").html(testInfo.test_list);
                            csrfHash = testInfo.csrfHash;
                            newCOQuestionMapFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
    </body>
</html>


