<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create Levels & Keywords. | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
                <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">OBES Config</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/levelsAndKeywords"); ?>">Levels & Keywords </a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/createLevelsAndKeywords"); ?>">Create Levels & Keywords</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create Levels & Keywords</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url("admin/OBESConfig/saveLevelsAndKeywords"), ['name' => 'newCOQuestionMapFrm', 'id' => 'newCOQuestionMapFrm']); ?>
                                <fieldset>
                                    <legend>Levels & Keywords Info.</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label class="input__label required" for="level_abbre">Level Abbreviation *</label>
                                            <input autocomplete="off" type="text" value="<?php echo set_value("level_abbre") ?>" name="level_abbre" id="level_abbre " class="form-control" placeholder="Enter Level Abbreviation(eg. L1 => Level-1)">
                                        </div>
                                        <div class="form-group col-sm-6">
                                            <label for="level_name" class="input__label required">Level Name *</label>
                                            <input autocomplete="off" type="text" value="<?php echo set_value("level_name") ?>" name="level_name" id="level_name" class="form-control" placeholder="Enter Level Name">
                                        </div>
                                        <div class="form-group col-sm-12">
                                            <label for="keywords" class="input__label required">Keywords *</label>
                                            <textarea autocomplete="off" rows="5" name="keywords" id="keywords" class="form-control" placeholder="Enter Keywords"><?php echo set_value("keywords") ?></textarea>
                                        </div>
                                </fieldset>
                                <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                <button type="submit" id="createBtn" class="btn btn-primary btn-block btn-style mt-2">Create</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div> 
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>


