<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create CO-Target Percentage | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">OBES Config</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/coAttainmentPercentages"); ?>">CO Attainment Percentage Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/editCOAttainmentPercentage/" . $oCOOPS->ocoops_id); ?>">Edit CO Attainment Percentage Management</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit CO-Target Percentage</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url("admin/OBESConfig/updateCOTargetPercentage"), ['name' => 'newCOQuestionMapFrm', 'id' => 'newCOQuestionMapFrm']); ?>
                                <fieldset>
                                    <legend>Overall CO Attainment Percentage Info.</legend>
                                    <div class="form-row">

                                        <div class="form-group col-md-3">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option <?php
                                                    if ($oCOOPS->session_id == $session->session_id) {
                                                        echo "selected";
                                                    }
                                                    ?> value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                    <?php }
                                                    ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label class="input__label required" for="sm_name">Subject *</label>
                                            <select name="sm_name" id="sm_name" class="custom-select">
                                                <option <?php echo set_select("sm_name", ""); ?> value="">Select Subject</option>

                                            </select>
                                        </div>

                                        <div class="form-group col-md-3">
                                            <label class="input__label required" for="ocoops_percentage_flag">Used As *</label>
                                            <select name="ocoops_percentage_flag" id="ocoops_percentage_flag" class="custom-select">
                                                <option <?php echo set_select("ocoops_percentage_flag", ""); ?> value="">-Select-</option>
                                                <option value="I" <?php
                                                if ($oCOOPS->ocoops_percentage_flag == "I") {
                                                    echo ("Selected");
                                                }
                                                ?>>Indirect</option>
                                                <option value="D" <?php
                                                if ($oCOOPS->ocoops_percentage_flag == "D") {
                                                    echo ("Selected");
                                                }
                                                ?>>Direct</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-sm-3">
                                            <label for="per" class="input__label required">Target Percenatge *</label>
                                            <input type="per" value="<?php echo $oCOOPS->ocoops_percentage; ?>" name="per" id="sco_marks" class="form-control" placeholder="Enter Target Percenatge" onkeypress="return event.charCode >= 46 && event.charCode <= 57">
                                        </div>
                                </fieldset>
                                <input type='hidden' name='ocoops_id' value='<?php echo $oCOOPS->ocoops_id; ?>'>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div> 
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>

        <script>
            $("#session").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {

                    $.ajax({
                        url: '<?php echo site_url("admin/Student/getSubjectBySessionForDropdown") ?>',
                        data: {session_id: $("#session").val(), sm_id: '<?php //echo $coTargetPercentageDetails->sm_id;            ?>', csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#sm_name").html(subjectInfo.subject_list);
                            csrfHash = subjectInfo.csrfHash;
                            newCOQuestionMapFrm.csrf_token.value = csrfHash;

                        }
                    });
                } else {
                    $("#sm_name").html("<option value=''>-Select Subject-</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                if ($("#session").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }

                    $.ajax({
                        url: '<?php echo site_url("admin/Subject/getSubjectBySessionForDropdown") ?>',
                        data: {session_id: $("#session").val(), sm_id: '<?php echo $oCOOPS->sm_id; ?>', csrf_token: csrfHash},
                        type: 'POST', async: false,
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#sm_name").html(subjectInfo.subject_list);
                            //$("#sm_name").trigger("change");
                            csrfHash = subjectInfo.csrfHash;
                            newCOQuestionMapFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>

    </body>
</html>


