<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Objective Model Paper | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Tasks & Quizzes</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/objectiveModelPapers"); ?>">Objective Model Paper Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/createObjectiveModelPaper"); ?>">Create New Objective Model Paper</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Objective Model Paper</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/TasksAndQuizzes/saveNewObjectiveModelExamPaper'), ['name' => 'objectiveModelPaperCreationFrm', 'id' => 'objectiveModelPaperCreationFrm']); ?>
                                <fieldset>
                                    <legend>Question Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="subjectCourse" class="input__label">Course *</label>
                                            <select id="subjectCourse" name="subjectCourse" class="custom-select">
                                                <option value="">Select Course</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("subjectCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subject" class="input__label">Subject *</label>
                                            <select id="subject" name="subject" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Subject">
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subjectTopic" class="input__label">Topic *</label>
                                            <select id="subjectTopic" name="subjectTopic" class="form-control selectpicker" multiple data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Topic">
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="fetchQuestions" class="input__label"></label>
                                            <button id="fetchQuestions" name="fetchQuestions" type="button" class="btn btn-sm btn-warning pull-right">Fetch Question(s)&nbsp;<i class="fa fa-arrow-left"></i></button>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset id="generalQuestion" style="display: none;">
                                    <legend>Select Questions (General)</legend>
                                    <table style="width:100%" class="table table-active">
                                        <tr>
                                            <th><input type="checkbox" id="selectAllGenQues" name="selectAllGenQues" value="A">&nbsp;Select</th>
                                            <th>Sr. No.</th>
                                            <th>Question</th>
                                            <th>Option A</th>
                                            <th>Option B</th>
                                            <th>Option C</th>
                                            <th>Option D</th>
                                            <th>Correct</th>
                                            <th>Marks</th>
                                        </tr>
                                        <tbody id="generalQuestionDetails"></tbody>
                                    </table>
                                </fieldset>
                                <fieldset id="modelPaperDetails">
                                    <legend>Model Paper Details</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="modelPaperTitle" class="input__label">Model Paper Title *</label>
                                            <input type="text" class="form-control" id="modelPaperTitle" name="modelPaperTitle" placeholder="Enter Model Paper Title" maxlength="500" value="<?php echo set_value('modelPaperTitle'); ?>">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="modelPaperDesc" class="input__label">Model Paper Description</label>
                                            <textarea class="form-control" id="modelPaperDesc" name="modelPaperDesc" placeholder="Enter Model Paper Description (Max. 1000 Chars)" maxlength="1000"><?php echo set_value('modelPaperDesc'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <button id="submitBtn" type="button" class="btn btn-primary btn-block btn-style mt-4">Create Model Paper</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#subjectCourse").on("change", function () {
                $('#selectAllGenQues').prop('checked', false);
                $('#selectAllGroupQues').prop('checked', false);
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForMultipleDropDown/') ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subjectInfo.subject_list);
                            $("#subject").selectpicker('refresh');
                            csrfHash = subjectInfo.csrfHash;
                            objectiveModelPaperCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subject").html("<option value=''>Select Subject</option>");
                    $("#subjectTopic").html("<option value=''>Select Topic</option>");
                }
            });

            $("#subject").on("change", function () {
                $('#selectAllGenQues').prop('checked', false);
                $('#selectAllGroupQues').prop('checked', false);
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/TasksAndQuizzes/getTopicsForDropdownBySubject/') ?>',
                        data: {subject_id: $("#subject").val(), topic_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var topicInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectTopic").html(topicInfo.topics);
                            $("#subjectTopic").selectpicker('refresh');
                            csrfHash = topicInfo.csrfHash;
                            objectiveModelPaperCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectTopic").html("<option value=''>Select Topic</option>");
                }
            });

            $("#selectAllGenQues").click(function () {
                $("input[name='selectedGenQuestions[]']").prop('checked', $(this).prop('checked'));
            });

            $("#submitBtn").on("click", function () {
                if ($("#subjectCourse").val().trim() === "") {
                    alert("Please Select A Course.");
                    $("#subjectCourse").focus();
                } else if ($("#subject").val().trim() === "") {
                    alert("Please Select A Subject.");
                    $("#subject").focus();
                } else if (($("[name='selectedGenQuestions[]']:checked").length === 0 && $("[name='selectedGroupQuestions[]']:checked").length === 0)) {
                    alert("Please Select At Least One Question From Either Category To Create Model Paper.");
                } else if ($("#modelPaperTitle").val().trim() === "") {
                    alert("Please Enter Model Paper Title.");
                    $("#modelPaperTitle").focus();
                } else {
                    $("#objectiveModelPaperCreationFrm").submit();
                }
            });

            $("#fetchQuestions").on("click", function () {
                if ($("#subjectCourse").val().trim() === "") {
                    alert("Please Select A Course.");
                    $("#subjectCourse").focus();
                } else if ($("#subject").val().trim() === "") {
                    alert("Please Select A Subject.");
                    $("#subject").focus();
                } else {
                    $.ajax({
                        url: '<?php echo site_url('admin/TasksAndQuizzes/getObjectiveGeneralQuestionsBySubjectAndTopic/'); ?>',
                        data: {subject_id: $("#subject").val(), topic_id: $("#subjectTopic").val(), smemeber_id: '<?php echo $this->session->userdata("adminData")["smember_id"]; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var generalQuestionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            genQuesList = "";
                            if (generalQuestionInfo.available_students !== 0) {
                                for (var i = 0; i < generalQuestionInfo.question_list.length; i++) {
                                    genQuesList += "<tr>";
                                    genQuesList += "<td><input type='checkbox' name='selectedGenQuestions[]' value='" + generalQuestionInfo.question_list[i].oqb_id + "'></td>";
                                    genQuesList += "<th>" + (i + 1) + "</th>";
                                    genQuesList += "<th>" + generalQuestionInfo.question_list[i].oqb_question + generalQuestionInfo.question_list[i].oqb_image + "</th>";
                                    genQuesList += "<th>" + generalQuestionInfo.question_list[i].oqb_opt_a + "</th>";
                                    genQuesList += "<th>" + generalQuestionInfo.question_list[i].oqb_opt_b + "</th>";
                                    genQuesList += "<th>" + generalQuestionInfo.question_list[i].oqb_opt_c + "</th>";
                                    genQuesList += "<th>" + generalQuestionInfo.question_list[i].oqb_opt_d + "</th>";
                                    genQuesList += "<th>" + generalQuestionInfo.question_list[i].oqb_correct_opt + "</th>";
                                    genQuesList += "<th>" + generalQuestionInfo.question_list[i].oqb_marks + "</th>";
                                    genQuesList += "</tr>";
                                }
                                $("#generalQuestionDetails").html(genQuesList);
                                $("#generalQuestion").css("display", "block");
                            } else {
                                genQuesList += "<tr>";
                                genQuesList += "<td colspan='4'>" + genQuesList.message + "</td>";
                                genQuesList += "</tr>";
                                $("#generalQuestionDetails").html(genQuesList);
                                $("#generalQuestion").css("display", "block");
                            }
                            csrfHash = generalQuestionInfo.csrfHash;
                            objectiveModelPaperCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });

            $(document).ready(function () {
                if ($("#subjectCourse").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForMultipleDropDown/') ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subjectInfo.subject_list);
                            $("#subject").selectpicker('refresh');
                            csrfHash = subjectInfo.csrfHash;
                            objectiveModelPaperCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>