<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing Objective General Question <?php echo stripslashes($questionInfo->qb_question); ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Tasks & Quizzes</li>
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/TasksAndQuizzes/objectiveQuestions"); ?>">Objective Questions Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/editObjectiveGeneralQuestion/" . $questionInfo->qb_id); ?>">Edit Objective General Questions</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Objective General Question => <b><?php echo (strlen(stripslashes($questionInfo->qb_question)) > 50) ? substr(stripslashes($questionInfo->qb_question), 0, 50) . "..." : stripslashes($questionInfo->qb_question); ?></b></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/TasksAndQuizzes/updateObjectiveGeneralQuestion'), ['name' => 'objectiveGenQuestionUpdateFrm', 'id' => 'objectiveGenQuestionUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Question Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="subjectCourse" class="input__label">Course *</label>
                                            <select id="subjectCourse" name="subjectCourse" class="custom-select">
                                                <option value="">Select Course</option>
                                                <?php
                                                foreach ($courses as $course) {
                                                    $selected = ($course->course_id == $questionInfo->course_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subject" class="input__label">Subject *</label>
                                            <select id="subject" name="subject" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Subject">
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subjectTopic" class="input__label">Topic *</label>
                                            <select id="subjectTopic" name="subjectTopic" class="custom-select">
                                                <option value="">Select Topic</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="question" class="input__label">Question *</label>
                                            <textarea class="form-control" id="question" name="question" placeholder="Enter Question" maxlength="1000"><?php echo stripslashes($questionInfo->qb_question); ?></textarea>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="questionMarks" class="input__label">Marks *</label>
                                            <input type="text" class="form-control" id="questionMarks" name="questionMarks" placeholder="Enter Marks" value="<?php echo stripslashes($questionInfo->qb_marks); ?>">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="questionNegMarks" class="input__label">Negative Marks *</label>
                                            <input type="text" class="form-control" id="questionNegMarks" name="questionNegMarks" placeholder="Enter Negative Marks (Without -/Minus Symbol)" value="<?php echo stripslashes($questionInfo->qb_negative_marks); ?>">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="imageFile" class="input__label">Image File</label>
                                            <input type="file" class="form-control" id="imageFile" name="imageFile">
                                            <small id="imageFileInstruction" style="color:#0000FF;font-weight: bold;">Max File Size For Image File & Option Image Files Is 500KB And Allowed Extensions Are *.png, *.jpg, *.jpeg.</small>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <?php if ($questionInfo->qb_image != NULL || $questionInfo->qb_image != "") { ?>
                                                <img src="<?php echo base_url($questionInfo->qb_image); ?>" width="80px">
                                                <label for="removeImage"> Remove Image</label>
                                                <input type="checkbox" value="T" id="removeImage" name="removeImage">
                                            <?php } ?>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Options</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="option_a" class="input__label">A.</label>
                                            <input type="text" class="form-control" id="option_a" name="option_a" value="<?php echo stripslashes($questionInfo->qb_opt_a); ?>" placeholder="Enter Option A" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="option_a_img" class="input__label">A. Image</label>
                                            <input type="file" class="form-control" id="option_a_img" name="option_a_img">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <?php if ($questionInfo->qb_opt_a_img != NULL || $questionInfo->qb_opt_a_img != "") { ?>
                                                <img src="<?php echo base_url($questionInfo->qb_opt_a_img); ?>" width="80px" height="30px">
                                                <label for="removeOptAImage"> Remove Image</label>
                                                <input type="checkbox" value="T" id="removeOptAImage" name="removeOptAImage">
                                                <input type="hidden" name="oqb_opt_a_image" value="<?php echo $questionInfo->qb_opt_a_img; ?>">
                                            <?php } ?>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="option_b" class="input__label">B.</label>
                                            <input type="text" class="form-control" id="option_b" name="option_b" value="<?php echo stripslashes($questionInfo->qb_opt_b); ?>" placeholder="Enter Option B" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="option_b_img" class="input__label">B. Image</label>
                                            <input type="file" class="form-control" id="option_b_img" name="option_b_img">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <?php if ($questionInfo->qb_opt_b_img != NULL || $questionInfo->qb_opt_b_img != "") { ?>
                                                <img src="<?php echo base_url($questionInfo->qb_opt_b_img); ?>" width="80px" height="30px">
                                                <label for="removeOptBImage"> Remove Image</label>
                                                <input type="checkbox" value="T" id="removeOptBImage" name="removeOptBImage">
                                                <input type="hidden" name="oqb_opt_b_image" value="<?php echo $questionInfo->qb_opt_b_img; ?>">
                                            <?php } ?>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="option_b" class="input__label">C.</label>
                                            <input type="text" class="form-control" id="option_c" name="option_c" value="<?php echo stripslashes($questionInfo->qb_opt_c); ?>" placeholder="Enter Option C" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="option_c_img" class="input__label">C. Image</label>
                                            <input type="file" class="form-control" id="option_c_img" name="option_c_img">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <?php if ($questionInfo->qb_opt_c_img != NULL || $questionInfo->qb_opt_c_img != "") { ?>
                                                <img src="<?php echo base_url($questionInfo->qb_opt_c_img); ?>" width="80px" height="30px">
                                                <label for="removeOptCImage"> Remove Image</label>
                                                <input type="checkbox" value="T" id="removeOptCImage" name="removeOptCImage">
                                                <input type="hidden" name="oqb_opt_c_image" value="<?php echo $questionInfo->qb_opt_c_img; ?>">
                                            <?php } ?>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="option_b" class="input__label">D.</label>
                                            <input type="text" class="form-control" id="option_d" name="option_d" value="<?php echo stripslashes($questionInfo->qb_opt_d); ?>" placeholder="Enter Option D" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="option_d_img" class="input__label">D. Image</label>
                                            <input type="file" class="form-control" id="option_d_img" name="option_d_img">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <?php if ($questionInfo->qb_opt_d_img != NULL || $questionInfo->qb_opt_d_img != "") { ?>
                                                <img src="<?php echo base_url($questionInfo->qb_opt_d_img); ?>" width="80px" height="30px">
                                                <label for="removeOptDImage"> Remove Image</label>
                                                <input type="checkbox" value="T" id="removeOptDImage" name="removeOptDImage">
                                                <input type="hidden" name="oqb_opt_d_image" value="<?php echo $questionInfo->qb_opt_d_img; ?>">
                                            <?php } ?>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Correct Answer</legend>
                                    <table style="width:100%" class="table table-active">
                                        <tr>
                                            <td>
                                                <label for="correctAnswer" class="input__label">Correct Option *</label>
                                                <select id="correctAnswer" name="correctAnswer" class="custom-select">
                                                    <option value="" <?php echo ($questionInfo->qb_correct_opt == "") ? "selected" : ""; ?>>Select Correct Option</option>
                                                    <option value="A" <?php echo ($questionInfo->qb_correct_opt == "A") ? "selected" : ""; ?>>A</option>
                                                    <option value="B" <?php echo ($questionInfo->qb_correct_opt == "B") ? "selected" : ""; ?>>B</option>
                                                    <option value="C" <?php echo ($questionInfo->qb_correct_opt == "C") ? "selected" : ""; ?>>C</option>
                                                    <option value="D" <?php echo ($questionInfo->qb_correct_opt == "D") ? "selected" : ""; ?>>D</option>
                                                </select>
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                                <input type="hidden" name="qb_id" value="<?php echo $questionInfo->qb_id; ?>">
                                <input type="hidden" name="qb_image" value="<?php echo $questionInfo->qb_image; ?>">
                                <button id="submitBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#subjectCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForMultipleDropDown/') ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subjectInfo.subject_list);
                            $("#subject").selectpicker('refresh');
                            csrfHash = subjectInfo.csrfHash;
                            objectiveGenQuestionUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subject").html("<option value=''>Select Subject</option>");
                    $("#subjectTopic").html("<option value=''>Select Topic</option>");
                }
            });

            $("#subject").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/TasksAndQuizzes/getTopicsForDropdownBySubject/') ?>',
                        data: {subject_id: $("#subject").val(), topic_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var topicInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectTopic").html(topicInfo.topics);
                            csrfHash = topicInfo.csrfHash;
                            objectiveGenQuestionUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectTopic").html("<option value=''>Select Topic</option>");
                }
            });

            $(document).ready(function () {
                if ($("#subjectCourse").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForMultipleDropDown/') ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subjectInfo.subject_list);
                            $("#subject").selectpicker('refresh');
                            $("#subject").val(<?php echo $questionInfo->sm_id; ?>);
                            $("#subject").selectpicker('refresh');
                            csrfHash = subjectInfo.csrfHash;
                            objectiveGenQuestionUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ($("#subject").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/TasksAndQuizzes/getTopicsForDropdownBySubject/') ?>',
                        data: {subject_id: '<?php echo $questionInfo->sm_id; ?>', topic_id: '<?php echo $questionInfo->stm_id; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var topicInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectTopic").html(topicInfo.topics);
                            csrfHash = topicInfo.csrfHash;
                            objectiveGenQuestionUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>