<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing Subjective Comprehensive Question <?php echo stripslashes($questionInfo[0]->qg_question); ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Tasks & Quizzes</li>
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/TasksAndQuizzes/subjectiveQuestions"); ?>">Subjective Questions Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/editSubjectiveComprehensiveQuestions/" . $questionInfo[0]->qg_id); ?>">Edit Subjective Comprehensive Questions</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Subjective Comprehensive Questions</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/TasksAndQuizzes/updateSubjectiveGroupQuestion'), ['name' => 'subjectiveGroupQuestionUpdateFrm', 'id' => 'subjectiveGroupQuestionUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Question Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="subjectCourse" class="input__label">Course *</label>
                                            <select id="subjectCourse" name="subjectCourse" class="custom-select">
                                                <option value="">Select Course</option>
                                                <?php
                                                foreach ($courses as $course) {
                                                    $selected = ($course->course_id == $questionInfo[0]->course_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subject" class="input__label">Subject *</label>
                                            <select id="subject" name="subject" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Subject">
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subjectTopic" class="input__label">Topic *</label>
                                            <select id="subjectTopic" name="subjectTopic" class="custom-select">
                                                <option value="">Select Topic</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="questionDesc" class="input__label">Question Description *</label>
                                            <textarea class="form-control" id="questionDesc" name="questionDesc" placeholder="Enter Question Description" maxlength="1000"><?php echo stripslashes($questionInfo[0]->qg_question); ?></textarea>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="imageFile" class="input__label">Image File</label>
                                            <input type="file" class="form-control" id="imageFile" name="imageFile">
                                            <small id="imageFileInstruction" style="color:#0000FF;font-weight: bold;">Max File Size For Image File Is 500KB And Allowed Extensions Are *.png, *.jpg, *.jpeg.</small>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <?php if ($questionInfo[0]->qg_image != NULL || $questionInfo[0]->qg_image != "") { ?>
                                                <img src="<?php echo base_url($questionInfo[0]->qg_image); ?>" width="50%">
                                                <input id="removeImage" type="checkbox" name="removeImage" value="T"><label for="removeImage">&nbsp;Remove Image</label>
                                                <?php
                                            }
                                            ?>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Add/Edit Sub-Questions</legend>
                                    <table id="subQuestions" style="width:100%" class="table table-active">
                                        <?php for ($i = 0; $i < sizeof($questionInfo); $i++) { ?>
                                            <tr>
                                                <td style="width:75%">
                                                    <input type="text" class="form-control questions" name="questions[]" placeholder="Enter Sub-Question" value="<?php echo stripslashes($questionInfo[$i]->qb_question); ?>" maxlength="1000">
                                                </td>
                                                <td style="width:15%">
                                                    <input type="text" class="form-control marks" name="marks[]" placeholder="Marks" maxlength="3" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo $questionInfo[$i]->qb_marks; ?>">
                                                </td>
                                                <td style="width:10%">
                                                    <?php if ($i == 0) { ?>
                                                        <a href="javascript:void(0);" id="addMoreBtn" class='btn btn-sm btn-primary'><i class="fa fa-plus"></i> More</a>  
                                                    <?php } else {
                                                        ?>
                                                        <a href = "javascript:void(0);" class = "removeBtn btn btn-sm btn-danger"><i class = "fa fa-times"></i> Delete</a>
                                                        <?php
                                                    }
                                                    ?>
                                                </td>
                                            </tr>
                                            <?php
                                        }
                                        ?>
                                    </table>
                                </fieldset>
                                <input type="hidden" id="totalMarks" name="totalMarks" value="<?php echo $questionInfo[0]->qg_marks; ?>">
                                <input type="hidden" id="qg_image" name="qg_image" value="<?php echo $questionInfo[0]->qg_image; ?>">
                                <input type="hidden" id="qg_id" name="qg_id" value="<?php echo $questionInfo[0]->qg_id; ?>">
                                <button id="submitBtn" type="button" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#subjectCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForMultipleDropDown/') ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subjectInfo.subject_list);
                            $("#subject").selectpicker('refresh');
                            csrfHash = subjectInfo.csrfHash;
                            subjectiveGroupQuestionUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subject").html("<option value=''>Select Subject</option>");
                    $("#subjectTopic").html("<option value=''>Select Topic</option>");
                }
            });

            $("#subject").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/TasksAndQuizzes/getTopicsForDropdownBySubject/') ?>',
                        data: {subject_id: $("#subject").val(), topic_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var topicInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectTopic").html(topicInfo.topics);
                            csrfHash = topicInfo.csrfHash;
                            subjectiveGroupQuestionUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectTopic").html("<option value=''>Select Topic</option>");
                }
            });

            $("#addMoreBtn").on("click", function () {
                $("#subQuestions").append('<tr><td style="width:75%"><input type="text" class="form-control questions" name="questions[]" placeholder="Enter Sub-Question"/></td><td style="width:15%"><input type="text" class="form-control marks" name="marks[]" onkeypress="return event.charCode >= 48 && event.charCode <= 57" placeholder="Marks"/></td><td style="width:10%"><a href="javascript:void(0);" class="removeBtn btn btn-sm btn-danger"><i class="fa fa-times"></i> Delete</a></td></tr>');
            });

            $("#subQuestions").on('click', '.removeBtn', function () {
                var inx = $('.removeBtn').index(this);
                $('tr').eq(inx + 1).remove();
            });

            $("#submitBtn").on("click", function () {
                var marksValidated = 0;
                var totalMarks = 0;
                var questionsValidated = 0;
                $("input[name='marks[]']").each(function () {
                    if ($(this).val().trim() === "" || isNaN($(this).val().trim())) {
                        marksValidated++;
                    } else {
                        totalMarks += parseInt($(this).val().trim());
                    }
                });
                $("input[name='questions[]']").each(function () {
                    if ($(this).val().trim() === "") {
                        questionsValidated++;
                    }
                });
                if ($("#subjectCourse").val().trim() === "") {
                    alert("Please Select A Course.");
                    $("#subjectCourse").focus();
                } else if ($("#subject").val().trim() === "") {
                    alert("Please Select A Subject.");
                    $("#subject").focus();
                } else if ($("#subjectTopic").val().trim() === "") {
                    alert("Please Select Any Topic.");
                    $("#subjectTopic").focus();
                } else if ($("#questionDesc").val().trim() === "") {
                    alert("Please Enter Question Description.");
                    $("#questionDesc").focus();
                } else if (questionsValidated !== 0) {
                    alert("You Left Any Sub-Question Field Blank. Please Enter The Question.");
                } else if (marksValidated !== 0) {
                    alert("You Have Left Any Marks Field Blank Or May Have Entered Non-Numeric Value. Only Numbers Are Accepted.");
                } else {
                    $("#totalMarks").val(totalMarks);
                    $("#subjectiveGroupQuestionUpdateFrm").submit();
                }
            });

            $(document).ready(function () {
                if ($("#subjectCourse").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForMultipleDropDown/') ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subjectInfo.subject_list);
                            $("#subject").selectpicker('refresh');
                            $("#subject").val(<?php echo $questionInfo[0]->sm_id; ?>);
                            $("#subject").selectpicker('refresh');
                            csrfHash = subjectInfo.csrfHash;
                            subjectiveGroupQuestionUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ($("#subject").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/TasksAndQuizzes/getTopicsForDropdownBySubject/') ?>',
                        data: {subject_id: '<?php echo $questionInfo[0]->sm_id; ?>', topic_id: '<?php echo $questionInfo[0]->stm_id; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var topicInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectTopic").html(topicInfo.topics);
                            csrfHash = topicInfo.csrfHash;
                            subjectiveGroupQuestionUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>