<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Deleted Students List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Recycle Bin</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/RecycleBin/studentBin"); ?>">Student's Bin</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-user-times"></i> All Deleted Students</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <table id="allDeletedStudents" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Form No.</th>
                                            <th>Roll No.</th>
                                            <th>Name</th>
                                            <th>Course</th>
                                            <th>Session</th>
                                            <th>Entry Type</th>
                                            <th>Status</th>
                                            <th>Deleted By</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Form No.</th>
                                            <th>Roll No.</th>
                                            <th>Name</th>
                                            <th>Course</th>
                                            <th>Session</th>
                                            <th>Entry Type</th>
                                            <th>Status</th>
                                            <th>Deleted By</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($deletedStudents); $i++) {
                                            $record = $deletedStudents[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->tspi_form_no); ?></td>
                                                <td><?php echo stripslashes($record->tspi_rollNumber); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->tspi_gender == "M") {
                                                        echo "<i class='fa fa-male'></i>|" . stripslashes($record->tspi_name);
                                                    } else if ($record->tspi_gender == "F") {
                                                        echo "<i class='fa fa-female'></i>|" . stripslashes($record->tspi_name);
                                                    } else {
                                                        echo "<i class='fa fa-transgender'></i>|" . stripslashes($record->tspi_name);
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo stripslashes($record->course_name); ?></td>
                                                <td><?php echo stripslashes($record->session_name); ?></td>
                                                <td><?php echo stripslashes($record->tcsm_course_type); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->tspi_status == "CE") {
                                                        echo "Currently Enrolled";
                                                    } else if ($record->tspi_status == "DV") {
                                                        echo "Document Verified & Counselling Complete";
                                                    } else if ($record->tspi_status == "D") {
                                                        echo "Drop Out";
                                                    } else if ($record->tspi_status == "E") {
                                                        echo "Expelled";
                                                    } else if ($record->tspi_status == "P") {
                                                        echo "Passout";
                                                    } else {
                                                        echo "Not Admitted";
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo stripslashes($record->tprfl_firstname . " " . $record->tprfl_lastname) . " On " . date("d-m-Y h:i:s A", strtotime($record->tspi_updated_on)); ?></td>
                                                <td>
                                                    <i class='fa fa-undo' style='color:#002166;cursor: pointer;' title="Restore This Student's Entry" onClick="restore(<?php echo $record->tspi_id; ?>);"  ></i>
                                                    <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Student's Entry Permanently" onClick="deletePermanently(<?php echo $record->tspi_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            function restore(tspi_id) {
                if (confirm("Do You Really Want To Restore This Student's Entry?")) {
                    window.location.href = '<?php echo site_url('admin/RecycleBin/restoreStudent/'); ?>' + tspi_id;
                }
            }

            function deletePermanently(tspi_id) {
                if (confirm("Do You Really Want To Delete This Student's Entry Permanently? This Process Can Not Be Undone.")) {
                    window.location.href = '<?php echo site_url('admin/RecycleBin/deleteStudentPermanently/'); ?>' + tspi_id;
                }
            }

            $(document).ready(function () {
                $("#allDeletedStudents").DataTable({responsive: true, dom: 'Blfrtip'});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>