<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Deleted Subjects List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Recycle Bin</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/RecycleBin/subjectBin"); ?>">All Deleted Subjects</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-trash-o"></i> Deleted Subject Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <table id="allSubjects" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th >Sr. No</th>
                                            <th>Code</th>
                                            <th>Name</th>
                                            <th>Type</th>
                                            <th>Course</th>
                                            <th>Semester/Year</th>
                                            <th>Paper Type</th>
                                            <th>Lecture Hour</th>
                                            <th>Tutorial Hour</th>
                                            <th>Practical Hour</th>
                                            <th>Theory Credit</th>
                                            <th>Practical Credit</th>
                                            <th>Class Assessment Marks </th>
                                            <th>Teacher Assessment Marks</th>
                                            <th>Semester Theory Marks</th>
                                            <th>Semester Practical Marks</th>
                                            <th>Added By</th>
                                            <th>Deleted By</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Name</th>
                                            <th>Code</th>
                                            <th>Type</th>
                                            <th>Course</th>
                                            <th>Semester/Year</th>
                                            <th>Paper Type</th>
                                            <th>Lecture Hour</th>
                                            <th>Tutorial Hour</th>
                                            <th>Practical Hour</th>
                                            <th>Theory Credit</th>
                                            <th>Practical Credit</th>
                                            <th>Class Assessment Marks </th>
                                            <th>Teacher Assessment Marks</th>
                                            <th>Semester Theory Marks</th>
                                            <th>Semester Practical Marks</th>
                                            <th>Added By</th>
                                            <th>Deleted By</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($deletedSubjects); $i++) {
                                            $record = $deletedSubjects[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->sm_name); ?></td>
                                                <td><?php echo ($record->sm_syllabus_file == "" || $record->sm_syllabus_file == NULL) ? stripslashes($record->sm_code) : "<a href='" . base_url($record->sm_syllabus_file) . "' target='_blank'>" . stripslashes($record->sm_code) . "</a>"; ?></td>
                                                <td><?php echo $record->st_name; ?></td>
                                                <td><?php echo stripslashes($record->course_name); ?></td>
                                                <td><?php echo $record->sm_semester; ?></td>
                                                <td><?php echo ($record->sm_paper_type == "P") ? "Practical" : "Theory"; ?></td>
                                                <td><?php echo stripslashes($record->sm_lecture_hr); ?></td>
                                                <td><?php echo stripslashes($record->sm_tutorial_hr); ?></td>
                                                <td><?php echo stripslashes($record->sm_practical_hr); ?></td>
                                                <td><?php echo stripslashes($record->sm_theory_credit); ?></td>
                                                <td><?php echo stripslashes($record->sm_practical_credit); ?></td>
                                                <td><?php echo stripslashes($record->sm_assessment_ct); ?></td>
                                                <td><?php echo stripslashes($record->sm_assessment_ta); ?></td>
                                                <td><?php echo stripslashes($record->sm_end_sem_theory); ?></td>
                                                <td><?php echo stripslashes($record->sm_end_sem_practical); ?></td>
                                                <td><?php echo $record->addedByAdmin . " On " . date("d-m-Y h:i:s A", strtotime($record->sm_added_on)); ?></td>
                                                <td><?php echo $record->updatedByAdmin . " On " . date("d-m-Y h:i:s A", strtotime($record->sm_updated_on)); ?></td>
                                                <td>
                                                    <i class='fa fa-undo' style='color:#002166;cursor: pointer;' title="Restore This Subject" onClick="restoreSubject(<?php echo $record->sm_id; ?>);"  ></i>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allSubjects").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function restoreSubject(sm_id) {
                if (confirm("Are You Sure You Want To Restore This Subject?")) {
                    window.location.href = "<?php echo site_url('admin/RecycleBin/restoreSubject/'); ?>" + sm_id;
                }
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>