<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Miscellaneous Fee Report | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Reports</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Reports/miscellaneousFeeReport"); ?>"> Miscellaneous Fee Report</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-inr"></i> Miscellaneous Fee Report</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Reports/miscellaneousFeeReport'), ['name' => 'miscFeeReportFitlerFrm', 'id' => 'miscFeeReportFitlerFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-2" style="display: none;">
                                            <label for="stuBranch" class="input__label">Branch *</label>
                                            <select id="stuBranch" name="stuBranch" class="custom-select">
                                                <option value="">Select Branch</option>
                                                <?php
                                                $selected = (sizeof($branches) > 2) ? "" : "selected";
                                                foreach ($branches as $branch) {
                                                    if ($branch->branch_id == 0 || $branch->branch_id == '0') {
                                                        continue;
                                                    }
                                                    ?>
                                                    <option value="<?php echo $branch->branch_id; ?>" <?php echo set_select("stuBranch", $branch->branch_id); ?> <?php echo $selected; ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="stuFormEnrlRoll" class="input__label">Form/Roll No/Enrl. No.</label>
                                            <input type="text" class="form-control" id="stuFormEnrlRoll" name="stuFormEnrlRoll" value="<?php echo set_value('stuFormEnrlRoll'); ?>" placeholder="Enter Form/Roll No/Enrl. No.." autocomplete="off" maxlength="150">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="receiptNo" class="input__label">Receipt Number</label>
                                            <input type="text" class="form-control" id="receiptNo" name="receiptNo" value="<?php echo set_value('receiptNo'); ?>" placeholder="Enter Receipt No." autocomplete="off" maxlength="150">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="paymentMode" class="input__label">Payment Mode</label>
                                            <select id="paymentMode" name="paymentMode" class="custom-select">
                                                <option value="" <?php echo set_select("paymentMode", "") ?>>All</option>
                                                <?php foreach ($feeModes as $feeMode) { ?>
                                                    <option value="<?php echo $feeMode->fmm_id; ?>" <?php echo set_select("paymentMode", $feeMode->fmm_id); ?>><?php echo stripslashes($feeMode->fmm_short_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="feeHead" class="input__label">Fee Head</label>
                                            <select id="feeHead" name="feeHead" class="custom-select">
                                                <option value="" <?php echo set_select("feeHead", "") ?>>All</option>
                                                <?php foreach ($feeHeads as $feeHead) { ?>
                                                    <option value="<?php echo $feeHead->fhm_id; ?>" <?php echo set_select("feeHead", $feeHead->fhm_id); ?>><?php echo stripslashes($feeHead->fhm_short_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="stuCourse" class="input__label">Course</label>
                                            <select id="stuCourse" name="stuCourse" class="custom-select">
                                                <option value="" <?php echo set_select("stuCourse", "") ?>>All Courses</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("stuCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="stuSession" class="input__label">Session</label>
                                            <select id="stuSession" name="stuSession" class="custom-select">
                                                <option value="">Select Session</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="stuEntryType" class="input__label">Entry Type</label>
                                            <select id="stuEntryType" name="stuEntryType" class="custom-select">
                                                <option value="">Select Entry Type</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="collectionForSession" class="input__label">Collected For Session</label>
                                            <select id="collectionForSession" name="collectionForSession" class="custom-select">
                                                <option value="">All</option>
                                                <?php foreach ($collectionSessions as $cSession) { ?>
                                                    <option value="<?php echo $cSession->session_id; ?>" <?php echo set_select("collectionForSession", $cSession->session_id); ?>><?php echo stripslashes($cSession->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="stuEntryOprtr" class="input__label">Collected By</label>
                                            <select id="stuEntryOprtr" name="stuEntryOprtr" class="custom-select">
                                                <option value="">All</option>
                                                <?php foreach ($operators as $operator) { ?>
                                                    <option value="<?php echo $operator->smember_id; ?>" <?php echo set_select("stuEntryOprtr", $operator->smember_id); ?>><?php echo stripslashes($operator->tprfl_firstname . " " . $operator->tprfl_lastname); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="entryStartDate" class="input__label">Start Date</label>
                                            <input type="text" class="form-control" id="entryStartDate" name="entryStartDate" value="<?php echo set_value('entryStartDate'); ?>" placeholder="Choose Start Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="entryEndDate" class="input__label">End Date</label>
                                            <input type="text" class="form-control" id="entryEndDate" name="entryEndDate" value="<?php echo set_value('entryEndDate'); ?>" placeholder="Choose End Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="entryDateRangeAppliedWith" class="input__label">Apply Date Range With</label>
                                            <select id="entryDateRangeAppliedWith" name="entryDateRangeAppliedWith" class="custom-select">
                                                <option value="RCTDT" <?php echo set_select("entryDateRangeAppliedWith", "RCTDT") ?>>Receipt Date</option>
                                                <option value="ENTDT" <?php echo set_select("entryDateRangeAppliedWith", "ENTDT") ?>>Entry Date</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Report&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <table id="allFeeMiscReport" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Receipt No.</th>
                                            <th>Receipt Date</th>
                                            <th>Fee Head</th>
                                            <th>Fee Mode</th>
                                            <th>Amount</th>
                                            <th>Paid For Year/Sem.</th>
                                            <th>Cancelled</th>
                                            <th>Roll No.</th>
                                            <th>Enrl. No.</th>
                                            <th>Name</th>
                                            <th style="display: none;">Form No.</th>
                                            <th style="display: none;">Gender</th>
                                            <th style="display: none;">Category</th>
                                            <th style="display: none;">Religion</th>
                                            <th style="display: none;">DOB</th>
                                            <th style="display: none;">Course</th>
                                            <th style="display: none;">Session</th>
                                            <th style="display: none;">Entry Type</th>
                                            <th style="display: none;">Collection For Session</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Receipt No.</th>
                                            <th>Receipt Date</th>
                                            <th>Fee Head</th>
                                            <th>Fee Mode</th>
                                            <th>Amount</th>
                                            <th>Paid For Year/Sem.</th>
                                            <th>Cancelled</th>
                                            <th>Roll No.</th>
                                            <th>Enrl. No.</th>
                                            <th>Name</th>
                                            <th style="display: none;">Form No.</th>
                                            <th style="display: none;">Gender</th>
                                            <th style="display: none;">Category</th>
                                            <th style="display: none;">Religion</th>
                                            <th style="display: none;">DOB</th>
                                            <th style="display: none;">Course</th>
                                            <th style="display: none;">Session</th>
                                            <th style="display: none;">Entry Type</th>
                                            <th style="display: none;">Collection For Session</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($filteredRecords); $i++) {
                                            $record = $filteredRecords[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo "<a href='" . site_url("admin/Fee/showReceipt/" . $record->frm_id) . "' target='_blank'>" . stripslashes($record->frm_receipt_no) . "</a>"; ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->frm_receipt_date)); ?></td>
                                                <td><?php echo stripslashes($record->fhm_short_name); ?></td>
                                                <td><?php echo stripslashes($record->fmm_short_name); ?></td>
                                                <td><?php echo "<i class='fa fa-inr'></i> " . $record->fcm_amount . "/-"; ?></td>
                                                <td><?php echo $record->fcm_semester; ?></td>
                                                <td><?php echo ($record->frm_status == "C") ? "Yes" : "No"; ?></td>
                                                <td><?php echo ($record->tspi_form_no == $record->tspi_rollNumber) ? "-" : "<a href='" . site_url("admin/Student/viewStudent/" . $record->tspi_id) . "' target='_blank'>" . stripslashes($record->tspi_rollNumber) . "</a>"; ?></td>
                                                <td><?php echo ($record->tspi_form_no == $record->tspi_enrollment_no) ? "-" : "<a href='" . site_url("admin/Student/viewStudent/" . $record->tspi_id) . "' target='_blank'>" . stripslashes($record->tspi_enrollment_no) . "</a>"; ?></td>
                                                <td><?php echo "<a href='" . site_url("admin/Student/viewStudent/" . $record->tspi_id) . "' target='_blank'>" . stripslashes($record->tspi_name) . "</a>"; ?></td>
                                                <td style="display: none;"><?php echo $record->tspi_form_no; ?></td>
                                                <td style="display: none;">
                                                    <?php
                                                    if ($record->tspi_gender == "M") {
                                                        echo "Male";
                                                    } else if ($record->tspi_gender == "F") {
                                                        echo "Female";
                                                    } else {
                                                        echo "Transgender";
                                                    }
                                                    ?>
                                                </td>
                                                <td style="display: none;"><?php echo stripslashes($record->tspi_category); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->tspi_religion); ?></td>
                                                <td style="display: none;"><?php echo date("d-m-Y", strtotime($record->tspi_dob)); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->course_name); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->session_name); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->tcsm_course_type); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->session_name); ?></td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#stuCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            miscFeeReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuSession").html("<option value=''>Select Session</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#stuSession").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            miscFeeReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuEntryType").html("<option value=''>Select Entry Type</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(function () {
                var dateFormat = "dd/mm/yy",
                        from = $("#entryStartDate")
                        .datepicker({
                            dateFormat: dateFormat,
                            defaultDate: '0',
                            changeMonth: true,
                            changeYear: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#entryEndDate").datepicker({
                    dateFormat: dateFormat,
                    defaultDate: '0',
                    changeMonth: true,
                    changeYear: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }
                    return date;
                }
            });

            $(document).ready(function () {
                var selectedSession = '<?php echo $selectedSession; ?>';
                var selectedUCSMapId = '<?php echo $selectedEntryType; ?>';
                if ($("#stuCourse").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            miscFeeReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if (selectedSession !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, ucs_map_id: selectedUCSMapId, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            miscFeeReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                $("#allFeeMiscReport").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'copy', text: "<i class='fa fa-clipboard'></i> Copy"},
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"}
                    ]});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>