<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>University Fee Reimbursement Report | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Reports</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Reports/feeReimbursementReport"); ?>"> Fee Reimbursement Report (From AKTU)</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-inr"></i> Fee Reimbursement Report (From AKTU)</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Reports/feeReimbursementReport'), ['name' => 'reimbursementFeeReportFitlerFrm', 'id' => 'reimbursementFeeReportFitlerFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="collectionForSession" class="input__label">Collected For Session</label>
                                            <select id="collectionForSession" name="collectionForSession" class="custom-select">
                                                <option value="">All</option>
                                                <?php foreach ($collectionSessions as $cSession) { ?>
                                                    <option value="<?php echo $cSession->session_id; ?>" <?php echo set_select("collectionForSession", $cSession->session_id); ?>><?php echo stripslashes($cSession->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="stuCourse" class="input__label">Course</label>
                                            <select id="stuCourse" name="stuCourse" class="custom-select">
                                                <option value="" <?php echo set_select("stuCourse", "") ?>>All Courses</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("stuCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="frmStatus" class="input__label">Receipt Status</label>
                                            <select id="frmStatus" name="frmStatus" class="custom-select">
                                                <option value="" <?php echo set_select("frmStatus", "") ?>>All</option>
                                                <option value="C" <?php echo set_select("frmStatus", "C") ?>>Cancelled</option>
                                                <option value="A" <?php echo set_select("frmStatus", "A") ?>>Non-Cancelled</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="rmbStatus" class="input__label">Reimbursement Status</label>
                                            <select id="rmbStatus" name="rmbStatus" class="custom-select">
                                                <option value="" <?php echo set_select("rmbStatus", "") ?>>All</option>
                                                <option value="T" <?php echo set_select("rmbStatus", "T") ?>>Complete</option>
                                                <option value="F" <?php echo set_select("rmbStatus", "F") ?>>Pending</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Report&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <table id="allReimbursementReport" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Receipt No.</th>
                                            <th>Receipt Date</th>
                                            <th>Counselling Amount</th>
                                            <th>Payment Mode</th>
                                            <th>Ref. No.</th>
                                            <th>Payment Date</th>
                                            <th>Enrl. No.</th>
                                            <th>Name</th>
                                            <th>Course</th>
                                            <th>Session</th>
                                            <th>Entry Type</th>
                                            <th>Receipt Cancelled?</th>
                                            <th>If Reimbursed?</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Receipt No.</th>
                                            <th>Receipt Date</th>
                                            <th>Counselling Amount</th>
                                            <th>Payment Mode</th>
                                            <th>Ref. No.</th>
                                            <th>Payment Date</th>
                                            <th>Enrl. No.</th>
                                            <th>Name</th>
                                            <th>Course</th>
                                            <th>Session</th>
                                            <th>Entry Type</th>
                                            <th>Receipt Cancelled?</th>
                                            <th>If Reimbursed?</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($filteredRecords); $i++) {
                                            $record = $filteredRecords[$i];
                                            ?>
                                            <tr <?php if ($record->fcnm_status == "C") { ?> style="background-color:#ffcedc;" <?php } ?>>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo "<a href='" . site_url("admin/Fee/showReceipt/" . $record->frm_id) . "' target='_blank'>" . stripslashes($record->frm_receipt_no) . "</a>"; ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->frm_receipt_date)); ?></td>
                                                <td><?php echo "<i class='fa fa-inr'></i> " . $record->fcnm_amount . "/-"; ?></td>
                                                <td><?php echo stripslashes($record->fmm_short_name); ?></td>
                                                <td><?php echo stripslashes($record->fcnm_ref_no); ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->fcnm_date)); ?></td>
                                                <td><?php echo ($record->tspi_form_no == $record->tspi_enrollment_no) ? "-" : "<a href='" . site_url("admin/Student/viewStudent/" . $record->tspi_id) . "' target='_blank'>" . stripslashes($record->tspi_enrollment_no) . "</a>"; ?></td>
                                                <td><?php echo "<a href='" . site_url("admin/Student/viewStudent/" . $record->tspi_id) . "' target='_blank'>" . stripslashes($record->tspi_name) . "</a>"; ?></td>
                                                <td><?php echo stripslashes($record->course_name); ?></td>
                                                <td><?php echo stripslashes($record->session_name); ?></td>
                                                <td><?php echo stripslashes($record->tcsm_course_type); ?></td>
                                                <td><?php echo ($record->fcnm_status == "A") ? "No" : "Yes"; ?></td>
                                                <td><?php echo ($record->fcnm_rem_date == NULL) ? "No" : "Yes"; ?></td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allReimbursementReport").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'copy', text: "<i class='fa fa-clipboard'></i> Copy"},
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"}
                    ]});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>