<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Add New Employee | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Staff/"); ?>">Employee Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Staff/addNewEmployee"); ?>">Add New Employee</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Add New Employee</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Staff/saveNewEmployeeInfo'), ['name' => 'employeeCreationFrm', 'id' => 'employeeCreationFrm']); ?>
                                <fieldset>
                                    <legend>Primary Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="empFirstName" class="input__label">First Name *</label>
                                            <input type="text" class="form-control input-style" id="empFirstName" name="empFirstName" value="<?php echo set_value('empFirstName'); ?>" placeholder="Enter Employee First Name" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empLastName" class="input__label">Last Name</label>
                                            <input type="text" class="form-control input-style" id="empLastName" name="empLastName" value="<?php echo set_value('empLastName'); ?>" placeholder="Enter Employee Last Name" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empDOB" class="input__label">D.O.B.</label>
                                            <input type="text" class="form-control input-style" id="empDOB" name="empDOB" value="<?php echo set_value('empDOB'); ?>" placeholder="Choose Employee DOB" autocomplete="off" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label class="input__label">Gender *</label><br>
                                            <input type="radio" id="empGenMale" name="empGender" value="M" <?php echo set_radio("empGender", "M"); ?>/>&nbsp;<label for="empGenMale">Male</label>
                                            <input type="radio" id="empGenFemale" name="empGender" value="F" <?php echo set_radio("empGender", "F"); ?>/>&nbsp;<label for="empGenFemale">Female</label>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Contact Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="empMobile" class="input__label">Mobile *</label>
                                            <input type="text" class="form-control input-style" onkeypress="return event.charCode >= 48 && event.charCode <= 57" id="empMobile" name="empMobile" value="<?php echo set_value('empMobile'); ?>" placeholder="Enter Employee Mobile No." maxlength="10">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="empEmail" class="input__label">Email *</label>
                                            <input type="text" class="form-control input-style" id="empEmail" name="empEmail" value="<?php echo set_value('empEmail'); ?>" placeholder="Enter Employee Email" maxlength="80">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="empTelNo" class="input__label">Tel. No.</label>
                                            <input type="text" class="form-control input-style" id="empTelNo" name="empTelNo" value="<?php echo set_value('empTelNo'); ?>" placeholder="Enter Employee Tel No." maxlength="20">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="empCommState" class="input__label">Communication Address State</label>
                                            <select id="empCommState" name="empCommState" class="form-control input-style">
                                                <option value="">Select State</option>
                                                <?php foreach ($states as $state) { ?>
                                                    <option value="<?php echo $state->state_id; ?>" <?php echo set_select("empCommState", $state->state_id); ?>><?php echo $state->state_name; ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="empCommCity" class="input__label">Communication Address City</label>
                                            <select id="empCommCity" name="empCommCity" class="form-control input-style">
                                                <option value="">Select City</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="empCommFullAddress" class="input__label">Full Communication Address</label>
                                            <textarea class="form-control input-style" name="empCommFullAddress" id="empCommFullAddress" placeholder="Enter Full Communication Address" maxlength="150"><?php echo set_value('empCommFullAddress'); ?></textarea>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <input type="checkbox" name="permaSameAsComm" id="permaSameAsComm" value="T" <?php echo set_radio("permaSameAsComm", "T"); ?>>&nbsp;<label for="permaSameAsComm"><strong>Permanent Address Same As Communication Address</strong></label>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="empPermaState" class="input__label">Permanent Address State</label>
                                            <select id="empPermaState" name="empPermaState" class="form-control input-style">
                                                <option value="">Select State</option>
                                                <?php foreach ($states as $state) { ?>
                                                    <option value="<?php echo $state->state_id; ?>" <?php echo set_select("empPermaState", $state->state_id); ?>><?php echo $state->state_name; ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="empPermaCity" class="input__label">Permanent Address City</label>
                                            <select id="empPermaCity" name="empPermaCity" class="form-control input-style">
                                                <option value="">Select City</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="empPermaFullAddress" class="input__label">Full Permanent Address</label>
                                            <textarea class="form-control input-style" name="empPermaFullAddress" id="empPermaFullAddress" placeholder="Enter Full Permanent Address" maxlength="150"><?php echo set_value('empPermaFullAddress'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Office Records</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="empBranch" class="input__label">Branch *</label>
                                            <select id="empBranch" name="empBranch" class="form-control input-style">
                                                <option value="">Select Branch</option>
                                                <?php foreach ($branches as $branch) { ?>
                                                    <option value="<?php echo $branch->branch_id; ?>" <?php echo set_select("empBranch", $branch->branch_id); ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="empCodeId" class="input__label">Employee Id/Code</label>
                                            <input type="text" class="form-control input-style" id="empCodeId" name="empCodeId" value="<?php echo set_value('empCodeId'); ?>" placeholder="Enter Employee Id/Code" autocomplete="off" maxlength="50">
                                        </div>
                                        
                                        <div class="form-group col-md-4">
                                            <label for="empAppType" class="input__label">Appointment Type</label>
                                            <select id="empAppType" name="empAppType" class="form-control input-style">
                                                <option value="" <?php echo set_select("empAppType", ""); ?>>Select Appointment Type</option>
                                                <option value="Contractual" <?php echo set_select("empAppType", "Contractual"); ?>>Contractual</option>
                                                <option value="Permanent" <?php echo set_select("empAppType", "Permanent"); ?>>Permanent</option>
                                                <option value="Guest Lecturer" <?php echo set_select("empAppType", "Guest Lecturer"); ?>>Guest Lecturer</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="empPAN" class="input__label">PAN Number</label>
                                            <input type="text" class="form-control input-style" id="empPAN" name="empPAN" value="<?php echo set_value('empPAN'); ?>" placeholder="Enter PAN No." autocomplete="off" maxlength="10">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="empAadhar" class="input__label">Aadhar Number</label>
                                            <input type="text" class="form-control input-style" id="empAadhar" name="empAadhar" value="<?php echo set_value('empAadhar'); ?>" onkeypress="return event.charCode >= 48 && event.charCode <= 57" placeholder="Enter Aadhar No." autocomplete="off" maxlength="12">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="empDOJ" class="input__label">D.O.J.</label>
                                            <input type="text" class="form-control input-style" id="empDOJ" name="empDOJ" value="<?php echo set_value('empDOJ'); ?>" placeholder="Date Of Joining" autocomplete="off" maxlength="50" readonly="readonly">
                                            <small id="dojInstruction" class="form-text text-muted">Initial Date Of Joining</small>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label class="input__label">Is Head/Supervisor?</label><br>
                                            <input type="radio" id="empIsHeadYes" name="empIsHead" value="T" <?php echo set_radio("empIsHead", "M"); ?>/>&nbsp;<label for="empIsHeadYes">Yes</label>
                                            <input type="radio" id="empIsHeadNo" name="empIsHead" value="F" <?php echo set_radio("empIsHead", "F"); ?>/>&nbsp;<label for="empIsHeadNo">No</label>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label class="input__label">Has Employee Resigned?</label><br>
                                            <input type="radio" id="empHasResignedYes" name="empHasResigned" value="T" <?php echo set_radio("empHasResigned", "T"); ?>/>&nbsp;<label for="empHasResignedYes">Yes</label>
                                            <input type="radio" id="empHasResignedNo" name="empHasResigned" value="F" <?php echo set_radio("empHasResigned", "F"); ?>/>&nbsp;<label for="empHasResignedNo">No</label>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empDOR" class="input__label">D.O.R.</label>
                                            <input type="text" class="form-control input-style" id="empDOR" name="empDOR" value="<?php echo set_value('empDOR'); ?>" placeholder="Date Of Resign" autocomplete="off" maxlength="50" readonly="readonly">
                                            <small id="dorInstruction" class="form-text text-muted">Final Date Of Relieving/Resign</small>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="empDept" class="input__label">Department *</label>
                                            <?php if ($this->session->userdata("adminData")["role_id"] == 1) { ?>
                                                <select id="empDept" name="empDept" class="form-control input-style">
                                                    <option value="">Select Department</option>
                                                    <?php foreach ($departments as $department) { ?>
                                                        <option value="<?php echo $department->dept_id; ?>" <?php echo set_select("empDept", $department->dept_id); ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                    <?php }
                                                    ?>
                                                </select>
                                            <?php } else {
                                                ?>
                                                <select id = "empDept" name = "empDept" class = "form-control input-style readonly">
                                                    <option value = "">Select Department</option>
                                                    <?php
                                                    foreach ($departments as $department) {
                                                        $selected = ($department->dept_id == $this->session->userdata("adminData")["dept_id"]) ? "selected" : "";
                                                        ?>
                                                        <option value="<?php echo $department->dept_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                        <?php
                                                    }
                                                    ?>
                                                </select>
                                            <?php } ?>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empSubDept" class="input__label">Sub-Department *</label>
                                            <select id="empSubDept" name="empSubDept" class="form-control input-style">
                                                <option value="">Select Sub-Department</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empDesigCat" class="input__label">Designation Category *</label>
                                            <select id="empDesigCat" name="empDesigCat" class="form-control input-style">
                                                <option value="">Select Designation Category</option>
                                                <?php foreach ($desigCategories as $desigCats) { ?>
                                                    <option value="<?php echo $desigCats->dcm_id; ?>" <?php echo set_select("empDesigCat", $desigCats->dcm_id); ?>><?php echo addslashes($desigCats->dcm_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empDesig" class="input__label">Designation *</label>
                                            <select id="empDesig" name="empDesig" class="form-control input-style">
                                                <option value="">Select Designation</option>
                                            </select>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>For ERP Purpose</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="empRole" class="input__label">Role *</label>
                                            <select id="empRole" name="empRole" class="form-control input-style">
                                                <option value="">Select Role</option>
                                                <?php foreach ($roles as $role) { ?>
                                                    <option value="<?php echo $role->role_id; ?>" <?php echo set_select("empDept", $role->role_id); ?>><?php echo stripslashes($role->role_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="empSigninId" class="input__label">Signin Id *</label>
                                            <input type="text" class="form-control input-style" id="empSigninId" name="empSigninId" value="<?php echo set_value('empSigninId'); ?>" placeholder="Enter Employee Signin Id (Will Be Used As Username For Login)" maxlength="80">
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Add Employee</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#empCommState").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByState/') ?>',
                        data: {state_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empCommCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            employeeCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#empCommCity").html("<option>Select City</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#empPermaState").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByState/') ?>',
                        data: {state_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empPermaCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            employeeCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#empPermaCity").html("<option>Select City</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#empDept").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empSubDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            employeeCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#empSubDept").html("<option>Select Sub-Department</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#empDesigCat").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Designation/getNonDeletedActiveDesignationsForDropDown/') ?>',
                        data: {desig_cat_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var desigInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empDesig").html(desigInfo.desig_list);
                            csrfHash = desigInfo.csrfHash;
                            employeeCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#empDesig").html("<option>Select Designation</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#empDOB").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1960:-18',
                numberOfMonths: 1
            });

            $("#empDOJ").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1980:<?php echo date("Y"); ?>',
                numberOfMonths: 1
            });

            $("#empDOR").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1980:<?php echo date("Y"); ?>',
                numberOfMonths: 1
            });

            $("#permaSameAsComm").on("click", function () {
                if ($(this).is(":checked")) {
                    $("#empPermaState").val($("#empCommState").val());
                    $("#empPermaState").trigger("change");
                    $("#empPermaCity").val($("#empCommCity").val());
                    $("#empPermaFullAddress").val($("#empCommFullAddress").val());
                } else {
                    $("#empPermaState").val("");
                    $("#empPermaCity").val("");
                    $("#empPermaFullAddress").val("");
                }
            });

            $(document).ready(function () {
                if ($("#empCommState").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByState/') ?>',
                        data: {state_id: $("#empCommState").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empCommCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            employeeCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ($("#empPermaState").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByState/') ?>',
                        data: {state_id: $("#empPermaState").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empPermaCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            employeeCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ($("#empDept").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $("#empDept").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empSubDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            employeeCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ($("#empDesigCat").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Designation/getNonDeletedActiveDesignationsForDropDown/') ?>',
                        data: {desig_cat_id: $("#empDesigCat").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var desigInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empDesig").html(desigInfo.desig_list);
                            csrfHash = desigInfo.csrfHash;
                            employeeCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>