<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing Promotion Info Of <?php echo stripslashes($empPromotionInfo->empName); ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Staff/promotion"); ?>">Employee Promotion</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Staff/editPromotion/" . $empPromotionInfo->spm_id); ?>">Edit Promotion</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Editing Promotion Info Of => <b><?php echo stripslashes($empPromotionInfo->empName); ?></b> <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Staff/updatePromotion'), ['name' => 'promotionUpdateFrm', 'id' => 'promotionUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Promotion Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="employee" class="input__label">Employee Name *</label>
                                            <select id="employee" name="employee" class="form-control input-style readonly">
                                                <option value="">Select Employee</option>
                                                <?php
                                                foreach ($workingEmployee as $employee) {
                                                    $selected = ($employee->smember_id == $empPromotionInfo->smember_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $employee->smember_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($employee->tprfl_firstname . " " . $employee->tprfl_lastname) . " (" . $employee->tld_signinid . ")"; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="dept" class="input__label">Department *</label>
                                            <?php if ($this->session->userdata("adminData")["role_id"] == 1) { ?>
                                                <select id="dept" name="dept" class="form-control input-style">
                                                    <option value="">Select Department</option>
                                                    <?php
                                                    foreach ($departments as $department) {
                                                        $selected = ($department->dept_id == $empPromotionInfo->dept_id) ? "selected" : "";
                                                        ?>
                                                        <option value="<?php echo $department->dept_id; ?>" <?php echo $selected; ?>><?php echo $department->dept_name; ?></option>
                                                        <?php
                                                    }
                                                    ?>
                                                </select>
                                            <?php } else { ?>
                                                <select id="dept" name="dept" class="form-control input-style readonly">
                                                    <option value="">Select Department</option>
                                                    <?php
                                                    foreach ($departments as $department) {
                                                        $selected = ($department->dept_id == $empPromotionInfo->dept_id) ? "selected" : "";
                                                        ?>
                                                        <option value="<?php echo $department->dept_id; ?>" <?php echo $selected; ?>><?php echo $department->dept_name; ?></option>
                                                        <?php
                                                    }
                                                    ?>
                                                </select>
                                            <?php } ?>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subDept" class="input__label">Sub-Department *</label>
                                            <select id="subDept" name="subDept" class="form-control input-style">
                                                <option value="">Select Sub-Department</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empDesigCat" class="input__label">Designation Category *</label>
                                            <select id="empDesigCat" name="empDesigCat" class="form-control input-style">
                                                <option value="">Select Designation Category</option>
                                                <?php
                                                foreach ($desigCategories as $desigCats) {
                                                    $selected = ($desigCats->dcm_id == $empPromotionInfo->dcm_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $desigCats->dcm_id; ?>" <?php echo $selected; ?>><?php echo addslashes($desigCats->dcm_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empDesig" class="input__label">Designation *</label>
                                            <select id="empDesig" name="empDesig" class="form-control input-style">
                                                <option value="">Select Designation</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="empDOJ" class="input__label">D.O.J. *</label>
                                            <input type="text" class="form-control input-style" id="empDOJ" name="empDOJ" value="<?php echo ($empPromotionInfo->spm_doj == NULL || $empPromotionInfo->spm_doj == "") ? "Not Updated" : date("d/m/Y", strtotime($empPromotionInfo->spm_doj)); ?>" placeholder="Choose Employee Date Of Joining" autocomplete="off" maxlength="50" readonly="readonly">
                                            <small id="dojInstruction" class="form-text text-muted">Date Of Joining On This Designation</small>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="empDOR" class="input__label">D.O.R.</label>
                                            <input type="text" class="form-control input-style" id="empDOR" name="empDOR" value="<?php echo ($empPromotionInfo->spm_dor == NULL || $empPromotionInfo->spm_dor == "") ? "Not Updated" : date("d/m/Y", strtotime($empPromotionInfo->spm_dor)); ?>" placeholder="Choose Employee Date Of Releiving" autocomplete="off" maxlength="50" readonly="readonly">
                                            <small id="dojInstruction" class="form-text text-muted">Date Of Releiving From This Designation</small>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="promotionId" value="<?php echo $empPromotionInfo->spm_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#dept").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            promotionUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#subDept").html("<option>Select Sub-Department</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#empDesigCat").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Designation/getNonDeletedActiveDesignationsForDropDown/') ?>',
                        data: {desig_cat_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var desigInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empDesig").html(desigInfo.desig_list);
                            csrfHash = desigInfo.csrfHash;
                            promotionUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#empDesig").html("<option>Select Designation</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#empDOJ").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                numberOfMonths: 1
            });

            $("#empDOR").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                numberOfMonths: 1
            });

            $(document).ready(function () {
                if ($("#dept").val() != "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDownSelected/') ?>',
                        data: {dept_id: $("#dept").val(), sub_dept_id:<?php echo $empPromotionInfo->sub_dept_id; ?>, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            promotionUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if (<?php echo $empPromotionInfo->desig_id; ?> != "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Designation/getNonDeletedActiveDesignationsForDropDownSelected/') ?>',
                        data: {desig_cat_id: $("#empDesigCat").val(), desig_id:<?php echo $empPromotionInfo->desig_id; ?>, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var desigInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empDesig").html(desigInfo.desig_list);
                            csrfHash = desigInfo.csrfHash;
                            promotionUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>