<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Purchase Item | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Inventory & Stock</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/purchaseDetails"); ?>">Purchase Stock Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/createPurchaseDetail"); ?>">Create New Purchase Item</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Purchase Item</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/StockAndPurchase/createPurchaseDetail'), ['name' => 'purchaseDetailCreationFrm', 'id' => 'purchaseDetailCreationFrm']); ?>
                                <fieldset>
                                    <legend>Purchase Item Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-8">
                                            <label for="invoice" class="input__label">Invoice *</label>
                                            <select id="invoice" name="invoice" class="custom-select">
                                                <option value="">Select Invoice</option>
                                                <?php foreach ($allInvoices as $invoice) { ?>
                                                    <option value="<?php echo $invoice->pm_id; ?>" <?php echo set_select("invoice", $invoice->pm_id); ?>><?php echo stripslashes($invoice->pm_invoice_number) . " Dated " . date("d-m-Y", strtotime($invoice->pm_invoice_date)); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="totalItems" class="input__label">Total Items To Add *</label>
                                            <input type="text" class="form-control" id="totalItems" name="totalItems" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('totalItems'); ?>" placeholder="Enter Total Items To Add In Invoice" maxlength="20">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="createItems" class="input__label"></label>
                                            <button id="createItems" name="createItems" type="submit" class="btn btn-sm btn-warning pull-right">Generate Item(s) Form&nbsp;<i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                </fieldset>
                                <?php if ($totalItems) { ?>
                                    <fieldset>
                                        <legend>Item(s) Info</legend>
                                        <div class="form-row">
                                            <table style="width:100%" class="table table-active">
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>Asset/Item Name *</th>
                                                    <th>Make</th>
                                                    <th>Model</th>
                                                    <th>Receive Date</th>
                                                    <th>Qty. *</th>
                                                    <th>Unit Price *</th>
                                                    <th>Tax % *</th>
                                                    <th>Total Amt. *</th>
                                                </tr>
                                                <?php for ($i = 0; $i < $totalItems; $i++) { ?>
                                                    <tr>
                                                        <th><?php echo ($i + 1); ?></th>
                                                        <td><input type="text" name="purchaseItemName[]" class="form-control"></td>
                                                        <td><input type="text" name="purchaseItemMake[]" class="form-control"></td>
                                                        <td><input type="text" name="purchaseItemModel[]" class="form-control"></td>
                                                        <td><input type="text" name="purchaseItemReceiveDate[]" class="form-control goodReceiveDate" placeholder="DD/MM/YYYY" autocomplete="off"></td>
                                                        <td><input id="qty<?php echo $i ?>" onkeyup="checkAndSetAmount(<?php echo $i ?>);" type="text" name="purchaseItemQty[]" class="form-control" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="0"></td>
                                                        <td><input id="uPrice<?php echo $i ?>" onkeyup="checkAndSetAmount(<?php echo $i ?>);" type="text" name="purchaseItemUPrice[]" class="form-control" onkeypress="return event.charCode >= 48 && event.charCode <= 57"  value="0"></td>
                                                        <td><input id="taxP<?php echo $i ?>" onkeyup="checkAndSetAmount(<?php echo $i ?>);" type="text" name="purchaseItemTaxPerc[]" class="form-control" value="0"></td>
                                                        <td><input id="totAmt<?php echo $i ?>" type="text" name="purchaseItemTotalAmt[]" class="form-control" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="0" readonly="readonly"></td>
                                                    </tr>
                                                <?php } ?>
                                                <tr style="border-top:2px solid #000;">
                                                    <th colspan="7">Total Invoice Amount (With Tax) <a href="javascript:void(0);" onClick="calculateTotalAmount();"><i class="fa fa-calculator"></i></a>:Click To Auto-Calulate</th>
                                                    <td colspan="2">
                                                        <input type="text" class="form-control" id="totalAmount" name="totalAmount" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('totalAmount'); ?>" placeholder="Enter Total Amount (With Tax)" maxlength="20">
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </fieldset>
                                <?php } ?>
                                <input type="hidden" name="totalItemsCreated" value="<?php echo $totalItems; ?>">
                                <button type="submit" name="submitFrmBtn" class="btn btn-primary btn-block btn-style mt-4" <?php echo ($totalItems) ? "" : "disabled"; ?>>Add Purchased Item(s)</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(".goodReceiveDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1980:+0',
                maxDate: 0,
                numberOfMonths: 1
            });

            function checkAndSetAmount(index) {
                var qtyId = "#qty" + index;
                var uPriceId = "#uPrice" + index;
                var taxId = "#taxP" + index;
                var totalAmt = "#totAmt" + index;
                if (isNaN($(qtyId).val().trim())) {
                    alert('Only Numbers Are Accepted In Quantity Field.');
                    $(qtyId).focus();
                } else if (isNaN($(uPriceId).val().trim())) {
                    alert('Only Numbers Are Accepted In Unit Price Field.');
                    $(uPriceId).focus();
                } else if (isNaN($(taxId).val().trim())) {
                    alert('Only Decimal/Numbers Are Accepted In Tax Field.');
                    $(taxId).focus();
                } else if ($(qtyId).val().trim() !== "" && $(uPriceId).val().trim() !== "" && $(taxId).val().trim() !== "") {
                    var amtWithoutTax = [($(qtyId).val().trim()) * ($(uPriceId).val().trim())];
                    var taxPerc = ($(taxId).val().trim() === 0) ? 0 : parseFloat($(taxId).val().trim() / 100);
                    var taxAmount = amtWithoutTax * taxPerc;
                    var amtWithTax = parseFloat(amtWithoutTax) + parseFloat(taxAmount);
                    var roundedAmount = Math.round((amtWithTax + Number.EPSILON) * 100) / 100;
                    $(totalAmt).val(roundedAmount.toFixed(2));
                } else {
                    $(totalAmt).val(0);
                }
            }

            function calculateTotalAmount() {
                var invoiceTotalWithTax = 0;
                $("input[name='purchaseItemTotalAmt[]']").each(function () {
                    invoiceTotalWithTax = parseFloat(invoiceTotalWithTax) + parseFloat($(this).val());
                });
                $("#totalAmount").val(invoiceTotalWithTax);
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>