<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Purchase Head | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Inventory & Stock</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Inventory/purchaseHeads"); ?>">Purchase Head Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Inventory/createPurchaseHead"); ?>">Create New Purchase Head</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Purchase Head </h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Inventory/saveNewPurchaseHead'), ['name' => 'pHeadCreationFrm', 'id' => 'pHeadCreationFrm']); ?>
                                <fieldset>
                                    <legend>Purchaes Head Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="pHeadName" class="input__label">Name *</label>
                                            <input type="text" class="form-control input-style" id="pHeadName" name="pHeadName" value="<?php echo set_value('pHeadName'); ?>" placeholder="Enter Purchase Head Name" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="pHeadShortName" class="input__label">Short Name *</label>
                                            <input type="text" class="form-control input-style" id="pHeadShortName" name="pHeadShortName" value="<?php echo set_value('pHeadShortName'); ?>" placeholder="Enter Purchase Head Short Name" maxlength="200">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="pHeadDescription" class="input__label">Description</label>
                                            <textarea class="form-control input-style" id="pHeadDescription" name="pHeadDescription" placeholder="Enter Purchase Head Description (Max. 500 Chars)" maxlength="500"><?php echo set_value('pHeadDescription'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Purchase Head</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#pHeadName").on("keyup", function () {
                $("#pHeadShortName").val($(this).val());
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>