<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Purchase | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Inventory & Stock</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/"); ?>">Purchase Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/createPurchase"); ?>">Create New Purchase</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Purchase </h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/StockAndPurchase/createPurchase'), ['name' => 'purchaseCreationFrm', 'id' => 'purchaseCreationFrm']); ?>
                                <fieldset>
                                    <legend>Invoice Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="invoiceNo" class="input__label">Bill/Invoice No. *</label>
                                            <input type="text" class="form-control" id="invoiceNo" name="invoiceNo" value="<?php echo set_value('invoiceNo'); ?>" placeholder="Enter Bill/Invoice Number" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="invoiceDate" class="input__label">Invoice Date *</label>
                                            <input type="text" class="form-control" id="invoiceDate" name="invoiceDate" value="<?php echo set_value('invoiceDate'); ?>" placeholder="Enter Invoice Date (DD/MM/YYYY)" autocomplete="off" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="invCat" class="input__label">Category *</label>
                                            <select id="invCat" name="invCat" class="custom-select">
                                                <option value="">Select Inventory Category</option>
                                                <?php foreach ($inventoryCategories as $category) { ?>
                                                    <option value="<?php echo $category->icm_id; ?>" <?php echo set_select("invCat", $category->icm_id); ?>><?php echo stripslashes($category->icm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="pHead" class="input__label">Purchase Head *</label>
                                            <select id="pHead" name="pHead" class="custom-select">
                                                <option value="">Select Purchase Head</option>
                                                <?php foreach ($purchaseHeads as $pHead) { ?>
                                                    <option value="<?php echo $pHead->iphm_id; ?>" <?php echo set_select("pHead", $pHead->iphm_id); ?>><?php echo stripslashes($pHead->iphm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="vendor" class="input__label">Supplier *</label>
                                            <select id="vendor" name="vendor" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" title="Select Supplier">
                                                <option value="">Select Supplier</option>
                                                <?php foreach ($vendors as $vendor) { ?>
                                                    <option value="<?php echo $vendor->ven_id; ?>" <?php echo set_select("vendor", $vendor->ven_id); ?>><?php echo stripslashes($vendor->ven_business_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                            <small id="addVendorLink" class="form-text pull-right text-muted"><a href="javascript:void(0);" onClick="$('#addVendorFormModal').modal('show');"><i class="fa fa-plus"></i>Add New Supplier</a></small>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="totalItems" class="input__label">Total Items *</label>
                                            <input type="text" class="form-control" id="totalItems" name="totalItems" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('totalItems'); ?>" placeholder="Enter Total Items Purchased" maxlength="20">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="createItems" class="input__label"></label>
                                            <button id="createItems" name="createItems" type="submit" class="btn btn-sm btn-warning pull-right">Generate Item(s) Form&nbsp;<i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                </fieldset>
                                <?php if ($totalItems) { ?>
                                    <fieldset>
                                        <legend>Item(s) Info</legend>
                                        <div class="form-row">
                                            <table style="width:100%" class="table table-active">
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>Asset/Item Name *</th>
                                                    <th>Make</th>
                                                    <th>Model</th>
                                                    <th>Receive Date</th>
                                                    <th>Qty. *</th>
                                                    <th>Unit Price *</th>
                                                    <th>Tax % *</th>
                                                    <th>Total Amt. *</th>
                                                </tr>
                                                <?php for ($i = 0; $i < $totalItems; $i++) { ?>
                                                    <tr>
                                                        <th><?php echo ($i + 1); ?></th>
                                                        <td><input type="text" name="purchaseItemName[]" class="form-control"></td>
                                                        <td><input type="text" name="purchaseItemMake[]" class="form-control"></td>
                                                        <td><input type="text" name="purchaseItemModel[]" class="form-control"></td>
                                                        <td><input type="text" name="purchaseItemReceiveDate[]" class="form-control goodReceiveDate" placeholder="DD/MM/YYYY" autocomplete="off"></td>
                                                        <td><input id="qty<?php echo $i ?>" onkeyup="checkAndSetAmount(<?php echo $i ?>);" type="text" name="purchaseItemQty[]" class="form-control" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="0"></td>
                                                        <td><input id="uPrice<?php echo $i ?>" onkeyup="checkAndSetAmount(<?php echo $i ?>);" type="text" name="purchaseItemUPrice[]" class="form-control" onkeypress="return isValidAmount(event)" value="0"></td>
                                                        <td><input id="taxP<?php echo $i ?>" onkeyup="checkAndSetAmount(<?php echo $i ?>);" type="text" name="purchaseItemTaxPerc[]" class="form-control" value="0"></td>
                                                        <td><input id="totAmt<?php echo $i ?>" type="text" name="purchaseItemTotalAmt[]" class="form-control" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="0" readonly="readonly"></td>
                                                    </tr>
                                                <?php } ?>
                                                <tr style="border-top:2px solid #000;">
                                                    <th colspan="7">Total Invoice Amount (With Tax) <a href="javascript:void(0);" onClick="calculateTotalAmount();"><i class="fa fa-calculator"></i></a>:Click To Auto-Calulate</th>
                                                    <td colspan="2">
                                                        <input type="text" class="form-control" id="totalAmount" name="totalAmount" onkeypress="return isValidAmount(event);" value="<?php echo set_value('totalAmount'); ?>" placeholder="Enter Total Amount (With Tax)" maxlength="20">
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </fieldset>
                                <?php } ?>
                                <fieldset>
                                    <legend>Register Details</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="registerName" class="input__label">Register Name *</label>
                                            <input type="text" class="form-control" id="registerName" name="registerName" value="<?php echo set_value('registerName'); ?>" placeholder="Enter Register Name" maxlength="400">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="registerPageNo" class="input__label">Page No. *</label>
                                            <input type="text" class="form-control" id="registerPageNo" name="registerPageNo" value="<?php echo set_value('registerPageNo'); ?>" placeholder="Enter Register Page No." maxlength="50">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="registerSrNo" class="input__label">Sr. No. *</label>
                                            <input type="text" class="form-control" id="registerSrNo" name="registerSrNo" value="<?php echo set_value('registerSrNo'); ?>" placeholder="Enter Register Sr. No." maxlength="50">
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Uploads</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="invoiceFile" class="input__label">Upload Invoice *</label>
                                            <input type="file" class="form-control" id="invoiceFile" name="invoiceFile">
                                            <small id="invoiceFileInstruction" class="form-text text-muted">Allowed Extensions:*.pdf; Max. File Size: 1 MB</small>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="totalItemsCreated" value="<?php echo $totalItems; ?>">
                                <button name="submitFrmBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4" <?php echo ($totalItems) ? "" : "disabled"; ?>>Create Purchase</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <!-- Add Vendor Form Starts -->
        <div class="modal fade" id="addVendorFormModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Add New Supplier</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <?php echo form_open("", ['name' => 'vendorCreationFrm', 'id' => 'vendorCreationFrm']); ?>
                        <fieldset>
                            <legend>Basic Info</legend>
                            <div class="form-row">
                                <div class="form-group col-md-3">
                                    <label for="venBusinessName" class="input__label">Supplier Firm Name *</label>
                                    <input type="text" class="form-control input-style" id="venBusinessName" name="venBusinessName" value="<?php echo set_value('venBusinessName'); ?>" placeholder="Enter Supplier Firm Name" maxlength="100">
                                </div>
                                <div class="form-group col-md-3">
                                    <label for="venOwnerName" class="input__label">Representative Name *</label>
                                    <input type="text" class="form-control input-style" id="venOwnerName" name="venOwnerName" value="<?php echo set_value('venOwnerName'); ?>" placeholder="Enter Representative Name" maxlength="100">
                                </div>
                                <div class="form-group col-md-3">
                                    <label for="venPAN" class="input__label">PAN</label>
                                    <input type="text" class="form-control input-style" id="venPAN" name="venPAN" value="<?php echo set_value('venPAN'); ?>" placeholder="Enter PAN Number" maxlength="10">
                                </div>
                                <div class="form-group col-md-3">
                                    <label for="venGSTIN" class="input__label">GSTIN</label>
                                    <input type="text" class="form-control input-style" id="venGSTIN" name="venGSTIN" value="<?php echo set_value('venGSTIN'); ?>" placeholder="Enter GSTIN Number" maxlength="15">
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-4">
                                    <label for="venSource" class="input__label">Supplier Source</label>
                                    <select id="venSource" name="venSource" class="form-control input-style">
                                        <option value="" <?php echo set_select("venSource", ""); ?>>Select Supplier Source</option>
                                        <option value="Univeristy Empanelled" <?php echo set_select("venSource", "Univeristy Empanelled"); ?>>Univeristy Empanelled</option>
                                        <option value="Yellow Page" <?php echo set_select("venSource", "Yellow Page"); ?>>Yellow Page</option>
                                        <option value="Government e-Marketplace" <?php echo set_select("venSource", "Government e-Marketplace"); ?>>Government e-Marketplace</option>
                                        <option value="O" <?php echo set_select("venSource", "O"); ?>>Other(Please Specify In Next Box)</option>
                                    </select>
                                </div>
                                <div class="form-group col-md-8">
                                    <label for="venOtherSource" class="input__label">Specify Source</label>
                                    <input type="text" class="form-control input-style" id="venOtherSource" name="venOtherSource" value="<?php echo set_value('venOtherSource'); ?>" placeholder="In Case Of Other Source" maxlength="500" disabled="disabled">
                                </div>
                            </div>
                        </fieldset>
                        <fieldset>
                            <legend>Contact Info</legend>
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label for="venEmail" class="input__label">Email</label>
                                    <input type="text" class="form-control input-style" id="venEmail" name="venEmail" value="<?php echo set_value('venEmail'); ?>" placeholder="Enter Supplier Email" maxlength="80">
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="venMobile" class="input__label">Mobile No.</label>
                                    <input type="text" class="form-control input-style" id="venMobile" name="venMobile" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('venMobile'); ?>" placeholder="Enter Supplier Mobile No." maxlength="10">
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-4">
                                    <label for="venAddrLineOne" class="input__label">Address Line 1</label>
                                    <input type="text" class="form-control input-style" id="venAddrLineOne" name="venAddrLineOne" value="<?php echo set_value('venAddrLineOne'); ?>" placeholder="Enter Address Line 1" maxlength="200">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="venAddrLineTwo" class="input__label">Address Line 2</label>
                                    <input type="text" class="form-control input-style" id="venAddrLineTwo" name="venAddrLineTwo" value="<?php echo set_value('venAddrLineTwo'); ?>" placeholder="Enter Address Line 2" maxlength="200">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="venAddrLineThree" class="input__label">Address Line 3</label>
                                    <input type="text" class="form-control input-style" id="venAddrLineThree" name="venAddrLineThree" value="<?php echo set_value('venAddrLineThree'); ?>" placeholder="Enter Address Line 3" maxlength="200">
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-4">
                                    <label for="venState" class="input__label">State</label>
                                    <select id="venState" name="venState" class="form-control input-style">
                                        <option value="">Select State</option>
                                        <?php foreach ($states as $state) { ?>
                                            <option value="<?php echo $state->state_id; ?>" <?php echo set_select("branchState", $state->state_id); ?>><?php echo $state->state_name; ?></option>
                                        <?php }
                                        ?>
                                    </select>
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="venCity" class="input__label">City</label>
                                    <select id="venCity" name="venCity" class="form-control input-style">
                                        <option value="">Select City</option>
                                    </select>
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="venZipcode" class="input__label">Zip Code</label>
                                    <input type="text" class="form-control input-style" id="venZipcode" name="venZipcode" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('venZipcode'); ?>" placeholder="Enter Supplier Zip Code" maxlength="6">
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-4">
                                    <label for="venWebsite" class="input__label">Website</label>
                                    <input type="text" class="form-control input-style" id="venWebsite" name="venWebsite" value="<?php echo set_value('venWebsite'); ?>" placeholder="Enter Supplier Website" maxlength="100">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="venAltEmail" class="input__label">Alt. Email</label>
                                    <input type="text" class="form-control input-style" id="venAltEmail" name="venAltEmail" value="<?php echo set_value('venAltEmail'); ?>" placeholder="Enter Supplier Alternate Email" maxlength="80">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="venAltMobile" class="input__label">Alt. Mobile No.</label>
                                    <input type="text" class="form-control input-style" id="venAltMobile" name="venAltMobile" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('venAltMobile'); ?>" placeholder="Enter Supplier Alternate Mobile No." maxlength="10">
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-12">
                                    <label for="venRemarks" class="input__label">Remarks</label>
                                    <textarea class="form-control" id="venRemarks" name="venRemarks" maxlength="500" placeholder="Enter Remarks For Supplier (If Any In Not More Than 500 Chars)"><?php echo set_value('venRemarks'); ?></textarea>
                                </div>
                            </div>
                        </fieldset>
                        <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                        <span id="spnSuccess" style="color:#00FF00;font-size:15px;font-weight: bolder;"></span>
                        <button type="button" onClick="saveVendor();" class="btn btn-primary btn-block btn-style mt-4">Add Supplier</button>
                        <?php echo form_close(); ?>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Add Vendor Form Modal Ends -->
        <script>
            $("#invoiceDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1980:+0',
                maxDate: 0,
                numberOfMonths: 1
            });
            
            $(".goodReceiveDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1980:+0',
                maxDate: 0,
                numberOfMonths: 1
            });

            $("#venState").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByState/') ?>',
                        data: {state_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#venCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            vendorCreationFrm.csrf_token.value = csrfHash;
                            purchaseCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });

            $("#venSource").on("change", function () {
                if ($(this).val() === "O") {
                    $("#venOtherSource").prop("disabled", false);
                    $("#venOtherSource").focus();
                } else {
                    $("#venOtherSource").val("");
                    $("#venOtherSource").prop("disabled", true);
                }
            });

            function saveVendor() {
                $(".se-pre-con").fadeIn("slow");
                event.preventDefault();
                var formValues = $("#vendorCreationFrm").serialize();
                $.post("<?php echo site_url('admin/Vendor/saveNewVendorAndReturnForDropDown'); ?>", formValues, function (data) {
                    $(".se-pre-con").fadeOut("slow");
                    var response = JSON.parse(data);
                    csrfHash = response.csrfHash;
                    if (response.ven_id === '-1' || response.ven_id === -1) {
                        $("#spnSuccess").html("");
                        $("#spnErr").html("Error! Please Fill Up Representative Name & Supplier Firm Name.");
                    } else if (response.ven_id === '0' || response.ven_id === 0) {
                        $("#spnSuccess").html("");
                        $("#spnErr").html("Error! A Supplier With This Firm Name Is Already Registered. Please Correct Firm Name.");
                    } else {
                        var newVendor = JSON.parse(data);
                        var newVendorOption = "<option value='" + newVendor.ven_id + "' selected>" + newVendor.ven_business_name + "</option>";
                        $("#spnErr").html("");
                        $("#spnSuccess").html("Supplier Added Successfully.");
                        $("#vendor").append(newVendorOption);
                        $("#vendor").selectpicker('refresh');
                        $("#vendor").selectpicker('val', newVendor.ven_id);
                        $("#vendorCreationFrm").trigger('reset');
                        $('#addVendorFormModal').modal('hide');
                    }
                    vendorCreationFrm.csrf_token.value = csrfHash;
                    purchaseCreationFrm.csrf_token.value = csrfHash;
                });
            }

            function checkAndSetAmount(index) {
                var qtyId = "#qty" + index;
                var uPriceId = "#uPrice" + index;
                var taxId = "#taxP" + index;
                var totalAmt = "#totAmt" + index;
                if (isNaN($(qtyId).val().trim())) {
                    alert('Only Numbers Are Accepted In Quantity Field.');
                    $(qtyId).val("");
                    $(qtyId).focus();
                } else if (isNaN($(uPriceId).val().trim())) {
                    alert('Only Numbers Are Accepted In Unit Price Field.');
                    $(uPriceId).val("");
                    $(uPriceId).focus();
                } else if (isNaN($(taxId).val().trim())) {
                    alert('Only Decimal/Numbers Are Accepted In Tax Field.');
                    $(taxId).val("");
                    $(taxId).focus();
                } else if ($(qtyId).val().trim() !== "" && $(uPriceId).val().trim() !== "" && $(taxId).val().trim() !== "") {
                    var amtWithoutTax = [($(qtyId).val().trim()) * ($(uPriceId).val().trim())];
                    var taxPerc = ($(taxId).val().trim() === 0) ? 0 : parseFloat($(taxId).val().trim() / 100);
                    var taxAmount = amtWithoutTax * taxPerc;
                    var amtWithTax = parseFloat(amtWithoutTax) + parseFloat(taxAmount);
                    var roundedAmount = Math.round((amtWithTax + Number.EPSILON) * 100) / 100;
                    $(totalAmt).val(roundedAmount.toFixed(2));
                } else {
                    $(totalAmt).val(0);
                }
            }
            
            function isValidAmount(evt) {
                var charCode = (evt.which) ? evt.which : evt.keyCode;
                if (charCode !== 46 && charCode > 31 && (charCode < 48 || charCode > 57))
                    return false;
                return true;
            }

            function calculateTotalAmount() {
                var invoiceTotalWithTax = 0;
                $("input[name='purchaseItemTotalAmt[]']").each(function () {
                    invoiceTotalWithTax = parseFloat(invoiceTotalWithTax) + parseFloat($(this).val());
                });
                $("#totalAmount").val(invoiceTotalWithTax);
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>