<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing Item <?php echo stripslashes($inventoryInfo->sm_uid); ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Inventory & Stock</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/inventory"); ?>">Stock Inventory Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/editInventoryItem/" . $inventoryInfo->sm_id); ?>">Edit Inventory Item</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Stock Inventory Item => <b><?php echo stripslashes($inventoryInfo->sm_uid); ?></b> </h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/StockAndPurchase/updateInventoryItem'), ['name' => 'inventoryItemUpdateFrm', 'id' => 'inventoryItemUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Inventory Item Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="invoice" class="input__label">Invoice *</label>
                                            <select id="invoice" name="invoice" class="form-control input-style">
                                                <option value="">Select Invoice</option>
                                                <?php
                                                foreach ($allInvoices as $invoice) {
                                                    $selected = ($invoice->pm_id == $inventoryInfo->pm_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $invoice->pm_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($invoice->pm_invoice_number) . " Dated " . date("d-m-Y", strtotime($invoice->pm_invoice_date)); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="invoiceItems" class="input__label">Purchase Item *</label>
                                            <select id="invoiceItems" name="invoiceItems" class="form-control input-style">
                                                <option value="">Select Purchase Item</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="invUID" class="input__label">UID No. *</label>
                                            <input type="text" class="form-control input-style" id="invUID" name="invUID" value="<?php echo stripslashes($inventoryInfo->sm_uid); ?>" placeholder="Enter Inventory Item UID" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="invMoSrNo" class="input__label">Model/Serial No.</label>
                                            <input type="text" class="form-control input-style" id="invMoSrNo" name="invMoSrNo" value="<?php echo stripslashes($inventoryInfo->sm_sr_no); ?>" placeholder="Enter Inventory Item Model/Serial No." maxlength="50">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="invItemScrap" class="input__label">Is Scrap?</label>
                                            <select id="invItemScrap" name="invItemScrap" class="form-control input-style">
                                                <option value="T" <?php echo ($inventoryInfo->sm_scrap_flag == "T") ? "selected" : ""; ?>>Yes</option>
                                                <option value="F" <?php echo ($inventoryInfo->sm_scrap_flag == "F") ? "selected" : ""; ?>>No</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="invDesc" class="input__label">Description</label>
                                            <textarea type="text" class="form-control input-style" id="invDesc" name="invDesc" maxlength="500" placeholder="Enter Inventory Item Description (Max. 500 Chars)"><?php echo stripslashes($inventoryInfo->sm_detail); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="invItemId" value="<?php echo stripslashes($inventoryInfo->sm_id); ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#invoice").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/StockAndPurchase/getPurchaseDetailsByInvoice/') ?>',
                        data: {pm_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var pdmInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#invoiceItems").html(pdmInfo.pdm_list);
                            csrfHash = pdmInfo.csrfHash;
                            inventoryItemUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#invoiceItems").html("<option>Select Purchase Item</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                if ($("#invoice").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/StockAndPurchase/getPurchaseDetailsByInvoiceSelected/') ?>',
                        data: {pm_id: $("#invoice").val(), pdm_id: '<?php echo $inventoryInfo->pdm_id; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var pdmInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#invoiceItems").html(pdmInfo.pdm_list);
                            csrfHash = pdmInfo.csrfHash;
                            inventoryItemUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>