<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Stock Inventory Management | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/inventory"); ?>">Stock Inventory Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/inventory"); ?>">All Inventory List</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-list-alt"></i> Stock Inventory Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/StockAndPurchase/createInventoryItem"); ?>'" tooltip="Create New Inventory Item"><i class="fa fa-plus"></i> Create New Inventory Item</button><br><br>
                                <table id="allInventoryDetails" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Invoice No.</th>
                                            <th>Invoice Date</th>
                                            <th>Asset/Item Name</th>
                                            <th>Serial No./Model</th>
                                            <th>UID</th>
                                            <th>Make</th>
                                            <th>Model</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Invoice No.</th>
                                            <th>Invoice Date</th>
                                            <th>Asset/Item Name</th>
                                            <th>Serial No./Model</th>
                                            <th>UID</th>
                                            <th>Make</th>
                                            <th>Model</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allInventories); $i++) {
                                            $record = $allInventories[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->pm_invoice_number); ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->pm_invoice_date)); ?></td>
                                                <td><?php echo stripslashes($record->pdm_item_name); ?></td>
                                                <td><?php echo stripslashes($record->sm_sr_no); ?></td>
                                                <td><?php echo stripslashes($record->sm_uid); ?></td>
                                                <td><?php echo stripslashes($record->pdm_make); ?></td>
                                                <td><?php echo stripslashes($record->pdm_model); ?></td>
                                                <td>
                                                    <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Inventory Item" onClick="window.location.href = '<?php echo site_url('admin/StockAndPurchase/editInventoryItem/' . $record->sm_id) ?>'"  ></i>
                                                    <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Inventory Item" onClick="deleteInventoryItem(<?php echo $record->sm_id; ?>,<?php echo $record->pdm_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allInventoryDetails").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function deleteInventoryItem(sm_id, pdm_id) {
                if (confirm("Do You Really Want To Delete This Inventory Item? Any Issued Item Will Also Be Deleted. Click OK To Delete & Cancel Otherwise.")) {
                    window.location.href = '<?php echo site_url('admin/StockAndPurchase/deleteInventoryItem/'); ?>' + sm_id + "/" + pdm_id;
                }
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Inventory Details Modal Starts -->
        <div class="modal fade" id="inventoryDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Inventory Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-3"><b>Bill/Invoice Number</b></div>
                                <div class="col-sm-3"><span id="pur_invoice_no"></span>&nbsp;<a id="pur_invoice_file" target="_blank"><i class="fa fa-external-link"></i></a></div>
                                <div class="col-sm-3"><b>Bill/Invoice Date</b></div>
                                <div class="col-sm-3"><span id="pur_date"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Payment Voucher Number</b></div>
                                <div class="col-sm-3"><span id="pur_pvoucher_no"></span></div>
                                <div class="col-sm-3"><b>Total Amt. (With Tax)</b></div>
                                <div class="col-sm-3"><span id="pur_total_amt_with_tax"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Purchase Head</b></div>
                                <div class="col-sm-9"><span id="pur_phead"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Supplier</b></div>
                                <div class="col-sm-9"><span id="pur_vendor"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12"><center><b>Purchase Details</b></center></div>
                            </div>
                            <div class="row">
                                <table class="table table-striped table-primary">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Category</th>
                                            <th>Asset</th>
                                            <th>Make</th>
                                            <th>Quantity</th>
                                            <th>Total Cost (With Tax)</th>
                                        </tr>
                                    </thead>
                                    <tbody id="purchaseDetails"></tbody>
                                </table>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Created By</b></div>
                                <div class="col-sm-9"><span id="pur_created_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Last Updated By</b></div>
                                <div class="col-sm-9"><span id="pur_updated_by"></span></div>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Inventory Details Modal Ends -->
    </body>
</html>