<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Issue Stock/Items To Department/Employees | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Inventory & Stock</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/IssueAndReturn/stockIssue/"); ?>">Issue Stock</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-random"></i> Issue Stock</h3><br>
                            <div class="">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/IssueAndReturn/stockIssue'), ['name' => 'stockIssueFilterFrm', 'id' => 'stockIssueFilterFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="pHead" class="input__label">Purchase Head</label>
                                            <select id="pHead" name="pHead" class="custom-select">
                                                <option value="">All</option>
                                                <?php
                                                foreach ($purchaseHeads as $pheads) {
                                                    ?>
                                                    <option value="<?php echo $pheads->iphm_id; ?>" <?php echo set_select("pHead", $pheads->iphm_id); ?>><?php echo stripslashes($pheads->iphm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="invoice" class="input__label">Invoice</label>
                                            <select id="invoice" name="invoice" class="custom-select">
                                                <option value="">All</option>
                                                <?php
                                                foreach ($allPurchases as $invoice) {
                                                    ?>
                                                    <option value="<?php echo $invoice->pm_id; ?>" <?php echo set_select("invoice", $invoice->pm_id); ?>><?php echo stripslashes($invoice->pm_invoice_number); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="invCategory" class="input__label">Inventory Category</label>
                                            <select id="invCategory" name="invCategory" class="custom-select">
                                                <option value="">All</option>
                                                <?php
                                                foreach ($inventoryCategories as $invCat) {
                                                    ?>
                                                    <option value="<?php echo $invCat->icm_id; ?>" <?php echo set_select("invCategory", $invCat->icm_id); ?>><?php echo stripslashes($invCat->icm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="itemAssets" class="input__label">Purchase Item</label>
                                            <select id="itemAssets" name="itemAssets" class="custom-select">
                                                <option value="">All</option>
                                                <?php
                                                foreach ($allItems as $item) {
                                                    ?>
                                                    <option value="<?php echo $item->pdm_id; ?>" <?php echo set_select("itemAssets", $item->pdm_id); ?>><?php echo stripslashes($item->pdm_item_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Available Stock(s)&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                </fieldset>
                                <hr>
                                <fieldset>
                                    <legend>Stock Issue <i class="fa fa-random"></i></legend>
                                    <?php echo form_open(site_url('admin/IssueAndReturn/saveNewStockIssue'), ['name' => 'stockIssueFrm', 'id' => 'stockIssueFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="stockItem" class="input__label">Available Stock Items/Assets *</label>
                                            <select id="stockItem" name="stockItem[]" class="form-control selectpicker" multiple data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Item(s)/Asset(s) To Issue">
                                                        <?php
                                                        foreach ($allNonIssuedStocks as $stocks) {
                                                            ?>
                                                    <option value="<?php echo $stocks->sm_id; ?>" <?php echo set_select("stockItem", $stocks->sm_id); ?>><?php echo stripslashes($stocks->sm_uid) . "/" . stripslashes($stocks->sm_sr_no); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="empDept" class="input__label">Department *</label>
                                            <select id="empDept" name="empDept" class="custom-select">
                                                <option value="">Select Department</option>
                                                <?php foreach ($departments as $department) { ?>
                                                    <option value="<?php echo $department->dept_id; ?>" <?php echo set_select("empDept", $department->dept_id); ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empSubDept" class="input__label">Sub-Department *</label>
                                            <select id="empSubDept" name="empSubDept" class="custom-select">
                                                <option value="">Select Sub-Department</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="location" class="input__label">Location *</label>
                                            <select id="location" name="location" class="custom-select">
                                                <option value="">Select Location</option>
                                                <?php
                                                foreach ($locations as $location) {
                                                    ?>
                                                    <option value="<?php echo $location->lm_id; ?>" <?php echo set_select("location", $location->lm_id); ?>><?php echo stripslashes($location->lm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subLocation" class="input__label">Location Details</label>
                                            <input type="text" class="form-control" id="subLocation" name="subLocation" placeholder="Enter Lab/Room No. If Any" maxlength="100">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="issueDate" class="input__label">Date Of Issue *</label>
                                            <input type="text" class="form-control" id="issueDate" name="issueDate" value="<?php echo set_value('issueDate'); ?>" placeholder="Enter/Select Issue Date (DD/MM/YYYY)" autocomplete="off" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label class="input__label">Issuing To Employee? *</label><br>
                                            <input type="radio" id="empIssueYes" name="empIssue" value="T" <?php echo set_radio("empIssue", "T"); ?>/>&nbsp;<label for="empIssueYes">Yes</label>
                                            <input type="radio" id="empIssueNo" name="empIssue" value="F" <?php echo set_radio("empIssue", "F"); ?> checked="checked"/>&nbsp;<label for="empIssueNo">No</label>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="employee" class="input__label">Employee</label>
                                            <select id="employee" name="employee" class="custom-select readonly">
                                                <option value="">Select Employee</option>
                                            </select>
                                        </div>
                                    </div>
                                    <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                    <button type="button" id="createIssueBtn" name="createIssueBtn" class="btn btn-primary btn-block btn-style mt-4">Issue Items</button>
                                    <?php echo form_close(); ?>
                                </fieldset>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#issueDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1980:+0',
                maxDate: 0,
                numberOfMonths: 1
            });

            $("#empDept").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empSubDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            stockIssueFilterFrm.csrf_token.value = csrfHash;
                            stockIssueFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#empSubDept").html("<option value=''>Select Sub-Department</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#empSubDept").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Staff/getAllEmployeesBySubDepartmentForDropDown/') ?>',
                        data: {sub_dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var employeeInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#employee").html(employeeInfo.emp_list);
                            csrfHash = employeeInfo.csrfHash;
                            stockIssueFilterFrm.csrf_token.value = csrfHash;
                            stockIssueFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#employee").html("<option>Select Employee</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#empIssueYes").on("click", function () {
                $("#employee").removeClass("readonly");
            });

            $("#empIssueNo").on("click", function () {
                $("#employee").val("");
                $("#employee").addClass("readonly");
            });

            $("#createIssueBtn").on("click", function () {
                if ($("#stockItem").val() === null) {
                    $("#spnErr").html("Please Select At Least One Item To Be Issued.");
                    $("#stockItem").focus();
                } else if ($("#empDept").val().trim() === "") {
                    $("#spnErr").html("Please Select Department");
                    $("#empDept").focus();
                } else if ($("#empSubDept").val().trim() === "") {
                    $("#spnErr").html("Please Select Sub-Department");
                    $("#empSubDept").focus();
                } else if ($("#location").val().trim() === "") {
                    $("#spnErr").html("Please Select Location");
                    $("#location").focus();
                } else if ($("#issueDate").val().trim() === "") {
                    $("#spnErr").html("Please Select/Enter Date Of Issue");
                    $("#issueDate").focus();
                } else {
                    $("#stockIssueFrm").submit();
                }
            });

            $(document).ready(function () {
                $('#issueDate').datepicker('setDate', 'today');
                if ($("#empDept").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDownSelected/') ?>',
                        data: {dept_id: $("#empDept").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empSubDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            stockIssueFilterFrm.csrf_token.value = csrfHash;
                            stockIssueFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>