<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Allot Section, Semester & Roll Numbers | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page">Student Operations</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Student/allotSectionSemesterAndRollNumber"); ?>">Allot Section, Semester & Roll Numbers</a></li>
                        </ol>
                    </nav>

                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-id-badge"></i> Allot Section, Semester & Roll Numbers To Students</h3><br>
                            <div class="card-body">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Student/allotSectionSemesterAndRollNumber'), ['name' => 'studentListingFitlerFrm', 'id' => 'studentListingFitlerFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-2" style="display: none;">
                                            <label for="stuBranch" class="input__label">Branch *</label>
                                            <select id="stuBranch" name="stuBranch" class="custom-select">
                                                <option value="">Select Branch</option>
                                                <?php
                                                $selected = (sizeof($branches) > 2) ? "" : "selected";
                                                foreach ($branches as $branch) {
                                                    if ($branch->branch_id == 0 || $branch->branch_id == '0') {
                                                        continue;
                                                    }
                                                    ?>
                                                    <option value="<?php echo $branch->branch_id; ?>" <?php echo set_select("stuBranch", $branch->branch_id); ?> <?php echo $selected; ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="stuCourse" class="input__label">Course</label>
                                            <select id="stuCourse" name="stuCourse" class="custom-select">
                                                <option value="" <?php echo set_select("stuCourse", "") ?>>Select Course</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("stuCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="stuSession" class="input__label">Session</label>
                                            <select id="stuSession" name="stuSession" class="custom-select">
                                                <option value="">Select Session</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="stuEntryType" class="input__label">Entry Type</label>
                                            <select id="stuEntryType" name="stuEntryType" class="custom-select">
                                                <option value="">Select Entry Type</option>
                                            </select>
                                        </div>
                                        <hr>
                                        <div class="col-md-3">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-lg btn-warning btn-block">Apply Filter&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                </fieldset>
                                <?php echo form_open(site_url('admin/Student/allotSectionSemesterAndRollNumber'), ['name' => 'studentAllotSectionSemesterFrm', 'id' => 'studentAllotSectionSemesterFrm']); ?>
                                <?php
                                if (sizeof($filteredRecords)) {
                                    ?>
                                    <table id="allStudents" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                        <thead>
                                            <tr>
                                                <th>Sr. No.</th>
                                                <th>Form No.</th>
                                                <th>Name</th>
                                                <th>DOB</th>
                                                <th>Enrl. No.</th>
                                                <th>Roll No.</th>
                                                <th>Semester</th>
                                                <th>Section</th>
                                            </tr>
                                        </thead>
                                        <tfoot>
                                            <tr>
                                                <th>Sr. No.</th>
                                                <th>Form No.</th>
                                                <th>Name</th>
                                                <th>DOB</th>
                                                <th>Enrl. No.</th>
                                                <th>Roll No.</th>
                                                <th>Semester</th>
                                                <th>Section</th>
                                            </tr>
                                        </tfoot>
                                        <tbody>
                                            <?php
                                            for ($i = 0; $i < sizeof($filteredRecords); $i++) {
                                                $record = $filteredRecords[$i];
                                                ?>
                                                <tr>
                                                    <td><?php echo ($i + 1); ?></td>
                                                    <td><?php echo stripslashes($record['tspi_form_no']); ?></td>
                                                    <td>
                                                        <?php
                                                        if ($record['tspi_gender'] == "M") {
                                                            echo "<i class='fa fa-male'></i>|" . stripslashes($record['tspi_name']);
                                                        } else if ($record['tspi_gender'] == "F") {
                                                            echo "<i class='fa fa-female'></i>|" . stripslashes($record['tspi_name']);
                                                        } else {
                                                            echo "<i class='fa fa-transgender'></i>|" . stripslashes($record['tspi_name']);
                                                        }
                                                        ?>
                                                    </td>
                                                    <td style="width:15%"><?php echo "<i class='fa fa-calendar'></i> " . date("d-m-Y", strtotime($record['tspi_dob'])); ?></td>
                                                    <td><input type="text" class="form-control" name="stuEnrollNo[]" placeholder="Enter Enrl. No." value="<?php echo $record['tspi_enrollment_no']; ?>" autocomplete="off" maxlength="15"></td>
                                                    <td><input type="text" class="form-control" name="stuRollNo[]" placeholder="Enter Roll No." value="<?php echo $record['tspi_rollNumber']; ?>" autocomplete="off" maxlength="15"></td>
                                                    <td><input type="text" class="form-control" name="stuSemester[]" placeholder="Enter Semester (Ex:1,2,3 etc)" value="<?php echo stripslashes($record['tsssi_semester']); ?>" onkeypress="return event.charCode >= 48 && event.charCode <= 57" autocomplete="off" maxlength="2"></td>
                                                    <td><input type="text" class="form-control" name="stuSection[]" placeholder="Enter Section (Ex:A,B,C etc)" value="<?php echo stripslashes($record['tsssi_section']); ?>" autocomplete="off" maxlength="2"></td>
                                            <input type="hidden" value="<?php echo stripslashes($record['tsssi_id']); ?>" name="secSemIds[]">
                                            <input type="hidden" value="<?php echo stripslashes($record['tspi_id']); ?>" name="tspiIds[]">
                                            </tr>
                                        <?php } ?>
                                        </tbody>
                                    </table>
                                    <br>
                                    <button id="updateSubmitBtn" name="updateSubmitBtn" type="submit" class="btn btn-sm btn-block btn-primary btn-block">Update&nbsp;<i class="fa fa-pencil-square-o"></i></button>
                                        <?php
                                    }
                                    echo form_close();
                                    ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#stuCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            studentListingFitlerFrm.csrf_token.value = csrfHash;
                            studentAllotSectionSemesterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuSession").html("<option>Select Session</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#stuSession").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            studentListingFitlerFrm.csrf_token.value = csrfHash;
                            studentAllotSectionSemesterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuEntryType").html("<option>Select Entry Type</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                var selectedSession = '<?php echo $selectedSession; ?>';
                var selectedUCSMapId = '<?php echo $selectedEntryType; ?>';
                if ($("#stuCourse").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            studentListingFitlerFrm.csrf_token.value = csrfHash;
                            studentAllotSectionSemesterFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if (selectedSession !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, ucs_map_id: selectedUCSMapId, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            studentListingFitlerFrm.csrf_token.value = csrfHash;
                            studentAllotSectionSemesterFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
                $("#allStudents").DataTable({responsive: true, dom: 'Blfrtip', pageLength: 1000});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>