<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>View All Students List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Student/"); ?>">Student Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page">All Students</li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-user-o"></i> All Students</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Student'), ['name' => 'studentListingFitlerFrm', 'id' => 'studentListingFitlerFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label class="input__label"><b>Filtering Pattern:</b></label>
                                            <input type="radio" class="" id="FNW" name="filterPattern" value="FNW" <?php echo set_radio("filterPattern", "FNW"); ?>>&nbsp;<label for="FNW">Form No. Wise</label>
                                            <input type="radio" class="" id="RNW" name="filterPattern" value="RNW" <?php echo set_radio("filterPattern", "RNW"); ?>>&nbsp;<label for="RNW">Roll No./Enrl. No. Wise</label>
                                            <input type="radio" class="" id="CSW" name="filterPattern" value="CSW" <?php echo set_radio("filterPattern", "CSW"); ?>>&nbsp;<label for="CSW">Course/Session Wise (Many Records)</label>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-2" style="display: none;">
                                            <label for="stuBranch" class="input__label">Branch *</label>
                                            <select id="stuBranch" name="stuBranch" class="custom-select">
                                                <option value="">Select Branch</option>
                                                <?php
                                                $selected = (sizeof($branches) > 2) ? "" : "selected";
                                                foreach ($branches as $branch) {
                                                    if ($branch->branch_id == 0 || $branch->branch_id == '0') {
                                                        continue;
                                                    }
                                                    ?>
                                                    <option value="<?php echo $branch->branch_id; ?>" <?php echo set_select("stuBranch", $branch->branch_id); ?> <?php echo $selected; ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuFormNo" class="input__label">Form No</label>
                                            <input type="text" class="form-control" id="stuFormNo" name="stuFormNo" value="<?php echo set_value('stuFormNo'); ?>" placeholder="Enter Form No." autocomplete="off" maxlength="15" readonly="true">
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuRollNo" class="input__label">Roll No./Enrl. No.</label>
                                            <input type="text" class="form-control" id="stuRollNo" name="stuRollNo" value="<?php echo set_value('stuRollNo'); ?>" placeholder="Enter Enrl. No./Roll No." autocomplete="off" maxlength="20" readonly="true">
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuCourse" class="input__label">Course</label>
                                            <select id="stuCourse" name="stuCourse" class="custom-select readonly">
                                                <option value="" <?php echo set_select("stuCourse", "") ?>>Select Course</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("stuCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuSession" class="input__label">Session</label>
                                            <select id="stuSession" name="stuSession" class="custom-select readonly">
                                                <option value="">Select Session</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuEntryType" class="input__label">Entry Type</label>
                                            <select id="stuEntryType" name="stuEntryType" class="custom-select readonly">
                                                <option value="">Select Entry Type</option>
                                            </select>
                                        </div>
                                        <div class="col-md-2">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-lg btn-warning btn-block">Apply Filter&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Student/enrollStudent"); ?>'" tooltip="Enroll New Student"><i class="fa fa-plus"></i> Enroll New Student</button><br><br>
                                <table id="allStudents" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Form No.</th>
                                            <th>Enrl. No.</th>
                                            <th>Roll No.</th>
                                            <th>Name</th>
                                            <th>Father's Name</th>
                                            <th>Gender</th>
                                            <th>Course</th>
                                            <th>Session</th>
                                            <th>Entry Type</th>
                                            <th>Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Form No.</th>
                                            <th>Enrl. No.</th>
                                            <th>Roll No.</th>
                                            <th>Name</th>
                                            <th>Father's Name</th>
                                            <th>Gender</th>
                                            <th>Course</th>
                                            <th>Session</th>
                                            <th>Entry Type</th>
                                            <th>Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($filteredRecords); $i++) {
                                            $record = $filteredRecords[$i];
                                            if ($record['tspi_delete_status'] == 'T') {
                                                continue;
                                            }
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo "<a href='" . site_url("admin/Student/viewStudent/" . $record['tspi_id']) . "' target='_blank'>" . stripslashes($record['tspi_form_no']) . "</a>"; ?></td>
                                                <td><?php echo ($record['tspi_enrollment_no'] == $record['tspi_form_no']) ? "-" : "<a href='" . site_url("admin/Student/viewStudent/" . $record['tspi_id']) . "' target='_blank'>" . $record['tspi_enrollment_no'] . "</a>"; ?></td>
                                                <td><?php echo ($record['tspi_rollNumber'] == $record['tspi_form_no']) ? "-" : "<a href='" . site_url("admin/Student/viewStudent/" . $record['tspi_id']) . "' target='_blank'>" . $record['tspi_rollNumber'] . "</a>"; ?></td>
                                                <td><?php echo $record['tspi_name']; ?></td>
                                                <td><?php echo $record['tspi_father_name']; ?></td>
                                                <td>
                                                    <?php
                                                    if ($record['tspi_gender'] == "M") {
                                                        echo "<i class='fa fa-male'></i>|Male";
                                                    } else if ($record['tspi_gender'] == "F") {
                                                        echo "<i class='fa fa-female'></i>|Female";
                                                    } else {
                                                        echo "<i class='fa fa-transgender'></i>|Transgender";
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo stripslashes($record['course_name']); ?></td>
                                                <td><?php echo stripslashes($record['session_name']); ?></td>
                                                <td><?php echo stripslashes($record['tcsm_course_type']); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record['tspi_status'] == "CE") {
                                                        echo "Currently Enrolled";
                                                    } else if ($record['tspi_status'] == "DV") {
                                                        echo "Document Verified & Counselling Complete";
                                                    } else if ($record['tspi_status'] == "D") {
                                                        echo "Drop Out";
                                                    } else if ($record['tspi_status'] == "E") {
                                                        echo "Expelled";
                                                    } else if ($record['tspi_status'] == "P") {
                                                        echo "Passout";
                                                    } else {
                                                        echo "Not Admitted";
                                                    }
                                                    ?>
                                                </td>
                                                <td>
                                                    <a href="<?php echo site_url('admin/Student/editStudent/' . $record['tspi_id']); ?>" target="_blank" title="Edit This Student"><i class='fa fa-edit' style='color:#002166;cursor: pointer;'></i></a>
                                                    <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Student" onClick="deleteStudent(<?php echo $record['tspi_id']; ?>);"></i> 
                                                    <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info About This Student" onClick="getStudentInfo(<?php echo $record['tspi_id']; ?>);"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#stuCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            studentListingFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuSession").html("<option>Select Session</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#stuSession").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            studentListingFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuEntryType").html("<option>Select Entry Type</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#FNW").on("click", function () {
                $("#stuRollNo").val("");
                $("#stuCourse").val("");
                $("#stuSession").val("");
                $("#stuEntryType").val("");
                $("#stuFormNo").prop("readonly", false);
                $("#stuRollNo").prop("readonly", true);
                document.getElementById("stuCourse").classList.add("readonly");
                document.getElementById("stuSession").classList.add("readonly");
                document.getElementById("stuEntryType").classList.add("readonly");
            });

            $("#RNW").on("click", function () {
                $("#stuFormNo").val("");
                $("#stuCourse").val("");
                $("#stuSession").val("");
                $("#stuEntryType").val("");
                $("#stuFormNo").prop("readonly", true);
                $("#stuRollNo").prop("readonly", false);
                document.getElementById("stuCourse").classList.add("readonly");
                document.getElementById("stuSession").classList.add("readonly");
                document.getElementById("stuEntryType").classList.add("readonly");
            });

            $("#CSW").on("click", function () {
                $("#stuFormNo").val("");
                $("#stuRollNo").val("");
                $("#stuFormNo").prop("readonly", true);
                $("#stuRollNo").prop("readonly", true);
                document.getElementById("stuCourse").classList.remove("readonly");
                document.getElementById("stuSession").classList.remove("readonly");
                document.getElementById("stuEntryType").classList.remove("readonly");
            });

            function editStuent(tspi_id) {
                if (confirm("Do You Want To Edit This Students Information?")) {
                    window.location.href = '<?php echo site_url('admin/Student/editStudent/'); ?>' + tspi_id;
                }
            }

            function deleteStudent(tspi_id) {
                if (confirm("Do You Really Want To Delete This Student's Entry?")) {
                    window.location.href = '<?php echo site_url('admin/Student/deleteStudent/'); ?>' + tspi_id;
                }
            }

            $(document).ready(function () {
                var selectedPattern = '<?php echo $selectedPattern; ?>';
                var selectedSession = '<?php echo $selectedSession; ?>';
                var selectedUCSMapId = '<?php echo $selectedEntryType; ?>';
                if (selectedPattern !== "") {
                    $("#" + selectedPattern).trigger("click");
                }
                if ($("#stuCourse").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            studentListingFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if (selectedSession !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, ucs_map_id: selectedUCSMapId, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            studentListingFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
                $("#allStudents").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function getStudentInfo(tspi_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Student/getStudentFullInfo/'); ?>',
                    data: {tspi_id: tspi_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisStudentInfo = JSON.parse(result);
                        csrfHash = thisStudentInfo.csrfHash;
                        studentListingFitlerFrm.csrf_token.value = csrfHash;
                        $("#stu_id").val(thisStudentInfo.stu_id);
                        $("#stu_image").prop("src", thisStudentInfo.stu_photograph);
                        $("#stu_name").html(thisStudentInfo.stu_name);
                        $("#stu_course").html(thisStudentInfo.stu_course + " | " + thisStudentInfo.stu_entry_type);
                        $("#stu_session").html(thisStudentInfo.stu_session);
                        $("#stu_gen").html(thisStudentInfo.stu_gender);
                        $("#stu_cat").html(thisStudentInfo.stu_category);
                        $("#stu_rel").html(thisStudentInfo.stu_religion);
                        $("#stu_form_no").html(thisStudentInfo.stu_form_no);
                        $("#stu_enrollment_no").html(thisStudentInfo.stu_enrollment_no);
                        $("#stu_roll_no").html(thisStudentInfo.stu_roll_no);
                        $("#stu_dob").html(thisStudentInfo.stu_dob);
                        $("#stu_doadmsn").html(thisStudentInfo.stu_admission_date);
                        $("#stu_doenrlmnt").html(thisStudentInfo.stu_enrollment_date);
                        $("#stu_email").html(thisStudentInfo.stu_email);
                        $("#stu_mob").html(thisStudentInfo.stu_mobile);
                        $("#stu_status").html(thisStudentInfo.stu_status);
                        $("#stu_diff_abled").html(thisStudentInfo.stu_diff_abled);
                        $("#stu_prnt_income").html(thisStudentInfo.stu_parent_aincome);
                        $("#stu_rems").html(thisStudentInfo.stu_remarks);
                        $("#stu_del_status").html(thisStudentInfo.stu_delete_status);
                        $("#stu_year_gap").html(thisStudentInfo.stu_year_gap);
                        $("#stu_sch_elgbl").html(thisStudentInfo.stu_sch_elgbl);
                        $("#stu_sch_prcnt").html(thisStudentInfo.stu_sch_prcnt);
                        $("#stu_univ_roll").html(thisStudentInfo.stu_univ_roll);
                        $("#stu_added_by").html(thisStudentInfo.stu_added_by);
                        $("#stu_updated_by").html(thisStudentInfo.stu_updated_by);
                        $("#studentDetailsModal").modal('show');
                    }
                });
            }

            function resetStudentPassword() {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Student/resetStudentPassword/'); ?>',
                    data: {tspi_id: $("#stu_id").val(), csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var passwordUpdateResponseInfo = JSON.parse(result);
                        csrfHash = passwordUpdateResponseInfo.csrfHash;
                        studentListingFitlerFrm.csrf_token.value = csrfHash;
                        if (passwordUpdateResponseInfo.doUpdated === 1 || passwordUpdateResponseInfo.doUpdated === '1') {
                            alert("Student's Password Succesfully Reset To 12345.");
                        }
                    }
                });
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Students Details Modal Starts -->
        <div class="modal fade" id="studentDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Student Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12">
                                    <center>
                                        <img src="" id="stu_image" width="100px"><br>
                                        <b><span id="stu_name"></span></b><br>
                                        <b><span id="stu_course"></span></b><br>
                                        <b><span id="stu_session"></span></b>
                                    </center>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2"><b>Form No.</b></div>
                                <div class="col-sm-2"><span id="stu_form_no"></span></div>
                                <div class="col-sm-2"><b>Enrl. No.</b></div>
                                <div class="col-sm-2"><span id="stu_enrollment_no"></span></div>
                                <div class="col-sm-2"><b>Roll No.</b></div>
                                <div class="col-sm-2"><span id="stu_roll_no"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2"><b>Gender</b></div>
                                <div class="col-sm-2"><span id="stu_gen"></span></div>
                                <div class="col-sm-2"><b>D.O.B.</b></div>
                                <div class="col-sm-2"><span id="stu_dob"></span></div>
                                <div class="col-sm-2"><b>Mobile</b></div>
                                <div class="col-sm-2"><span id="stu_mob"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Email</b></div>
                                <div class="col-sm-3"><span id="stu_email"></span></div>
                                <div class="col-sm-3"><b>Status</b></div>
                                <div class="col-sm-3"><span id="stu_status"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Category</b></div>
                                <div class="col-sm-3"><span id="stu_cat"></span></div>
                                <div class="col-sm-3"><b>Religion</b></div>
                                <div class="col-sm-3"><span id="stu_rel"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Admission Date</b></div>
                                <div class="col-sm-3"><span id="stu_doadmsn"></span></div>
                                <div class="col-sm-3"><b>Enrollment Date</b></div>
                                <div class="col-sm-3"><span id="stu_doenrlmnt"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Differently Abled</b></div>
                                <div class="col-sm-3"><span id="stu_diff_abled"></span></div>
                                <div class="col-sm-3"><b>Parent's Annual Income</b></div>
                                <div class="col-sm-3"><span id="stu_prnt_income"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Year Gap Applicable</b></div>
                                <div class="col-sm-3"><span id="stu_year_gap"></span></div>
                                <div class="col-sm-3"><b>Current University Roll No.</b></div>
                                <div class="col-sm-3"><span id="stu_univ_roll"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Eligible For College Scholarship</b></div>
                                <div class="col-sm-3"><span id="stu_sch_elgbl"></span></div>
                                <div class="col-sm-3"><b>Scholarship Percentage</b></div>
                                <div class="col-sm-3"><span id="stu_sch_prcnt"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Delete Status</b></div>
                                <div class="col-sm-3"><span id="stu_del_status"></span></div>
                                <div class="col-sm-3"><b>Reset Password</b></div>
                                <div class="col-sm-3"><i onClick="resetStudentPassword();" class="fa fa-undo" style="cursor: pointer;color:#0000FF" title="Reset Student Password To 12345"></i>*****</div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Remarks</b></div>
                                <div class="col-sm-9"><span id="stu_rems"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Entry Done By</b></div>
                                <div class="col-sm-9"><span id="stu_added_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Entry Last Updated By</b></div>
                                <div class="col-sm-9"><span id="stu_updated_by"></span></div>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <input type="hidden" id="stu_id">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Students Details Modal Ends -->
    </body>
</html>