<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Transfer Course & Update Session/Entry Type | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Student Operations</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Student/courseTransfer"); ?>">Transfer Course</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-share"></i> Transfer Course & Update Session/Entry Type</h3><br>
                            <div class="card-body">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <?php echo form_open(site_url('admin/Student/courseTransfer'), ['name' => 'studentFetchInfoFrm', 'id' => 'studentFetchInfoFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-8">
                                            <label for="stuFormNo" class="input__label">Form No *</label>
                                            <input type="text" class="form-control" id="stuFormNo" name="stuFormNo" value="<?php echo set_value('stuFormNo'); ?>" placeholder="Enter Form No." autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="col-md-4">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-lg btn-warning btn-block">Fetch Student Info&nbsp;<i class="fa fa-id-badge"></i>&nbsp;<i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                    <?php echo form_open(site_url('admin/Student/courseTransfer'), ['name' => 'studentTrfCourseFrm', 'id' => 'studentTrfCourseFrm']); ?>
                                    <div id="updateFrmDiv" <?php if (!$doStudentInfoAvailable) { ?> style="display:none;" <?php } ?>>
                                        <div class="form-row">
                                            <div class="form-group col-md-4">
                                                <label for="stuName" class="input__label">Student Name</label>
                                                <input type="text" class="form-control" id="stuName" name="stuName" value="<?php echo $studentInfo['stu_name']; ?>" placeholder="" autocomplete="off" readonly="readonly">
                                            </div>
                                            <div class="form-group col-md-4">
                                                <label for="stuFathersName" class="input__label">Father's Name</label>
                                                <input type="text" class="form-control" id="stuFathersName" name="stuFathersName" value="<?php echo $studentInfo['stu_father_name']; ?>" placeholder="" autocomplete="off" readonly="readonly">
                                            </div>
                                            <div class="form-group col-md-4">
                                                <label for="stuDOB" class="input__label">D.O.B.</label>
                                                <input type="text" class="form-control" id="stuDOB" name="stuDOB" value="<?php echo $studentInfo['stu_dob']; ?>" placeholder="" autocomplete="off" readonly="readonly">
                                            </div>
                                        </div>
                                        <div class="form-row">
                                            <div class="form-group col-md-2" style="display: none;">
                                                <label for="stuBranch" class="input__label">Branch *</label>
                                                <select id="stuBranch" name="stuBranch" class="custom-select">
                                                    <option value="">Select Branch</option>
                                                    <?php
                                                    $selected = (sizeof($branches) > 2) ? "" : "selected";
                                                    foreach ($branches as $branch) {
                                                        if ($branch->branch_id == 0 || $branch->branch_id == '0') {
                                                            continue;
                                                        }
                                                        ?>
                                                        <option value="<?php echo $branch->branch_id; ?>" <?php echo set_select("stuBranch", $branch->branch_id); ?> <?php echo $selected; ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                    <?php }
                                                    ?>
                                                </select>
                                            </div>
                                            <div class="form-group col-md-3">
                                                <label for="stuNewFormNo" class="input__label">Form No *</label>
                                                <input type="text" class="form-control" id="stuNewFormNo" name="stuNewFormNo" value="<?php echo set_value('stuFormNo'); ?>" placeholder="Enter New Form No." autocomplete="off" maxlength="15">
                                            </div>
                                            <div class="form-group col-md-3">
                                                <label for="stuCourse" class="input__label">Course *</label>
                                                <select id="stuCourse" name="stuCourse" class="custom-select">
                                                    <option value="" <?php echo set_select("stuCourse", "") ?>>Select Course</option>
                                                    <?php
                                                    foreach ($courses as $course) {
                                                        $selected = ($course->course_id == $studentInfo['stu_course']) ? "selected" : "";
                                                        ?>
                                                        <option value="<?php echo $course->course_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php }
                                                    ?>
                                                </select>
                                            </div>
                                            <div class="form-group col-md-3">
                                                <label for="stuSession" class="input__label">Session *</label>
                                                <select id="stuSession" name="stuSession" class="custom-select">
                                                    <option value="">Select Session</option>
                                                </select>
                                            </div>
                                            <div class="form-group col-md-3">
                                                <label for="stuEntryType" class="input__label">Entry Type *</label>
                                                <select id="stuEntryType" name="stuEntryType" class="custom-select">
                                                    <option value="">Select Entry Type</option>
                                                </select>
                                            </div>
                                        </div>
                                        <input type="hidden" name="stuId" value="<?php echo $studentInfo['stu_id']; ?>">
                                        <input type="hidden" name="currentCourse" value="<?php echo $studentInfo['stu_course']; ?>">
                                        <div class="form-row">
                                            <div class="col-md-12">
                                                <label for="updateSubmitBtn" class="input__label"></label>
                                                <button id="updateSubmitBtn" name="updateSubmitBtn" type="submit" class="btn btn-sm btn-primary btn-block">Save Changes&nbsp;<i class="fa fa-save"></i></button>
                                            </div>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                </fieldset>
                            </div>
                        </div>
                    </section>
                </div>
        </section>
        <script>
            $("#stuCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            studentFetchInfoFrm.csrf_token.value = csrfHash;
                            studentTrfCourseFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuSession").html("<option>Select Session</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#stuSession").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            studentFetchInfoFrm.csrf_token.value = csrfHash;
                            studentTrfCourseFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuEntryType").html("<option>Select Entry Type</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                var selectedSession = '<?php echo $selectedSession; ?>';
                var selectedUCSMapId = '<?php echo $selectedEntryType; ?>';
                if ($("#stuCourse").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            studentFetchInfoFrm.csrf_token.value = csrfHash;
                            studentTrfCourseFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if (selectedSession !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, ucs_map_id: selectedUCSMapId, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            studentFetchInfoFrm.csrf_token.value = csrfHash;
                            studentTrfCourseFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>