<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Updgrade Semester/Year Of Students | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page">Student Operations</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Student/upgradeSemesterYear"); ?>">Upgrade Semester/Year Of Students</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-level-up"></i> Upgrade Semester/Year Of Students</h3><br>
                            <div class="card-body">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Student/saveUpgradeSemesterYear'), ['name' => 'studentSemYearUpgradeFrm', 'id' => 'studentSemYearUpgradeFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-2" style="display: none;">
                                            <label for="stuBranch" class="input__label">Branch *</label>
                                            <select id="stuBranch" name="stuBranch" class="custom-select">
                                                <option value="">Select Branch</option>
                                                <?php
                                                $selected = (sizeof($branches) > 2) ? "" : "selected";
                                                foreach ($branches as $branch) {
                                                    if ($branch->branch_id == 0 || $branch->branch_id == '0') {
                                                        continue;
                                                    }
                                                    ?>
                                                    <option value="<?php echo $branch->branch_id; ?>" <?php echo set_select("stuBranch", $branch->branch_id); ?> <?php echo $selected; ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuCourse" class="input__label">Course</label>
                                            <select id="stuCourse" name="stuCourse" class="custom-select">
                                                <option value="" <?php echo set_select("stuCourse", "") ?>>Select Course</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("stuCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuSession" class="input__label">Session</label>
                                            <select id="stuSession" name="stuSession" class="custom-select">
                                                <option value="">Select Session</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuEntryType" class="input__label">Entry Type</label>
                                            <select id="stuEntryType" name="stuEntryType" class="custom-select">
                                                <option value="">Select Entry Type</option>
                                            </select>
                                        </div>
                                    </div>
                                    <hr>
                                    <fieldset id="studentList" style="display: none;">
                                        <legend>Student(s) List</legend>
                                        <div class="form-row">
                                            <table style="width:100%" class="table table-warning">
                                                <tr>
                                                    <th><input type="checkbox" id="selectAll" name="selectAll" value="A">&nbsp;Select</th>
                                                    <th>Sr. No</th>
                                                    <th>Form No.</th>
                                                    <th>Enrl. No.</th>
                                                    <th>Name</th>
                                                    <th>DOB</th>
                                                </tr>
                                                <tbody id="studentDetails"></tbody>
                                            </table>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-md-12">
                                                <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                                <label for="upgradeSubmitBtn" class="input__label"></label>
                                                <button id="upgradeSubmitBtn" name="upgradeSubmitBtn" type="button" class="btn btn-sm btn-primary btn-block">Upgrade Semester/Year&nbsp;<i class="fa fa-level-up"></i></button>
                                            </div>
                                        </div>
                                    </fieldset>
                                    <?php echo form_close(); ?>
                                </fieldset>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#stuCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            studentSemYearUpgradeFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuSession").html("<option>Select Session</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#stuSession").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var entryTypeInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(entryTypeInfo.entry_types);
                            csrfHash = entryTypeInfo.csrfHash;
                            studentSemYearUpgradeFrm.csrf_token.value = csrfHash;
                            $("#stuEntryType").trigger("change");
                        }
                    });
                } else {
                    $("#stuEntryType").html("<option>Select Entry Type</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#stuEntryType").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                $("#studentList").css("display", "none");
                $("#allotBtn").prop("disabled", "disabled");
                $("#studentDetails").html("");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Student/getEnrolledStudentsByCourseSessionEntryType/') ?>',
                        data: {entryType: $("#stuEntryType").val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var studentsInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            studentsList = "";
                            if (studentsInfo.available_students !== 0) {
                                for (var i = 0; i < studentsInfo.student_list.length; i++) {
                                    studentsList += "<tr>";
                                    studentsList += "<td><input type='checkbox' name='selectedStudents[]' value='" + studentsInfo.student_list[i].stu_id + "'></td>";
                                    studentsList += "<td>" + (i + 1) + "</td>";
                                    studentsList += "<td>" + studentsInfo.student_list[i].stu_form_no + "</td>";
                                    studentsList += "<td>" + studentsInfo.student_list[i].stu_enroll_no + "</td>";
                                    studentsList += "<td>" + studentsInfo.student_list[i].stu_name + "</td>";
                                    studentsList += "<td>" + studentsInfo.student_list[i].stu_dob + "</td>";
                                    studentsList += "</tr>";
                                }
                                $("#studentDetails").html(studentsList);
                                $("#studentList").css("display", "block");
                                $("#allotBtn").prop("disabled", "");
                            } else {
                                studentsList += "<tr>";
                                studentsList += "<td colspan='6'>" + studentsInfo.message + "</td>";
                                studentsList += "</tr>";
                                $("#studentDetails").html(studentsList);
                                $("#studentList").css("display", "none");
                                $("#allotBtn").prop("disabled", "disabled");
                            }
                            csrfHash = studentsInfo.csrfHash;
                            studentSemYearUpgradeFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#selectAll").click(function () {
                $("input[type=checkbox]").prop('checked', $(this).prop('checked'));
            });

            $("#upgradeSubmitBtn").on("click", function () {
                if ($("#stuCourse").val().trim() === "") {
                    $("#spnErr").html("Please Select A Course.");
                } else if ($("#stuSession").val().trim() === "") {
                    $("#spnErr").html("Please Select A Session.");
                } else if ($("#stuEntryType").val().trim() === "") {
                    $("#spnErr").html("Please Select An Entry Type.");
                } else if ($("[name='selectedStudents[]']:checked").length === 0) {
                    $("#spnErr").html("Please Select At Least One Student To Upgrade.");
                } else {
                    $("#spnErr").html("");
                    $("#studentSemYearUpgradeFrm").submit();
                }
            });

            $(document).ready(function () {
                var selectedSession = '<?php echo $selectedSession; ?>';
                var selectedUCSMapId = '<?php echo $selectedEntryType; ?>';
                if ($("#stuCourse").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            studentSemYearUpgradeFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if (selectedSession !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, ucs_map_id: selectedUCSMapId, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            studentSemYearUpgradeFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>