<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Submit Query/Feedback For Support | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Feedback/submitFeedback"); ?>">Submit Query Or Feedback</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-commenting"></i> Submit New Query/Feedback <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/Feedback/saveNewFeedback'), ['name' => 'feedbackSubmitFrm', 'id' => 'feedbackSubmitFrm']); ?>
                                <fieldset>
                                    <legend>Query/Feedback Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="feedbackSubject" class="input__label">Subject *</label>
                                            <select id="feedbackSubject" name="feedbackSubject" class="form-control input-style">
                                                <option value="" <?php echo set_select("feedbackSubject", ""); ?>>Select Feedback Subject *</option>
                                                <option value="Feedback" <?php echo set_select("feedbackSubject", "Feedback"); ?>>This Is A Feedback</option>
                                                <option value="Suggestion" <?php echo set_select("feedbackSubject", "Suggestion"); ?>>This Is A Suggestion</option>
                                                <option value="Query" <?php echo set_select("feedbackSubject", "Query"); ?>>I Have A Query</option>
                                                <option value="Complaint" <?php echo set_select("feedbackSubject", "Complaint"); ?>>I Have A Complaint</option>
                                                <option value="Technical Problem" <?php echo set_select("feedbackSubject", "Technical Problem"); ?>>I Am Facing Some Technical Problem</option>
                                                <option value="Others" <?php echo set_select("feedbackSubject", "Others"); ?>>Something That Is Not Listed Here</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="feedbackExtension" class="input__label">Extension No.</label>
                                            <input type="text" class="form-control input-style" id="feedbackExtension" name="feedbackExtension" value="<?php echo set_value('feedbackExtension'); ?>" placeholder="Enter Your Telephone Extension" maxlength="5">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="feedbackDescription" class="input__label">Description *</label>
                                            <textarea class="form-control input-style" name="feedbackDescription" id="feedbackDescription" placeholder="Write Your Brief Content (Max. 1000 Chars)" maxlength="1000"><?php echo set_value('feedbackDescription'); ?></textarea>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="feedbackScreenshot" class="input__label">Screenshot (Optional)</label>
                                            <input type="file" class="form-control input-style" id="feedbackScreenshot" name="feedbackScreenshot">
                                            <small id="feedbackFileInstruction" class="form-text text-muted"><b>Max. Upload Size 1 MB. Allowed Extension : *.jpg, *.jpeg, *.png, *.webp.</b></small>
                                            <small class="form-text text-muted">In case you are facing any technical issue like system errors, or portal is raising some kind of issue, then in such case you can attach the screenshot of the error page. This will help the technical support team to mark and diagnose the issue early and efficiently.</small>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Submit</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>