
<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Allotted Drivers To Vehicle | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Master Entry</li> <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Route/"); ?>">Route Management</a></li>                            
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Route/allotedDriversToVehicle"); ?>">Driver To Vehicle Allotments</a></li>                            
                        </ol>
                    </nav>
                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-bus"></i>&nbsp;Drivers To Vehicle Allotment Report</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Transport/allotDriverToVehicle"); ?>'"><i class="fa fa-plus"></i> Allot New Driver to Vehicle.</button><br><br>    
                                <table id="allotedVehiclesToRoute" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Route Name</th>
                                            <th>Vehicle Name</th>
                                            <th>Driver Name</th>
                                            <th>Registration No.</th>
                                            <th>Added On</th>
                                            <th>Updated On</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Route Name</th>
                                            <th>Vehicle Name</th>
                                            <th>Driver Name</th>
                                            <th>Registration No.</th>
                                            <th>Added On</th>
                                            <th>Updated On</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allotments); $i++) {
                                            $record = $allotments[$i];
                                            //$driver = $drivers[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->fhom_name); ?></td> 
                                                <td><?php echo stripslashes($record->vm_make); ?></td>
                                                <td><?php echo stripslashes($record->tprfl_firstname . " " . $record->tprfl_lastname); ?></td>
                                                <td><?php echo stripslashes($record->vm_reg_no); ?></td>
                                                <td><?php echo date("d-m-Y H:i:sa", strtotime($record->vda_alloted_on)); ?></td>   
                                                <td><?php echo date("d-m-Y H:i:sa", strtotime($record->vda_updated_on)); ?></td> 
                                                <td>
                                                    <?php
                                                    if ($record->vda_delete_status == 'F') {
                                                        ?>
                                                        <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Allotment" onClick="deleteAllotment(<?php echo $record->vda_id; ?>);"></i> 
                                                    <?php } ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>        
        <script>
            $(document).ready(function () {
                $("#allotedVehiclesToRoute").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function deleteAllotment(vda_id) {
                if (confirm("Do You Really Want To Delete This Allotment Info?")) {
                    window.location.href = '<?php echo site_url('admin/Route/deleteDriverAllotment/'); ?>' + vda_id;
                }
            }

        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>
