
<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Allotted Vehicles To Route | Institute Of Engineering & Technology, Agra | IMS</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Master Entry</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Transport/allotedVehiclesToRoute"); ?>">Route Vehicle Allotments</a></li>
                        </ol>
                    </nav>
                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-bus"></i> Allocated Vehicles</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Transport/vehicleAllotment"); ?>'"><i class="fa fa-plus"></i> Allot new vehicle to route.</button><br><br>    
                                <table id="allotedVehiclesToRoute" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Route Name</th>
                                            <th>Vehicle Name</th>
                                            <th>Registration No.</th>
                                            <th>Added On</th>
                                            <th>Updated On</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Route Name</th>
                                            <th>Vehicle Name</th>
                                            <th>Registration No.</th>
                                            <th>Added On</th>
                                            <th>Updated On</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allotments); $i++) {
                                            $record = $allotments[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->fhom_name); ?></td> 
                                                <td><?php echo stripslashes($record->vm_make); ?></td>
                                                <td><?php echo stripslashes($record->vm_reg_no); ?></td>
                                                <td><?php echo date("d-m-Y H:i:sa", strtotime($record->rva_added_on)); ?></td>   
                                                <td><?php echo date("d-m-Y H:i:sa", strtotime($record->rva_updated_on)); ?></td> 
                                                <td>
                                                    <?php
                                                    if ($record->rva_delete_status == 'F') {
                                                        if ($record->rva_active_status == 'T') {
                                                            ?>
                                                            <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Disable This Vehicle Allotment" onClick="window.location.href = '<?php echo site_url('admin/Transport/toggleVehicleAllotToRouteStatus/' . $record->rva_id . '/F') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Vehicle Allotment" onClick="window.location.href = '<?php echo site_url('admin/Transport/editVehicleToRouteAllotment/' . $record->rva_id) ?>'"  ></i>
                                                            <!--<i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Vehicle Allotment" onClick="window.location.href = '<?php // echo site_url('admin/Route/toggleVehicleAllotDeleteStatus/' . $record->rva_id . "/T") ?>'"></i>--> 
                                                        <?php } else { ?>
                                                            <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Enable This Route" onClick="window.location.href = '<?php echo site_url('admin/Transport/toggleVehicleAllotToRouteStatus/' . $record->rva_id . '/T') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Route" onClick="window.location.href = '<?php echo site_url('admin/Transport/editVehicleToRouteAllotment/' . $record->rva_id) ?>'"  ></i>
                                                            <!--<i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Route" onClick="window.location.href = '<?php // echo site_url('admin/Route/toggleVehicleAllotDeleteStatus/' . $record->rva_id . "/T") ?>'"></i>--> 
                                                            <?php
                                                        }
                                                    } else {
                                                        ?>
                                                        <!--<b>Route Deleted By <?php //echo $record->updatedByAdmin;    ?> On <?php // echo date("d-m-Y h:i:s A", strtotime($record->rva_updated_on)); ?>. <a href="<?php echo site_url('admin/Route/toggleVehicleAllotDeleteStatus/' . $record->rva_id . "/F") ?>">Click To Undo <i class="fa fa-undo" style="color:#FF0000"></i></a></b>--> 
                                                            <?php } ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>        
        <script>
            $(document).ready(function () {
                $("#allotedVehiclesToRoute").DataTable({responsive: true, dom: 'Blfrtip'});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>
