<!DOCTYPE HTML>
<html>
    <head>
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Alloted Vehicle To Students | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">      
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>


        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Transport</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Transport/allotedVehiclesToStudent"); ?>">Student Vehicle Management</a></li>                            
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-user"></i> Student Vehicle Allotment Report</h3>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div>
                                        <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Transport/allotVehicleToStudent"); ?>'" tooltip="Allot Vehicle to Student"><i class="fa fa-plus"></i>Add Allotment</button><br><br>
                                    </div>
                                    &nbsp;&nbsp;
                                    <div>
                                        <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Transport/allotedVehiclesToStudent"); ?>'" tooltip="Reset Filters"><i class="fa fa-circle-o-notch"></i>&nbsp; Reset Filter</button><br><br>
                                    </div>
                                </div>
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Transport/allotedVehiclesToStudent'), ['name' => 'studentAllocationFrm', 'id' => 'studentAllocationFrm']); ?>
                                <fieldset>
                                    <legend>Course & Student Info</legend>
                                    <div class="form-row">
                                        
                                         <div class="form-group col-md-2">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="form-control">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option <?php if ($session->session_status == "C") echo "selected"; ?> value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        
                                        <div class="form-group col-md-2">
                                            <label for="subjectCourse" class="input__label">Course</label>
                                            <select id="subjectCourse" name="subjectCourse" class="form-control ">
                                                <option value="">-Select Course-</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("subjectCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="subjectCourseSemOrYear" class="input__label">Semester/Year</label>
                                            <select id="subjectCourseSemOrYear" name="subjectCourseSemOrYear" class="form-control ">
                                                <option value="">-Select Semester/Year-</option>
                                            </select>
                                        </div>
                                        <div class="form-group  col-sm-3">
                                            <label for="route" class="input__label">Select Route</label>
                                            <select name="route" id="route" class="form-control ">
                                                <option <?php echo set_select("route", ""); ?> value="">-Route-</option>
                                                <?php
                                                for ($i = 0; $i < sizeof($routes); $i++) {
                                                   $ct = $routes[$i];
                                                    ?>
                                                    <option  value="<?php echo $ct->fhom_id; ?>" ><?php echo $ct->fhom_name; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>  
                                        <div class="form-group  col-sm-3">
                                            <label for="vehicle" class="input__label">Select Vehicle</label>
                                            <select name="vehicle" id="vehicle" class="form-control ">
                                                <option <?php echo set_select("vehicle", ""); ?> value="">-Select Vehicle-</option>

                                            </select>
                                        </div>
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="Submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Student-Set List&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                </fieldset>
                                <?php echo form_close(); ?>
                                <hr>
                                <?php if (sizeof($allotmentData)) { ?>
                                    <fieldset id="studentList">
                                        <legend>Student(s) List</legend>
                                        <div class="form-row">
                                            <table style="width:100%" class="table table-success">
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>Roll No.</th>
                                                    <th>Name</th>
                                                    <th>Session</th>
                                                    <th>Course</th>
                                                    <th>Semester</th>
                                                    <th>Type</th>
                                                    <th>Route</th>
                                                    <th>Vehicle</th>
                                                    <th>Action</th>
                                                </tr>
                                                <tbody id="studentDetails">
                                                    <?php
                                                    for ($i = 0; $i < sizeof($allotmentData); $i++) {
                                                        $record = $allotmentData[$i];
                                                        ?>
                                                        <tr>
                                                            <th><?php echo ($i + 1); ?></th>
                                                            <td><?php echo stripslashes($record->tspi_rollNumber); ?></td>
                                                            <td><?php echo stripslashes($record->tspi_name); ?></td>
                                                            <td><?php echo stripslashes($record->session_name); ?></td>
                                                            <td><?php echo stripslashes($record->course_name); ?></td>
                                                            <td><?php echo stripslashes($record->vsa_semester); ?></td>
                                                            <td><?php echo stripslashes($record->tcsm_course_type); ?></td>
                                                            <td><?php echo stripslashes($record->fhom_name); ?></td>
                                                            <td><?php echo $record->vtm_name."-".$record->vm_sr_no." [$record->vm_reg_no]"; ?></td>
                                                            <td>
                                                                <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Allotment" onClick="editAllotment(<?php echo $record->vsa_id; ?>);"  ></i>
                                                                <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Allotment" onClick="deleteAllotment(<?php echo $record->vsa_id; ?>);"></i> 
                                                            </td>
                                                        </tr>
                                                    <?php } ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </fieldset>
                                <?php } ?>
                                <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>

        <!-- Edit Allot Modal Starts -->
        <div class="modal fade" id="editAllotModel" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Edit Allotment Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-2"><b>Roll No.</b></div>
                                <div class="col-sm-4"><span id="stu_roll_no"></span></div>
                                <div class="col-sm-1"><b>Name</b></div>
                                <div class="col-sm-5"><span id="stu_name"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2"><b>Session</b></div>
                                <div class="col-sm-4"><span id="stu_session"></span></div>
                                <div class="col-sm-1"><b>Course</b></div>
                                <div class="col-sm-5"><span id="stu_course"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-4"><b>Currently Allotted Route</b></div>
                                <div class="col-sm-4"><span id="alloted_route"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-4"><b>Currently Allotted Vehicle</b></div>
                                <div class="col-sm-4"><span id="alloted_vehicle"></span></div>
                            </div>
                        </fieldset>
                        <br>
                        <fieldset>
                            <legend>New Set Allotment</legend>
                            <?php echo form_open(site_url('admin/Transport/updateStudentVehicleAllotment'), ['name' => 'allotmentEditFrm', 'id' => 'allotmentEditFrm']); ?>
                            <div class="row">
                                <div class="col-sm-2"><b>New Route*</b></div>
                                <div class="col-sm-4">
                                    <select id="newroute" name="newroute" class="custom-select">
                                        <option value="">Select  Route</option>
                                    </select>
                                </div>
                                <div class="col-sm-2"><b>New Vehicle*</b></div>
                                <div class="col-sm-4">
                                    <select id="newvehicle" name="newvehicle" class="custom-select">
                                        <option value="">-Select Vehicle-</option>
                                    </select>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col-sm-12">
                                    <span id="spnErrMod" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                    <input type="hidden" name="allot_id" id="allot_id">
                                    <input type="hidden" name="vsa_id" id="vsa_id">
                                    <button type="button" id="updateAllotmentBtn" class="btn btn-block btn-primary btn-sm">Save Changes</button>
                                </div>
                            </div>
                            <?php echo form_close(); ?>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Edit Allot Modal Ends -->

        <script>
            $("#subjectCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $("#allotBtn").prop("disabled", "disabled");
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDown/'); ?>',
                        data: {course_id: $("#Course").val(), selectedSemOrYear: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#CourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            studentAllocationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                }
            });

            function deleteAllotment(vsa_id) {
                if (confirm("Do You Really Want To Delete This Allotment Info?")) {
                    window.location.href = '<?php echo site_url('admin/Transport/deleteAllotmentVehicleStudent/'); ?>' + vsa_id;
                }
            }

            function editAllotment(vsa_id) {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Transport/getVehicleAllotmentFullInfo/'); ?>',
                    data: {allot_id: vsa_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        var allotmentInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        csrfHash = allotmentInfo.csrfHash;
                        $("#stu_roll_no").html(allotmentInfo.stu_roll_no);
                        $("#stu_name").html(allotmentInfo.stu_name);
                        $("#stu_session").html(allotmentInfo.stu_session);
                        $("#stu_course").html(allotmentInfo.stu_course);
                        $("#stu_type").html(allotmentInfo.stu_type);
                        $("#alloted_route").html(allotmentInfo.alloted_route);
                        $("#alloted_vehicle").html(allotmentInfo.alloted_vehicle);
                        $("#allot_id").val(allotmentInfo.allot_id);
                        $("#vsa_id").val(vsa_id);
                        $("#newroute").html(allotmentInfo.routesForUpdate);
                        
                        studentAllocationFrm.csrf_token.value = csrfHash;
                        allotmentEditFrm.csrf_token.value = csrfHash;
                        $("#editAllotModel").modal('show');
                    }
                });
            }


            $("#updateAllotmentBtn").on("click", function () {
                if ($("#newroute").val().trim() === "") {
                    alert("Please Select New Route");
                    $("#subjectMod").focus();
                } else {
                    $("#spnErrMod").html("");
                    $("#allotmentEditFrm").submit();
                }
            });


            $("#route").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url("admin/Transport/getActiveVehicleByRoute") ?>',
                        data: {route: $(this).val(), vehicle: '', csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var vehicleInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#vehicle").html(vehicleInfo.vehicle);
                            csrfHash = vehicleInfo.csrfHash;
                            studentAllocationFrm.csrf_token.value = csrfHash;
                            allotmentEditFrm.csrf_token.value = csrfHash;
                            $("#allotBtn").prop("disabled", "disabled");
                        }
                    });
                } else {
                    $("#vehicle").html("<option value=''>-Vehicle-</option>");
                    $(".se-pre-con").fadeOut("slow");

                }
            });

            $("#newroute").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url("admin/Transport/getActiveVehicleByRoute") ?>',
                        data: {route: $(this).val(), vehicle: '', csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var vehicleInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#newvehicle").html(vehicleInfo.vehicle);
                            csrfHash = vehicleInfo.csrfHash;
                            studentAllocationFrm.csrf_token.value = csrfHash;
                            allotmentEditFrm.csrf_token.value = csrfHash;
                            $("#updateAllotmentBtn").prop("disabled", "disabled");
                        }
                    });
                } else {
                    $("#newvehicle").html("<option value=''>-Vehicle-</option>");
                    $(".se-pre-con").fadeOut("slow");

                }
            });
            $("#newvehicle").change(function () {
                $("#updateAllotmentBtn").prop("disabled", "");
            });
            $("#selectAll").click(function () {
                $("input[type=checkbox]").prop('checked', $(this).prop('checked'));
            });
            $("#vehicle").change(function () {
                $("#allotBtn").prop("disabled", "");
            });
            $("#allotBtn").on("click", function () {
                if ($("#subjectSet").val().trim() === "") {
                    $("#spnErr").html("Please Select Any Set To Allot");
                    $("#subjectSet").focus();
                } else if ($("[name='selectedStudents[]']:checked").length === 0) {
                    $("#spnErr").html("Please Select At Least One Student To Allot A The Set.");
                } else {
                    $("#spnErr").html("");
                    $("#subjectSetAllotFrm").submit();
                }
            });

            $(document).ready(function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#route").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url("admin/Transport/getActiveVehicleByRoute") ?>',
                        data: {route: $("#route").val(), vehicle: '<?php echo $selectedVehicle; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var vehicleInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#vehicle").html(vehicleInfo.vehicle);
                            csrfHash = vehicleInfo.csrfHash;
                            studentAllocationFrm.csrf_token.value = csrfHash;
                            allotmentEditFrm.csrf_token.value = csrfHash;
                            $("#allotBtn").prop("disabled", "disabled");
                        }
                    });
                } else {
                    $("#vehicle").html("<option value=''>-Vehicle-</option>");
                    $(".se-pre-con").fadeOut("slow");

                }
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                //$("#studentDetails").html("");
                //$("#studentList").css("display", "none");
                $("#allotBtn").prop("disabled", "disabled");
                if ($("#subjectCourse").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDownSelected/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), selectedSemOrYear: '<?php echo $selectedSemOrYear; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectCourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            studentAllocationFrm.csrf_token.value = csrfHash;
                            allotmentEditFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Semester/Year</option>");

                    //$("#studentDetails").html("");
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>