<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Universities List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/University/"); ?>">University Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/University"); ?>">All Universities</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-bank"></i> University Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/University/createUniversity"); ?>'" tooltip="Create New University"><i class="fa fa-plus"></i> Create New University</button><br><br>
                                <table id="allUniversities" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Name/Alias</th>
                                            <th>City|State</th>
                                            <th>Email</th>
                                            <th>Contact Nos.</th>
                                            <th>Website</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Name</th>
                                            <th>City|State</th>
                                            <th>Email</th>
                                            <th>Contact Nos.</th>
                                            <th>Website</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allUniversities); $i++) {
                                            $record = $allUniversities[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td>
                                                    <?php
                                                    echo stripslashes($record->univ_name);
                                                    echo ($record->univ_short_name == "" || $record->univ_short_name == NULL) ? "" : " | <strong>" . stripslashes($record->univ_short_name) . "</strong>";
                                                    ?>
                                                </td>
                                                <td><?php echo $record->city_name . "|" . $record->state_name; ?></td>
                                                <td><?php echo $record->univ_email; ?></td>
                                                <td>
                                                    <?php
                                                    echo trim($record->univ_mob_no) . " | ";
                                                    echo ($record->univ_tel_no == "" || $record->univ_tel_no == NULL) ? "NA" : $record->univ_tel_no;
                                                    ?>
                                                </td>
                                                <td><?php echo ($record->univ_website_url == "" || $record->univ_website_url == NULL) ? "NA" : "<a href='" . $record->univ_website_url . "' target='_blank'>" . $record->univ_website_url . "</a>"; ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->univ_delete_status == 'F') {
                                                        if ($record->univ_active_status == 'T') {
                                                            ?>
                                                            <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Disable This Univeristy" onClick="window.location.href = '<?php echo site_url('admin/University/toggleUniversityActiveStatus/' . $record->univ_id . '/F') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Univeristy" onClick="window.location.href = '<?php echo site_url('admin/University/editUniversity/' . $record->univ_id) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Univeristy" onClick="window.location.href = '<?php echo site_url('admin/University/deleteUniversity/' . $record->univ_id) ?>'"></i> 
                                                        <?php } else { ?>
                                                            <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Enable This Univeristy" onClick="window.location.href = '<?php echo site_url('admin/University/toggleUniversityActiveStatus/' . $record->univ_id . '/T') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Univeristy" onClick="window.location.href = '<?php echo site_url('admin/University/editUniversity/' . $record->univ_id) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Univeristy" onClick="window.location.href = '<?php echo site_url('admin/University/deleteUniversity/' . $record->univ_id) ?>'"></i> 
                                                            <?php
                                                        }
                                                    } else {
                                                        ?>
                                                        <b>Univeristy Deleted By <?php echo $record->updatedByAdmin; ?> On <?php echo date("d-m-Y h:i:s A", strtotime($record->univ_updated_on)); ?>. <a href="<?php echo site_url('admin/University/undoDeleteUniversity/' . $record->univ_id) ?>">Click To Undo <i class="fa fa-undo" style="color:#FF0000"></i></a></b> 
                                                    <?php } ?>
                                                    <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info" onClick="getUniversityInfo(<?php echo $record->univ_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>

        <script>
            $(document).ready(function () {
                $("#allUniversities").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function getUniversityInfo(univ_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/University/getUniversityFullInfo/'); ?>',
                    data: {univ_id: univ_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisUniversityInfo = JSON.parse(result);
                        csrfHash = thisUniversityInfo.csrfHash;
                        $("#univ_image").prop("src", '<?php echo base_url("/"); ?>' + thisUniversityInfo.univ_logo);
                        $("#univ_website_a").prop("href", thisUniversityInfo.univ_website);
                        $("#univ_name").html(thisUniversityInfo.univ_name + " " + thisUniversityInfo.univ_short_name);
                        $("#univ_state").html(thisUniversityInfo.univ_state);
                        $("#univ_city").html(thisUniversityInfo.univ_city);
                        $("#univ_address").html(thisUniversityInfo.univ_address);
                        $("#univ_tel_no").html(thisUniversityInfo.univ_tel_no);
                        $("#univ_mob_no").html(thisUniversityInfo.univ_mob_no);
                        $("#univ_fax").html(thisUniversityInfo.univ_fax);
                        $("#univ_email").html(thisUniversityInfo.univ_email);
                        $("#univ_alt_tel_no").html(thisUniversityInfo.univ_alt_tel_no);
                        $("#univ_alt_mob_no").html(thisUniversityInfo.univ_alt_mob_no);
                        $("#univ_website").html(thisUniversityInfo.univ_website);
                        $("#univ_active_status").html(thisUniversityInfo.univ_active_status);
                        $("#univ_delete_status").html(thisUniversityInfo.univ_delete_status);
                        $("#univ_created_by").html(thisUniversityInfo.univ_created_by);
                        $("#univ_updated_by").html(thisUniversityInfo.univ_updated_by);
                        $("#universityDetailsModal").modal('show');
                    }
                });
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- University Details Modal Starts -->
        <div class="modal fade" id="universityDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">University Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12">
                                    <center>
                                        <img src="" id="univ_image" width="100px"><br>
                                        <b><span id="univ_name"></span></b><br>
                                        <b><span id="univ_website"></span>&nbsp;<a href="" id="univ_website_a" target="_blank" title="Open"><i class="fa fa-external-link-square"></i></a></b>
                                    </center>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Tel. No.</b></div>
                                <div class="col-sm-3"><span id="univ_tel_no"></span></div>
                                <div class="col-sm-3"><b>Mobile No.</b></div>
                                <div class="col-sm-3"><span id="univ_mob_no"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Email</b></div>
                                <div class="col-sm-3"><span id="univ_email"></span></div>
                                <div class="col-sm-3"><b>Fax</b></div>
                                <div class="col-sm-3"><span id="univ_fax"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>State</b></div>
                                <div class="col-sm-3"><span id="univ_state"></span></div>
                                <div class="col-sm-3"><b>City</b></div>
                                <div class="col-sm-3"><span id="univ_city"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Address</b></div>
                                <div class="col-sm-9"><span id="univ_address"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Alt. Tel. No.</b></div>
                                <div class="col-sm-3"><span id="univ_alt_tel_no"></span></div>
                                <div class="col-sm-3"><b>Alt. Mobile No.</b></div>
                                <div class="col-sm-3"><span id="univ_alt_mob_no"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Created By</b></div>
                                <div class="col-sm-9"><span id="univ_created_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Last Updated By</b></div>
                                <div class="col-sm-9"><span id="univ_updated_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Active Status</b></div>
                                <div class="col-sm-3"><span id="univ_active_status"></span></div>
                                <div class="col-sm-3"><b>Delete Status</b></div>
                                <div class="col-sm-3"><span id="univ_delete_status"></span></div>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- University Details Modal Ends -->
    </body>
</html>