<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>View Semester/Year Marks Info | <?php echo $this->session->userdata("studentData")["branch_short_name"]; ?> | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.validate.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("student/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("student/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Academics</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("student/Academics/semesterOrYearInfo"); ?>">Semester Or Year Marks Info</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-address-card-o"></i> Semester Or Year Marks Info</h3><br>
                            <div class="card-body">
                                <fieldset id="studentDetails">
                                    <table id="allSemesterInfo" class="bootstrap-datatable table-responsive table-striped table-hover" style="width:100%">
                                        <thead>
                                            <tr>
                                                <th>Semester/Year</th>
                                                <th>Maximum Marks</th>
                                                <th>Obtained Marks</th>
                                                <th>Percentage</th>
                                                <th>Division</th>
                                                <th>Passing Status</th>
                                                <th>Back Paper(s) Type</th>
                                                <th>University Roll No.</th>
                                                <th>University Enrl. No.</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            $grandTotalMM = 0;
                                            $grandTotalObt = 0;
                                            for ($i = 0; $i < sizeof($studentSemesterInfo); $i++) {
                                                $record = $studentSemesterInfo[$i];
                                                $grandTotalMM += $record->tssi_max_marks;
                                                $grandTotalObt += $record->tssi_marks_obt;
                                                ?>
                                                <tr>
                                                    <td><?php echo $record->tssi_semester; ?></td>
                                                    <td><?php echo $record->tssi_max_marks; ?></td>
                                                    <td><?php echo $record->tssi_marks_obt; ?></td>
                                                    <td><?php echo $record->tssi_percnt . "%"; ?></td>
                                                    <td><?php echo $record->tssi_division; ?></td>
                                                    <td><?php echo $record->tssi_passing_status; ?></td>
                                                    <td><?php echo stripslashes($record->tssi_back_papers); ?></td>
                                                    <td><?php echo stripslashes($record->tssi_univ_roll_no); ?></td>
                                                    <td><?php echo stripslashes($record->tssi_univ_enrollment_no); ?></td>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                        <tr>
                                            <th colspan="10">
                                                <b>
                                                    Grand Total: <?php echo $grandTotalObt . "/" . $grandTotalMM; ?> |
                                                    Overall Percentage: <?php echo ($grandTotalMM != 0) ? round((($grandTotalObt / $grandTotalMM) * 100), 2) . "%" : "-"; ?>
                                                </b>
                                            </th>
                                        </tr>
                                    </table>
                                </fieldset>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allSemesterInfo").DataTable({responsive: true, dom: 'Blfrtip'});
            });
        </script>
        <?php $this->load->view("student/footer"); ?>
    </body>
</html>