<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Welcome <?php echo stripslashes($this->session->userdata("studentData")["stu_name"]); ?> | <?php echo $this->session->userdata("studentData")["branch_short_name"]; ?> | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/simple-calendar.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.simple-calendar.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("student/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("student/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Dashboard</li>
                        </ol>
                    </nav>
                    <div class="welcome-msg pt-3 pb-4">
                        <?php if ($this->session->flashdata('successMessage')) { ?>
                            <div class="alert alert-success alert-dismissible fade show">
                                <strong><?php echo $this->session->flashdata('successMessage'); ?></strong>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        <?php } ?>
                        <?php if ($this->session->flashdata('errorMessage')) { ?>
                            <div class="alert alert-danger alert-dismissible fade show">
                                <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        <?php } ?>
                        <div class="pull-left">
                            <h1><?php echo $wishMessage; ?><span class="text-primary"><?php echo stripslashes($this->session->userdata("studentData")["stu_name"]); ?></span>! Welcome back</h1>
                        </div>
                    </div>
                </div>
                <?php
                if ($this->session->userdata("studentData")["stu_gender"] == "M") {
                    $genderClass = "fa fa-male";
                } else if ($this->session->userdata("studentData")["stu_gender"] == "F") {
                    $genderClass = "fa fa-female";
                } else {
                    $genderClass = "fa fa-transgender";
                }
                ?>
                <div class="card-body">
                    <div class="row px-2">
                        <div class="col-md-6 mb-4 px-2">
                            <div class="card card_border py-2" style="height:105%;">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-sm-4">
                                            <a href="javascript:void(0);">
                                                <img class="img-fluid" src="<?php echo base_url("assets/admin/uploads/studentData/" . $this->session->userdata('studentData')['stu_image']); ?>" alt="Photo Not Available">
                                            </a>
                                        </div>
                                        <div class="col-sm-8 align-self mt-sm-0 mt-4">
                                            <h4><?php echo stripslashes($this->session->userdata("studentData")["stu_name"]) . " (<i class='" . $genderClass . "'></i>)"; ?></h4>
                                            <p class=""><?php echo $this->session->userdata("studentData")["stu_course"] . " | " . $this->session->userdata("studentData")["stu_batch"]; ?></p>
                                            <ul class="team-details">
                                                <li><a href="javascript:void(0);"><span class="fa fa-birthday-cake"></span><?php echo date("d-m-Y", strtotime($this->session->userdata("studentData")["stu_dob"])); ?></a></li>
                                                <li><a href="tel:<?php echo $this->session->userdata("studentData")["stu_mobile"]; ?>"><span class="fa fa-phone"></span><?php echo $this->session->userdata("studentData")["stu_mobile"]; ?></a></li>
                                                <li><a href="mailto:<?php echo $this->session->userdata("studentData")["stu_email"]; ?>" class="mail"><span class="fa fa-envelope-open-o"></span><?php echo $this->session->userdata("studentData")["stu_email"]; ?></a></li>
                                            </ul>
                                            <div>
                                                <a href="<?php echo site_url("student/Profile"); ?>" class="btn btn-sm btn-primary"><i class="fa fa-user-o"></i>&nbsp;View Full Information&nbsp;<i class="fa fa-external-link"></i></a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div id="container" style="margin-bottom: 1%;"></div>
                        </div>
                    </div>
                </div>

                <div class="card-body">
                    <div class="row px-2">
                        <div class="col-md-12 mb-4 px-2">
                            <div class="card card_border p-4">
                                <h3 class="card__title"><i class="fa fa-bell"></i> Notices</h3><br>
                                <div class="table-responsive">
                                    <table id="notices" class="table-striped table-warning" style="width:100%">
                                        <thead>
                                            <tr>
                                                <th>Sr. No.</th>
                                                <th>Type</th>
                                                <th>Title</th>
                                                <th>Date</th>
                                            </tr>
                                        </thead>
                                        <tfoot>
                                            <tr>
                                                <th>Sr. No.</th>
                                                <th>Type</th>
                                                <th>Title</th>
                                                <th>Date</th>
                                            </tr>
                                        </tfoot>
                                        <tbody>
                                            <?php
                                            for ($i = 0; $i < sizeof($notices); $i++) {
                                                $record = $notices[$i];
                                                ?>
                                                <tr>
                                                    <th><?php echo ($i + 1); ?></th>
                                                    <th><?php echo "<a href='" . base_url($record->nm_file) . "' target='_blank' title='Click To View'>" . stripslashes($record->nh_name) . "</a>"; ?></th>
                                                    <th><?php echo "<a href='" . base_url($record->nm_file) . "' target='_blank' title='Click To View'>" . stripslashes($record->nm_title) . "</a>"; ?></th> 
                                                    <th><?php echo date("d-m-Y", strtotime($record->nm_added_on)); ?></th>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#notices").DataTable({responsive: true});
                /*Holiday Calendar Script*/
                $(function () {
                    $("#container").simpleCalendar();
                });

                $("#container").simpleCalendar({
                    displayEvent: true,
                    events: [
<?php
for ($i = 0; $i < sizeof($holiday); $i++) {
    echo "{";
    echo "startDate : new Date('" . $holiday[$i]->hc_date . "'),";
    echo "endDate : new Date('" . $holiday[$i]->hc_date . "'),";
    echo "summary : '" . $holiday[$i]->hc_name . "'";
    echo "},";
}
?>
                    ],
                    disableEventDetails: false,
                    disableEmptyDetails: false
                });

                $("#container").simpleCalendar({
                    displayYear: true
                });

                $("#container").simpleCalendar({
                    fixedStartDay: true
                });

                $("#container").simpleCalendar({
                    onInit: function (calendar) {},
                    onMonthChange: function (month, year) {},
                    onDateSelect: function (date, events) {}
                });
                /*Holiday Calendar Script*/
            });
        </script>
        <?php $this->load->view("student/footer"); ?>
    </body>
</html>
