<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Add New Scholarship Info| <?php echo $this->session->userdata("studentData")["branch_short_name"]; ?> | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("student/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("student/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Fee & Scholarships</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("student/Fee/scholarships/"); ?>"> Scholarship(s) Info</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("student/Fee/createScholarshipInfo"); ?>"> Create New Scholarship Info</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Save New Scholarship Info (State Govt. Scholarship Scheme) </h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('student/Fee/saveNewScholarshipInfo'), ['name' => 'saveNewScholarshipInfoFrm', 'id' => 'saveNewScholarshipInfoFrm']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="registration_no" class="input__label">Registration No. *</label>
                                        <input type="text" class="form-control input-style" id="registration_no" name="registration_no" value="<?php echo set_value('registration_no'); ?>" placeholder="Enter Registration No." maxlength="50">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="session" class="input__label">Session *</label>
                                        <select id="session" name="session" class="form-control input-style">
                                            <option value="" <?php echo set_select("session", ""); ?>>Select Session</option>
                                            <?php foreach ($sessions as $session) { ?>
                                                <option value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                            <?php }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="income_cert_no" class="input__label">Income Certificate No. *</label>
                                        <input type="text" class="form-control input-style" id="income_cert_no" name="income_cert_no" value="<?php echo set_value('income_cert_no'); ?>" placeholder="Enter Income Certificate No." maxlength="50">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="income_cert_date" class="input__label">Income Certificate Issue Date *</label>
                                        <input type="text" class="form-control input-style" id="income_cert_date" name="income_cert_date" autocomplete="off" value="<?php echo set_value('income_cert_date'); ?>" placeholder="Enter/Choose Income Certificate Issue Date" maxlength="50">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="caste_cert_no" class="input__label">Caste Certificate No. *</label>
                                        <input type="text" class="form-control input-style" id="caste_cert_no" name="caste_cert_no" value="<?php echo set_value('caste_cert_no'); ?>" placeholder="Enter Caste Certificate No." maxlength="50">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="caste_cert_date" class="input__label">Income Certificate Issue Date *</label>
                                        <input type="text" class="form-control input-style" id="caste_cert_date" name="caste_cert_date" autocomplete="off" value="<?php echo set_value('caste_cert_date'); ?>" placeholder="Enter/Choose Caste Certificate Issue Date" maxlength="50">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="appFormFile" class="input__label">Application File *</label>
                                        <input type="file" class="form-control input-style" id="appFormFile" name="appFormFile">
                                        <small id="scholarshipAppFile" class="form-text text-muted"><b>Max. Upload Size 2 MB. Allowed Extension : *.pdf. Upload Application Form PDF.</b></small>
                                    </div>
                                </div>
                                <select name="sch_type" id="sch_type" style="display: none;">
                                    <option value="(State/UP) Govt. Scholarship">(State/UP) Govt. Scholarship</option>
                                </select>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Submit</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#income_cert_date").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                numberOfMonths: 1
            });

            $("#caste_cert_date").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                numberOfMonths: 1
            });
        </script>
        <?php $this->load->view("student/footer"); ?>
    </body>
</html>