<?php

/**
 * Controller Class For Change Password Module
 *
 * @author Softpro India Pvt. Ltd. Srivastava
 */
defined('BASEPATH') OR exit('No direct script access allowed');

class ChangePassword extends CI_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->helper('url');
        $this->load->library('session');
        $this->load->helper('form');
        $this->load->library('form_validation');
        $this->load->model("UserAuthenticator");
    }

    public function index() {
        if ($this->session->userdata('logged_in')) {
            $this->load->view('change_password');
        } else {
            redirect("Home/");
        }
    }

    public function changePassword() {
        if ($this->session->userdata('logged_in')) {
            $this->form_validation->set_rules('cur_psw', 'Current Password', 'required', array('required' => 'Current Password Can Not Be Blank.'));
            $this->form_validation->set_rules('new_psw', 'New Password', 'required', array('required' => 'New Password Can Not Be Blank'));
            $this->form_validation->set_rules('cnf_new_psw', 'Confirm New Password', 'required|matches[new_psw]', array('required' => 'New Password Confirmation Is Required.'));
            if ($this->form_validation->run() == FALSE) {
                $this->index();
            } else {
                if ($this->UserAuthenticator->authenticateUserByIdAndPassword($this->session->userdata('id'), MD5($this->input->post('cur_psw')))) {
                    $passwordUpdateData = array(
                        'cau_id' => $this->session->userdata('id'),
                        'cau_last_updated_on' => date("Y-m-d H:i:s"),
                        'cau_password' => MD5($this->input->post('new_psw'))
                    );
                    if ($this->UserAuthenticator->updateNewPassword($passwordUpdateData)) {
                        $this->session->set_flashdata('successMessage', 'Password Updated Successfully.');
                        redirect(current_url());
                    } else {
                        $this->session->set_flashdata('errorMessage', 'Some Error Occurred While Updating Password. Try Later.');
                        redirect(current_url());
                    }
                } else {
                    $this->session->set_flashdata('errorMessage', "Incorrect Current Password.!!");
                    redirect(current_url());
                }
            }
        } else {
            redirect("Home/");
        }
    }
}
