<?php

/**
 * Model Class For Handling All DB Operations Related To Grievance Logging
 *
 * @author Softpro India Pvt. Ltd.
 */
defined('BASEPATH') OR exit('No direct script access allowed');

class GrievanceLogManagement extends CI_Model {

    function __construct() {
        parent::__construct();
        $this->load->database();
    }
    
    function createGrievanceLog(array $newGrievanceLogInfo) {
        $this->db->insert('grievance_redressal_log', $newGrievanceLogInfo);
        return $this->db->insert_id();
    }
    
    function getGrievanceLog($gm_id){
        $this->db->select("*");
        $this->db->from('grievance_redressal_log GRL');
        $this->db->join('grievance_mst GM', 'GM.gm_id = GRL.gm_id');
        $this->db->join('college_admins_and_users CAU', 'GRL.grl_action_taken_by = CAU.cau_id');
        $this->db->where('GRL.gm_id', $gm_id);
        $this->db->where('GRL.grl_delete_status', 'F');
        $this->db->order_by('GRL.grl_action_taken_on asc');
        return $this->db->get();
    }

}
