<?php

/**
 * Model Class For Handling All DB Operations Related To Cities And States Info
 *
 * @author Softpro India Pvt. Ltd.
 */
defined('BASEPATH') OR exit('No direct script access allowed');

class LocationManagement extends CI_Model {

    function __construct() {
        parent::__construct();
        $this->load->database();
    }
    
    function getAllStates(){
        $this->db->select('*');
        $this->db->from('states_mst');
        $this->db->where('country_id = 101');
        return $this->db->get();
    }
    
    function getAllActiveStates(){
        $this->db->select('*');
        $this->db->from('states_mst');
        $this->db->where('country_id = 101');
        $this->db->where('state_status','T');
        return $this->db->get();
    }
    
    function getAllCities(){
        $this->db->select('CM.id, CM.name cityName, SM.name stateName, CM.status');
        $this->db->from('cities_mst CM');
        $this->db->join('states_mst SM','CM.state_id = SM.id');
        $this->db->where('SM.country_id = 101');
        return $this->db->get();
    }
    
    function getActiveCitiesByState($state_id){
        $this->db->select('*');
        $this->db->from('cities_mst');
        $this->db->where('status', 'T');
        $this->db->where('state_id', $state_id);
        return $this->db->get();
    }
        
    function getStateInfoBy($state_id){
        $this->db->select("*");
        $this->db->from('states_mst');
        $this->db->where('id', $state_id);
        $query = $this->db->get();
        return $query;
    }
    
    function getCityInfoBy($city_id){
        $this->db->select("CM.id, CM.name cityName, CM.status, SM.name stateName, SM.id stateId");
        $this->db->from('cities_mst CM');
        $this->db->join('states_mst SM','CM.state_id = SM.id');
        $this->db->where('CM.id', $city_id);
        $query = $this->db->get();
        return $query;
    }

}
