<?php

/**
 * Model Class For Handling All DB Operations Related To Student/Parent Mapping
 *
 * @author Softpro India Pvt. Ltd.
 */
defined('BASEPATH') OR exit('No direct script access allowed');

class StuParentMappingManagement extends CI_Model {

    function __construct() {
        parent::__construct();
        $this->load->database();
    }

    function makeNewStuParentMapping(array $newStudentParentMappingInfo) {
        $this->db->insert('student_parent_map', $newStudentParentMappingInfo);
        return $this->db->insert_id();
    }

    function getStudentInfoByParentId($cau_id) {
        $this->db->select("*");
        $this->db->from('student_parent_map SPM');
        $this->db->join('college_admins_and_users CAU', 'SPM.student_id = CAU.cau_id');
        $this->db->where('SPM.parent_id', $cau_id);
        return $this->db->get();
    }

}
