<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: Consolidated Grievance Report</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/css/buttons.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo $this->session->userdata('inst_logo_url'); ?>">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/buttons.html5.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("Dashboard"); ?>">Home</a></li>
                            <?php if ($submitBtn) { ?>
                                <li class="breadcrumb-item">Grievances</li>
                            <?php } else { ?>
                                <li class="breadcrumb-item">Reports</li>
                            <?php } ?>
                            <li class="breadcrumb-item active" aria-current="page">All Grievances Report (Consolidated)</li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"> All Grievances Report (Consolidated)</h3><br>
                            <?php
                            if (!$submitBtn) {
                                ?>
                                <?php echo form_open(site_url('Grievance/filterConsolidatedGrievanceReport'), ['name' => 'consolidatedGrvnFilterFrm', 'id' => 'consolidatedGrvnFilterFrm']); ?>
                                <div class="form-row">    
                                    <div class="form-group col-md-3">
                                        <label for="grvncCatg" class="input__label">Grievance Category</label>
                                        <select id="grvncCatg" name="grvncCatg" class="form-control input-style">
                                            <option value="">All</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($non_del_gcatgs); $i++) {
                                                $selectedGcmId = "";
                                                if ($this->session->flashdata('selected_gcm_id') && ($this->session->flashdata('selected_gcm_id') == $non_del_gcatgs[$i]->gcm_id)) {
                                                    $selectedGcmId = "selected";
                                                }
                                                ?>
                                                <option value="<?php echo $non_del_gcatgs[$i]->gcm_id; ?>" <?php echo $selectedGcmId; ?>><?php echo $non_del_gcatgs[$i]->gcm_title; ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="grvncStatus" class="input__label">Grievance Status</label>
                                        <select id="grvncStatus" name="grvncStatus" class="form-control input-style">
                                            <option value="" <?php echo set_select("grvncStatus", "") ?>>All</option>
                                            <option value="P" <?php echo set_select("grvncStatus", "P") ?>>Pending</option>
                                            <option value="A" <?php echo set_select("grvncStatus", "A") ?>>Acknowledged</option>
                                            <option value="V" <?php echo set_select("grvncStatus", "V") ?>>Viewed</option>
                                            <option value="IP" <?php echo set_select("grvncStatus", "IP") ?>>In-Progress</option>
                                            <option value="R" <?php echo set_select("grvncStatus", "R") ?>>Resolved</option>
                                            <option value="DL" <?php echo set_select("grvncStatus", "DL") ?>>Refused/Deleted(By G-Cell/Mgmnt. Body)</option>
                                            <option value="RE" <?php echo set_select("grvncStatus", "RE") ?>>Re-Opened(By User)</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-3">
                                        <label for="gcMgMember" class="input__label">G-Cell/Mgmnt. Member</label>
                                        <select id="gcMgMember" name="gcMgMember" class="form-control input-style">
                                            <option value="" <?php if ($isMemberDisabled) {
                                            echo "disabled";
                                        } ?>>All</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($non_del_users); $i++) {
                                                $selectedMember = "";
                                                if ($non_del_users[$i]->cau_user_role_flag == 'GCM') {
                                                    $userType = "G-Cell Member";
                                                } else {
                                                    $userType = "Mgmnt. Member";
                                                }
                                                if ($isMemberDisabled) {
                                                    if ($non_del_users[$i]->cau_id == $this->session->userdata('id')) {
                                                        $selectedMember = "selected";
                                                    } else {
                                                        $selectedMember = "disabled";
                                                    }
                                                } else {
                                                    if ($this->session->flashdata('selected_member') && ($this->session->flashdata('selected_member') == $non_del_users[$i]->cau_id)) {
                                                        $selectedMember = "selected";
                                                    }
                                                }
                                                ?>
                                                <option value="<?php echo $non_del_users[$i]->cau_id; ?>" <?php echo $selectedMember; ?>><?php echo $non_del_users[$i]->cau_first_name . " " . $non_del_users[$i]->cau_last_name . "(" . $userType . ")"; ?></option>
    <?php } ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="dateRangeFrom" class="input__label">Submission From</label>
                                        <input type="text" class="form-control input-style" id="dateRangeFrom" name="dateRangeFrom" autocomplete="off" value="<?php echo set_value("dateRangeFrom"); ?>" placeholder="Submission Start Date">
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="dateRangeTill" class="input__label">Submission Till</label>
                                        <input type="text" class="form-control input-style" id="dateRangeTill" name="dateRangeTill" autocomplete="off" value="<?php echo set_value("dateRangeTill"); ?>" placeholder="Submission End Date">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-2">
                                        <button id="submitBtn" type="submit" class="btn btn-primary btn-style mt-4"><i class="fa fa-filter"></i>&nbsp;Apply Filter</button>
                                    </div>
                                </div>
                                <br>
<?php } ?>
<?php echo form_close(); ?>
                            <div class="table-responsive">
                                <table id="consGrievances" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Grievance Category</th>
                                            <th>Status</th>
                                            <th>Member</th>
                                            <th>Submission Range</th>
                                            <th>Total Grievances</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Grievance Category</th>
                                            <th>Status</th>
                                            <th>Member</th>
                                            <th>Submission Range</th>
                                            <th>Total Grievances</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <tr>
                                            <td>1</td>
                                            <td><?php echo $grvnc_category; ?></td>
                                            <td><?php echo $submitted_status; ?></td>
                                            <td><?php echo $submitted_member; ?></td>
                                            <td><?php echo $submission_range; ?></td>
                                            <td><?php echo $grievance_count; ?></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                //*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("userMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                document.getElementById("dataMgmnt").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
<?php if ($submitBtn) { ?>
                    document.getElementById("reports").classList.remove("active");
                    document.getElementById("stuGrievances").classList.add("active");
<?php } else { ?>
                    document.getElementById("stuGrievances").classList.remove("active");
                    document.getElementById("reports").classList.add("active");
<?php } ?>
                $("#consGrievances").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'csv', text: '<i class="fa fa-file-excel-o"></i> CSV/Excel'},
                        {extend: 'pdf', text: '<i class="fa fa-file-pdf-o"></i> PDF', pageSize: 'A4',
                            customize: function (doc) {
                                doc.content[1].table.widths = Array(doc.content[1].table.body[0].length + 1).join('*').split('');
                            }
                        }
                    ]});
            });

            $("#grvncCatg").on("change", function () {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('Grievance/getAllotedMembersByGrievanceCategory/') ?>',
                        data: {gcm_id: $(this).val(), inst_id: <?php echo $this->session->userdata('inst_id'); ?>, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var memberInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#gcMgMember").html("");
                            $("#gcMgMember").html(memberInfo.member_list);
                            csrfHash = memberInfo.csrfHash;
                            consolidatedGrvnFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $.ajax({
                        url: '<?php echo site_url('Grievance/getAllotedMembersByGrievanceCategory/') ?>',
                        data: {gcm_id: "", inst_id: <?php echo $this->session->userdata('inst_id'); ?>, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var memberInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#gcMgMember").html("");
                            $("#gcMgMember").html(memberInfo.member_list);
                            csrfHash = memberInfo.csrfHash;
                            consolidatedGrvnFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });

            $(function () {
                var dateFormat = "mm/dd/yy",
                        from = $("#dateRangeFrom")
                        .datepicker({
                            defaultDate: "+1w",
                            changeMonth: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#dateRangeTill").datepicker({
                    defaultDate: "+1w",
                    changeMonth: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }

                    return date;
                }
            });
        </script>
<?php $this->load->view("footer"); ?>
    </body>
</html>