<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: Edit Course</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo $this->session->userdata('inst_logo_url');?>">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Edit Course</li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Modifying Course => <b><?php echo $course_info->course_name; ?></b> <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('Course/updateCourse'), ['name' => 'courseUpdateFrm', 'id' => 'courseUpdateFrm']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="courseName" class="input__label">Short Name *</label>
                                        <input type="text" class="form-control input-style" id="courseName" name="courseName" value="<?php echo $course_info->course_name; ?>" placeholder="Enter Course Name">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="courseFullName" class="input__label">Full Name *</label>
                                        <input type="text" class="form-control input-style" id="courseFullName" name="courseFullName" value="<?php echo $course_info->course_full_name; ?>" placeholder="Enter Course Full Name">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="courseDurationYrs" class="input__label">No. Of Years *</label>
                                        <input type="text" class="form-control input-style" id="courseDurationYrs" onkeypress="return event.charCode >= 48 && event.charCode <= 57" name="courseDurationYrs" value="<?php echo $course_info->course_no_of_years; ?>" placeholder="Enter Course Duration In Years">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="courseDurationSems" class="input__label">No. Of Sems *</label>
                                        <input type="text" class="form-control input-style" id="courseDurationSems" onkeypress="return event.charCode >= 48 && event.charCode <= 57" name="courseDurationSems" value="<?php echo $course_info->course_no_of_sems; ?>" placeholder="Enter Total Semesters">
                                    </div>
                                </div>
                                <?php
                                $yearSelected = "";
                                $semesterSelected = "";
                                if ($course_info->course_populate_flag == "Y") {
                                    $yearSelected = "selected";
                                    $semesterSelected = "";
                                } else {
                                    $yearSelected = "";
                                    $semesterSelected = "selected";
                                }
                                ?>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="coursePopulatFlag" class="input__label">Academic Pattern *</label>
                                        <select id="coursePopulatFlag" name="coursePopulatFlag" class="form-control input-style">
                                            <option value="Y" <?php echo $yearSelected;?>>Yearly</option>
                                            <option value="S" <?php echo $semesterSelected;?>>Semester</option>
                                        </select>
                                    </div>
                                </div>
                                    <input type="hidden" name="courseId" value="<?php echo $course_info->course_id;?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("userMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("dataMgmnt").classList.add("active");
            });
            $("#courseDurationYrs").on("blur", function () {
                if ($(this).val().trim() != "") {
                    $("#courseDurationSems").val(2 * parseInt($(this).val()));
                } else {
                    $("#courseDurationSems").val(0);
                }
            });
        </script>
        <?php $this->load->view("footer"); ?>
    </body>
</html>