<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: All Grievance Categories Report</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo $this->session->userdata('inst_logo_url'); ?>">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Data Mgmt.</li>
                            <li class="breadcrumb-item active" aria-current="page">Grievance Catgs. Report</li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title">All Grievance Categories</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("GrievanceCategory/createGCategory"); ?>'" tooltip="Create New Grievance Category"><i class="fa fa-plus"></i> Create Grievance Category</button><br><br>
                                <table id="allGrievanceCategories" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Title</th>
                                            <th>Description</th>
                                            <th>Current Status</th>
                                            <th>Added On</th>
                                            <th>Last Updated On</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Title</th>
                                            <th>Description</th>
                                            <th>Current Status</th>
                                            <th>Added On</th>
                                            <th>Last Updated On</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($non_del_gcatgs); $i++) {
                                            $record = $non_del_gcatgs[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo $record->gcm_title; ?></td>
                                                <td><?php echo ($record->gcm_description == "" || $record->gcm_description == NULL) ? "NA" : $record->gcm_description; ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->gcm_active_status == "T") {
                                                        echo "<span class='badge badge-success'>Enabled</span>";
                                                    } else {
                                                        echo "<span class='badge badge-danger'>Disabled</span>";
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo date("d-m-Y h:i:s A", strtotime($record->gcm_added_on)); ?></td>
                                                <td><?php echo date("d-m-Y h:i:s A", strtotime($record->gcm_updated_on)); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->gcm_active_status == "T") {
                                                        ?>
                                                        <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Disable This Grievance Category" onClick="window.location.href = '<?php echo site_url('GrievanceCategory/toggleGCategoryActiveStatus/' . $record->gcm_id . '/F') ?>'"></i> 
                                                    <?php } else { ?>                                                                
                                                        <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Enable This Grievance Category" onClick="window.location.href = '<?php echo site_url('GrievanceCategory/toggleGCategoryActiveStatus/' . $record->gcm_id . '/T') ?>'"></i> 
                                                    <?php } ?>
                                                    <i class='fa fa-pencil' style='color:#002166;cursor: pointer;' title="Edit Grievance Category" onClick="window.location.href = '<?php echo site_url('GrievanceCategory/editGCategory/' . $record->gcm_id) ?>'"  ></i>
                                                    <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Grievance Category" onClick="deleteGrievanceCategory(<?php echo $record->gcm_id ?>);"></i> 
                                                </td>
                                            </tr>
                                            <?php
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("userMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("dataMgmnt").classList.add("active");
                $("#allGrievanceCategories").DataTable({responsive: true});
            });

            function deleteGrievanceCategory(gcm_id) {
                if (confirm('Are You Sure To Delete This Grievance Category?')) {
                    window.location.href = "<?php echo site_url('GrievanceCategory/deleteGCategory/'); ?>" + gcm_id;
                }
            }
        </script>
        <?php $this->load->view("footer"); ?>
    </body>
</html>