<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: <?php echo $title; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/css/buttons.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo $this->session->userdata('inst_logo_url'); ?>">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/buttons.html5.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("Dashboard"); ?>">Home</a></li>
                            <?php if ($submitBtn) { ?>
                                <li class="breadcrumb-item">Grievances</li>
                            <?php } else { ?>
                                <li class="breadcrumb-item">Reports</li>
                            <?php } ?>
                            <li class="breadcrumb-item active" aria-current="page"><?php echo $title; ?></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"> <?php echo $title; ?></h3><br>
                            <?php
                            if (!$submitBtn) {
                                ?>
                                <?php echo form_open(site_url('Grievance/filterDetailedGrievanceReport'), ['name' => 'detailGrvnFilterFrm', 'id' => 'detailGrvnFilterFrm']); ?>
                                <div class="form-row">    
                                    <div class="form-group col-md-3">
                                        <label for="grvncCatg" class="input__label">Grievance Category</label>
                                        <select id="grvncCatg" name="grvncCatg" class="form-control input-style">
                                            <option value="">All</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($non_del_gcatgs); $i++) {
                                                $selectedGcmId = "";
                                                if ($this->session->flashdata('selected_gcm_id') && ($this->session->flashdata('selected_gcm_id') == $non_del_gcatgs[$i]->gcm_id)) {
                                                    $selectedGcmId = "selected";
                                                }
                                                ?>
                                                <option value="<?php echo $non_del_gcatgs[$i]->gcm_id; ?>" <?php echo $selectedGcmId; ?>><?php echo $non_del_gcatgs[$i]->gcm_title; ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="grvncStatus" class="input__label">Grievance Status</label>
                                        <select id="grvncStatus" name="grvncStatus" class="form-control input-style">
                                            <option value="" <?php echo set_select("grvncStatus", "") ?>>All</option>
                                            <option value="P" <?php echo set_select("grvncStatus", "P") ?>>Pending</option>
                                            <option value="A" <?php echo set_select("grvncStatus", "A") ?>>Acknowledged</option>
                                            <option value="V" <?php echo set_select("grvncStatus", "V") ?>>Viewed</option>
                                            <option value="IP" <?php echo set_select("grvncStatus", "IP") ?>>In-Progress</option>
                                            <option value="R" <?php echo set_select("grvncStatus", "R") ?>>Resolved</option>
                                            <option value="DL" <?php echo set_select("grvncStatus", "DL") ?>>Refused/Deleted(By G-Cell/Mgmnt. Body)</option>
                                            <option value="RE" <?php echo set_select("grvncStatus", "RE") ?>>Re-Opened(By User)</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-3">
                                        <label for="gcMgMember" class="input__label">G-Cell/Mgmnt. Member</label>
                                        <select id="gcMgMember" name="gcMgMember" class="form-control input-style">
                                            <option value="" <?php if ($isMemberDisabled) {
                                            echo "disabled";
                                        } ?>>All</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($non_del_users); $i++) {
                                                $selectedMember = "";
                                                if ($non_del_users[$i]->cau_user_role_flag == 'GCM') {
                                                    $userType = "G-Cell Member";
                                                } else {
                                                    $userType = "Mgmnt. Member";
                                                }
                                                if ($isMemberDisabled) {
                                                    if ($non_del_users[$i]->cau_id == $this->session->userdata('id')) {
                                                        $selectedMember = "selected";
                                                    } else {
                                                        $selectedMember = "disabled";
                                                    }
                                                } else {
                                                    if ($this->session->flashdata('selected_member') && ($this->session->flashdata('selected_member') == $non_del_users[$i]->cau_id)) {
                                                        $selectedMember = "selected";
                                                    }
                                                }
                                                ?>
                                                <option value="<?php echo $non_del_users[$i]->cau_id; ?>" <?php echo $selectedMember; ?>><?php echo $non_del_users[$i]->cau_first_name . " " . $non_del_users[$i]->cau_last_name . "(" . $userType . ")"; ?></option>
    <?php } ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="dateRangeFrom" class="input__label">Submission From</label>
                                        <input type="text" class="form-control input-style" id="dateRangeFrom" name="dateRangeFrom" autocomplete="off" value="<?php echo set_value("dateRangeFrom"); ?>" placeholder="Submission Start Date">
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="dateRangeTill" class="input__label">Submission Till</label>
                                        <input type="text" class="form-control input-style" id="dateRangeTill" name="dateRangeTill" autocomplete="off" value="<?php echo set_value("dateRangeTill"); ?>" placeholder="Submission End Date">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-2">
                                        <button id="submitBtn" type="submit" class="btn btn-primary btn-style mt-4"><i class="fa fa-filter"></i>&nbsp;Apply Filter</button>
                                    </div>
                                </div>
                                <br>
                                <?php } ?>
                                <?php echo form_close(); ?>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php
                                if ($submitBtn) {
                                    ?>
                                    <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("Grievance/submitGrievance"); ?>'" tooltip="Submit New Grievance"><i class="fa fa-plus"></i> Submit New Grievance</button><br><br>
<?php } ?>
                                <table id="allGrievances" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Grvnc. Id</th>
                                            <th>Category</th>
                                            <th>Subject</th>
                                            <th>Submitted On</th>
                                            <th>Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Grvnc. Id</th>
                                            <th>Category</th>
                                            <th>Subject</th>
                                            <th>Submitted On</th>
                                            <th>Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($grievances); $i++) {
                                            $record = $grievances[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo $record->gm_disp_id; ?></td>
                                                <td><?php echo $record->gcm_title; ?></td>
                                                <td><?php echo $record->gm_subject; ?></td>
                                                <td><?php echo date("d-m-Y h:i:s A", strtotime($record->gm_submitted_on)); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->gm_delete_status == "F") {
                                                        if ($record->gm_current_status == "P") {
                                                            echo "Pending";
                                                        } else if ($record->gm_current_status == "A") {
                                                            echo "Acknowledged";
                                                        } else if ($record->gm_current_status == "V") {
                                                            echo "Viewed";
                                                        } else if ($record->gm_current_status == "IP") {
                                                            echo "In-Progress";
                                                        } else if ($record->gm_current_status == "R") {
                                                            echo "Resolved/Closed";
                                                        } else if ($record->gm_current_status == "DL") {
                                                            echo "Refused";
                                                        } else {
                                                            echo "Re-Opened";
                                                        }
                                                    } else {
                                                        echo "<i style='color:#FF0000' class='fa fa-times'></i> Deleted By Initiator.";
                                                    }
                                                    ?>
                                                </td>
                                                <td>
                                                    <?php
                                                    if ($record->gm_delete_status == "F" && $record->gm_current_status == "P" && $submitBtn) {
                                                        ?>
                                                        <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Grievance" onClick="deleteGrievance(<?php echo $record->gm_id; ?>);"></i> 
                                                    <?php } else if ($record->gm_delete_status == "F" && ($record->gm_current_status == "R" || $record->gm_current_status == "DL") && $submitBtn) {
                                                        ?>
                                                        <i class="fa fa-envelope-open-o" style="color:#002166;cursor: pointer;" title="Re-Open This Grievance" onClick="reopenGrievance(<?php echo $record->gm_id; ?>);"></i> 
                                                    <?php }
                                                    ?>
                                                    <?php
                                                    if (($this->session->userdata("role") == "GCM" || $this->session->userdata("role") == "MGMT") && $this->session->userdata('type') == "NA") {
                                                        if ($record->gm_viewed_by == NULL) {
                                                            ?>
                                                            <i class="fa fa-eye-slash" style="color:#002166;cursor: pointer;" title="View Grievance" onClick="getGrievanceInfo(<?php echo $record->gm_id; ?>, 1);"></i> 
                                                        <?php } else {
                                                            ?>
                                                            <i class="fa fa-eye" style="color:#FF0000;cursor: pointer;" title="Already Viewed" onClick="getGrievanceInfo(<?php echo $record->gm_id; ?>, 0);"></i> 
                                                            <?php
                                                        }
                                                    } else {
                                                        ?>
                                                        <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info" onClick="getGrievanceInfo(<?php echo $record->gm_id; ?>, 0);"></i> 
                                                        <i class="fa fa-history" style="color:#002166;cursor: pointer;" title="Open Grievance History" onClick="window.location.href = '<?php echo site_url('Grievance/grievanceHistory/' . $record->gm_id) ?>'"></i> 
                                            <?php } ?>
                                                </td>
                                            </tr>
                                            <?php
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>

        <script>
            $(document).ready(function () {
                //*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("userMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                document.getElementById("dataMgmnt").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
<?php if ($submitBtn) { ?>
                    document.getElementById("reports").classList.remove("active");
                    document.getElementById("stuGrievances").classList.add("active");
<?php } else { ?>
                    document.getElementById("stuGrievances").classList.remove("active");
                    document.getElementById("reports").classList.add("active");
<?php } ?>
                $("#allGrievances").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'csv', text: '<i class="fa fa-file-excel-o"></i> CSV/Excel'},
                        {extend: 'pdf', text: '<i class="fa fa-file-pdf-o"></i> PDF', pageSize: 'A4',
                            customize: function (doc) {
                                doc.content[1].table.widths = Array(doc.content[1].table.body[0].length + 1).join('*').split('');
                            },
                            exportOptions: {
                                columns: [0, 1, 2, 3, 4, 5]
                            }
                        }
                    ]});
            });

            function reopenGrievance(grvnc_id) {
                if (confirm("Are You Sure To Re-Open This Grievance. Only Re-Open Any Grievance If You Are Not Satisfied With The Solution Provided?")) {
                    window.location.href = "<?php echo site_url('Grievance/reOpenGrievance/'); ?>" + grvnc_id;
                }
            }

            function deleteGrievance(grvnc_id) {
                if (confirm("Are You Sure To Delete This Grievance. Recovery Not Possible Once Deleted?")) {
                    window.location.href = "<?php echo site_url('Grievance/deleteGrievance/'); ?>" + grvnc_id;
                }
            }

            function getGrievanceInfo(gm_id, isViewed) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('Grievance/getGrievanceFulllInfo/'); ?>',
                    data: {gm_id: gm_id, is_viewed: isViewed, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        console.log(result);
                        $(".se-pre-con").fadeOut("slow");
                        var thisGrievanceInfo = JSON.parse(result);
                        console.log(thisGrievanceInfo);
                        csrfHash = thisGrievanceInfo.csrfHash;
                        $("#grvnc_user_img").prop("src", thisGrievanceInfo.gm_submitter_img);
                        $("#grvnc_user_regEmpAdmsnNo").html(thisGrievanceInfo.gm_reg_emp_no);
                        $("#grnvc_id").html(thisGrievanceInfo.gm_id);
                        $("#grnvc_category").html(thisGrievanceInfo.gm_category);
                        $("#grnvc_subject").html(thisGrievanceInfo.gm_subject);
                        $("#grnvc_desc").html(thisGrievanceInfo.gm_description);
                        $("#grnvc_file_one").html(thisGrievanceInfo.gm_file_one);
                        $("#grnvc_file_two").html(thisGrievanceInfo.gm_file_two);
                        $("#grnvc_submitted_by").html(thisGrievanceInfo.gm_submitted_by);
                        $("#grnvc_submitted_on").html(thisGrievanceInfo.gm_submitted_on);
                        $("#grvnc_user_type").html(thisGrievanceInfo.gm_user_type);
                        $("#grvnc_delete_status").html(thisGrievanceInfo.gm_delete_status);
                        $("#grvnc_user_course").html(thisGrievanceInfo.gm_course);
                        $("#grvnc_user_sem_year").html(thisGrievanceInfo.gm_sem_or_year);
                        $("#grnvc_acknowledged_by").html(thisGrievanceInfo.gm_acknowledge_by);
                        $("#grnvc_acknowledged_on").html(thisGrievanceInfo.gm_acknowledge_on);
                        $("#grnvc_viewed_by").html(thisGrievanceInfo.gm_viewed_by);
                        $("#grnvc_viewed_on").html(thisGrievanceInfo.gm_viewed_on);
                        $("#grnvc_locked_by").html(thisGrievanceInfo.gm_locked_by);
                        $("#grnvc_locked_on").html(thisGrievanceInfo.gm_locked_on);
                        $("#grnvc_resolved_by").html(thisGrievanceInfo.gm_resolved_by);
                        $("#grnvc_resolved_on").html(thisGrievanceInfo.gm_resolved_on);
                        $("#grvncDetailsModal").modal('show');
                    }
                });
            }

            $("#grvncCatg").on("change", function () {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('Grievance/getAllotedMembersByGrievanceCategory/') ?>',
                        data: {gcm_id: $(this).val(), inst_id: <?php echo $this->session->userdata('inst_id'); ?>, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var memberInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#gcMgMember").html("");
                            $("#gcMgMember").html(memberInfo.member_list);
                            csrfHash = memberInfo.csrfHash;
                            detailGrvnFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $.ajax({
                        url: '<?php echo site_url('Grievance/getAllotedMembersByGrievanceCategory/') ?>',
                        data: {gcm_id: "", inst_id: <?php echo $this->session->userdata('inst_id'); ?>, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var memberInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#gcMgMember").html("");
                            $("#gcMgMember").html(memberInfo.member_list);
                            csrfHash = memberInfo.csrfHash;
                            detailGrvnFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });

            $(function () {
                var dateFormat = "mm/dd/yy",
                        from = $("#dateRangeFrom")
                        .datepicker({
                            defaultDate: "+1w",
                            changeMonth: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#dateRangeTill").datepicker({
                    defaultDate: "+1w",
                    changeMonth: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }

                    return date;
                }
            });
        </script>
<?php $this->load->view("footer"); ?>
        <!-- Grievance Details Modal Starts -->
        <div class="modal fade" id="grvncDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Grievance Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12">
                                    <center>
                                        <img src="" id="grvnc_user_img" width="100px"><br>
                                        <b><span id="grvnc_user_regEmpAdmsnNo"></span></b>
                                    </center>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Grievance Id</b></div>
                                <div class="col-sm-9"><span id="grnvc_id"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Category</b></div>
                                <div class="col-sm-9"><span id="grnvc_category"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Subject</b></div>
                                <div class="col-sm-9"><span id="grnvc_subject"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Description</b></div>
                                <div class="col-sm-9"><span id="grnvc_desc"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>File One</b></div>
                                <div class="col-sm-3"><span id="grnvc_file_one"></span></div>
                                <div class="col-sm-3"><b>File Two</b></div>
                                <div class="col-sm-3"><span id="grnvc_file_two"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Submitted By</b></div>
                                <div class="col-sm-3"><span id="grnvc_submitted_by"></span></div>
                                <div class="col-sm-3"><b>Submitted On</b></div>
                                <div class="col-sm-3"><span id="grnvc_submitted_on"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>User Type</b></div>
                                <div class="col-sm-3"><span id="grvnc_user_type"></span></div>
                                <div class="col-sm-3"><b>Delete Status</b></div>
                                <div class="col-sm-3"><span id="grvnc_delete_status"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Course</b></div>
                                <div class="col-sm-3"><span id="grvnc_user_course"></span></div>
                                <div class="col-sm-3"><b>Sem./Year</b></div>
                                <div class="col-sm-3"><span id="grvnc_user_sem_year"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Viewed By</b></div>
                                <div class="col-sm-3"><span id="grnvc_viewed_by"></span></div>
                                <div class="col-sm-3"><b>Viewed On</b></div>
                                <div class="col-sm-3"><span id="grnvc_viewed_on"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Acknowledged By</b></div>
                                <div class="col-sm-3"><span id="grnvc_acknowledged_by"></span></div>
                                <div class="col-sm-3"><b>Acknowledged On</b></div>
                                <div class="col-sm-3"><span id="grnvc_acknowledged_on"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Locked By</b></div>
                                <div class="col-sm-3"><span id="grnvc_locked_by"></span></div>
                                <div class="col-sm-3"><b>Locked On</b></div>
                                <div class="col-sm-3"><span id="grnvc_locked_on"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Resolved By</b></div>
                                <div class="col-sm-3"><span id="grnvc_resolved_by"></span></div>
                                <div class="col-sm-3"><b>Resolved On</b></div>
                                <div class="col-sm-3"><span id="grnvc_resolved_on"></span></div>
                            </div>                            
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Grievance Details Modal Ends -->
    </body>
</html>