<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: Submit New Grievance</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo $this->session->userdata('inst_logo_url'); ?>">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Grievances</li>
                            <li class="breadcrumb-item active" aria-current="page">Reply Grievance</li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-paper-plane-o"></i> Replying Grievance => <?php echo $grievance_info->gm_disp_id; ?></h3>
                            </div>
                            <div class="card-body">
                                <?php
                                $userType = "";
                                if ($grievance_info->cau_user_type_flag == "S") {
                                    $userType = "Student";
                                } else if ($grievance_info->cau_user_type_flag == "P") {
                                    $userType = "Parent";
                                } else if ($grievance_info->cau_user_type_flag == "F") {
                                    $userType = "Faculty/Teaching Staff";
                                } else {
                                    $userType = "Non-Teaching Staff";
                                }
                                ?>
                                <div class="card">
                                    <div class="card-body">
                                        <h5 class="card-title"><?php echo $grievance_info->gm_disp_id . ":" . $grievance_info->gm_subject; ?></h5>
                                        <h6 class="card-title"><?php echo $grievance_info->gcm_title; ?></h6>
                                        <h6 class="card-title"><i class="fa fa-user"></i>&nbsp;<?php echo $grievance_info->cau_first_name . " " . $grievance_info->cau_last_name . " (" . $userType . ")"; ?>&nbsp;<i class="fa fa-clock-o"></i>&nbsp;<?php echo date("d-m-Y h:i:s A", strtotime($grievance_info->gm_submitted_on)); ?></h6>
                                        <p class="card-text mb-4">
                                            <i class="fa fa-quote-left"></i>&nbsp;<?php echo $grievance_info->gm_description; ?>&nbsp;<i class="fa fa-quote-right"></i>
                                        </p>
                                        <label class="input__label"><?php echo ($grievance_info->gm_file_one == "" || $grievance_info->gm_file_one == NULL) ? "" : "<a href='" . base_url($grievance_info->gm_file_one) . "' target='_blank'><i class='fa fa-file'></i>&nbsp;Click To View File</a>"; ?></label>
                                        <label class="input__label"><?php echo ($grievance_info->gm_file_two == "" || $grievance_info->gm_file_two == NULL) ? "" : "<a href='" . base_url($grievance_info->gm_file_two) . "' target='_blank'><i class='fa fa-file'></i>&nbsp;Click To View File</a>"; ?></label>
                                    </div>
                                </div>
                                <br>
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('Grievance/saveGrievanceReply'), ['name' => 'grievanceReplyFrm', 'id' => 'grievanceReplyFrm']); ?>
                                <br>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="grvncStatus" class="input__label">Status *</label>
                                        <select id="grvncStatus" name="grvncStatus" class="form-control input-style">
                                            <option value="" <?php echo set_select("grvncStatus", ""); ?>>-Select Status-</option>
                                            <option value="R" <?php echo set_select("grvncStatus", "R"); ?> selected>Resolved</option>
                                            <option value="IP" <?php echo set_select("grvncStatus", "IP"); ?>>Not Resolved</option>
                                            <option value="DL" <?php echo set_select("grvncStatus", "DL"); ?>>Dispose/Un-Necessary Grievance</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="grvncReply" class="input__label">Reply *</label>
                                        <textarea id="grvncReply" name="grvncReply" class="form-control input-style" placeholder="Enter Your Reply/Opinion (Max. 1000 Characters)"><?php echo set_value('grvncReply'); ?></textarea>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="grvncFileOne" class="input__label">Attachment 1</label>
                                        <input type="file" name="grvncFileOne" class="custom-file-input" id="grvncFileOne">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="grvncFileTwo" class="input__label">Attachment 2</label>
                                        <input type="file" name="grvncFileTwo" class="custom-file-input" id="grvncFileTwo">
                                    </div>
                                </div>
                                <input type="hidden" name="gm_id" value="<?php echo $grievance_info->gm_id; ?>">
                                <small class="form-text text-muted">Only Files With Extension *.jpg,*.png,*.jpeg,*.webp,*.doc,*.docx,*.pdf And Size 1MB Each Is Allowed To Upload.</small>
                                <button id="submitBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4">Submit Reply</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                //*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("userMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                document.getElementById("dataMgmnt").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("stuGrievances").classList.add("active");
            });
        </script>
        <?php $this->load->view("footer"); ?>
    </body>
</html>