<?php

/**
 * Model Class For Handling All DB Operations Related To Courses
 *
 * @author Softpro India Pvt. Ltd.
 */
defined('BASEPATH') OR exit('No direct script access allowed');

class CourseManagement extends CI_Model {

    function __construct() {
        parent::__construct();
        $this->load->database();
    }

    function getAllCourses() {
        $this->db->select("CM.course_id,CM.course_name,CM.course_active_status,CM.course_delete_status,CM.course_full_name,"
                . "CM.course_no_of_years,CM.course_no_of_sems,CM.course_populate_flag,CM.course_added_on,CM.course_updated_on,"
                . "CAUA.cau_first_name addedByCA,CAUM.cau_first_name updatedByCA,CLGM.clg_name");
        $this->db->from('course_mst CM');
        $this->db->join('college_mst CLGM', 'CM.clg_id = CLGM.clg_id');
        $this->db->join('college_admins_and_users CAUA', 'CM.course_added_by = CAUA.cau_id');
        $this->db->join('college_admins_and_users CAUM', 'CM.course_updated_by = CAUM.cau_id');
        $this->db->order_by('CM.course_added_on desc');
        return $this->db->get();
    }

    function getCourseInfoById($courseId) {
        $this->db->select("*");
        $this->db->from('course_mst');
        $this->db->where('course_id', $courseId);
        return $this->db->get();
    }

}
