<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: Add New Institute Admin</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Institues</li>
                            <li class="breadcrumb-item active" aria-current="page">Add New Institute Admin</li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-user-plus"></i> Add New Institute Admin</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/Institute/addNewInstituteAdmin'), ['name' => 'collegeAdminCreation', 'id' => 'collegeAdminCreation']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="clgAdmCollege" class="input__label">Institute *</label>
                                        <select id="clgAdmCollege" name="clgAdmCollege" class="form-control input-style">
                                            <option value="">-Select Institute-</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($allActiveColleges); $i++) {
                                                echo "<option value='" . $allActiveColleges[$i]->clg_id . "' ".set_select('clgAdmCollege',$allActiveColleges[$i]->clg_id)." >" . $allActiveColleges[$i]->clg_name . "," . $allActiveColleges[$i]->cityName . "</option>";
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="clgAdmFirstName" class="input__label">First Name *</label>
                                        <input type="text" class="form-control input-style" id="clgAdmFirstName" name="clgAdmFirstName" value="<?php echo set_value('clgAdmFirstName'); ?>" placeholder="Enter First Name">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="clgAdmLastName" class="input__label">Last Name</label>
                                        <input type="text" class="form-control input-style" id="clgAdmLastName" name="clgAdmLastName" value="<?php echo set_value('clgAdmLastName'); ?>" placeholder="Enter Last Name">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="clgAdmEmail" class="input__label">Email *</label>
                                        <input type="text" class="form-control input-style" id="clgAdmEmail" name="clgAdmEmail" value="<?php echo set_value('clgAdmEmail'); ?>" placeholder="Enter Email">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="clgAdmMobile" class="input__label">Mobile *</label>
                                        <input type="text" maxlength="10" onkeypress="return event.charCode >= 48 && event.charCode <= 57" class="form-control input-style" id="clgAdmMobile" name="clgAdmMobile" value="<?php echo set_value('clgAdmMobile'); ?>" placeholder="Enter Mobile">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="clgAdmGender" class="input__label">Gender *</label>
                                        <select id="clgAdmGender" name="clgAdmGender" class="form-control input-style">
                                            <option value="">-Select Gender-</option>
                                            <option value="M" <?php echo set_select("clgAdmGender", 'M') ?>>Male</option>
                                            <option value="F" <?php echo set_select("clgAdmGender", 'F') ?>>Female</option>
                                            <option value="O" <?php echo set_select("clgAdmGender", 'O') ?>>Other</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="clgAdmSMSAuthFlag" class="input__label">SMS Auth. *</label>
                                        <select id="clgAdmSMSAuthFlag" name="clgAdmSMSAuthFlag" class="form-control input-style">
                                            <option value="T" <?php echo set_select("clgAdmSMSAuthFlag", 'T') ?>>Allowed</option>
                                            <option value="F" selected <?php echo set_select("clgAdmSMSAuthFlag", 'F') ?>>Not-Allowed</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="clgAdmAltEmail" class="input__label">Alt. Email</label>
                                        <input type="text" class="form-control input-style" id="clgAdmAltEmail" name="clgAdmAltEmail" value="<?php echo set_value('clgAdmAltEmail'); ?>" placeholder="Enter Alternate Email">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="clgAdmAltMobile" class="input__label">Alt. Mobile</label>
                                        <input type="text" maxlength="10" onkeypress="return event.charCode >= 48 && event.charCode <= 57" class="form-control input-style" id="clgAdmAltMobile" name="clgAdmAltMobile" value="<?php echo set_value('clgAdmAltMobile'); ?>" placeholder="Enter Alternamte Mobile">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6 custom-file">
                                        <label for="clgAdminProfileImg" class="input__label">Profile Image</label>
                                        <input type="file" name="clgAdminProfileImg" class="custom-file-input" id="clgAdminProfileImg">
                                    </div>
                                </div>
                                <button id="submitBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Admin</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("sysAdmnMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("miscReport").classList.remove("active");
                document.getElementById("location").classList.remove("active");
                document.getElementById("defaultStuffs").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("institute").classList.add("active");
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>