<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: Add New System Admin</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Sys. Admin Mgmnt.</li>
                            <li class="breadcrumb-item active" aria-current="page">Add New Admin</li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-user-plus"></i> Add New System Admin</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/SystemAdmin/createNewSysAdmin'), ['name' => 'sysAdminCreationFrm', 'id' => 'sysAdminCreationFrm']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="admName" class="input__label">Name *</label>
                                        <input type="text" class="form-control input-style" id="admName" name="admName" value="<?php echo set_value('admName'); ?>" placeholder="Enter Admin Name">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="admUserName" class="input__label">Username *</label>
                                        <input type="text" class="form-control input-style" id="admUserName" name="admUserName" value="<?php echo set_value('admUserName'); ?>" aria-describedby="userNameHelp" placeholder="Enter Unique Username">
                                        <small id="userNameHelp" class="form-text text-muted">Username Is Always Unique And Will Be Used For Login.&nbsp;<span id="uNotAvail" style="color:#FF0000;font-weight: bolder;display:none;">Not Available</span><span id="uAvail" style="color:#0000FF;font-weight: bolder;display:none;">Available</span></small>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="admEmail" class="input__label">Email *</label>
                                        <input type="text" class="form-control input-style" id="admEmail" name="admEmail" value="<?php echo set_value('admEmail'); ?>" placeholder="Enter Admin Email">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="admMobile" class="input__label">Mobile *</label>
                                        <input type="text" maxlength="10" onkeypress="return event.charCode >= 48 && event.charCode <= 57" class="form-control input-style" id="admMobile" name="admMobile" value="<?php echo set_value('admMobile'); ?>" placeholder="Enter Admin Mobile">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="admRole" class="input__label">Role *</label>
                                        <select id="admRole" name="admRole" class="form-control input-style">
                                            <option value="">-Select Admin Role-</option>
                                            <option value="M" <?php echo set_select("admRole", 'M') ?>>Super-Admin (All Rights)</option>
                                            <option value="S" <?php echo set_select("admRole", 'S') ?>>Sub-Admin (Limited Rights)</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="admType" class="input__label">Type *</label>
                                        <select id="admType" name="admType" class="form-control input-style">
                                            <option value="">-Select Admin Type-</option>
                                            <option value="G" <?php echo set_select("admType", 'G') ?>>General/Normal</option>
                                            <option value="D" <?php echo set_select("admType", 'D') ?>>Developer</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="admSMSAuth" class="input__label">SMS Auth. *</label>
                                        <select id="admSMSAuth" name="admSMSAuth" class="form-control input-style">
                                            <option value="T" <?php echo set_select("admSMSAuth", 'T') ?>>Allowed</option>
                                            <option value="F" selected <?php echo set_select("admSMSAuth", 'F') ?>>Not-Allowed</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-6 custom-file">
                                        <label for="profileImg" class="input__label">Profile Image</label>
                                        <input type="file" name="profileImg" class="custom-file-input" id="profileImg">
                                    </div>
                                </div>
                                <button id="submitBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Admin</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("institute").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("miscReport").classList.remove("active");
                document.getElementById("location").classList.remove("active");
                document.getElementById("defaultStuffs").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("sysAdmnMgmnt").classList.add("active");

                $("#admUserName").on("blur", function () {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    if ($(this).val().trim() != "" && $(this).val().length >= 4) {
                        $.ajax({
                            url: '<?php echo site_url('admin/SystemAdmin/checkUsernameAvailability/') ?>',
                            data: {admUserName: $(this).val(), csrf_token: csrfHash},
                            type: 'POST',
                            success: function (result) {
                                var availabilityInfo = JSON.parse(result);
                                $(".se-pre-con").fadeOut("slow");
                                if (availabilityInfo.doAvailable == 0) {
                                    $("#uAvail").css("display", "table-cell");
                                    $("#uNotAvail").css("display", "none");
                                    $("#submitBtn").prop("disabled", false);
                                } else {
                                    $("#uNotAvail").css("display", "table-cell");
                                    $("#uAvail").css("display", "none");
                                    $("#submitBtn").prop("disabled", true);
                                }
                                csrfHash = availabilityInfo.csrfHash;
                                sysAdminCreationFrm.csrf_token.value = csrfHash;
                            }
                        });
                    }else{
                        alert("Username Should Contain At Lease 4 Characters.");
                        $(".se-pre-con").fadeOut("fast");
                    }
                });
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>