<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: Edit City</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Location</li>
                            <li class="breadcrumb-item active" aria-current="page">Edit City</li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-map-marker"></i> Modifying City => <b><?php echo $city_info->cityName; ?></b> <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/Locations/updateCityInfo'), ['name' => 'cityEditFrm', 'id' => 'cityEditFrm']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="cityName" class="input__label">City *</label>
                                        <input type="text" class="form-control input-style" id="cityName" name="cityName" value="<?php echo $city_info->cityName; ?>" placeholder="Enter State Name">
                                    </div>
                                    <input type="hidden" name="city_id" value="<?php echo $city_info->id; ?>"/>
                                    <div class="form-group col-md-6">
                                        <label for="state" class="input__label">Under State *</label>
                                        <select id="state" name="state" class="form-control input-style">
                                            <option>-Select State-</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($allStates); $i++) {
                                                $selected = ($allStates[$i]->id == $city_info->stateId) ? "selected" : "";
                                                echo "<option value='" . $allStates[$i]->id . "' " . $selected . ">" . $allStates[$i]->name . "</option>";
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("institute").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("miscReport").classList.remove("active");
                document.getElementById("sysAdmnMgmnt").classList.remove("active");
                document.getElementById("defaultStuffs").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("location").classList.add("active");
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>