<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: Institute Admin Report</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Institues</li>
                            <li class="breadcrumb-item active" aria-current="page">Institute Admin Report</li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title">All Institute Admins</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Institute/createInstituteAdmin"); ?>'" tooltip="Add New Institute Admin"><i class="fa fa-plus"></i> Add New Institute Admin</button><br><br>
                                <table id="allInstituteAdmins" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Full Name</th>
                                            <th>Gender</th>
                                            <th>Email</th>
                                            <th>Mobile</th>
                                            <th>Institute</th>
                                            <th>Login Status</th>
                                            <th>SMS Auth Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Full Name</th>
                                            <th>Gender</th>
                                            <th>Email</th>
                                            <th>Mobile</th>
                                            <th>Institute</th>
                                            <th>Login Status</th>
                                            <th>SMS Auth Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allInstituteAdmins); $i++) {
                                            $record = $allInstituteAdmins[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo $record->cau_first_name . " " . $record->cau_last_name; ?></td>
                                                <td>
                                                    <?php
                                                    $gender = "";
                                                    if ($record->cau_gender == "M") {
                                                        $gender = "Male <i class='fa fa-male'></i>";
                                                    } else {
                                                        if ($record->cau_gender == "F") {
                                                            $gender = "Female <i class='fa fa-female'></i>";
                                                        } else {
                                                            $gender = "Other <i class='fa fa-transgender'></i>";
                                                        }
                                                    }
                                                    echo $gender;
                                                    ?>
                                                </td>
                                                <td><?php echo $record->cau_email; ?></td>
                                                <td><?php echo $record->cau_mobile; ?></td>
                                                <td><?php echo $record->clg_name; ?></td>
                                                <td><?php echo ($record->cau_block_status == 'F') ? "<span class='badge badge-success'>Active</span>" : "<span class='badge badge-danger'>Blocked</span>"; ?></td>
                                                <td><?php echo ($record->cau_auth_sms_flag == 'T') ? "<i class='fa fa-check' style='color:#297534;' title='SMS Allowed'></i>" : "<i class='fa fa-times' style='color:#FF0000;' title='SMS Not-Allowed'></i>"; ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->cau_delete_status == "F") {
                                                        if ($record->cau_block_status == "F") {
                                                            ?>
                                                            <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Block This Institute Admin's Login" onClick="window.location.href = '<?php echo site_url('admin/Institute/toggleInstituteAdminBlockStatus/' . $record->cau_id . '/T') ?>'"></i> 
                                                        <?php } else { ?>                                                                
                                                            <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Unblock This Institute Admin's Login" onClick="window.location.href = '<?php echo site_url('admin/Institute/toggleInstituteAdminBlockStatus/' . $record->cau_id . '/F') ?>'"></i> 
                                                        <?php } ?>
                                                        <i class='fa fa-pencil' style='color:#002166;cursor: pointer;' title="Edit This Institute Admin" onClick="window.location.href = '<?php echo site_url('admin/Institute/editInstituteAdmin/' . $record->cau_id) ?>'"  ></i>
                                                        <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Institute Admin" onClick="window.location.href = '<?php echo site_url('admin/Institute/deleteInstituteAdmin/' . $record->cau_id) ?>'"></i> 
                                                        <i class="fa fa-key" style="color:#002166;cursor: pointer;" title="Reset Password" onClick="resetPassowrd(<?php echo $record->cau_id; ?>);"></i> 
                                                        <?php
                                                    } else {
                                                        echo "<i style='color:#FF0000' class='fa fa-times'></i> Institute Admin Deleted On " . date("d-m-Y", strtotime($record->cau_last_updated_on)) . " <a href='" . site_url('admin/Institute/undoDeleteInstituteAdmin/' . $record->cau_id) . "'>&nbsp;<i class='fa fa-undo' title='Undo Delete'></i></a>";
                                                    }
                                                    ?>
                                                    <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info" onClick="getInstituteAdminInfo(<?php echo $record->cau_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                            <?php
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>

        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("sysAdmnMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("miscReport").classList.remove("active");
                document.getElementById("location").classList.remove("active");
                document.getElementById("defaultStuffs").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("institute").classList.add("active");
                $("#allInstituteAdmins").DataTable({responsive: true});
            });

            function resetPassowrd(institute_admin_id) {
                if (confirm("Are You Sure To Reset This Insitute Admin's Password?")) {
                    window.location.href = "<?php echo site_url('admin/Institute/resetInstituteAdminPassword/'); ?>" + institute_admin_id;
                }
            }

            function getInstituteAdminInfo(institute_admin_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Institute/getInstituteAdminInfoBy/'); ?>',
                    data: {inst_admin_id: institute_admin_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisInstituteAdminInfo = JSON.parse(result);
                        csrfHash = thisInstituteAdminInfo.csrfHash;
                        $("#inst_admin_img").prop("src", thisInstituteAdminInfo.cau_image_url);
                        $("#inst_admin_firstname").html(thisInstituteAdminInfo.cau_first_name);
                        $("#inst_admin_lastname").html(thisInstituteAdminInfo.cau_last_name);
                        $("#inst_admin_email").html(thisInstituteAdminInfo.cau_email);
                        $("#inst_admin_mobile").html(thisInstituteAdminInfo.cau_mobile);
                        $("#inst_admin_gender").html(thisInstituteAdminInfo.cau_gender);
                        $("#inst_admin_mail_verify").html(thisInstituteAdminInfo.cau_email_verify_status);
                        $("#inst_admin_mobile_verify").html(thisInstituteAdminInfo.cau_mobile_verify_status);
                        $("#inst_admin_alt_mobile").html(thisInstituteAdminInfo.cau_alt_mobile);
                        $("#inst_admin_alt_email").html(thisInstituteAdminInfo.cau_alt_email);
                        $("#inst_admin_signup_by").html(thisInstituteAdminInfo.cau_signup_by);
                        $("#inst_admin_updated_by_sa").html(thisInstituteAdminInfo.cau_sa_operation_by);
                        $("#inst_admin_updated_by_ca").html(thisInstituteAdminInfo.cau_ca_operation_on);
                        $("#inst_admin_delete_status").html(thisInstituteAdminInfo.cau_delete_status);
                        $("#inst_admin_block_status").html(thisInstituteAdminInfo.cau_block_status);
                        $("#inst_admin_approve_status").html(thisInstituteAdminInfo.cau_approve_status);
                        $("#inst_admin_smsauth_status").html(thisInstituteAdminInfo.cau_auth_sms_flag);
                        $("#inst_admin_college").html(thisInstituteAdminInfo.clg_name);
                        $("#instituteAdminDetailsModal").modal('show');
                    }
                });
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Institute Admin Details Modal Starts -->
        <div class="modal fade" id="instituteAdminDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Institute Admin Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12">
                                    <center><img src="" id="inst_admin_img" width="100px"></center>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>First Name</b></div>
                                <div class="col-sm-3"><span id="inst_admin_firstname"></span></div>
                                <div class="col-sm-3"><b>Last Name</b></div>
                                <div class="col-sm-3"><span id="inst_admin_lastname"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Email</b></div>
                                <div class="col-sm-9"><span id="inst_admin_email"></span></div>

                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Mobile</b></div>
                                <div class="col-sm-3"><span id="inst_admin_mobile"></span></div>
                                <div class="col-sm-3"><b>Gender</b></div>
                                <div class="col-sm-3"><span id="inst_admin_gender"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Email Verified</b></div>
                                <div class="col-sm-3"><span id="inst_admin_mail_verify"></span></div>
                                <div class="col-sm-3"><b>Mobile Verified</b></div>
                                <div class="col-sm-3"><span id="inst_admin_mobile_verify"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Alt. Mobile</b></div>
                                <div class="col-sm-3"><span id="inst_admin_alt_mobile"></span></div>
                                <div class="col-sm-3"><b>Alt. Email</b></div>
                                <div class="col-sm-3"><span id="inst_admin_alt_email"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Created By</b></div>
                                <div class="col-sm-9"><span id="inst_admin_signup_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Last SA Update On</b></div>
                                <div class="col-sm-9"><span id="inst_admin_updated_by_sa"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Last CA Update On</b></div>
                                <div class="col-sm-9"><span id="inst_admin_updated_by_ca"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Approve Status</b></div>
                                <div class="col-sm-3"><span id="inst_admin_approve_status"></span></div>
                                <div class="col-sm-3"><b>Block Status</b></div>
                                <div class="col-sm-3"><span id="inst_admin_block_status"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Delete Status</b></div>
                                <div class="col-sm-3"><span id="inst_admin_delete_status"></span></div>
                                <div class="col-sm-3"><b>SMS Auth. Status</b></div>
                                <div class="col-sm-3"><span id="inst_admin_smsauth_status"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Institute</b></div>
                                <div class="col-sm-9"><span id="inst_admin_college" href=""></span></div>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Institute Admin Details Modal Ends -->
    </body>
</html>