<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: All Institues Report</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Institutes</li>
                            <li class="breadcrumb-item active" aria-current="page">Institute Report</li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title">All Institutes (Clients)</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Institute/createNewInstitute"); ?>'" tooltip="Create New Instiute"><i class="fa fa-plus"></i> Create New Institute</button><br><br>
                                <table id="allInstitutes" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Name (Code)</th>
                                            <th>City/State</th>
                                            <th>Email</th>
                                            <th>Mobile</th>
                                            <th>GRP URL</th>
                                            <th>Current Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Name (Code)</th>
                                            <th>City/State</th>
                                            <th>Email</th>
                                            <th>Mobile</th>
                                            <th>GRP URL</th>
                                            <th>Current Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allInstitutes); $i++) {
                                            $record = $allInstitutes[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo $record->clg_name . " (" . $record->clg_code . ")"; ?></td>
                                                <td><?php echo $record->cityName . "/" . $record->stateName; ?></td>
                                                <td><?php echo $record->clg_email; ?></td>
                                                <td><?php echo $record->clg_mobile; ?></td>
                                                <td>
                                                    <?php
                                                    $grpURL = $record->clg_subdomain . substr($record->clg_website_url, strpos($record->clg_website_url, "."));
                                                    ?>
                                                    <a href="http://<?php echo $grpURL; ?>" target="_blank">
                                                        <?php echo $grpURL; ?>
                                                    </a>
                                                </td>
                                                <td>
                                                    <?php
                                                    if ($record->clg_delete_status == "F") {
                                                        echo ($record->clg_active_status == 'T') ? "<span class='badge badge-success'>Active</span>" : "<span class='badge badge-danger'>Blocked</span>";
                                                    } else {
                                                        echo "<span class='badge badge-danger'>Deleted</span>";
                                                    }
                                                    ?>    
                                                </td>
                                                <td>
                                                    <?php
                                                    if ($record->clg_delete_status == "F") {
                                                        if ($record->clg_active_status == "T") {
                                                            ?>
                                                            <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Block This Institute" onClick="window.location.href = '<?php echo site_url('admin/Institute/toggleInstituteActiveStatus/' . $record->clg_id . '/F') ?>'"></i> 
                                                        <?php } else { ?>                                                                
                                                            <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Unblock This Institute" onClick="window.location.href = '<?php echo site_url('admin/Institute/toggleInstituteActiveStatus/' . $record->clg_id . '/T') ?>'"></i> 
                                                        <?php } ?>
                                                        <i class='fa fa-pencil' style='color:#002166;cursor: pointer;' title="Edit This Institute" onClick="window.location.href = '<?php echo site_url('admin/Institute/editInstitute/' . $record->clg_id) ?>'"  ></i>
                                                        <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Institute" onClick="window.location.href = '<?php echo site_url('admin/Institute/deleteInstitute/' . $record->clg_id) ?>'"></i> 
                                                        <?php
                                                    } else {
                                                        echo "<i style='color:#FF0000' class='fa fa-times'></i> Institute Deleted On " . date("d-m-Y", strtotime($record->clg_updated_on_sa)) . " <a href='" . site_url('admin/Institute/undoDeleteInstitute/' . $record->clg_id) . "'>&nbsp;<i class='fa fa-undo' title='Undo Delete'></i></a>";
                                                    }
                                                    ?>
                                                    <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info" onClick="getInstituteInfo(<?php echo $record->clg_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                            <?php
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("sysAdmnMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("miscReport").classList.remove("active");
                document.getElementById("location").classList.remove("active");
                document.getElementById("defaultStuffs").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("institute").classList.add("active");
                $("#allInstitutes").DataTable({responsive: true});
            });

            function getInstituteInfo(institute_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Institute/getInstituteInfoBy/'); ?>',
                    data: {inst_id: institute_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisInstituteInfo = JSON.parse(result);
                        csrfHash = thisInstituteInfo.csrfHash;
                        $("#inst_logo").prop("src", thisInstituteInfo.clg_logo_url);
                        $("#inst_name").html(thisInstituteInfo.clg_name);
                        $("#inst_code").html(thisInstituteInfo.clg_code);
                        $("#inst_email").html(thisInstituteInfo.clg_email);
                        $("#inst_mobile").html(thisInstituteInfo.clg_mobile);
                        $("#inst_landline").html(thisInstituteInfo.clg_landline);
                        $("#inst_website").html(thisInstituteInfo.clg_website_url);
                        $("#inst_subdomain").html(thisInstituteInfo.clg_subdomain);
                        $("#inst_alt_mobile").html(thisInstituteInfo.clg_alt_mobile);
                        $("#inst_alt_email").html(thisInstituteInfo.clg_alt_email);
                        $("#inst_alt_landline").html(thisInstituteInfo.clg_alt_landline);
                        $("#inst_city").html(thisInstituteInfo.clg_city);
                        $("#inst_state").html(thisInstituteInfo.clg_state);
                        $("#inst_pin").html(thisInstituteInfo.clg_pincode);
                        $("#inst_addr_line_one").html(thisInstituteInfo.clg_addr_line_one);
                        $("#inst_addr_line_two").html(thisInstituteInfo.clg_addr_line_two);
                        $("#inst_addr_line_three").html(thisInstituteInfo.clg_addr_line_three);
                        $("#inst_added_by").html(thisInstituteInfo.clg_added_by);
                        $("#inst_updated_by_sa").html(thisInstituteInfo.clg_updated_by_sa);
                        $("#inst_updated_by_ca").html(thisInstituteInfo.clg_updated_on_ca);
                        $("#inst_active_status").html(thisInstituteInfo.clg_active_status);
                        $("#inst_delete_status").html(thisInstituteInfo.clg_delete_status);
                        $("#inst_grp_url").html(thisInstituteInfo.clg_grp_url);
                        $("#inst_grp_url").prop("href", "http://" + thisInstituteInfo.clg_grp_url);
                        $("#instituteDetailsModal").modal('show');
                    }
                });
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Institute Details Modal Starts -->
        <div class="modal fade" id="instituteDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Institute Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12">
                                    <center><img src="" id="inst_logo" width="100px"></center>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Name</b></div>
                                <div class="col-sm-9"><span id="inst_name"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Code</b></div>
                                <div class="col-sm-3"><span id="inst_code"></span></div>
                                <div class="col-sm-3"><b>Email</b></div>
                                <div class="col-sm-3"><span id="inst_email"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Mobile</b></div>
                                <div class="col-sm-3"><span id="inst_mobile"></span></div>
                                <div class="col-sm-3"><b>Landline</b></div>
                                <div class="col-sm-3"><span id="inst_landline"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Webiste URL</b></div>
                                <div class="col-sm-3"><span id="inst_website"></span></div>
                                <div class="col-sm-3"><b>Subdomain</b></div>
                                <div class="col-sm-3"><span id="inst_subdomain"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Alt. Mobile</b></div>
                                <div class="col-sm-3"><span id="inst_alt_mobile"></span></div>
                                <div class="col-sm-3"><b>Alt. Email</b></div>
                                <div class="col-sm-3"><span id="inst_alt_email"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Alt. Landline</b></div>
                                <div class="col-sm-3"><span id="inst_alt_landline"></span></div>
                                <div class="col-sm-3"><b>City</b></div>
                                <div class="col-sm-3"><span id="inst_city"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>State</b></div>
                                <div class="col-sm-3"><span id="inst_state"></span></div>
                                <div class="col-sm-3"><b>Pin Code</b></div>
                                <div class="col-sm-3"><span id="inst_pin"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Address Line 1</b></div>
                                <div class="col-sm-9"><span id="inst_addr_line_one"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Address Line 2</b></div>
                                <div class="col-sm-9"><span id="inst_addr_line_two"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Address Line 3</b></div>
                                <div class="col-sm-9"><span id="inst_addr_line_three"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>GRP URL</b></div>
                                <div class="col-sm-9"><a id="inst_grp_url" href=""></a></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Added By</b></div>
                                <div class="col-sm-9"><span id="inst_added_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Last Updated By SA</b></div>
                                <div class="col-sm-9"><span id="inst_updated_by_sa"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Last Updated By IA</b></div>
                                <div class="col-sm-9"><span id="inst_updated_by_ca"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Active Status</b></div>
                                <div class="col-sm-3"><span id="inst_active_status"></span></div>
                                <div class="col-sm-3"><b>Delete Status</b></div>
                                <div class="col-sm-3"><span id="inst_delete_status"></span></div>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Institute Details Modal Ends -->
    </body>
</html>