<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: System Administrator Login</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
    </head>
    <body class="sidebar-menu-collapsed">
        <section>
            <!-- content -->
            <div class="">
                <!-- login form -->
                <section class="login-form py-md-5 py-3">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <!-- form -->
                            <?php echo form_open(site_url('admin/Authentication/authLogin'), ['id' => 'adminLoginFrm']); ?>
                            <div class="login__header text-center mb-lg-5 mb-4">
                                <h3 class="login__title mb-2"> GRP Online</h3>
                                <p>Welcome back, login to continue</p>
                            </div>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if (isset($message)) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $message ?></strong> </div>
                            <?php } ?>
                            <div class="form-group">
                                <label for="username" class="input__label">Username</label>
                                <input type="text" class="form-control login_text_field_bg input-style" id="username" name="username" value="<?php echo set_value('username'); ?>" placeholder="Enter Username" autofocus>
                            </div>
                            <div class="form-group">
                                <label for="password" class="input__label">Password</label>
                                <input type="password" class="form-control login_text_field_bg input-style" id="password" name="password" placeholder="Enter Password">
                            </div>
                            <div class="d-flex align-items-center flex-wrap justify-content-between">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Login <i class="fa fa-arrow-right"></i></button>
                            </div>
                            <?php echo form_close(); ?>	
                            <!-- //form -->
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </section>
    </body>
</html>