<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: System Admin Report</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Sys. Admin Mgmnt.</li>
                            <li class="breadcrumb-item active" aria-current="page">Sys. Admin Report</li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title">All System Admins</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/SystemAdmin/addNewSysAdmin"); ?>'" tooltip="Add New System Admin"><i class="fa fa-plus"></i> Create New Sys. Admin</button><br><br>
                                <table id="allSysAdmins" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Name</th>
                                            <th>Role/Type</th>
                                            <th>Username</th>
                                            <th>Email</th>
                                            <th>Mobile</th>
                                            <th>Login Status</th>
                                            <th>SMS Auth Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Name</th>
                                            <th>Role/Type</th>
                                            <th>Username</th>
                                            <th>Email</th>
                                            <th>Mobile</th>
                                            <th>Login Status</th>
                                            <th>SMS Auth Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allAdmins); $i++) {
                                            $record = $allAdmins[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td>
                                                    <img src="<?php echo $record->sa_image_url; ?>" class="rounded-circle mr-2" width="40px" alt="">
                                                    <?php echo $record->sa_name; ?>
                                                </td>
                                                <td>
                                                    <?php
                                                    $role = ($record->sa_role == 'S') ? "Sub-Admin" : "Super-Admin";
                                                    $type = ($record->sa_type == 'D') ? "Developer" : "Normal";
                                                    echo $role . "/" . $type;
                                                    ?>
                                                </td>
                                                <td><?php echo $record->sa_username; ?></td>
                                                <td><?php echo $record->sa_email; ?></td>
                                                <td><?php echo $record->sa_mobile; ?></td>
                                                <td><?php echo ($record->sa_active_status == 'T') ? "<span class='badge badge-success'>Active</span>" : "<span class='badge badge-danger'>Blocked</span>"; ?></td>
                                                <td><?php echo ($record->sa_auth_sms_flag == 'T') ? "<i class='fa fa-check' style='color:#297534;' title='SMS Allowed'></i>" : "<i class='fa fa-times' style='color:#FF0000;' title='SMS Not-Allowed'></i>"; ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->sa_id != $this->session->userdata('id')) {
                                                        if ($record->sa_delete_status == "F") {
                                                            if ($record->sa_active_status == "T") {
                                                                ?>
                                                                <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Block This Admin's Login" onClick="window.location.href = '<?php echo site_url('admin/SystemAdmin/toggleAdminBlockStatus/' . $record->sa_id . '/F') ?>'"></i> 
                                                            <?php } else { ?>                                                                
                                                                <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Unblock This Admin's Login" onClick="window.location.href = '<?php echo site_url('admin/SystemAdmin/toggleAdminBlockStatus/' . $record->sa_id . '/T') ?>'"></i> 
                                                            <?php } ?>
                                                            <i class='fa fa-pencil' style='color:#002166;cursor: pointer;' title="Edit This Admin" onClick="window.location.href = '<?php echo site_url('admin/SystemAdmin/editAdmin/' . $record->sa_id) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Admin" onClick="window.location.href = '<?php echo site_url('admin/SystemAdmin/deleteAdmin/' . $record->sa_id) ?>'"></i> 
                                                            <?php
                                                        } else {
                                                            echo "<i style='color:#FF0000' class='fa fa-times'></i> Admin Deleted On " . date("d-m-Y", strtotime($record->sa_updated_on)) . " <a href='" . site_url('admin/SystemAdmin/undoDeleteAdmin/' . $record->sa_id) . "'>&nbsp;<i class='fa fa-undo' title='Undo Delete'></i></a>";
                                                        }
                                                    } else {
                                                        echo "<span class='badge badge-warning'>NA</span>";
                                                    }
                                                    ?>
                                                </td>
                                            </tr>
                                            <?php
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>

        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("institute").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("miscReport").classList.remove("active");
                document.getElementById("location").classList.remove("active");
                document.getElementById("defaultStuffs").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("sysAdmnMgmnt").classList.add("active");
                $("#allSysAdmins").DataTable({responsive: true});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>