<?php

/**
 * Description of DesignationManagement
 *
 * @author Softpro India Pvt. Ltd
 */
class DesignationManagement extends CI_Model {

    //put your code here

    function saveDesignation($desigData) {
        $this->db->insert("designation_mst", $desigData);
        return $this->db->insert_id();
    }

    function updateDesignation($desigData) {
        $this->db->where("desig_id", $desigData["desig_id"]);
        return $this->db->update("designation_mst", $desigData);
    }

    function getDesignations($desig_active_status = '', $desig_delete_status = '') {
        $this->db->select("*");
        $this->db->from("designation_mst desig");
        $this->db->join("category_mst c", "desig.cm_id=c.cm_id");
        if ($desig_active_status = '' && $desig_delete_status != '') {
            $this->db->where("desig_active_status", $desig_active_status);
            $this->db->where("desig_delete_status", $desig_delete_status);
        }
        return $this->db->get();
    }

    function getDesignationByID($desig_id) {
        $this->db->select("*");
        $this->db->from("designation_mst desig");
        $this->db->join("category_mst c", "desig.cm_id=c.cm_id");
        $this->db->where("desig.desig_active_status", "T");
        $this->db->where("desig.desig_delete_status", "F");
        $this->db->where("desig.desig_id", $desig_id);
        return $this->db->get();
    }

    function getDesignationByName($desig_name, $desig_id = '', $cm_id = '') {
        $this->db->select("*");
        $this->db->from("designation_mst");
        $this->db->where("desig_name", $desig_name);
        if ($desig_id != '')
            $this->db->where("desig_id NOT IN ($desig_id)");
        if ($cm_id != '')
            $this->db->where("cm_id IN ($cm_id)");
        return $this->db->get();
    }

    function getDesignationByDepartment($dm_id) {
        $this->db->select("*");
        $this->db->from("designation_mst");
        $this->db->where("desig_active_status", "T");
        $this->db->where("desig_delete_status", "F");
        $this->db->where("dm_id", $dm_id);
        return $this->db->get();
    }

    function getDesignationByCategory($cm_id) {
        $this->db->select("*");
        $this->db->from("designation_mst");
        $this->db->where("desig_active_status", "T");
        $this->db->where("desig_delete_status", "F");
        $this->db->where("cm_id", $cm_id);
        return $this->db->get();
    }

}
