<?php

/**
 * Description of ReportManagement
 *
 * @author Softpro India Pvt. Ltd
 */
class ReportManagement extends CI_Model {

    //put your code here
    function getApplications($name = '', $declaration = '', $department = '', $designation = '', $passingYear = '', $from = '', $to = '', $div10 = '', $div12 = '', $div1 = '', $div2 = '', $ugcnet = '', $ugcnetStream = '', $phd = '', $phdStream = '', $academicExp = '', $indutryExp = '', $session = '') {
        $this->db->select("*");
        $this->db->from("application_mst am");
        $this->db->join("vacancy_mst vm", "vm.vm_id=am.vm_id");
        $this->db->join("designation_mst desig", "desig.desig_id=vm.desig_id");
        $this->db->join("department_mst dm", "vm.dm_id=dm.dm_id");
        $this->db->join("application_details_mst adm", "adm.app_details_id=am.app_details_id");
        $this->db->join("user_mst um", "um.um_id=am.um_id");
        if ($name != '') {
            $this->db->where("adm.cper like '%$name%'");
        }
        if ($declaration != '') {
            $this->db->where("adm.step6", $declaration);
        }
        if ($department != '') {
            $this->db->where("dm.dm_id", $department);
        }
        if ($designation != '') {
            $this->db->where("desig.desig_id", $designation);
        }
        if ($passingYear != '') {
            $this->db->where("adm.passing_year", $passingYear);
        }
        if ($from != '' && $to != '') {
            $this->db->where("am.am_date BETWEEN '" . $from . "' AND '" . $to . "'");
        }
        if ($from == '' && $to != '') {
            $this->db->where("am.am_date <= " . $to);
        }
        if ($from != '' && $to == '') {
            $this->db->where("am.am_date >= " . $from);
        }
        if ($div10 != '') {
            $this->db->where("adm.div10", $div10);
        }
        if ($div12 != '') {
            $this->db->where("adm.div12", $div12);
        }
        if ($div1 != '') {
            $this->db->where("adm.div1", $div1);
        }
        if ($div2 != '') {
            $this->db->where("adm.div2", $div2);
        }
        if ($ugcnet != '') {
            $this->db->where("adm.net", $ugcnet);
        }
        if ($ugcnetStream != '') {
            $this->db->where("adm.netstream like '%$ugcnetStream%'");
        }
        if ($phd != '') {
            $this->db->where("adm.phd", $phd);
        }
        if ($phdStream != '') {
            $this->db->where("adm.phstream like '%$phdStream%'");
        }
        if ($academicExp != '') {
            $this->db->where("adm.academic", $academicExp);
        }
        if ($indutryExp != '') {
            $this->db->where("adm.industry", $indutryExp);
        }
        //  $this->db->order_by();
        return $this->db->get();
    }

    function getAppliedVacanies($app_details_id, $am_declaration = '', $department = '', $designation = '', $from = '', $to = '', $session = '') {
        $this->db->select("*");
        $this->db->from("application_mst am");
        $this->db->join("vacancy_mst vm", "vm.vm_id=am.vm_id");
        $this->db->join("designation_mst desig", "desig.desig_id=vm.desig_id");
        $this->db->join("department_mst dm", "vm.dm_id=dm.dm_id");
        $this->db->join("session_mst sess", "sess.session_id=vm.session_id");
        $this->db->where("am.app_details_id", $app_details_id);
        if ($am_declaration != '') {
            $this->db->where("am.am_declaration", $am_declaration);
        }
        if ($from != '' && $to != '') {
            $this->db->where("am.am_date BETWEEN '" . $from . "' AND '" . $to . "'");
        }
        if ($from == '' && $to != '') {
            $this->db->where("am.am_date <= " . $to);
        }
        if ($from != '' && $to == '') {
            $this->db->where("am.am_date >= " . $from);
        }
        if ($department != '') {
            $this->db->where("dm.dm_id", $department);
        }
        if ($designation != '') {
            $this->db->where("desig.desig_id", $designation);
        }
        if ($session != '') {
            $this->db->where("vm.session_id", $session);
        }
        return $this->db->get();
    }

    function getApplicationsDetails($app_details_id = '', $name = '', $passingYear = '', $div10 = '', $div12 = '', $div1 = '', $div2 = '', $ugcnet = '', $ugcnetStream = '', $phd = '', $phdStream = '', $academicExp = '', $indutryExp = '') {
        $this->db->select("*,cm.city_name as mailing_city,cp.city_name as per_city ,sm.state_name as mailing_state, sp.state_name as per_state,c1.c_name as grad, c2.c_name as post");
        $this->db->from("application_details_mst adm");
        $this->db->join("tbl_city_master cm", "adm.mailing_city_id = cm.city_id");
        $this->db->join("tbl_city_master cp", "adm.per_city_id = cp.city_id");
        $this->db->join("tbl_states_master sm", "adm.mailing_state_id = sm.state_id");
        $this->db->join("tbl_states_master sp", "adm.per_state_id = sp.state_id");
        $this->db->join("tbl_course c1", "c1.c_id = adm.exam1");
        $this->db->join("tbl_course c2", "c2.c_id = adm.exam2");
        if ($app_details_id != '') {
            $this->db->where("adm.app_details_id", $app_details_id);
        }
        if ($name != '') {
            $this->db->where("adm.cper like '%$name%'");
        }
        if ($passingYear != '') {
            $this->db->where("adm.passing_year", $passingYear);
        }
        if ($div10 != '') {
            $this->db->where("adm.div10", $div10);
        }
        if ($div12 != '') {
            $this->db->where("adm.div12", $div12);
        }
        if ($div1 != '') {
            $this->db->where("adm.div1", $div1);
        }
        if ($div2 != '') {
            $this->db->where("adm.div2", $div2);
        }
        if ($ugcnet != '') {
            $this->db->where("adm.net", $ugcnet);
        }
        if ($ugcnetStream != '') {
            $this->db->where("adm.netstream like '%$ugcnetStream%'");
        }
        if ($phd != '') {
            $this->db->where("adm.phd", $phd);
        }
        if ($phdStream != '') {
            $this->db->where("adm.phstream like '%$phdStream%'");
        }
        if ($academicExp != '') {
            $this->db->where("adm.academic", $academicExp);
        }
        if ($indutryExp != '') {
            $this->db->where("adm.industry", $indutryExp);
        }
        return $this->db->get();
    }

}
