<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of DashboardReports
 *
 * @author Softpro India Pvt. Ltd
 */
class DashboardReports extends CI_Model {

    //put your code here
    function getTotalCategoryCount() {
        $this->db->select("*");
        $this->db->from("category_mst");
        return $this->db->get();
    }

    function getTotalApplicationCount($session_id = '') {
        $this->db->distinct();
        $this->db->select("am.am_disp_id");
        $this->db->from("application_mst am");
        $this->db->join("vacancy_mst vm", "am.vm_id=vm.vm_id");
        $this->db->join("session_mst sess", "sess.session_id=vm.session_id");
        if ($session_id != '') {
            $this->db->where("sess.session_id", $session_id);
        } else {
            $this->db->where("sess.session_status", "C");
        }

        return $this->db->get();
    }

    function getApplicationPerDepartmentReportInJSON($session_id = '') {
        $dataValues = [];
        $dataLabels = [];
        $this->db->select("COUNT(*) as applicationCount,dm.dm_name");
        $this->db->from("application_mst am");
        $this->db->join("vacancy_mst vm", "am.vm_id=vm.vm_id");
        $this->db->join("designation_mst desig", "desig.desig_id=vm.desig_id");
        $this->db->join("department_mst dm", "dm.dm_id=vm.dm_id");
        $this->db->join("session_mst sess", "sess.session_id=vm.session_id");
        if ($session_id != '') {
            $this->db->where("sess.session_id", $session_id);
        } else {
            $this->db->where("sess.session_status", "C");
        }
        $this->db->group_by("dm.dm_name");
        $data = $this->db->get()->result();

        foreach ($data as $row) {
            array_push($dataValues, $row->applicationCount);
            array_push($dataLabels, $row->dm_name);
        }
        return json_encode(array(
            'data' => $dataValues,
            'labels' => $dataLabels
        ));
    }

    function getApplicationPerCategoryReportInJSON($session_id = '') {
        $dataValues = [];
        $dataLabels = [];
        $this->db->select("COUNT(*) as applicationCount,cm.cm_name");
        $this->db->from("application_mst am");
        $this->db->join("vacancy_mst vm", "am.vm_id=vm.vm_id");
        $this->db->join("designation_mst desig", "desig.desig_id=vm.desig_id");
        $this->db->join("department_mst dm", "dm.dm_id=vm.dm_id");
        $this->db->join("category_mst cm", "cm.cm_id=desig.cm_id");
        $this->db->join("session_mst sess", "sess.session_id=vm.session_id");
        if ($session_id != '') {
            $this->db->where("sess.session_id", $session_id);
        } else {
            $this->db->where("sess.session_status", "C");
        }
        $this->db->group_by("cm.cm_name");
        $data = $this->db->get()->result();

        foreach ($data as $row) {
            array_push($dataValues, $row->applicationCount);
            array_push($dataLabels, $row->cm_name);
        }
        return json_encode(array(
            'data' => $dataValues,
            'labels' => $dataLabels
        ));
    }

    function getTotalOpenings($session_id = '') {
        $this->db->select("*");
        $this->db->from("vacancy_mst vm");
        $this->db->join("session_mst sess", "sess.session_id=vm.session_id");
        if ($session_id != '') {
            $this->db->where("sess.session_id", $session_id);
        } else {
            $this->db->where("sess.session_status", "C");
        }
        return $this->db->get();
    }

    function getOpeningsPerSessionReportInJSON($session_id = '') {
        $dataValues = [];
        $dataLabels = [];
        $this->db->select("COUNT(*) as openingCount,sess.session_id,sess.session_name");
        $this->db->from("vacancy_mst vm");
        $this->db->join("session_mst sess", "sess.session_id=vm.session_id");
        if ($session_id != '') {
            $this->db->where("sess.session_id", $session_id);
        } else {
            $this->db->where("sess.session_status", "C");
        }
        $this->db->group_by("sess.session_id,sess.session_name");
        $data = $this->db->get()->result();

        foreach ($data as $row) {
            array_push($dataValues, $row->openingCount);
            array_push($dataLabels, $row->session_name);
        }
        return json_encode(array(
            'data' => $dataValues,
            'labels' => $dataLabels
        ));
    }
    
        function getApplicationPerDesignationReportInJSON($session_id = '') {
        $dataValues = [];
        $dataLabels = [];
        $this->db->select("COUNT(*) as applicationCount,desig.desig_name");
        $this->db->from("application_mst am");
        $this->db->join("vacancy_mst vm", "am.vm_id=vm.vm_id");
        $this->db->join("designation_mst desig", "desig.desig_id=vm.desig_id");
        $this->db->join("department_mst dm", "dm.dm_id=vm.dm_id");
        $this->db->join("category_mst cm", "cm.cm_id=desig.cm_id");
        $this->db->join("session_mst sess", "sess.session_id=vm.session_id");
        if ($session_id != '') {
            $this->db->where("sess.session_id", $session_id);
        } else {
            $this->db->where("sess.session_status", "C");
        }
        $this->db->group_by("desig.desig_name");
        $data = $this->db->get()->result();

        foreach ($data as $row) {
            array_push($dataValues, $row->applicationCount);
            array_push($dataLabels, $row->desig_name);
        }
        return json_encode(array(
            'data' => $dataValues,
            'labels' => $dataLabels
        ));
    }
    

}
