<?php

/**
 * Description of VacancyManagement
 *
 * @author Softpro India Pvt. Ltd
 */
class VacancyManagement extends CI_Model {

    function getVacancies($currentDate,$um_id) {
        $this->db->select("*,c.cm_id as cate_id,(select CASE WHEN vm_id > 0 THEN 'T' ELSE 'F' END FROM application_mst am where am.vm_id = v.vm_id AND um_id =$um_id AND am_declaration = 'T') AS last_applied");
        $this->db->from("vacancy_mst v");
        $this->db->join("designation_mst ds", "ds.desig_id=v.desig_id");
        $this->db->join("category_mst c", "c.cm_id=ds.cm_id");
        $this->db->join("session_mst sess", "sess.session_id=v.session_id");
        $this->db->join("department_mst d", "d.dm_id=v.dm_id");
        $this->db->where("v.start_date <= '$currentDate' AND v.end_date >= '$currentDate'");
        $this->db->where("v.vm_active_status", "T");
        $this->db->where("v.vm_delete_status", "F");
        $this->db->where("sess.session_status", "C");
        return $this->db->get();
    }

    function getDistictDepartmentOfAppliedVacancy($currentDate) {
        $this->db->distinct();
        $this->db->select("c.cm_name,d.dm_name,ds.cm_id,v.dm_id");
        $this->db->from("vacancy_mst v");
        $this->db->join("designation_mst ds", "ds.desig_id=v.desig_id");
        $this->db->join("category_mst c", "c.cm_id=ds.cm_id");
        $this->db->join("session_mst sess", "sess.session_id=v.session_id");
        $this->db->join("department_mst d", "d.dm_id=v.dm_id");
        $this->db->where("v.start_date <= '$currentDate' AND v.end_date >= '$currentDate'");
        $this->db->where("v.vm_active_status", "T");
        $this->db->where("v.vm_delete_status", "F");
        $this->db->where("sess.session_status", "C");
        return $this->db->get();
    }

    function getTotalOpenings($currentDate) {
        $this->db->select("*");
        $this->db->from("vacancy_mst");
        $this->db->where("start_date <= '$currentDate' AND end_date >='$currentDate'");
        return $this->db->get();
    }

}
