
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create Course :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">      
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Data Management</li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Create Course</a></li>
                    </ol>
                </nav>
                <div class="col-xl-12  pr-xl-2">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <!-- form -->
                            <?php echo form_open(site_url("admin/Course/saveCourse")); ?>
                            <div class="register__header text-center mb-lg-5 mb-4">
                                <h3 class="register__title mb-2"> Create Course</h3>
<!--                                    <p>Create your account here, and continue </p>-->
                            </div>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <div class="form-group">
                                <label for="c_name" class="input__label required">Course Name</label>
                                <input type="text" value="<?php echo set_value("c_name"); ?>" name="c_name" id="c_name" class="form-control login_text_field_bg input-style"
                                       aria-describedby="c_name" placeholder="Enter Course Name" autofocus>
                            </div>
                            <div class="form-group">
                                <label for="c_duration" class="input__label required">Course Duration</label>
                                <input type="text" value="<?php echo set_value("c_duration"); ?>" class="form-control login_text_field_bg input-style"
                                       id="c_duration" name="c_duration" placeholder="Enter Course Duration (In Years) " >
                            </div>
                            <div class="form-group">
                                <label for="c_semesters" class="input__label required">Total No. Of Semester</label>
                                <input type="text" class="form-control login_text_field_bg input-style"
                                       id="c_semesters" value="<?php echo set_value("c_semesters"); ?>" name="c_semesters" aria-describedby="c_semesters" placeholder="Enter Total No. Of Semester" >
                            </div>
                            <div class="form-group">
                                <label for="c_type" class="input__label required">Course Type</label>
                                <select class="form-control login_text_field_bg input-style"
                                        id="c_type" value="<?php echo set_value("c_type"); ?>" name="c_type" aria-describedby="c_type" >
                                    <option value="">-Select Course Type-</option>
                                    <option value="UG">UG</option>
                                    <option value="PG">PG</option>
                                </select>
                                        
                            </div>
                            <div class="d-flex align-items-center flex-wrap justify-content-center">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">CREATE</button>
                            </div>
                            <br>
                            <span style="color:red;">(*) marked fields are mandatory.</span>
                            <?php echo form_close(); ?>
                            <!-- //form -->
                        </div>
                    </div>
                </div>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
    <script>
        $(document).ready(function () {
            $("#c_duration").blur(function () {
                var c_duration = $("#c_duration").val();
                if (c_duration != "")
                    $("#c_semesters").val(c_duration * 2);
            });
        });
        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
            document.getElementById("dataManagement").classList.remove("active");
            document.getElementById("reports").classList.remove("active");
            document.getElementById("dataManagement").classList.add("active");
        });
    </script>
