<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Application Report:: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">

        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>

    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("user/Report/") ?>">Application Report</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-table"></i>&nbsp;&nbsp;Job Application Report</h3><br>
                        <div class="table-responsive">
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <table id="applicationData" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                <thead>
                                    <tr bgcolor=""> 
                                        <th   valign="top">Sl. No</th>
                                        <th   valign="top">Application Form No.</th>
                                        <th   valign="top">ApplyDate</th>
                                        <th  valign="top">Department</th>
                                        <th  valign="top">Post</th>                                      
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    for ($i = 0; $i < sizeof($report); $i++) {
                                        $record = $report[$i];
                                        ?>
                                        <tr>
                                            <td height="32" valign="top"><?php echo ($i + 1); ?></td>
                                            <td height="32" valign="top">
                                                <a href="<?php echo site_url("user/Report/applicationDetails/") . $record["app_details_id"]; ?>"><?php echo $record["applicationFormNo"]; ?></a> 
                                            </td>
                                            <td valign="top"><?php echo $record["regdt"]; ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["departments"]); ?>&nbsp;</td>
                                            <td valign="top"> <?php echo strtoupper($record["designations"]); ?> &nbsp;</td>                                         
                                        </tr> 
                                    <?php }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("user/footer");
    ?>
    <script>

        $(document).ready(function () {
            $("#applicationData").DataTable({responsive: true, dom: 'Blfrtip'});
        });
        $(function () {
            var dateFormat = "dd/mm/yy",
                    from = $("#from")
                    .datepicker({
                        dateFormat: dateFormat,
                        defaultDate: '0',
                        changeMonth: true,
                        changeYear: true,
                        numberOfMonths: 1
                    }).on("change", function () {
                to.datepicker("option", "minDate", getDate(this));
            }),
                    to = $("#to").datepicker({
                dateFormat: dateFormat,
                defaultDate: '0',
                changeMonth: true,
                changeYear: true,
                numberOfMonths: 1
            }).on("change", function () {
                from.datepicker("option", "maxDate", getDate(this));
            });
            function getDate(element) {
                var date;
                try {
                    date = $.datepicker.parseDate(dateFormat, element.value);
                } catch (error) {
                    date = null;
                }
                return date;
            }
        });

        $("#department").on("change", function () {
            //alert($(this).val());
            $(".se-pre-con").fadeIn("slow");
            if (csrfHash === '') {
                csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
            }
            if ($(this).val().trim() != "") {
                $.ajax({
                    url: '<?php echo site_url('admin/BasicDetails/getDesignationByDepartment/') ?>',
                    data: {dm_id: $(this).val(), csrf_token: csrfHash},
                    type: 'POST',
                    async: false,
                    success: function (result) {
                        var designations = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        $("#desig").html(designations.designations);
                        csrfHash = designations.csrfHash;
                        reportFrm.csrf_token.value = csrfHash;
                    }
                });
            } else {
                $("#desig").html("<option>-Designation-</option>");
                $(".se-pre-con").fadeOut("slow");
            }
        });

        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
            document.getElementById("apply").classList.remove("active");
            document.getElementById("report").classList.add("active");
        });
    </script>
