
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo $sixthStep->step_title; ?> :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>

        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script> 
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item">Vacancy Management</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("user") . "$sixthStep->step_slug"; ?>"><?php echo $sixthStep->step_title; ?></a></li>
                    </ol>
                </nav>
                <section class="forms">
                    <?php echo form_open_multipart(site_url("user/Application/saveDeclaration"), ['name' => 'declarationFrm', 'id' => 'declarationFrm']); ?>
                    <div class="card card_border">
                        <div class="cards__heading pb-1">
                            <h3><i class="fa <?php echo $sixthStep->step_class; ?>"></i>&nbsp;<?php echo $sixthStep->step_title; ?></h3>
                        </div>
                        <div class="card-body">
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>

                            <div class="col-lg-12">
                                <div class="card">
                                    <div class="cards__heading text-center pb-0">
                                        <h3>Timeline - <span>Applied For Vacancies </span></h3>
                                    </div>
                                    <div class="card-body">
                                        <div class="timeline mt-4">
                                            <?php
                                            for ($i = 0; $i < sizeof($appliedVacancyInfos); $i++) {
                                                $record = $appliedVacancyInfos[$i];
                                                ?>
                                                <div class="entry">
                                                    <?php if($record->am_declaration == "T"){?>
                                                    <div class="title">
                                                        <i class="fa fa-check-circle" style="color:green;"></i> Confirmed
                                                    </div>
                                                    <?php } ?>
                                                    <div class="body">
                                                        <h4 class="card__title"><?php echo $record->desig_name; ?></h4>
                                                        <ul>
                                                            <li><b>Start Date :</b> <?php echo date("d-m-Y", strtotime($record->start_date)); ?> || End Date : <?php echo date("d-m-Y", strtotime($record->end_date)); ?></li>
                                                            <li><b>Applied On :</b> <?php echo date("d-m-Y H:i:sa", strtotime($record->am_date)); ?></li>
                                                            <li><b>Department :</b> <?php echo $record->dm_name; ?></li>
                                                        </ul>
                                                    </div>
                                                </div>
                                                <?php
                                            }
                                            ?>

                                        </div>
                                        <div class="col-lg-12">
                                            <div class="pull-left">
                                                <h4 ><span style="color:red;">Importtant</span>:</h4> 
                                            </div>
                                            <div class="pull-right">
                                                <p class="text-muted" style="font-size: 18px;"><b>Once you final confirmed post applied foryou can not change any of the given information given in all 5 STEPS i.e. Post Applied For, Personal Deatils, Qualifications, Research & Publications, Work Experience and References.</b> </p>
                                                
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="card">
                                    <div class="card-body p-4">
                                        <h4 class="card__title">Declare Here</h4>
                                        <div class="form-check form-check-inline m-3">
                                            <input class="form-check-input" type="checkbox" name="declare" id="declare" value="T" <?php if($app_details -> step6 == "T") echo "disabled='true' checked '";?>>
                                            <label class="form-check-label" for="inlineCheckbox2"><p><b>I hereby declared that information given is true and complete to the best of my knowledge and belief. My candidature may be cancelled at any state if it is found to be incorrect. </b></p></label>
                                        </div>



                                    </div>
                                </div>

                            </div>
                                <?php if($app_details-> step6 == "F"){?>
                            <div class="form-row">
                                <div class="col-lg-12 d-flex align-items-center flex-wrap justify-content-center mt-3">
                                    <input type="hidden" name="app_details_id" value="<?php echo $appliedVacancyInfos[0]->app_details_id; ?>">
                                    <button type="submit" class="btn btn-primary btn-block btn-style mt-2">CONFIRM & SUBMIT</button>
                                </div>   
                            </div>
                                <?php } ?>
                        </div>

                    </div>
            </div>



            <?php echo form_close(); ?>
        </section>
    </div>           
</div>
<!-- main content end-->
<?php
$this->load->view("user/footer");
?>

<script>
</script>
