
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo $secondStep->step_title; ?> :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>

        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script> 
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("user") . "$secondStep->step_slug"; ?>"><?php echo $secondStep->step_title; ?></a></li>
                    </ol>
                </nav>
                <section class="forms">
                    <?php echo form_open_multipart(site_url("user/Application/savePersonalDetails"), ['name' => 'personalDetailFrm', 'id' => 'personalDetailFrm']); ?>
                    <div class="card card_border">
                        <div class="cards__heading">
                            <h3><i class="fa fa-check"></i><?php echo $secondStep->step_title; ?></h3>
                        </div>
                        <div class="card-body">
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>

                            <fieldset>
                                <div class="col-lg-12">
                                    <div class="form-row ">
                                        <div class="col-sm-3">
                                            <label for="fullName" class="input__label required">Full Name</label>
                                            <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->cper == null || $app_details->cper == "") ? "" : $app_details->um_name; ?>" name="fullName" id="fullName" aria-describedby="fullName" placeholder="Enter Full Name">
                                        </div>
                                        <div class="col-sm-3">
                                            <label for="gender" class="input__label required">Gender</label>
                                            <div class="form-row p-2">
                                                <div class="form-check form-check-inline">
                                                    <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> class="form-check-input" <?php echo ($app_details->gender == 'M') ? "checked='true'" : ""; ?> type="radio" id="gender" name="gender" id="inlineRadio1" value="M">
                                                    <label class="form-check-label" for="inlineRadio1">Male</label>
                                                </div>
                                                <div class="form-check form-check-inline">
                                                    <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> class="form-check-input"  <?php echo ($app_details->gender == 'F') ? "checked='true'" : ""; ?> type="radio" id="gender" name="gender" id="inlineRadio1" value="F">
                                                    <label class="form-check-label" for="inlineRadio1">Female</label>
                                                </div>
                                                <div class="form-check form-check-inline">
                                                    <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> class="form-check-input"  <?php echo ($app_details->gender == 'T') ? "checked='true'" : ""; ?> type="radio" id="gender" name="gender" id="inlineRadio1" value="T">
                                                    <label class="form-check-label" for="inlineRadio1">Transgender</label>
                                                </div>
                                            </div>

                                        </div>
                                        <div class="col-sm-3">
                                            <label for="dob" class="input__label required">D.O.B.</label>
                                            <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text" readonly="readonly"  value="<?php echo ($app_details->um_dob == null || $app_details->um_dob == "") ? "" : date("d/m/Y", strtotime($app_details->um_dob)); ?>"name="dob" id="dob" class="form-control login_text_field_bg input-style readonly"
                                                   aria-describedby="dob" placeholder="Choose D.O.B.">
                                        </div>
                                        <div class="col-sm-3">
                                            <label for="maritalStatus" class="input__label required">Marital Status</label>
                                            <select <?php if($app_details->step6 =="T") echo "disabled='true'";?> name="maritalStatus" id="maritalStatus" class="form-control login_text_field_bg input-style"
                                                    aria-describedby="maritalStatus">
                                                <option  value="">-Marital Status-</option>                                                
                                                <option <?php echo ($app_details->m_status == 'M') ? "Selected" : ""; ?> value="M">Married</option>
                                                <option <?php echo ($app_details->m_status == 'U') ? "Selected" : ""; ?> value="U">Unmarried</option>

                                            </select>
                                        </div>  
                                    </div>
                                    <div class="form-row mt-3">
                                        <div class="col-sm-3">
                                            <label for="fatherName" class="input__label required">Father's  Name</label>
                                            <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->fanm == null || $app_details->fanm == "") ? "" : $app_details->fanm; ?>" name="fatherName" id="fatherName" aria-describedby="fatherName" placeholder="Enter Father Name">
                                        </div>
                                        <div class="col-sm-3">
                                            <label for="mobile" class="input__label required">Mobile</label>
                                            <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> onkeypress="return event.charCode >= 48 && event.charCode <= 57" type="text" maxlength="10" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->pno == null || $app_details->pno == "") ? "" : $app_details->pno; ?>" name="mobile" id="mobile" aria-describedby="mobile" placeholder="Enter Mobile">
                                        </div>
                                        <div class="col-sm-3">
                                            <label for="pan" class="input__label ">P.A.N.</label>
                                            <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text" maxlength="10" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->pan == null || $app_details->pan == "") ? "" : $app_details->pan; ?>" name="pan" id="pan" aria-describedby="pan" placeholder="Enter P.A.N.">
                                        </div>
                                        <div class="col-sm-3">
                                            <label for="aadhar" class="input__label ">Aadhar</label>
                                            <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> onkeypress="return event.charCode >= 48 && event.charCode <= 57" type="text" maxlength="12" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->adh == null || $app_details->adh == "") ? "" : $app_details->adh; ?>" name="aadhar" id="aadhar" aria-describedby="aadhar" placeholder="Enter Aadhar Card Details.">
                                        </div>
                                    </div>
                                    <div class="form-row mt-3">
                                        <div class="col-sm-4">
                                            <label for="email" class="input__label required">Email</label>
                                            <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text" class="form-control login_text_field_bg input-style readonly" value="<?php echo ($app_details->um_email == null || $app_details->um_email == "") ? "" : $app_details->um_email; ?>" name="email" id="email" aria-describedby="email" placeholder="Enter Email">
                                        </div>
                                        <div class="col-sm-4">
                                            <label for="photo" class="input__label required">Photgraph</label>
                                            <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="file" value="<?php echo set_value("photo"); ?>" name="photo" id="photo" class="form-control login_text_field_bg input-style"
                                                   aria-describedby="photo" placeholder="Choose An Image" >
                                            <input type="hidden" name="oldPhoto" value="<?php echo ($app_details->photo == null || $app_details->photo == "") ? "" : $app_details->photo; ?>">
                                            <small id="officeInfoInstruction" class="form-text text-muted">Allowed Extensions:*.png,*.jpg,*.jpeg,*.webp. Max. File Size: 1MB.</small>
                                        </div>
                                        <div class="col-sm-4">
                                            <label for="sign" class="input__label required">Signature</label>
                                            <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="file" value="<?php echo set_value("sign"); ?>" name="sign" id="sign" class="form-control login_text_field_bg input-style"
                                                   aria-describedby="sign" placeholder="Choose A Signature" >
                                            <input type="hidden" name="oldSign" value="<?php echo ($app_details->sig == null || $app_details->sig == "") ? "" : $app_details->sig; ?>">
                                            <small id="officeInfoInstruction" class="form-text text-muted">Allowed Extensions:*.png,*.jpg,*.jpeg,*.webp. Max. File Size: 1MB.</small>
                                        </div>
                                    </div>
                                    <?php if (($app_details->sig != null || $app_details->sig != "") || ($app_details->photo != null || $app_details->photo != "")) {
                                        ?>
                                        <div class="form-row mt-3" >
                                            <div class="col-sm-4"></div>
                                            <div class="col-sm-4">
                                                <div class="text-center">
                                                    <img src="<?php echo base_url($app_details->photo);?>" class="img-thumbnail" width="30%">
                                                </div>
                                            </div>
                                            <div class="col-sm-4">
                                                <div class="text-center">
                                                    <img src="<?php echo base_url($app_details->sig);?>" class="img-thumbnail" width="40%">
                                                </div>
                                            </div>
                                        </div>
                                        <?php }
                                    ?>
                                </div>
                            </fieldset>
                        </div>
                    </div>
                    <div class="card card_border">
                        <div class="cards__heading">
                            <h3><i class="fa fa-address-book"></i>&nbsp;Present Address</h3>
                        </div>
                        <div class="card-body">
                            <div class="col-lg-12">
                                <div class="form-row">
                                    <div class="col-md-4">
                                        <label for="p_address" class="input__label required">Street / Apartment No. </label>
                                        <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text" value="<?php echo ($app_details->mailadd == null || $app_details->mailadd == "") ? "" : $app_details->mailadd; ?>" name="p_address" id="p_address" class="form-control login_text_field_bg input-style"
                                               aria-describedby="p_address" placeholder="Enter Present Address Line">
                                    </div>
                                    <div class="col-md-3">
                                        <label for="p_state" class="input__label required">Permanent Address State</label>
                                        <select <?php if($app_details->step6 =="T") echo "disabled='true'";?> id="p_state" name="p_state" class="form-control input-style">
                                            <option value="">Select State</option>
                                            <?php
                                            foreach ($states as $state) {
                                                $selected = ($state->state_id == $app_details->mailing_state_id) ? "selected" : "";
                                                ?>
                                                <option <?php echo $selected; ?> value="<?php echo $state->state_id; ?>"><?php echo $state->state_name; ?></option>
                                            <?php }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="col-md-3">
                                        <label for="p_city" class="input__label required">Permanent Address City</label>
                                        <select <?php if($app_details->step6 =="T") echo "disabled='true'";?> id="p_city" name="p_city" class="form-control input-style">
                                            <option value="">Select City</option>
                                        </select>
                                    </div>
                                    <div class="col-md-2">
                                        <label for="p_pincode" class="input__label required">Permanent Pincode</label>
                                        <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text" value="<?php echo ($app_details->cpin == null || $app_details->cpin == "") ? "" : $app_details->cpin; ?>" name="p_pincode" id="p_pincode" class="form-control login_text_field_bg input-style"
                                               aria-describedby="p_pincode" placeholder="Enter Present Pincode." maxlength="6">
                                    </div>
                                </div>
                                <div class="form-row mt-4">
                                    <div class="form-group col-md-12">
                                        <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="checkbox" name="permanentAsPresent" id="permanentAsPresent" value="T" <?php echo set_radio("permanentAsPresent", "T"); ?>>&nbsp;<label for="permanentAsPresent"><strong>Permanent Address Same As Present Address</strong></label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card card_border ">
                        <div class="cards__heading">
                            <h3><i class="fa fa-address-book"></i>&nbsp;Permanent Address</h3>
                        </div>
                        <div class="card-body mb-5">
                            <div class="col-lg-12">
                                <div class="form-row">
                                    <div class="col-md-4">
                                        <label for="per_address" class="input__label required">Street / Apartment No. </label>
                                        <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text" value="<?php echo ($app_details->peradd == null || $app_details->peradd == "") ? "" : $app_details->peradd; ?>" name="per_address" id="per_address" class="form-control login_text_field_bg input-style"
                                               aria-describedby="per_address" placeholder="Enter Permanent Address Line ">
                                    </div>
                                    <div class="col-md-3">
                                        <label for="per_state" class="input__label required">Permanent Address State</label>
                                        <select <?php if($app_details->step6 =="T") echo "disabled='true'";?> id="per_state" name="per_state" class="form-control input-style">
                                            <option value="">Select State</option>
                                            <?php
                                            foreach ($states as $state) {
                                                $selected = ($state->state_id == $app_details->per_state_id) ? "selected" : "";
                                                ?>
                                                <option <?php echo $selected; ?> value="<?php echo $state->state_id; ?>"><?php echo $state->state_name; ?></option>
                                            <?php }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="col-md-3">
                                        <label for="per_city" class="input__label required">Permanent Address City</label>
                                        <select <?php if($app_details->step6 =="T") echo "disabled='true'";?> id="per_city" name="per_city" class="form-control input-style">
                                            <option value="">Select City</option>
                                        </select>
                                    </div>
                                    <div class="col-md-2">
                                        <label for="per_pincode" class="input__label required">Permanent Pincode</label>
                                        <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text" value="<?php echo ($app_details->ppin == null || $app_details->ppin == "") ? "" : $app_details->ppin; ?>" name="per_pincode" id="per_pincode" class="form-control login_text_field_bg input-style"
                                               aria-describedby="per_pincode" placeholder="Enter Permanent Pincode." maxlength="6">
                                    </div>
                                </div>
                                <div class="form-row mt-3">
                                    <input type="hidden"  name="app_details_id" value="<?php echo $app_details->app_details_id; ?>">
                                    <input type="hidden"  name="step2" value="<?php echo $app_details->step2; ?>">
                                    <?php if($app_details->step6 =="F") {?>
                                    <div class="col-lg-12 d-flex align-items-center flex-wrap justify-content-center">
                                        <button type="submit" class="btn btn-primary btn-block btn-style mt-2"> SAVE</button>
                                    </div>   
                                    <?php }?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php echo form_close(); ?>
                </section>
            </div>           
        </div>
        <!-- main content end-->
        <?php
        $this->load->view("user/footer");
        ?>
        <script>

            $("#p_state").on("change", function () {
                //alert($(this).val());
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('user/Location/getCitiesByState/') ?>',
                        data: {state: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#p_city").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            personalDetailFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#p_city").html("<option>Select City</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });
            $("#permanentAsPresent").on("click", function () {
                if ($(this).is(":checked")) {
                    $("#per_state").val($("#p_state").val());
                    $("#per_state").trigger("change");
                    $("#per_city").val($("#p_city").val());
                    $("#per_pincode").val($("#p_pincode").val());
                    $("#per_address").val($("#p_address").val());
                } else {
                    $("#per_state").val("");
                    $("#per_city").val("");
                    $("#per_address").val("");
                    $("#per_pincode").val("");
                }
            });
            $("#per_state").on("change", function () {
                //alert($(this).val());
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('user/Location/getCitiesByState/') ?>',
                        data: {state: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#per_city").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            personalDetailFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#per_city").html("<option>Select City</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });


            if ($("#p_state").val() != "") {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('user/Location/getActiveCitiesByStateSelected/') ?>',
                    data: {state: '<?php echo $app_details->mailing_state_id; ?>', city: '<?php echo $app_details->mailing_city_id; ?>', csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        // alert();
                        var cityInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        $("#p_city").html(cityInfo.city_list);
                        csrfHash = cityInfo.csrfHash;
                        personalDetailFrm.csrf_token.value = csrfHash;
                    }
                });
            }
            if ($("#per_state").val() != "") {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('user/Location/getActiveCitiesByStateSelected/') ?>',
                    data: {state: '<?php echo $app_details->mailing_state_id; ?>', city: '<?php echo $app_details->mailing_city_id; ?>', csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        var cityInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        $("#per_city").html(cityInfo.city_list);
                        csrfHash = cityInfo.csrfHash;
                        personalDetailFrm.csrf_token.value = csrfHash;
                    }
                });
            }
            document.getElementById("dashboard").classList.remove("active");
            document.getElementById("apply").classList.add("active");

        </script>