
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo $forthStep->step_title; ?> :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>

        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script> 
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item">Vacancy Management</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("user") . "$forthStep->step_slug"; ?>"><?php echo $forthStep->step_title; ?></a></li>
                    </ol>
                </nav>
                <section class="forms">
                    <?php echo form_open_multipart(site_url("user/Application/saveResearchAndPublication"), ['name' => 'researchAndPublicationFrm', 'id' => 'researchAndPublicationFrm']); ?>
                    <div class="card card_border">
                        <div class="cards__heading pb-1">
                            <h3><i class="fa <?php echo $forthStep->step_class; ?>"></i>&nbsp;<?php echo $forthStep->step_title; ?></h3>
                        </div>
                        <div class="card-body">
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>

                            <div class="col-lg-12">
                                <div class="form-row">
                                    <div class="col-sm-4 mt-3">
                                        <label for="journal" class="input__label ">Paper Published in Referred Journals</label>
                                        <select name="journal" id="journal" class="form-control login_text_field_bg input-style"
                                                aria-describedby="journal" <?php if($app_details->step6 =="T") echo "disabled='true'";?>>
                                            <option  value="">-Select-</option>       
                                            <?php
                                            $curyear = date("Y");
                                            for ($i = 0; $i <= 100; $i++) {
                                                ?>
                                                <option <?php echo ($app_details->step4 == 'T') ? (($app_details->journal == $i) ? "Selected" : "") : set_select("journal", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-4 mt-3">
                                        <label for="seminar" class="input__label ">Paper Published in Seminars/ Conference/ Proceedings </label>
                                        <select name="seminar" id="seminar" class="form-control login_text_field_bg input-style"
                                                aria-describedby="seminar" <?php if($app_details->step6 =="T") echo "disabled='true'";?>>
                                            <option  value="">-Select-</option>       
                                            <?php
                                            $curyear = date("Y");
                                            for ($i = 0; $i <= 100; $i++) {
                                                ?>
                                                <option <?php echo ($app_details->step4 == 'T') ? (($app_details->seminar == $i) ? "Selected" : "") : set_select("seminar", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-4 mt-3">
                                        <label for="books" class="input__label ">Books Published</label>
                                        <select name="books" id="books" class="form-control login_text_field_bg input-style"
                                                aria-describedby="books" <?php if($app_details->step6 =="T") echo "disabled='true'";?>>
                                            <option  value="">-Select-</option>       
                                            <?php
                                            $curyear = date("Y");
                                            for ($i = 0; $i <= 100; $i++) {
                                                ?>
                                                <option <?php echo ($app_details->step4 == 'T') ? (($app_details->books == $i) ? "Selected" : "") : set_select("books", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-4 mt-3">
                                        <label for="chapters" class="input__label ">Chapter Contibuted in Edited Books</label>
                                        <select name="chapters" id="chapters" class="form-control login_text_field_bg input-style"
                                                aria-describedby="chapters" <?php if($app_details->step6 =="T") echo "disabled='true'";?>>
                                            <option  value="">-Select-</option>       
                                            <?php
                                            $curyear = date("Y");
                                            for ($i = 0; $i <= 100; $i++) {
                                                ?>
                                                <option <?php echo ($app_details->step4 == 'T') ? (($app_details->chapters == $i) ? "Selected" : "") : set_select("chapters", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-4 mt-3">
                                        <label for="workshop" class="input__label ">Workshops/ Refresher/ FDP Attended </label>
                                        <select name="workshop" id="workshop" class="form-control login_text_field_bg input-style"
                                                aria-describedby="workshop" <?php if($app_details->step6 =="T") echo "disabled='true'";?>>
                                            <option  value="">-Select-</option>       
                                            <?php
                                            $curyear = date("Y");
                                            for ($i = 0; $i <= 100; $i++) {
                                                ?>
                                                <option <?php echo ($app_details->step4 == 'T') ? (($app_details->workshop == $i) ? "Selected" : "") : set_select("workshop  ", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-4 mt-3">
                                        <label for="conference" class="input__label ">Conference/ Seminar Attended </label>
                                        <select name="conference" id="conference" class="form-control login_text_field_bg input-style"
                                                aria-describedby="conference" <?php if($app_details->step6 =="T") echo "disabled='true'";?>>
                                            <option  value="">-Select-</option>       
                                            <?php
                                            $curyear = date("Y");
                                            for ($i = 0; $i <= 100; $i++) {
                                                ?>
                                                <option <?php echo ($app_details->step4 == 'T') ? (($app_details->conference == $i) ? "Selected" : "") : set_select("conference", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="col-lg-12 mt-3">
                                        <label for="extra" class="input__label">Others (Awards, Achievements etc. </label>
                                        <textarea <?php if($app_details->step6 =="T") echo "disabled='true'";?> name="extra" id=""extra class="form-control login_text_field_bg input-style"  placeholder="Others (Awards, Achievements etc."><?php echo ($app_details->extra == null || $app_details->extra =="" ) ? "" : $app_details->extra; ?></textarea>
                                    </div>
                                    <?php if($app_details->step6 =="F") {?>
                                    <div class="col-lg-12 d-flex align-items-center flex-wrap justify-content-center mt-3">
                                        <input type="hidden" name="app_details_id" value="<?php echo $app_details->app_details_id; ?>">
                                        <button type="submit" class="btn btn-primary btn-block btn-style mt-2"> SAVE</button>
                                    </div>
                                    <?php }?>
                                </div>
                            </div>

                        </div>
                    </div>
                    <?php echo form_close(); ?>
                </section>
            </div>           
        </div>
        <!-- main content end-->
        <?php
        $this->load->view("user/footer");
        ?>
        <script>
        </script>
